<?php 
// session_start();
include('../includes/inc_db.php');
include('../functions/function.php');
ini_set('memory_limit', '-1');


if(isset($_SESSION['username'])){
    $rqtSession = "SELECT credits FROM reg_users WHERE id = :id";
    $stmtSession = $pdo->prepare($rqtSession);
    $stmtSession->bindParam(':id',$_SESSION['id']);
    $stmtSession->execute();
    $resultSession = $stmtSession->fetchAll(PDO::FETCH_ASSOC);
    $_SESSION['credits'] = $resultSession[0]["credits"];
    $rPermissions = getPermissions(intval($_SESSION['group_id']));
    if($_SESSION['admin'] == 0){
		//$regUsers = array_keys(getRegisteredUsers($_SESSION["id"]));
		$regUsers = $_SESSION['sub'];
		//die(json_encode($regUsers));
		$regUsers  = array_diff($regUsers, [0] );
		
		$clause = implode(',', array_fill(0, count($regUsers), '?'));
		//die(json_encode($regUsers));
		
		$types = str_repeat('i', count($regUsers));
	}
	
    $types = str_repeat('i', count($regUsers));
    $rqtGetPaired = "SELECT username,password FROM users WHERE id = :id";
    $stmtPaired = $pdo->prepare($rqtGetPaired);

    if(isset($_GET)){
        $getOnline = false;
        $getExpired = false;
        $getDisabled = false;
        $getBanned = false;
        $getTrial = false;

        if($_GET["columns"][0]["search"]["value"] == "Online"){
            $getOnline = true;  
        }
        if($_GET["columns"][0]["search"]["value"] == "Expired"){
            $getExpired = true;  
        }
        if($_GET["columns"][0]["search"]["value"] == "Trial"){
            $getTrial = true;  
        }
        if($_GET["columns"][0]["search"]["value"] == "Disabled"){
            $getDisabled = true;  
        }
        if($_GET["columns"][0]["search"]["value"] == "Banned"){
            $getBanned = true;  
        }
        $rqtIP = "SELECT user_ip,stream_id,geoip_country_code,divergence FROM user_activity_now WHERE user_id = :id";
        $stmtIP = $pdo->prepare($rqtIP);
        $rqtChannel = "SELECT stream_display_name FROM streams WHERE id = :id";
        $stmtChannel = $pdo->prepare($rqtChannel);
        // var_dump($_GET);
        $type = $_GET['type'];
        $rStart = intval($_GET["start"]);
        $rLimit = intval($_GET["length"]);
        switch($type){
            case "mag":
                $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                $rOrder = Array("","`users`.`enabled`","`mag_devices`.`mac`","`users`.`exp_date`","`users`.`name`","`users`.`owner_name`");
                if (strlen($_GET["order"][0]["column"]) > 0) {
                    $rOrderRow = intval($_GET["order"][0]["column"]);
                } else {
                    $rOrderRow = 0;
                }
				$rHaving = "";
                $rWhere = Array();
                if ($_SESSION['admin']!=1){
                    $rWhere[] = "`users`.`member_id` IN ($clause)";
                    $rWhere[] = "`users`.`exp_date` is not NULL AND `users`.`exp_date` != 0";
                    $rWhere[] = "`users`.`is_e2` = 0 AND `users`.`is_mag` = 1";

                }

                // var_dump($rWhere);
                // $primaryKey = 'id';
                if (strlen($_GET["search"]["value"]) > 0) {
                    $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                    $rWhere[] = "(`users`.`username` LIKE '%{$rSearch}%' OR from_base64(`mag_devices`.`mac`) LIKE '%".strtoupper($rSearch)."%'  
					OR from_unixtime(`exp_date`) LIKE '%{$rSearch}%' OR `reg_users`.`username` LIKE '%{$rSearch}%' 
					OR `users`.`reseller_notes` LIKE '%{$rSearch}%' OR `users`.`admin_notes` LIKE '%{$rSearch}%' )";
					//OR `UEX`.`name` LIKE '%{$rSearch}%'
					//$rHaving = " HAVING `status_user` LIKE '%{$rSearch}%'";
                }

                if($getOnline == true){
                    $rWhere[]= "(SELECT COUNT( * )FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) > 0";
                }
                if($getExpired == true){
                    $rWhere[]= "`users`.`exp_date` <= UNIX_TIMESTAMP()";
                }
                if (count($rWhere) > 0) {
                    $rWhereString = "WHERE ".join(" AND ", $rWhere);
                } else {
                    $rWhereString = "";
                }
                $rOrderBy = "ORDER BY id DESC";
                $rCountQuery = "SELECT COUNT(`users`.`id`) AS `count`,
					(CASE WHEN users.enabled = 1 THEN 'enable' WHEN users.enabled = 0 THEN 'disable' END) AS status_user  FROM `users` 
					LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` 
					INNER JOIN `mag_devices` ON `mag_devices`.`user_id` = `users`.`id` 
					LEFT JOIN user_activity_now AS uan ON uan.user_id = users.id
					LEFT JOIN streams AS st ON uan.stream_id = st.id
					{$rWhereString} {$rHaving};";
					
					
					//LEFT JOIN panel.users_extra AS UEX ON UEX.user_id = xtream_iptvpro.users.id
					//LEFT JOIN panel.mag_devices_details AS MDD ON MDD.user_id = xtream_iptvpro.users.id
					//die($rCountQuery);
                // $rResult = $db->query($rCountQuery);
				
                $stmtCount = $db->prepare($rCountQuery);
                if ($_SESSION['admin']!=1){
                    $stmtCount->bind_param($types, ...$regUsers);
                }
                $stmtCount->execute();
                $rResult = $stmtCount->get_result();
				
                if (($rResult) && ($rResult->num_rows == 1)) {
                    $rReturn["recordsTotal"] = $rResult->fetch_assoc()["count"];
                } else {
                    $rReturn["recordsTotal"] = 0;
                }
                $stmtCount->close();

                $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                if ($rReturn["recordsTotal"] > 0) {
                    
                $rQuery = "SELECT `users`.`pair_id`, `users`.`id`,'' AS `name`, `users`.`username`,`users`.`created_at`, `mag_devices`.`mac`, 
					`mag_devices`.`mag_id`, 0 AS `secure`, `users`.`exp_date`, `users`.`admin_enabled`, `users`.`enabled`, `users`.`admin_notes`, 
					`users`.`reseller_notes`, `users`.`max_connections`,  `users`.`is_trial`, `reg_users`.`username` AS `owner_name`, 
					(SELECT count(*) FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) AS `active_connections`,
					st.id AS stream_id_now, st.stream_display_name, uan.user_ip, uan.geoip_country_code, uan.divergence,
					(SELECT count(*) FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) AS `active_connections`, 
							(SELECT MAX(`date_start`) FROM `user_activity` WHERE `users`.`id` = `user_activity`.`user_id`) AS `last_active`, 
					(CASE WHEN users.enabled = 1 THEN 'enable' WHEN users.enabled = 0 THEN 'disable' END) AS status_user
					FROM `users` 
					LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` 
					INNER JOIN `mag_devices` ON `mag_devices`.`user_id` = `users`.`id` 
					LEFT JOIN user_activity_now AS uan ON uan.user_id = users.id
					LEFT JOIN streams AS st ON uan.stream_id = st.id
					{$rWhereString}  GROUP BY users.id {$rHaving} {$rOrderBy} LIMIT {$rStart}, {$rLimit};";
					//LEFT JOIN panel.users_extra AS UEX ON UEX.user_id = xtream_iptvpro.users.id
					//LEFT JOIN panel.mag_devices_details AS MDD ON MDD.user_id = xtream_iptvpro.users.id
					//die($rQuery);
                    $stmt = $db->prepare($rQuery);
                    
                    if ($_SESSION['admin']!=1){
                        $stmt->bind_param($types, ...$regUsers);
                    }
                    $stmt->execute();
                    $rResult = $stmt->get_result();
                    //die($rQuery);
					
					//die(json_encode($rResult->fetch_all()));
                    $index=1;
                    if (($rResult) && ($rResult->num_rows > 0)) {
                        while ($rRow = $rResult->fetch_assoc()) {
                            // var_dump($rRow);
                            $rTrial = "";
                            /*$stmtIP->bindParam(':id',$rRow['id']);
                            $stmtIP->execute();
                            $resultIP=$stmtIP->fetchAll(PDO::FETCH_ASSOC);
                            $stmtChannel->bindParam(":id", $resultIP[0]['stream_id']);
                            $stmtChannel->execute();
                            $rsChannel = $stmtChannel->fetchAll(PDO::FETCH_ASSOC);*/
							/*if($rsChannel)
									die(json_encode($rsChannel));*/
                            $channelName = "";
                            $ip = "";
                            $state = $rRow['enabled'] == 0 ? 1 : 0;
                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=mag&etat='.$state.'" class="disableIt badge badge-pill badge-success">Enable</a>';
                            $modalOnline="";
                            $modalOnline2="";
							$btnWatch = "";
                            $mac = base64_decode($rRow["mac"]);

                                if($rRow['stream_id_now']>0){
                                    if($rRow["enabled"]){
                                        $channelName = $rRow['stream_display_name'];
                                        $modalOnline = "<button class='btn btn-outline-secondary btn-rounded btn-icon d-none' onclick='showInfo(\"".$rRow['id']."\",\"online\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_online' style='text-align:center; display:none;'><div style='display:inline-block;text-align:center;margin-bottom:5px;'>".$channelName."</div><br><div style='display:inline-block;text-align:center;'>".$rRow['user_ip']." <img style='width: 16px;height: 11px;border-radius: 0%;margin-left:3px; margin-bottom:3px;' title='".$rRow['geoip_country_code']."' src='../images/flags/".strtolower($rRow['geoip_country_code']).".png'></div><div style='margin-right:10%;margin-left:10%;' class='progress progress-md'><div class='progress-bar bg-success' role='progressbar' style='width:".intval(100 - $rRow['divergence'])."%' title='".intval(100 - $rRow['divergence'])."%' aria-valuemin='0' aria-valuenow='".intval(100 - $rRow['divergence'])."' aria-valuemax='100'></div></div></div>";
                                        $modalOnline2 = "<div id='".$rRow['id']."_online' style='text-align:center; font-size: x-small;'><div style='display:inline-block;text-align:center;margin-bottom:5px;'>".$channelName."</div><br><div style='display:inline-block;text-align:center;'>".$rRow['user_ip']." <img style='width: 16px;height: 11px;border-radius: 0%;margin-left:3px; margin-bottom:3px;' title='".$rRow['geoip_country_code']."' src='../images/flags/".strtolower($rRow['geoip_country_code']).".png'></div><div style='margin-right:10%;margin-left:10%;    height: 0.5rem !important;' class='progress progress-md'><div class='progress-bar bg-success' role='progressbar' style='width:".intval(100 - $rRow['divergence'])."%' title='".intval(100 - $rRow['divergence'])."%' aria-valuemin='0' aria-valuenow='".intval(100 - $rRow['divergence'])."' aria-valuemax='100'></div></div></div>";
										//<div style='margin-top:3px;'>(".intval(100 - $rRow['divergence'])."%)</div>
										//<div style='margin-top:3px;'>(".intval(100 - $rRow['divergence'])."%)</div>
										   
										$on = '<a href="./disable.php?id='.$rRow['id'].'&type=mag&etat='.$state.'" class="disableIt badge badge-pill badge-info">Online</a>';
										$btnWatch = "<a href='#' onClick='showInfo(\"".$rRow['id']."\",\"online\")' class='dropdown-item'>Watching now</a>".$modalOnline;
										
                                    }else{
                                        $on = '<a href="./disable.php?id='.$rRow['id'].'&type=mag&etat='.$state.'" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                    }
                                }
								
								
								
								
								
                            if($state==1){
                                $title = "Enable Line";
								$disableUsetBtn = "<a href='javascript:void(0)' onclick='disableUser(this, 0)' data-href='./disable.php?id=".$rRow['id']."&type=m3u&etat=".$state."' class='dropdown-item'>Activer</a>";
							
                            }else{
                                $title = "Disable Line";
								$disableUsetBtn = "<a href='javascript:void(0)' onclick='disableUser(this, 1)' data-href='./disable.php?id=".$rRow['id']."&type=m3u&etat=".$state."' class='dropdown-item'>Desactiver</a>";
							}
                            $rButtons = "<div class='btn-group'>
                                <button type='button' class='btn  dropdown-toggle' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'><i class='fas fa-cogs'></i></button>
                                <div class='dropdown-menu'>
                                    <a href='./edit.php?id=".$rRow['id']."&type=mag' class='dropdown-item'>Edit</a>
                                    <a href='javascript:void(0)' onclick='apercuModal(this)' data-href='./apercu.php?id=".$rRow['id']."&type=mag' class='dropdown-item'>Aperçu</a>
                                    ".$btnWatch." ".$disableUsetBtn."
									<a href='javascript:void(0)' onclick='resetPasswordModal(this)' data-href='./resetPassword.php?id=".$rRow['id']."&type=mag' class='dropdown-item'>Reset Password</a>
                                    <a href='#' onClick='extend(".$rRow["id"].")' class='dropdown-item'>Extend</a>";
                            
                            if($rRow["pair_id"] == NULL){
                                $rButtons.="<a href='javascript:void(0)' onclick='switchModal(this)' data-href='./switch.php?id=".$rRow['id']."' class='dropdown-item switchusertype'>Switch Type</a>";
                                $rButtons.="<a href='javascript:void(0)' onclick='generateModal(this)' data-href='./pair_mag_device.php?id=".$rRow['id']."' class='dropdown-item'>Generate M3U</a>";
                            }
                            if($channelName != ""){
                                $rButtons .="<a href='#' onClick='kickUser(".$rRow["id"].",\"liste_mag.php\")' class='dropdown-item'>Kill</a>";
                            }
                            if($rRow["pair_id"] != NULL){
                                $stmtPaired->bindParam(":id",$rRow['pair_id']);
                                $stmtPaired->execute();
                                $rsPaired = $stmtPaired->fetchAll(PDO::FETCH_ASSOC);
                                // var_dump($rsPaired);
                                if(count($rsPaired) > 0){
                                    //$mac .= "<button class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"pair\")'><i class='fas fa-eye text-danger'></i></button><br><div id='".$rRow['id']."_pair' style='text-align:center; display:none;'><br>Username : <strong>".$rsPaired[0]['username']."</strong> <br> Password : <strong>".$rsPaired[0]['password']."</strong> </div>";
                                    $rButtons .= "<a href='javascript:void(0)' onclick='showInfo(\"".$rRow['id']."\",\"pair\")'  class='dropdown-item'>Show pair</a><br><div id='".$rRow['id']."_pair' style='text-align:center; display:none;'><br>Username : <strong>".$rsPaired[0]['username']."</strong> <br> Password : <strong>".$rsPaired[0]['password']."</strong> </div>";
									//$rButtons.="<a href='javascript:void(0)' onclick='showInfo(\"".$rRow['id']."\",\"pair\")' class='dropdown-item'>Show pair</a>";
                           
								}
                            }
                            
                                

                            $rButtons .="<div class='dropdown-divider'></div>
                                     <!--<a href='resetcountry.php?id=".$rRow['id']."' class='dropdown-item'>Reset country Lock</a>-->
                                    <a href='resetstb.php?id=".$rRow['id']."' class='dropdown-item'>Reset STB Lock</a>

                                    <a href='resetParental.php?id=".$rRow['id']."' class='dropdown-item'>Reset Parental</a>
                                    <!--<a href='resetisp.php?id=".$rRow['id']."' class='dropdown-item'>Reset ISP Lock</a>-->
                                    <div class='dropdown-divider'></div>
                                    <a href='#' onClick='send_message(".$rRow["mag_id"].")' class='dropdown-item'>Send Message</a>
                                    <a href='#' onClick='reload_portal(".$rRow["mag_id"].")' class='dropdown-item'>Reload Portal</a>
                                    <a href='#' onClick='reboot_mag(".$rRow["mag_id"].")' class='dropdown-item'>Reboot Device</a>
                                    <a href='#' onClick='close_portal(".$rRow["mag_id"].")' class='dropdown-item'>Close Portal</a>
                                    


                                </div>
                                </div>";
                            if (!$rRow["admin_enabled"]) {
                                $rStatus = '<i class="text-danger fas fa-circle"></i>';
                            } else {
                                if (!$rRow["enabled"]) {
                                    $on = '<a href="./disable.php?id='.$rRow['id'].'&type=mag&etat='.$state.'" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                } else if (($rRow["exp_date"]) && ($rRow["exp_date"] < time())) {
                                    $on = '<a href="#" class="badge badge-pill badge-danger">Expired</a>';
                                } else {
                                    $rStatus = '<i class="text-success fas fa-circle"></i>';
                                }
                            }
                            if ($rRow["active_connections"] > 0) {
                                $rActive = '<i class="text-success fas fa-circle"></i>';
                            } else {
                                $rActive = '<i class="text-warning far fa-circle"></i>';
                            }
                            // var_dump($rRow["is_trial"]);
                            if ($rRow["is_trial"]) {
                                $on .= '&nbsp;<a href="#" class="badge badge-pill badge-warning">Trial</a>';
                            }
                            if ($rRow["exp_date"]) {
                                if ($rRow["exp_date"] < time()) {
                                    $now = time();
                                    $left = $now - $rRow["exp_date"];
                                    $days = floor($left / (60*60*24) );
                                    if($days == 0){
                                        $hours = floor($left / (60*60) );
                                        $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$hours.' hours</div>';

                                    }
                                    if($days >= 2){
                                        $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' days</div>';
                                    }if($days == 1){
                                        $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' day</div>';
                                    }
                                } else {
                                    $now = time();
                                    $left = $rRow["exp_date"] - $now;
                                    $days = floor($left / (60*60*24) );
                                    if($days == 0){
                                        $hours = floor($left / (60*60) );
                                        $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$hours.' hours left</div>';
                                    }
                                    if($days >= 2){
                                        $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' days left</div>';
                                    }if($days == 1){
                                        $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' day left</div>';
                                    }

                                }
								
								$rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div>';
                            } else {
                                $rExpDate = "Never";
                            }
                            if ($rRow["created_at"]){
                                $rCreatedDate = date("d/m/Y", $rRow["created_at"]);
                            }
                            $rActiveConnections = $rRow["active_connections"];
                            // var_dump($rRow);
                            
                            $rNotes = $rRow['owner_name'];
                            if($rRow["reseller_notes"] != ""){
                                $rNotes .="&nbsp;<button title='Show Notes' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"notes\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_notes' style='text-align:center; display:none;'>".$rRow['reseller_notes']."</div>";
                            }
                                    // $rNotes = "";
                            $rStatus = $on."&nbsp;".$modalOnline;
							
							$isEnabled = ($rRow["enabled"])?'success':'danger';
							$newStatus = '<ul class="fc-color-picker"><li><a class="text-'.$isEnabled.'" href="javascript::void(0)"><i class="fas fa-square"></i></a></li></ul>';
                            
                            // $rNotes = "";
                            $rReturn["data"][] = Array($newStatus,$mac, $modalOnline2, $rExpDate,$rRow['name'],$rRow['reseller_notes'], $rRow['owner_name'], $rButtons);
                        }
                        $stmt->close();

                    }
                }
                echo json_encode($rReturn);
                break;
				case "m3u":
                    // return({"fine":"OK"});
                    $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                    $rOrder = Array("","`users`.`enabled`","`users`.`username`","`users`.`exp_date`","`users`.`name`","owner_name");
                    if (strlen($_GET["order"][0]["column"]) > 0) {
                        $rOrderRow = intval($_GET["order"][0]["column"]);
                    } else {
                        $rOrderRow = 0;
                    }
                    $rWhere = Array();
					
                    $rWhere[] = "(`users`.`is_mag` = 0";
                    $rWhere[] = "`users`.`is_e2` = 0";
                    //$rWhere[] = "`users`.`pair_id` is NULL";
					$datex = 0;
					if(isset($_GET['date'])){
						if($_GET['date']!=0)
							$datex = strtotime($_GET['date']);
					}
					$username = "";
					
					if((isset($_GET['username'])) && ($_GET['username'] != "")){
						$username = $_GET['username'];
						$rWhere[] = "`users`.`username` LIKE '%{$username}%'";
					}
					if((isset($_GET['owner'])) && ($_GET['owner'] != "")){
						$owner = $_GET['owner'];
						$rWhere[] = "`users`.`member_id` = {$owner}";
					}
					
					if((isset($_GET['note'])) && ($_GET['note'] != "")){
						$note = $_GET['note'];
						$rWhere[] = "`users`.`admin_notes` LIKE '%{$note}%'";
					}
					
					if((isset($_GET['expired_range'])) && ($_GET['expired_range'] != "")){
						$expired_range = explode('-', $_GET['expired_range']);
						
						$rWhere[] = "(`users`.`exp_date`> {$expired_range[0]} AND `users`.`exp_date`< {$expired_range[1]})";
					}
					
					if((isset($_GET['create_range'])) && ($_GET['create_range'] != "")){
						$create_range = explode('-', $_GET['create_range']);
						
						$rWhere[] = "(`users`.`created_at`> {$create_range[0]} AND `users`.`created_at`< {$create_range[1]})";
					}
					
					
                    if((isset($_GET['type_filter'])) && ($_GET['type_filter'] == "Online")){
                        $rWhere[]= "(SELECT COUNT( * )FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) > 0";
                    }
                    if((isset($_GET['type_filter'])) && ($_GET['type_filter'] == "Expired")){
                        $rWhere[]= "`users`.`exp_date` <= UNIX_TIMESTAMP() AND `users`.`exp_date` is not NULL";
                    }
                    if((isset($_GET['type_filter'])) && ($_GET['type_filter'] == "Trial")){
                        $rWhere[]= "`users`.is_trial = 1";
                    }
                    if((isset($_GET['type_filter'])) && ($_GET['type_filter'] == "Disabled")){
                        $rWhere[]= "`users`.enabled = 0";
                    }
                    if((isset($_GET['type_filter'])) && ($_GET['type_filter'] == "Banned")){
                        $rWhere[]= "`users`.admin_enabled = 0";
                    }
					
					$whereCode = "";
                    if ($_SESSION['admin']!=1){
                        $rWhere[] = "`users`.`is_mag` = 0 AND `users`.`is_e2` = 0 AND `users`.`member_id` IN (".join(",", $regUsers).")";
                        //$rWhere[] = "`users`.`is_mag` = 0 AND `users`.`is_e2` = 0 AND `users`.`member_id` IN (:array)";
                        $rWhere[] = "`users`.`exp_date` is not NULL";
                        $rWhere[] = "`users`.`exp_date` != 0";
                        //$rWhere[] = "`PAC`.`user_id` IS NOT NULL ";
                        //$rWhere[] = "`users`.`member_id` IN (:array)";
						
						$whereCode = "AND `member_id` IN (".join(",", $regUsers).")";
                    }

                    if($getOnline == true){
                        $rWhere[]= "(SELECT COUNT( * )FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) > 0";
                    }
                    if($getExpired == true){
                        $rWhere[]= "`users`.`exp_date` <= UNIX_TIMESTAMP() AND `users`.`exp_date` is not NULL";
                    }
					
					$totalCode = 0;
					$whereCodeJoin = "";
					$codeArray = [];
					
                    if (strlen($_GET["search"]["value"]) > 0) {
                        $rSearch = $db->real_escape_string($_GET["search"]["value"]);
						//if(!is_numeric($rSearch))
                        $rWhere[] = "(`users`.`username` LIKE '%{$rSearch}%' OR `reg_users`.`username` LIKE '%{$rSearch}%' OR 
						from_unixtime(`exp_date`) LIKE '%{$rSearch}%' OR `users`.`reseller_notes` LIKE '%{$rSearch}%'  )";
						//OR `PAC`.`code` LIKE '%{$rSearch}%'
						$searchCode = "`code` LIKE '%{$rSearch}%'";
						$rCountQueryCode = "SELECT user_id FROM active_code WHERE `code` LIKE '%{$rSearch}%' {$whereCode} AND user_id IS NOT NULL";
						$stmtCountCode = $pdoPanel->prepare($rCountQueryCode);
						$stmtCountCode->execute();
						$rResultCode = $stmtCountCode->fetchAll(PDO::FETCH_ASSOC);
						//die(json_encode($rResultCode));
						if (($rResultCode) && (count($rResultCode) > 0)) {
							foreach($rResultCode as $itemCode){
								$codeArray[] = $itemCode['user_id'];
							}
							$whereCodeJoin = "OR (users.`id` IN (".join(",", $codeArray)."))";
							$totalCode = count($rResultCode);
						} else {
							$totalCode = 0;
						}
                    }
					
					
                    if (count($rWhere) > 0) {
                        $rWhereString = "WHERE ".join(" AND ", $rWhere);
                        $rWhereString .= " AND `users`.`exp_date` >= {$datex}";
                    } else {
                        $rWhereString = " AND `users`.`exp_date` >= {$datex}";
                    }
                    
                    if ($rOrder[$rOrderRow]) {
                        $rOrderBy = "ORDER BY ".$rOrder[$rOrderRow]." ".$_GET["order"][0]["dir"];
                    }
                    $rOrderBy = "ORDER BY id DESC";
                    $rCountQuery = "SELECT COUNT(`users`.`id`) AS `count` FROM `users` 
							
							 LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` 
							 LEFT JOIN mag_devices as mg ON mg.user_id = users.pair_id
							LEFT JOIN user_activity_now AS uan ON uan.user_id = users.id
							LEFT JOIN streams AS st ON uan.stream_id = st.id		
					{$rWhereString}) {$whereCodeJoin} ;";
					
					$stmtCount = $pdo->prepare($rCountQuery);
                    if ($_SESSION['admin']!=1){
						$ids_string = implode(',', $regUsers); 					   
						//$stmt->bindParam(':array', $ids_string);
                    }
                    $stmtCount->execute();
                    $rResult = $stmtCount->fetchAll(PDO::FETCH_ASSOC);
                    //$stmtCount->close();
					//die('---------------------------'.$rResult[0]["count"]);
                    if (($rResult) && (count($rResult) == 1)) {
                        $rReturn["recordsTotal"] = $rResult[0]["count"];
                    } else {
                        $rReturn["recordsTotal"] = 0;
                    }
                    $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                    if (($rReturn["recordsTotal"] > 0) || ($totalCode>0)) {
						
						//, PAC.code, PAC.pin users_extra
						//LEFT JOIN panel.active_code AS PAC ON PAC.user_id = xtream_iptvpro.users.id	
                        $rQuery = "SELECT `users`.`id`,`users`.`username` AS name,`users`.`pair_id`, mg.mac as parain_mac, `users`.`member_id`,`users`.`created_at`, `users`.`username`,
							`users`.`password`, `users`.`exp_date`, `users`.`admin_enabled`, `users`.`enabled`, `users`.`admin_notes`, 
							`users`.`reseller_notes`, `users`.`max_connections`,  `users`.`is_trial`, `reg_users`.`username` AS `owner_name`, 
							(SELECT count(*) FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) AS `active_connections`, 
							(SELECT MAX(`date_start`) FROM `user_activity` WHERE `users`.`id` = `user_activity`.`user_id`) AS `last_active`, 
							users.forced_country, uan.user_ip, uan.geoip_country_code, uan.divergence,st.id AS stream_id_now, st.stream_display_name
							
							FROM `users` 
							 LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` 
							 LEFT JOIN mag_devices as mg ON mg.user_id = users.pair_id
							LEFT JOIN user_activity_now AS uan ON uan.user_id = users.id
							LEFT JOIN streams AS st ON uan.stream_id = st.id	
							{$rWhereString}) {$whereCodeJoin} {$rOrderBy} LIMIT {$rStart}, {$rLimit};";
						
                       // die($rQuery); 
						//LIMIT {$rStart}, {$rLimit};
						
								//INNER JOIN panel.active_code AS PAC ON PAC.user_id = xtream_iptvpro.users.id
                        $stmt = $pdo->prepare($rQuery);
                        if ($_SESSION['admin']!=1){
                            //$stmt->bindParam($types, ...$regUsers);
							$ids_string = implode(',', $regUsers); // WITHOUT WHITESPACES BEFORE AND AFTER THE COMMA
							//die($ids_string);
							$stmt->bindParam(':array', $ids_string);
                        }
						//die($stmt->fullQuery());
                        $stmt->execute();
                        $rResult = $stmt->fetchAll(PDO::FETCH_ASSOC);
						//die(json_encode($rResult));
                       // $stmt->close();
                        $index = 1;
                        if (($rResult) && (count($rResult)> 0)) {
                            foreach ($rResult as $rRow) {	
									$pin = "";
									$code = "";
									$nameExtra = "";
									/*$pin = $rRow['pin'];
									$code = $rRow['code'];*/
									try{										
										$rCountQuery = "SELECT * FROM active_code WHERE user_id = ".$rRow['id']." ORDER BY id DESC LIMIT 1;";
										//echo $rCountQuery;	
										$stmtCount = $pdoPanel->prepare($rCountQuery);	
										//$stmtCount->bind_param(":userid", $rRow['id']);				
										$stmtCount->execute();
										$rResultUnit = $stmtCount->fetchAll(PDO::FETCH_ASSOC);
										if (count($rResultUnit) > 0) {
											$pin = $rResultUnit[0]['pin'];
											$code = $rResultUnit[0]['code'];
										} 									
										$rCountQuery = "SELECT * FROM users_extra WHERE user_id = ".$rRow['id']." ORDER BY id DESC LIMIT 1;";
										//echo $rCountQuery;	
										$stmtCount = $pdoPanel->prepare($rCountQuery);	
										//$stmtCount->bind_param(":userid", $rRow['id']);				
										$stmtCount->execute();
										$rResultUnit = $stmtCount->fetchAll(PDO::FETCH_ASSOC);
										if (count($rResultUnit) > 0) {
											$nameExtra = $rResultUnit[0]['name'];
										} 
									} catch (PDOException $e) {
										//die( $e->getMessage ());
										$pin = "";
										$code = "";
										$nameExtra = "";
									}
									
									/*if (strlen($_GET["search"]["value"]) > 0) {
										if(is_numeric($rSearch))
											if (strpos($code, $rSearch) !== false) {
												continue;
											}
									}*/
                                    $ip = "";
                                    $state = $rRow['enabled'] == 0 ? 1 : 0;
                                    if($state==1){
                                        $title = "Enable Line";
										$disableUsetBtn = "<a href='javascript:void(0)' onclick='disableUser(this, 0)' data-href='./disable.php?id=".$rRow['id']."&type=m3u&etat=".$state."' class='dropdown-item'>Activer</a>";
									
                                    }else{
                                        $title = "Disable Line";
										$disableUsetBtn = "<a href='javascript:void(0)' onclick='disableUser(this, 1)' data-href='./disable.php?id=".$rRow['id']."&type=m3u&etat=".$state."' class='dropdown-item'>Desactiver</a>";
									
                                    }
                                    $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'" class="disableIt badge badge-pill badge-success">Enable</a>';
                                    																		
									$modalOnline="";
									$modalOnline2="";
									$btnWatch = "";
                                    if($rRow['stream_id_now']>0){
                                        if($rRow["enabled"]){
                                            //$channelName = $rsChannel[0]['stream_display_name'];                                            
                                            $channelName = $rRow['stream_display_name'];                                            
                                            $modalOnline = "<div id='".$rRow['id']."_online' style='text-align:center; display:none;'><div style='display:inline-block;text-align:center;margin-bottom:5px;'>".$channelName."</div><br><div style='display:inline-block;text-align:center;'>".$rRow['user_ip']." <img style='width: 16px;height: 11px;border-radius: 0%;margin-left:3px; margin-bottom:3px;' title='".$rRow['geoip_country_code']."' src='../images/flags/".strtolower($rRow['geoip_country_code']).".png'></div><div style='margin-right:10%;margin-left:10%;' class='progress progress-md'><div class='progress-bar bg-success' role='progressbar' style='width:".intval(100 - $rRow['divergence'])."%' title='".intval(100 - $rRow['divergence'])."%' aria-valuemin='0' aria-valuenow='".intval(100 - $rRow['divergence'])."' aria-valuemax='100'></div></div><div style='margin-top:3px;'>(".intval(100 - $rRow['divergence'])."%)</div></div>";
                                            $modalOnline2 = "<div id='".$rRow['id']."_online' style='text-align:center; font-size: x-small;'><div style='display:inline-block;text-align:center;margin-bottom:5px;'>".$channelName."</div><br><div style='display:inline-block;text-align:center;'>".$rRow['user_ip']." <img style='width: 16px;height: 11px;border-radius: 0%;margin-left:3px; margin-bottom:3px;' title='".$rRow['geoip_country_code']."' src='../images/flags/".strtolower($rRow['geoip_country_code']).".png'></div><div style='margin-right:10%;margin-left:10%;    height: 0.5rem !important;' class='progress progress-md'><div class='progress-bar bg-success' role='progressbar' style='width:".intval(100 - $rRow['divergence'])."%' title='".intval(100 - $rRow['divergence'])."%' aria-valuemin='0' aria-valuenow='".intval(100 - $rRow['divergence'])."' aria-valuemax='100'></div></div><div style='margin-top:3px;'>(".intval(100 - $rRow['divergence'])."%)</div></div>";
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'" class="disableIt badge badge-pill badge-info">Online</a>';
											$btnWatch = "<a href='#' onClick='showInfo(\"".$rRow['id']."\",\"online\")' class='dropdown-item'>Watching now</a>".$modalOnline;
										}else{
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                        }
                                    }
									
									
									
                                    $rButtons = "<div class='btn-group'>
                                    <button type='button' class='btn  dropdown-toggle' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'><i class='fas fa-cogs'></i></button>
                                    <div class='dropdown-menu'>";
                                    if($rRow['pair_id']==NULL || $rRow['pair_id'] == 0 )
                                    $rButtons .="
                                        <a href='./edit.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Edit</a>
										<a href='javascript:void(0)' onclick='apercuModal(this)' data-href='./apercu.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Aperçu</a>
										".$btnWatch." ".$disableUsetBtn."
										<a href='#' onClick='extend(".$rRow["id"].")' class='dropdown-item'>Extend</a>
                                        <a href='javascript:void(0)' onclick='switchModal(this)' data-href='./switch.php?id=".$rRow['id']."' class='dropdown-item switchusertype'>Switch Type</a>";
                                        $rButtons .="
											<a href='javascript:void(0)' onclick='resetActiveCodeModal(this)' data-href='./resetActiveCode.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Reset Code</a>
										<a href='javascript:void(0)' onclick='resetPasswordModal(this)' data-href='./resetPassword.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Reset Password</a>
                                        
                                        <a href='#' onClick='downloadFunc(\"".$rRow["username"]."\",\"".$rRow["password"]."\");' class='dropdown-item'>Download Line</a>
                                        <!-- <a href='resetcountry.php?id=".$rRow['id']."' class='dropdown-item'>Reset country Lock</a>-->";
                                    if($channelName != ""){
                                        $rButtons .="<a href='#' onClick='kickUser(".$rRow["id"].",\"liste_ligne.php\")' class='dropdown-item'>Kill</a>";
                                    }
                                    $rButtons .="</div>
                                    </div>";
                                    if (!$rRow["admin_enabled"]) {
                                        $rStatus = '<i class="text-danger fas fa-circle"></i>';
                                    } else {
                                        if (!$rRow["enabled"]) {
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                        } else if (($rRow["exp_date"]) && ($rRow["exp_date"] < time())) {
                                            $on = '<a href="#" class="badge badge-pill badge-danger">Expired</a>';
                                        } else {
                                            $rStatus = '<i class="text-success fas fa-circle"></i>';
                                        }
                                    }
                                    if ($rRow["active_connections"] > 0) {
                                        $rActive = '<i class="text-success fas fa-circle"></i>';
                                    } else {
                                        $rActive = '<i class="text-warning far fa-circle"></i>';
                                    }
                                    if ($rRow["is_trial"]) {
                                        //$on .= '<a href="#" class="badge badge-pill badge-warning">Trial</a>';
                                    }
                                    if (!$rRow["admin_enabled"]) {
                                        $rStatus = '<i class="text-danger fas fa-circle"></i>';
                                    } else {
                                        if (!$rRow["enabled"]) {
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                        } else if (($rRow["exp_date"]) && ($rRow["exp_date"] < time())) {
                                            $on = '<a href="#" class="badge badge-pill badge-danger">Expired</a>';
                                        } else {
                                            $rStatus = '<i class="text-success fas fa-circle"></i>';
                                        }
                                    }
                                    if ($rRow["active_connections"] > 0) {
                                        $rActive = '<i class="text-success fas fa-circle"></i>';
                                    } else {
                                        $rActive = '<i class="text-warning far fa-circle"></i>';
                                    }
                                    if ($rRow["is_trial"]) {
                                        //$on .= '<a href="#" class="badge badge-pill badge-warning">Trial</a>';
                                    }
                                   
								   if ($rRow["exp_date"]) {
                                        if ($rRow["exp_date"] < time()) {
                                            $now = time();
                                            $left = $now - $rRow["exp_date"];
                                            $days = floor($left / (60*60*24) );
                                            if($days == 0){
                                                $hours = floor($left / (60*60) );
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$hours.' hours</div>';

                                            }
                                            if($days >= 2){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' days</div>';
                                            }if($days == 1){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' day</div>';
                                            }
                                        } else {
                                            $now = time();
                                            $left = $rRow["exp_date"] - $now;
                                            $days = floor($left / (60*60*24) );
                                            if($days == 0){
                                                $hours = floor($left / (60*60) );
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$hours.' hours left</div>';
                                            }
                                            if($days >= 2){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' days left</div>';
                                            }if($days == 1){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' day left</div>';
                                            }
											
                                        }
										$rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div>';
                                    } else {
                                        $rExpDate = "Never";
                                    }
                                   
								   if($rRow["created_at"]){
                                        $rCreatedDate = date("d/m/Y", $rRow["created_at"]);
                                    }
                                   $rActiveConnections = $rRow["active_connections"];
                                    // var_dump($rRow);
                                    $rNotes = $rRow['owner_name'];
                                    if($rRow["reseller_notes"] != ""){
                                        $rNotes .="&nbsp;<button title='Show Notes' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"notes\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_notes' style='text-align:center; display:none;'>".$rRow['reseller_notes']."</div>";
                                    }                                    // $rNotes = "";
                                    $rStatus = $on."&nbsp;".$modalOnline;
                                    $modalPassword = "<button title='Show Password' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"password\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_password' style='text-align:center; display:none;'><i class='fas fa-user-lock'style='font-style: normal;'>".$rRow['password']."</i></div>";
                                        $pairval = "" ;
                                    if($rRow['pair_id']!=NULL && $rRow['pair_id'] >0 ){
										
										$pairval = "<br><span class = 'text-danger' style='font-size: smaller;'> Is Pair Line to <strong>".base64_decode($rRow['parain_mac'])."</strong> Do not Sell it..</br> </span> " ; 
									}
                                        
                                    $credentials = $pairval. $rRow["username"]."&nbsp;".$modalPassword;
									
									
                                    //$rReturn["data"][] = Array($rStatus,$rRow["username"], $rRow['password'], $code, $pin, $rRow['name'],$rExpDate, $rButtons);
									$rReturn["data"][] = Array('',$rRow["username"], $modalOnline2,'<label class="btn">'.$rRow['forced_country'].'</label>'.$pairval, $rRow['owner_name'], $code, $pin, $nameExtra,$rExpDate, '', $rButtons);
  
                            }
                        }
                    
					}
                    echo json_encode($rReturn);
                    break;
                case "m3uold":
                    // return({"fine":"OK"});
                    $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                    $rOrder = Array("","`users`.`enabled`","`users`.`username`","`users`.`exp_date`","`users`.`name`","owner_name");
                    if (strlen($_GET["order"][0]["column"]) > 0) {
                        $rOrderRow = intval($_GET["order"][0]["column"]);
                    } else {
                        $rOrderRow = 0;
                    }
					$datex = 0;
					if(isset($_GET['date'])){
						if($_GET['date']!=0)
							$datex = strtotime($_GET['date']);
					}
						
					
                    $rWhere = Array();
                    $rWhere[] = "`users`.`is_mag` = 0";
                    $rWhere[] = "`users`.`is_e2` = 0";
                    //$rWhere[] = "`users`.`pair_id` is NULL";

                    if ($_SESSION['admin']!=1){
                        // $rWhere[] = "`users`.`is_mag` = 0 AND `users`.`is_e2` = 0 AND `users`.`member_id` IN (".join(",", $regUsers).")";
                        $rWhere[] = "`users`.`exp_date` is not NULL";
                        $rWhere[] = "`users`.`exp_date` != 0";
                        $rWhere[] = "`users`.`member_id` IN ($clause)";
                    }

                    if($getOnline == true){
                        $rWhere[]= "(SELECT COUNT( * )FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) > 0";
                    }
                    if($getExpired == true){
                        $rWhere[]= "`users`.`exp_date` <= UNIX_TIMESTAMP() AND `users`.`exp_date` is not NULL";
                    }
                    if (strlen($_GET["search"]["value"]) > 0) {
                        $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                        $rWhere[] = "(`users`.`username` LIKE '%{$rSearch}%' OR `reg_users`.`username` LIKE '%{$rSearch}%' OR from_unixtime(`exp_date`) LIKE '%{$rSearch}%' OR `users`.`reseller_notes` LIKE '%{$rSearch}%' OR `users`.`name` LIKE '%{$rSearch}%')";
                    }
                    if (count($rWhere) > 0) {
                        $rWhereString = "WHERE ".join(" AND ", $rWhere);
                        $rWhereString .= " AND `users`.`exp_date` >= {$datex}";
                    } else {
                        $rWhereString = " AND `users`.`exp_date` >= {$datex}";
                    }
                    
                    if ($rOrder[$rOrderRow]) {
                        $rOrderBy = "ORDER BY ".$rOrder[$rOrderRow]." ".$_GET["order"][0]["dir"];
                    }
                    $rOrderBy = "ORDER BY id DESC";
                    $rCountQuery = "SELECT COUNT(`users`.`id`) AS `count` FROM `users` LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` {$rWhereString} ;";
                    //echo $rCountQuery;
                    $stmtCount = $db->prepare($rCountQuery);
                    if ($_SESSION['admin']!=1){
                        $stmtCount->bind_param($types, ...$regUsers);
                    }
                    $stmtCount->execute();
                    $rResult = $stmtCount->get_result();
                    $stmtCount->close();

                    if (($rResult) && ($rResult->num_rows == 1)) {
                        $rReturn["recordsTotal"] = $rResult->fetch_assoc()["count"];
                    } else {
                        $rReturn["recordsTotal"] = 0;
                    }
                    $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                    if ($rReturn["recordsTotal"] > 0) {
                        $rQuery = "SELECT `users`.`id`,`users`.`name`,`users`.`pair_id`, `users`.`member_id`,`users`.`created_at`, `users`.`username`,
							`users`.`password`, `users`.`exp_date`, `users`.`admin_enabled`, `users`.`enabled`, `users`.`admin_notes`, 
							`users`.`reseller_notes`, `users`.`max_connections`,  `users`.`is_trial`, `reg_users`.`username` AS `owner_name`, 
							(SELECT count(*) FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) AS `active_connections`, 
							(SELECT MAX(`date_start`) FROM `user_activity` WHERE `users`.`id` = `user_activity`.`user_id`) AS `last_active`, 
							`active_code`.`code` as `active_code` FROM `users` LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` 
							LEFT JOIN `active_code` ON `active_code`.`users_id` = `users`.`id` {$rWhereString} {$rOrderBy} ;";
                        //die($rQuery);
						
                        $stmt = $db->prepare($rQuery);
                        if ($_SESSION['admin']!=1){
                            $stmt->bind_param($types, ...$regUsers);
                        }
                        $stmt->execute();
                        $rResult = $stmt->get_result();
                        $stmt->close();
                        $index = 1;
                        if (($rResult) && ($rResult->num_rows > 0)) {
                            while ($rRow = $rResult->fetch_assoc()) {
                                
                                    $stmtIP->bindParam(':id',$rRow['id']);
                                    $stmtIP->execute();
                                    $resultIP=$stmtIP->fetchAll(PDO::FETCH_ASSOC);
                                    $stmtChannel->bindParam(":id", $resultIP[0]['stream_id']);
                                    $stmtChannel->execute();
                                    $rsChannel = $stmtChannel->fetchAll(PDO::FETCH_ASSOC);
                                    $channelName = "";
                                    $ip = "";
                                    $state = $rRow['enabled'] == 0 ? 1 : 0;
                                    if($state==1){
                                        $title = "Enable Line";
										$disableUsetBtn = "<a href='javascript:void(0)' onclick='disableUser(this, 0)' data-href='./disable.php?id=".$rRow['id']."&type=m3u&etat=".$state."' class='dropdown-item'>Activer</a>";
									
                                    }else{
                                        $title = "Disable Line";
										$disableUsetBtn = "<a href='javascript:void(0)' onclick='disableUser(this, 1)' data-href='./disable.php?id=".$rRow['id']."&type=m3u&etat=".$state."' class='dropdown-item'>Desactiver</a>";
									
                                    }
                                    $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'" class="disableIt badge badge-pill badge-success">Enable</a>';
                                    
									$modalOnline="";
									$btnWatch = "";
                                    if($rsChannel){
                                        if($rRow["enabled"]){
                                            $channelName = $rsChannel[0]['stream_display_name'];                                            
                                            $modalOnline = "<div id='".$rRow['id']."_online' style='text-align:center; display:none;'><div style='display:inline-block;text-align:center;margin-bottom:5px;'>".$channelName."</div><br><div style='display:inline-block;text-align:center;'>".$resultIP[0]['user_ip']." <img style='width: 16px;height: 11px;border-radius: 0%;margin-left:3px; margin-bottom:3px;' title='".$resultIP[0]['geoip_country_code']."' src='../images/flags/".strtolower($resultIP[0]['geoip_country_code']).".png'></div><div style='margin-right:10%;margin-left:10%;' class='progress progress-md'><div class='progress-bar bg-success' role='progressbar' style='width:".intval(100 - $resultIP[0]['divergence'])."%' title='".intval(100 - $resultIP[0]['divergence'])."%' aria-valuemin='0' aria-valuenow='".intval(100 - $resultIP[0]['divergence'])."' aria-valuemax='100'></div></div><div style='margin-top:3px;'>(".intval(100 - $resultIP[0]['divergence'])."%)</div>
											</div>";
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'" class="disableIt badge badge-pill badge-info">Online</a>';
											$btnWatch = "<a href='#' onClick='showInfo(\"".$rRow['id']."\",\"online\")' class='dropdown-item'>Watching now</a>".$modalOnline;
										}else{
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                        }
                                    }
                                    
									$rButtons = "<div class='btn-group'>
                                    <button type='button' class='btn  dropdown-toggle' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'><i class='fas fa-cogs'></i></button>
                                    <div class='dropdown-menu'>";
                                    if($rRow['pair_id']==NULL || $rRow['pair_id'] == 0 )
                                    $rButtons .="
                                        <a href='./edit.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Edit</a>
										<a href='javascript:void(0)' onclick='apercuModal(this)' data-href='./apercu.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Aperçu</a>
										".$btnWatch." ".$disableUsetBtn."
										<a href='javascript:void(0)' onclick='resetPasswordModal(this)' data-href='./resetPassword.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Reset Password</a>
                                        <a href='#' onClick='extend(".$rRow["id"].")' class='dropdown-item'>Extend</a>
                                        <a href='javascript:void(0)' onclick='switchModal(this)' data-href='./switch.php?id=".$rRow['id']."' class='dropdown-item switchusertype'>Switch Type</a>";
                                        $rButtons .="

                                        <a href='#' onClick='downloadFunc(\"".$rRow["username"]."\",\"".$rRow["password"]."\");' class='dropdown-item'>Download Line</a>
                                        <!-- <a href='resetcountry.php?id=".$rRow['id']."' class='dropdown-item'>Reset country Lock</a>-->";
                                    if($channelName != ""){
                                        $rButtons .="<a href='#' onClick='kickUser(".$rRow["id"].",\"liste_ligne.php\")' class='dropdown-item'>Kill</a>";
                                    }
                                    $rButtons .="</div>
                                    </div>";
                                    if (!$rRow["admin_enabled"]) {
                                        $rStatus = '<i class="text-danger fas fa-circle"></i>';
                                    } else {
                                        if (!$rRow["enabled"]) {
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                        } else if (($rRow["exp_date"]) && ($rRow["exp_date"] < time())) {
                                            $on = '<a href="#" class="badge badge-pill badge-danger">Expired</a>';
                                        } else {
                                            $rStatus = '<i class="text-success fas fa-circle"></i>';
                                        }
                                    }
                                    if ($rRow["active_connections"] > 0) {
                                        $rActive = '<i class="text-success fas fa-circle"></i>';
                                    } else {
                                        $rActive = '<i class="text-warning far fa-circle"></i>';
                                    }
                                    if ($rRow["is_trial"]) {
                                        //$on .= '<a href="#" class="badge badge-pill badge-warning">Trial</a>';
                                    }
                                    if ($rRow["exp_date"]) {
                                        if ($rRow["exp_date"] < time()) {
                                            $now = time();
                                            $left = $now - $rRow["exp_date"];
                                            $days = floor($left / (60*60*24) );
                                            if($days == 0){
                                                $hours = floor($left / (60*60) );
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$hours.' hours</div>';

                                            }
                                            if($days >= 2){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' days</div>';
                                            }if($days == 1){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' day</div>';
                                            }
                                        } else {
                                            $now = time();
                                            $left = $rRow["exp_date"] - $now;
                                            $days = floor($left / (60*60*24) );
                                            if($days == 0){
                                                $hours = floor($left / (60*60) );
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$hours.' hours left</div>';
                                            }
                                            if($days >= 2){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' days left</div>';
                                            }if($days == 1){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' day left</div>';
                                            }
											
                                        }
										$rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div>';
                                    } else {
                                        $rExpDate = "Never";
                                    }
                                    if($rRow["created_at"]){
                                        $rCreatedDate = date("d/m/Y", $rRow["created_at"]);
                                    }
                                    $rActiveConnections = $rRow["active_connections"];
                                    // var_dump($rRow);
                                    $rNotes = $rRow['owner_name'];
                                    if($rRow["reseller_notes"] != ""){
                                        $rNotes .="&nbsp;<button title='Show Notes' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"notes\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_notes' style='text-align:center; display:none;'>".$rRow['reseller_notes']."</div>";
                                    }                                    // $rNotes = "";
                                    $rStatus = $on."&nbsp;".$modalOnline;
                                    $modalPassword = "<button title='Show Password' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"password\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_password' style='text-align:center; display:none;'><i class='fas fa-user-lock'style='font-style: normal;'>".$rRow['password']."</i></div>";
                                        $pairval = "" ;
                                    if($rRow['pair_id']!=NULL && $rRow['pair_id'] >0 )
                                      $pairval = "<i class = 'text-danger'> Is Pair Line Do not</br> Sell it..</br> </i> " ; 
                                        
                                    $credentials = $pairval. $rRow["username"]."&nbsp;".$modalPassword;
									
									
									$pin = "";
									$code = "";
									try{
										
										$rCountQuery = "SELECT * FROM active_code WHERE user_id = ".$rRow['id'].";";
										//echo $rCountQuery;	
										$stmtCount = $pdoPanel->prepare($rCountQuery);	
										//$stmtCount->bind_param(":userid", $rRow['id']);				
										$stmtCount->execute();
										$rResultUnit = $stmtCount->fetchAll(PDO::FETCH_ASSOC);
										if (count($rResultUnit) > 0) {
											$pin = $rResultUnit[0]['pin'];
											$code = $rResultUnit[0]['code'];
										} 
									} catch (PDOException $e) {
										die( $e->getMessage ());
									}
                                    $rReturn["data"][] = Array($rStatus,$rRow["username"], $rRow['password'], $code, $pin, $rRow['name'],$rExpDate, $rButtons);

                            }
                        }
                    }
                    echo json_encode($rReturn);
                    break;
					
				case "m3u2":
                    // return({"fine":"OK"});
                    $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                    $rOrder = Array("","`users`.`enabled`","`users`.`username`","`users`.`exp_date`","`users`.`name`","owner_name");
                    if (strlen($_GET["order"][0]["column"]) > 0) {
                        $rOrderRow = intval($_GET["order"][0]["column"]);
                    } else {
                        $rOrderRow = 0;
                    }
					$datex = 0;
					if(isset($_GET['date'])){
						if($_GET['date']!=0)
							$datex = strtotime($_GET['date']);
					}
						
					
                    $rWhere = Array();
                    $rWhere[] = "`users`.`is_mag` = 0";
                    $rWhere[] = "`users`.`is_e2` = 0";
                    //$rWhere[] = "`users`.`pair_id` is NULL";

                    if ($_SESSION['admin']!=1){
                        // $rWhere[] = "`users`.`is_mag` = 0 AND `users`.`is_e2` = 0 AND `users`.`member_id` IN (".join(",", $regUsers).")";
                        $rWhere[] = "`users`.`exp_date` is not NULL";
                        $rWhere[] = "`users`.`exp_date` != 0";
                        $rWhere[] = "`users`.`member_id` IN ($clause)";
                    }

                    if($getOnline == true){
                        $rWhere[]= "(SELECT COUNT( * )FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) > 0";
                    }
                    if($getExpired == true){
                        $rWhere[]= "`users`.`exp_date` <= UNIX_TIMESTAMP() AND `users`.`exp_date` is not NULL";
                    }
                    if (strlen($_GET["search"]["value"]) > 0) {
                        $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                        $rWhere[] = "(`users`.`username` LIKE '%{$rSearch}%' OR `reg_users`.`username` LIKE '%{$rSearch}%' OR from_unixtime(`exp_date`) LIKE '%{$rSearch}%' OR `users`.`reseller_notes` LIKE '%{$rSearch}%' OR `users`.`name` LIKE '%{$rSearch}%')";
                    }
                    if (count($rWhere) > 0) {
                        $rWhereString = "WHERE ".join(" AND ", $rWhere);
                        $rWhereString .= " AND `users`.`exp_date` >= {$datex}";
                    } else {
                        $rWhereString = " AND `users`.`exp_date` >= {$datex}";
                    }
                    
                    if ($rOrder[$rOrderRow]) {
                        $rOrderBy = "ORDER BY ".$rOrder[$rOrderRow]." ".$_GET["order"][0]["dir"];
                    }
                    $rOrderBy = "ORDER BY id DESC";
                    $rCountQuery = "SELECT COUNT(`users`.`id`) AS `count` FROM `users` LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` {$rWhereString} ORDER BY reg_users.id DESC;";
                    //echo $rCountQuery;
                    $stmtCount = $db->prepare($rCountQuery);
                    if ($_SESSION['admin']!=1){
                        $stmtCount->bind_param($types, ...$regUsers);
                    }
                    $stmtCount->execute();
                    $rResult = $stmtCount->get_result();
                    $stmtCount->close();

                    if (($rResult) && ($rResult->num_rows == 1)) {
                        $rReturn["recordsTotal"] = $rResult->fetch_assoc()["count"];
                    } else {
                        $rReturn["recordsTotal"] = 0;
                    }
                    $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                    if ($rReturn["recordsTotal"] > 0) {
                        $rQuery = "SELECT `users`.`id`,`UEX`.`name`,`users`.`pair_id`, `users`.`member_id`,`users`.`created_at`, `users`.`username`,
							`users`.`password`, `users`.`exp_date`, `users`.`admin_enabled`, `users`.`enabled`, `users`.`admin_notes`, 
							`users`.`reseller_notes`, `users`.`max_connections`,  `users`.`is_trial`, `reg_users`.`username` AS `owner_name`, 
							(SELECT count(*) FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) AS `active_connections`, 
							(SELECT MAX(`date_start`) FROM `user_activity` WHERE `users`.`id` = `user_activity`.`user_id`) AS `last_active`, 
							PAC.revendeur_id as revendeur_name,
							st.id AS stream_id_now, st.stream_display_name, uan.user_ip, uan.geoip_country_code, uan.divergence, PAC.code, PAC.pin,
							(SELECT PAC1.code FROM panel.code_event_users AS CEU LEFT JOIN panel.active_code AS PAC1 ON PAC1.id = CEU.code_id WHERE CEU.user_id = xtream_iptvpro.users.id LIMIT 1) AS code_event,							
							(SELECT PAC1.pin FROM panel.code_event_users AS CEU LEFT JOIN panel.active_code AS PAC1 ON PAC1.id = CEU.code_id WHERE CEU.user_id = xtream_iptvpro.users.id LIMIT 1) AS code_event_pin
							FROM `users` 
							LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` 							
							LEFT JOIN user_activity_now AS uan ON uan.user_id = users.id
							LEFT JOIN streams AS st ON uan.stream_id = st.id
							LEFT JOIN panel.active_code AS PAC ON PAC.user_id = xtream_iptvpro.users.id
							LEFT JOIN panel.users_extra AS UEX ON UEX.user_id = xtream_iptvpro.users.id
							{$rWhereString} {$rOrderBy} ;";
                        //die($rQuery);						 
                        $stmt = $db->prepare($rQuery);
                        if ($_SESSION['admin']!=1){
                            $stmt->bind_param($types, ...$regUsers);
                        }
                        $stmt->execute();
						
                        $rResult = $stmt->get_result();
						//die(json_encode($rResult->fetch_all(MYSQLI_ASSOC)));
                        $stmt->close();
                        $index = 1;
                        if (($rResult) && ($rResult->num_rows > 0)) {
                            while ($rRow = $rResult->fetch_assoc()) {								
                                    $ip = "";
                                    $state = $rRow['enabled'] == 0 ? 1 : 0;
                                    if($state==1){
                                        $title = "Enable Line";
										$disableUsetBtn = "<a href='javascript:void(0)' onclick='disableUser(this, 0)' data-href='./disable.php?id=".$rRow['id']."&type=m3u&etat=".$state."' class='dropdown-item'>Activer</a>";
									
                                    }else{
                                        $title = "Disable Line";
										$disableUsetBtn = "<a href='javascript:void(0)' onclick='disableUser(this, 1)' data-href='./disable.php?id=".$rRow['id']."&type=m3u&etat=".$state."' class='dropdown-item'>Desactiver</a>";
									
                                    }
                                    $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'" class="disableIt badge badge-pill badge-success">Enable</a>';
                                    
									$modalOnline="";
									$modalOnline2="";
									$btnWatch = "";
                                    if($rRow['stream_id_now']>0){
                                        if($rRow["enabled"]){
                                            //$channelName = $rsChannel[0]['stream_display_name'];                                            
                                            $channelName = $rRow['stream_display_name'];                                            
                                            $modalOnline = "<div id='".$rRow['id']."_online' style='text-align:center; display:none;'><div style='display:inline-block;text-align:center;margin-bottom:5px;'>".$channelName."</div><br><div style='display:inline-block;text-align:center;'>".$rRow['user_ip']." <img style='width: 16px;height: 11px;border-radius: 0%;margin-left:3px; margin-bottom:3px;' title='".$rRow['geoip_country_code']."' src='../images/flags/".strtolower($rRow['geoip_country_code']).".png'></div><div style='margin-right:10%;margin-left:10%;' class='progress progress-md'><div class='progress-bar bg-success' role='progressbar' style='width:".intval(100 - $rRow['divergence'])."%' title='".intval(100 - $rRow['divergence'])."%' aria-valuemin='0' aria-valuenow='".intval(100 - $rRow['divergence'])."' aria-valuemax='100'></div></div><div style='margin-top:3px;'>(".intval(100 - $rRow['divergence'])."%)</div></div>";
                                            $modalOnline2 = "<div id='".$rRow['id']."_online' style='text-align:center; font-size: x-small;'><div style='display:inline-block;text-align:center;margin-bottom:5px;'>".$channelName."</div><br><div style='display:inline-block;text-align:center;'>".$rRow['user_ip']." <img style='width: 16px;height: 11px;border-radius: 0%;margin-left:3px; margin-bottom:3px;' title='".$rRow['geoip_country_code']."' src='../images/flags/".strtolower($rRow['geoip_country_code']).".png'></div><div style='margin-right:10%;margin-left:10%;    height: 0.5rem !important;' class='progress progress-md'><div class='progress-bar bg-success' role='progressbar' style='width:".intval(100 - $rRow['divergence'])."%' title='".intval(100 - $rRow['divergence'])."%' aria-valuemin='0' aria-valuenow='".intval(100 - $rRow['divergence'])."' aria-valuemax='100'></div></div><div style='margin-top:3px;'>(".intval(100 - $rRow['divergence'])."%)</div></div>";
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'" class="disableIt badge badge-pill badge-info">Online</a>';
											$btnWatch = "<a href='#' onClick='showInfo(\"".$rRow['id']."\",\"online\")' class='dropdown-item'>Watching now</a>".$modalOnline;
										}else{
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                        }
                                    }
                                    
									$rButtons = "<div class='btn-group'>
                                    <button type='button' class='btn  dropdown-toggle' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'><i class='fas fa-cogs'></i></button>
                                    <div class='dropdown-menu'>";
                                    if($rRow['pair_id']==NULL || $rRow['pair_id'] == 0 )
                                    $rButtons .="
                                        <a href='./edit.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Edit</a>
										<a href='javascript:void(0)' onclick='apercuModal(this)' data-href='./apercu.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Aperçu</a>
										".$btnWatch." ".$disableUsetBtn."
										<a href='javascript:void(0)' onclick='resetActiveCodeModal(this)' data-href='./resetActiveCode.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Reset Code</a>
										<a href='javascript:void(0)' onclick='resetPasswordModal(this)' data-href='./resetPassword.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Reset Password</a>
                                        <a href='#' onClick='extend(".$rRow["id"].")' class='dropdown-item'>Extend</a>
                                        <a href='javascript:void(0)' onclick='switchModal(this)' data-href='./switch.php?id=".$rRow['id']."' class='dropdown-item switchusertype'>Switch Type</a>";
                                        $rButtons .="

                                        <a href='#' onClick='downloadFunc(\"".$rRow["username"]."\",\"".$rRow["password"]."\");' class='dropdown-item'>Download Line</a>
                                        <!-- <a href='resetcountry.php?id=".$rRow['id']."' class='dropdown-item'>Reset country Lock</a>-->";
                                    if($channelName != ""){
                                        $rButtons .="<a href='#' onClick='kickUser(".$rRow["id"].",\"liste_ligne.php\")' class='dropdown-item'>Kill</a>";
                                    }
                                    $rButtons .="</div>
                                    </div>";
                                    if (!$rRow["admin_enabled"]) {
                                        $rStatus = '<i class="text-danger fas fa-circle"></i>';
                                    } else {
                                        if (!$rRow["enabled"]) {
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                        } else if (($rRow["exp_date"]) && ($rRow["exp_date"] < time())) {
                                            $on = '<a href="#" class="badge badge-pill badge-danger">Expired</a>';
                                        } else {
                                            $rStatus = '<i class="text-success fas fa-circle"></i>';
                                        }
                                    }
                                    if ($rRow["active_connections"] > 0) {
                                        $rActive = '<i class="text-success fas fa-circle"></i>';
                                    } else {
                                        $rActive = '<i class="text-warning far fa-circle"></i>';
                                    }
                                    if ($rRow["is_trial"]) {
                                        //$on .= '<a href="#" class="badge badge-pill badge-warning">Trial</a>';
                                    }
                                    if ($rRow["exp_date"]) {
                                        if ($rRow["exp_date"] < time()) {
                                            $now = time();
                                            $left = $now - $rRow["exp_date"];
                                            $days = floor($left / (60*60*24) );
                                            if($days == 0){
                                                $hours = floor($left / (60*60) );
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$hours.' hours</div>';

                                            }
                                            if($days >= 2){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' days</div>';
                                            }if($days == 1){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' day</div>';
                                            }
                                        } else {
                                            $now = time();
                                            $left = $rRow["exp_date"] - $now;
                                            $days = floor($left / (60*60*24) );
                                            if($days == 0){
                                                $hours = floor($left / (60*60) );
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$hours.' hours left</div>';
                                            }
                                            if($days >= 2){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' days left</div>';
                                            }if($days == 1){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' day left</div>';
                                            }
											
                                        }
										$rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div>';
                                    } else {
                                        $rExpDate = "Never";
                                    }
                                    if($rRow["created_at"]){
                                        $rCreatedDate = date("d/m/Y", $rRow["created_at"]);
                                    }
                                    $rActiveConnections = $rRow["active_connections"];
                                    // var_dump($rRow);
                                    $rNotes = $rRow['owner_name'];
                                    if($rRow["reseller_notes"] != ""){
                                        $rNotes .="&nbsp;<button title='Show Notes' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"notes\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_notes' style='text-align:center; display:none;'>".$rRow['reseller_notes']."</div>";
                                    }                                    // $rNotes = "";
                                    $rStatus = $on."&nbsp;".$modalOnline;
                                    $modalPassword = "<button title='Show Password' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"password\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_password' style='text-align:center; display:none;'><i class='fas fa-user-lock'style='font-style: normal;'>".$rRow['password']."</i></div>";
                                        $pairval = "" ;
                                    if($rRow['pair_id']!=NULL && $rRow['pair_id'] >0 )
                                      $pairval = "<i class = 'text-danger'> Is Pair Line Do not</br> Sell it..</br> </i> " ; 
                                        
                                    $credentials = $pairval. $rRow["username"]."&nbsp;".$modalPassword;
									
									
									$pin = "";
									$code = "";	
									$pin = $rRow['pin'];
									$code = (is_null($rRow['code']))?$rRow['code_event']:$rRow['code'];
									$pin = (is_null($rRow['pin']))?$rRow['code_event_pin']:$rRow['pin'];
									/*try{
										
										$rCountQuery = "SELECT * FROM active_code WHERE user_id = ".$rRow['id'].";";
										//echo $rCountQuery;	
										$stmtCount = $pdoPanel->prepare($rCountQuery);	
										//$stmtCount->bind_param(":userid", $rRow['id']);				
										$stmtCount->execute();
										$rResultUnit = $stmtCount->fetchAll(PDO::FETCH_ASSOC);
										if (count($rResultUnit) > 0) {
											$pin = $rResultUnit[0]['pin'];
											$code = $rResultUnit[0]['code'];
										} 
									} catch (PDOException $e) {
										die( $e->getMessage ());
									}*/
                                    
									$rReturn["data"][] = Array($rStatus,$rRow["username"], $modalOnline2, $rRow['owner_name'], $code, $pin, $rRow['name'],$rExpDate,$rRow['revendeur_name'], $rButtons);
  
                            }
                        }
                    }
                    echo json_encode($rReturn);
                    break;
				case "users_code_event":
                    $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                    $rOrder = Array("","`users`.`enabled`","`users`.`username`","`users`.`exp_date`","`users`.`name`","owner_name");
                    if (strlen($_GET["order"][0]["column"]) > 0) {
                        $rOrderRow = intval($_GET["order"][0]["column"]);
                    } else {
                        $rOrderRow = 0;
                    }
					$datex = 0;
					if(isset($_GET['date'])){
						if($_GET['date']!=0)
							$datex = strtotime($_GET['date']);
					}
						
					$code_id = $_GET['code'];
                    $rWhere = Array();
                    $rWhere[] = "`users`.`is_mag` = 0";
                    $rWhere[] = "`users`.`is_e2` = 0";
                    $rWhere[] = "`CEU`.`code_id` = {$code_id}";
                    //$rWhere[] = "`users`.`pair_id` is NULL";

                    

                    if($getOnline == true){
                        $rWhere[]= "(SELECT COUNT( * )FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) > 0";
                    }
                    if($getExpired == true){
                        $rWhere[]= "`users`.`exp_date` <= UNIX_TIMESTAMP() AND `users`.`exp_date` is not NULL";
                    }
                    if (strlen($_GET["search"]["value"]) > 0) {
                        $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                        $rWhere[] = "(`users`.`username` LIKE '%{$rSearch}%' OR `reg_users`.`username` LIKE '%{$rSearch}%' OR from_unixtime(`exp_date`) LIKE '%{$rSearch}%' OR `users`.`reseller_notes` LIKE '%{$rSearch}%' OR `users`.`name` LIKE '%{$rSearch}%')";
                    }
                    if (count($rWhere) > 0) {
                        $rWhereString = "WHERE ".join(" AND ", $rWhere);
                        $rWhereString .= " AND `users`.`exp_date` >= {$datex}";
                    } else {
                        $rWhereString = " AND `users`.`exp_date` >= {$datex}";
                    }
                    
                    if ($rOrder[$rOrderRow]) {
                        $rOrderBy = "ORDER BY ".$rOrder[$rOrderRow]." ".$_GET["order"][0]["dir"];
                    }
                    $rOrderBy = "ORDER BY id DESC";
                    $rCountQuery = "SELECT COUNT(`users`.`id`) AS `count` FROM `users` 
					LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` 
					LEFT JOIN panel.code_event_users AS CEU ON CEU.user_id = users.id
					{$rWhereString} ORDER BY reg_users.id DESC;";
                    //echo $rCountQuery;
					//die();
                    $stmtCount = $db->prepare($rCountQuery);
                    if ($_SESSION['admin']!=1){
                        $stmtCount->bind_param($types, ...$regUsers);
                    }
                    $stmtCount->execute();
                    $rResult = $stmtCount->get_result();
                    $stmtCount->close();

                    if (($rResult) && ($rResult->num_rows == 1)) {
                        $rReturn["recordsTotal"] = $rResult->fetch_assoc()["count"];
                    } else {
                        $rReturn["recordsTotal"] = 0;
                    }
                    $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                    if ($rReturn["recordsTotal"] > 0) {
                        $rQuery = "SELECT `users`.`id`,`UEX`.`name`,`users`.`pair_id`, `users`.`member_id`,`users`.`created_at`, `users`.`username`,
							`users`.`password`, `users`.`exp_date`, `users`.`admin_enabled`, `users`.`enabled`, `users`.`admin_notes`, 
							`users`.`reseller_notes`, `users`.`max_connections`,  `users`.`is_trial`, `reg_users`.`username` AS `owner_name`, 
							(SELECT count(*) FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) AS `active_connections`, 
							(SELECT MAX(`date_start`) FROM `user_activity` WHERE `users`.`id` = `user_activity`.`user_id`) AS `last_active`, 
							PAC.revendeur_id as revendeur_name,
							st.id AS stream_id_now, st.stream_display_name, uan.user_ip, uan.geoip_country_code, uan.divergence, PAC.code, PAC.pin,
							(SELECT PAC1.code FROM panel.code_event_users AS CEU LEFT JOIN panel.active_code AS PAC1 ON PAC1.id = CEU.code_id WHERE CEU.user_id = xtream_iptvpro.users.id LIMIT 1) AS code_event,							
							(SELECT PAC1.pin FROM panel.code_event_users AS CEU LEFT JOIN panel.active_code AS PAC1 ON PAC1.id = CEU.code_id WHERE CEU.user_id = xtream_iptvpro.users.id LIMIT 1) AS code_event_pin
							FROM `users` 
							LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` 							
							LEFT JOIN user_activity_now AS uan ON uan.user_id = users.id
							LEFT JOIN streams AS st ON uan.stream_id = st.id
							LEFT JOIN panel.active_code AS PAC ON PAC.user_id = xtream_iptvpro.users.id
							LEFT JOIN panel.users_extra AS UEX ON UEX.user_id = xtream_iptvpro.users.id
							LEFT JOIN panel.code_event_users AS CEU ON CEU.user_id = users.id
							{$rWhereString} {$rOrderBy} ;";
                        
						//die($rQuery);						 
                        $stmt = $db->prepare($rQuery);
                        
                        $stmt->execute();
						
                        $rResult = $stmt->get_result();
						//die(json_encode($rResult->fetch_all(MYSQLI_ASSOC)));
                        $stmt->close();
                        $index = 1;
                        if (($rResult) && ($rResult->num_rows > 0)) {
                            while ($rRow = $rResult->fetch_assoc()) {								
                                    $ip = "";
                                    $state = $rRow['enabled'] == 0 ? 1 : 0;
                                    if($state==1){
                                        $title = "Enable Line";
										$disableUsetBtn = "<a href='javascript:void(0)' onclick='disableUser(this, 0)' data-href='./disable.php?id=".$rRow['id']."&type=m3u&etat=".$state."&callback=".$code_id."' class='dropdown-item'>Activer</a>";
									
                                    }else{
                                        $title = "Disable Line";
										$disableUsetBtn = "<a href='javascript:void(0)' onclick='disableUser(this, 1)' data-href='./disable.php?id=".$rRow['id']."&type=m3u&etat=".$state."&callback=".$code_id."' class='dropdown-item'>Desactiver</a>";
									
                                    }
                                    $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'&callback=".$code_id."" class="disableIt badge badge-pill badge-success">Enable</a>';
                                    
									$modalOnline="";
									$modalOnline2="";
									$btnWatch = "";
                                    if($rRow['stream_id_now']>0){
                                        if($rRow["enabled"]){
                                            //$channelName = $rsChannel[0]['stream_display_name'];                                            
                                            $channelName = $rRow['stream_display_name'];                                            
                                            $modalOnline = "<div id='".$rRow['id']."_online' style='text-align:center; display:none;'><div style='display:inline-block;text-align:center;margin-bottom:5px;'>".$channelName."</div><br><div style='display:inline-block;text-align:center;'>".$rRow['user_ip']." <img style='width: 16px;height: 11px;border-radius: 0%;margin-left:3px; margin-bottom:3px;' title='".$rRow['geoip_country_code']."' src='../images/flags/".strtolower($rRow['geoip_country_code']).".png'></div><div style='margin-right:10%;margin-left:10%;' class='progress progress-md'><div class='progress-bar bg-success' role='progressbar' style='width:".intval(100 - $rRow['divergence'])."%' title='".intval(100 - $rRow['divergence'])."%' aria-valuemin='0' aria-valuenow='".intval(100 - $rRow['divergence'])."' aria-valuemax='100'></div></div><div style='margin-top:3px;'>(".intval(100 - $rRow['divergence'])."%)</div></div>";
                                            $modalOnline2 = "<div id='".$rRow['id']."_online' style='text-align:center; font-size: x-small;'><div style='display:inline-block;text-align:center;margin-bottom:5px;'>".$channelName."</div><br><div style='display:inline-block;text-align:center;'>".$rRow['user_ip']." <img style='width: 16px;height: 11px;border-radius: 0%;margin-left:3px; margin-bottom:3px;' title='".$rRow['geoip_country_code']."' src='../images/flags/".strtolower($rRow['geoip_country_code']).".png'></div><div style='margin-right:10%;margin-left:10%;    height: 0.5rem !important;' class='progress progress-md'><div class='progress-bar bg-success' role='progressbar' style='width:".intval(100 - $rRow['divergence'])."%' title='".intval(100 - $rRow['divergence'])."%' aria-valuemin='0' aria-valuenow='".intval(100 - $rRow['divergence'])."' aria-valuemax='100'></div></div><div style='margin-top:3px;'>(".intval(100 - $rRow['divergence'])."%)</div></div>";
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'&callback='.$code_id.'" class="disableIt badge badge-pill badge-info">Online</a>';
											$btnWatch = "<a href='#' onClick='showInfo(\"".$rRow['id']."\",\"online\")' class='dropdown-item'>Watching now</a>".$modalOnline;
										}else{
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'&callback='.$code_id.'" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                        }
                                    }
                                    
									$rButtons = "<div class='btn-group'>
                                    <button type='button' class='btn  dropdown-toggle' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'><i class='fas fa-cogs'></i></button>
                                    <div class='dropdown-menu'>";
                                    if($rRow['pair_id']==NULL || $rRow['pair_id'] == 0 )
                                    $rButtons .="
                                        <a href='./edit.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Edit</a>
										<a href='javascript:void(0)' onclick='apercuModal(this)' data-href='./apercu.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Aperçu</a>
										".$btnWatch." ".$disableUsetBtn."
										<a href='javascript:void(0)' onclick='resetActiveCodeModal(this)' data-href='./resetActiveCode.php?id=".$rRow['id']."&type=m3u&callback=".$code_id."' class='dropdown-item'>Reset Code</a>
										<a href='javascript:void(0)' onclick='resetPasswordModal(this)' data-href='./resetPassword.php?id=".$rRow['id']."&type=m3u&callback=".$code_id."' class='dropdown-item'>Reset Password</a>
                                        <a href='#' onClick='extend(".$rRow["id"].")' class='dropdown-item'>Extend</a>
                                        <a href='javascript:void(0)' onclick='switchModal(this)' data-href='./switch.php?id=".$rRow['id']."&callback=".$code_id."' class='dropdown-item switchusertype'>Switch Type</a>";
                                        $rButtons .="

                                        <a href='#' onClick='downloadFunc(\"".$rRow["username"]."\",\"".$rRow["password"]."\");' class='dropdown-item'>Download Line</a>
                                        <!-- <a href='resetcountry.php?id=".$rRow['id']."' class='dropdown-item'>Reset country Lock</a>-->";
                                    if($channelName != ""){
                                        $rButtons .="<a href='#' onClick='kickUser(".$rRow["id"].",\"liste_ligne.php\")' class='dropdown-item'>Kill</a>";
                                    }
                                    $rButtons .="</div>
                                    </div>";
                                    if (!$rRow["admin_enabled"]) {
                                        $rStatus = '<i class="text-danger fas fa-circle"></i>';
                                    } else {
                                        if (!$rRow["enabled"]) {
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'&callback='.$code_id.'" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                        } else if (($rRow["exp_date"]) && ($rRow["exp_date"] < time())) {
                                            $on = '<a href="#" class="badge badge-pill badge-danger">Expired</a>';
                                        } else {
                                            $rStatus = '<i class="text-success fas fa-circle"></i>';
                                        }
                                    }
                                    if ($rRow["active_connections"] > 0) {
                                        $rActive = '<i class="text-success fas fa-circle"></i>';
                                    } else {
                                        $rActive = '<i class="text-warning far fa-circle"></i>';
                                    }
                                    if ($rRow["is_trial"]) {
                                        //$on .= '<a href="#" class="badge badge-pill badge-warning">Trial</a>';
                                    }
                                    if ($rRow["exp_date"]) {
                                        if ($rRow["exp_date"] < time()) {
                                            $now = time();
                                            $left = $now - $rRow["exp_date"];
                                            $days = floor($left / (60*60*24) );
                                            if($days == 0){
                                                $hours = floor($left / (60*60) );
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$hours.' hours</div>';

                                            }
                                            if($days >= 2){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' days</div>';
                                            }if($days == 1){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' day</div>';
                                            }
                                        } else {
                                            $now = time();
                                            $left = $rRow["exp_date"] - $now;
                                            $days = floor($left / (60*60*24) );
                                            if($days == 0){
                                                $hours = floor($left / (60*60) );
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$hours.' hours left</div>';
                                            }
                                            if($days >= 2){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' days left</div>';
                                            }if($days == 1){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' day left</div>';
                                            }
											
                                        }
										$rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div>';
                                    } else {
                                        $rExpDate = "Never";
                                    }
                                    if($rRow["created_at"]){
                                        $rCreatedDate = date("d/m/Y", $rRow["created_at"]);
                                    }
                                    $rActiveConnections = $rRow["active_connections"];
                                    // var_dump($rRow);
                                    $rNotes = $rRow['owner_name'];
                                    if($rRow["reseller_notes"] != ""){
                                        $rNotes .="&nbsp;<button title='Show Notes' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"notes\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_notes' style='text-align:center; display:none;'>".$rRow['reseller_notes']."</div>";
                                    }                                    // $rNotes = "";
                                    $rStatus = $on."&nbsp;".$modalOnline;
                                    $modalPassword = "<button title='Show Password' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"password\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_password' style='text-align:center; display:none;'><i class='fas fa-user-lock'style='font-style: normal;'>".$rRow['password']."</i></div>";
                                        $pairval = "" ;
                                    if($rRow['pair_id']!=NULL && $rRow['pair_id'] >0 )
                                      $pairval = "<i class = 'text-danger'> Is Pair Line Do not</br> Sell it..</br> </i> " ; 
                                        
                                    $credentials = $pairval. $rRow["username"]."&nbsp;".$modalPassword;
									
									
									$pin = "";
									$code = "";	
									$pin = $rRow['pin'];
									$code = (is_null($rRow['code']))?$rRow['code_event']:$rRow['code'];
									$pin = (is_null($rRow['pin']))?$rRow['code_event_pin']:$rRow['pin'];
									
									$id = $rRow['id'];
                                    $btnCheckBox = '<div class="icheck-success d-inline">
											<input type="checkbox" name="users[]" value="'.$id.'" id="checkboxSuccess_'.$id.'">
											<label for="checkboxSuccess_'.$id.'">
											</label>
										</div>';
									$rReturn["data"][] = Array($btnCheckBox, $rStatus,$rRow["username"], $modalOnline2,  $code, $rRow['name'],$rExpDate, $rButtons);
  
                            }
                        }
                    }
                    echo json_encode($rReturn);
                    break;

                    case "e2":
                        // return({"fine":"OK"});
                        $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                        $rOrder = Array("","`users`.`enabled`","","`enigma2_devices`.`mac`", "`users`.`exp_date`","`users`.`name`","owner_name");
                        if (strlen($_GET["order"][0]["column"]) > 0) {
                            $rOrderRow = intval($_GET["order"][0]["column"]);
                        } else {
                            $rOrderRow = 0;
                        }
                        $rWhere = Array();
                        if ($_SESSION['admin']!=1){
                            $rWhere[] = "`users`.`member_id` IN ($clause)";
                            $rWhere[] = "`users`.`exp_date` is not NULL";
                            $rWhere[] = "`users`.`exp_date` != 0";
                        }
                        
                        if (strlen($_GET["search"]["value"]) > 0) {
                            $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                            $rWhere[] = "(`users`.`username` LIKE '%{$rSearch}%' OR `enigma2_devices`.`mac` LIKE '%{$rSearch}%' OR from_unixtime(`exp_date`) LIKE '%{$rSearch}%' OR `users`.`reseller_notes` LIKE '%{$rSearch}%' OR `users`.`name` LIKE '%{$rSearch}%')";
                        }
                        if($getOnline == true){
                            $rWhere[]= "(SELECT COUNT( * )FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) > 0";
                        }
                        if($getExpired == true){
                            $rWhere[]= "`users`.`exp_date` <= UNIX_TIMESTAMP() AND `users`.`exp_date` is not NULL";
                        }
                        if (count($rWhere) > 0) {
                            $rWhereString = "WHERE ".join(" AND ", $rWhere);
                        } else {
                            $rWhereString = "";
                        }
                       
                        if ($rOrder[$rOrderRow]) {
                            $rOrderBy = "ORDER BY ".$rOrder[$rOrderRow]." ".$_GET["order"][0]["dir"];
                        }
                        $rOrderBy = "ORDER BY id DESC";
                        $rCountQuery = "SELECT COUNT(`users`.`id`) AS `count` FROM `users` LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` INNER JOIN `enigma2_devices` ON `enigma2_devices`.`user_id` = `users`.`id` {$rWhereString}  ORDER BY reg_users.id DESC;";
                        $stmtCount = $db->prepare($rCountQuery);
                        if ($_SESSION['admin']!=1){
                            $stmtCount->bind_param($types, ...$regUsers);
                        }
                        $stmtCount->execute();
                        $rResult = $stmtCount->get_result();
                        $stmtCount->close();

                        if (($rResult) && ($rResult->num_rows == 1)) {
                            $rReturn["recordsTotal"] = $rResult->fetch_assoc()["count"];
                        } else {
                            $rReturn["recordsTotal"] = 0;
                        }
                        $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                        if ($rReturn["recordsTotal"] > 0) {
                            $rQuery = "SELECT `users`.`id`,`UEX`.`name`, `users`.`username`,`users`.`created_at`, `enigma2_devices`.`mac`, 
							`users`.`exp_date`, `users`.`admin_enabled`, `users`.`enabled`, `users`.`admin_notes`, `users`.`reseller_notes`, 
							`users`.`max_connections`,  `users`.`is_trial`, `reg_users`.`username` AS `owner_name`, (SELECT count(*) 
							FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) AS `active_connections` 
							FROM `users` LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` 
							INNER JOIN `enigma2_devices` ON `enigma2_devices`.`user_id` = `users`.`id` 
							LEFT JOIN panel.users_extra AS UEX ON UEX.user_id = xtream_iptvpro.users.id
							
							{$rWhereString} {$rOrderBy};";
                            $stmt = $db->prepare($rQuery);
                            if ($_SESSION['admin']!=1){
                                $stmt->bind_param($types, ...$regUsers);
                            }
                            $stmt->execute();
                            $rResult = $stmt->get_result();
                            $stmt->close();

                            $index=1;
                            if (($rResult) && ($rResult->num_rows > 0)) {
                                while ($rRow = $rResult->fetch_assoc()) {
                                    $stmtIP->bindParam(':id',$rRow['id']);
                                    $stmtIP->execute();
                                    $resultIP=$stmtIP->fetchAll(PDO::FETCH_ASSOC);
                                    $stmtChannel->bindParam(":id", $resultIP[0]['stream_id']);
                                    $stmtChannel->execute();
                                    $rsChannel = $stmtChannel->fetchAll(PDO::FETCH_ASSOC);
                                    $channelName = "";
                                    $ip = "";
                                    $state = $rRow['enabled'] == 0 ? 1 : 0;
                                    if($state==1){
                                        $title = "Enable Line";
										$disableUsetBtn = "<a href='javascript:void(0)' onclick='disableUser(this, 0)' data-href='./disable.php?id=".$rRow['id']."&type=m3u&etat=".$state."' class='dropdown-item'>Activer</a>";
									
                                    }else{
                                        $title = "Disable Line";
										$disableUsetBtn = "<a href='javascript:void(0)' onclick='disableUser(this, 1)' data-href='./disable.php?id=".$rRow['id']."&type=m3u&etat=".$state."' class='dropdown-item'>Desactiver</a>";
									
                                    }
                                    $on = '<a href="./disable.php?id='.$rRow['id'].'&type=e2&etat='.$state.'" class="badge badge-pill badge-success">Enable</a>';
                                    $modalOnline = "";
									$btnWatch = "";
                                    if($rsChannel){
                                        if($rRow["enabled"]){
                                            $channelName = $rsChannel[0]['stream_display_name'];
                                            $modalOnline = "<button class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"online\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_online' style='text-align:center; display:none;'><div style='display:inline-block;text-align:center;margin-bottom:5px;'>".$channelName."</div><br><div style='display:inline-block;text-align:center;'>".$resultIP[0]['user_ip']." <img style='width: 16px;height: 11px;border-radius: 0%;margin-left:3px; margin-bottom:3px;' title='".$resultIP[0]['geoip_country_code']."' src='../images/flags/".strtolower($resultIP[0]['geoip_country_code']).".png'></div><div style='margin-right:10%;margin-left:10%;' class='progress progress-md'><div class='progress-bar bg-success' role='progressbar' style='width:".intval(100 - $resultIP[0]['divergence'])."%' title='".intval(100 - $resultIP[0]['divergence'])."%' aria-valuemin='0' aria-valuenow='".intval(100 - $resultIP[0]['divergence'])."' aria-valuemax='100'></div></div><div style='margin-top:3px;'>(".intval(100 - $resultIP[0]['divergence'])."%)</div></div>";
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=e2&etat='.$state.'" class="disableIt badge badge-pill badge-info">Online</a>';
											$btnWatch = "<a href='#' onClick='showInfo(\"".$rRow['id']."\",\"online\")' class='dropdown-item'>Watching now</a>".$modalOnline;
										
                                        }else{
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=e2&etat='.$state.'" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                        }
                                    }
                                    $rButtons = "<div class='btn-group'>
                                    <button type='button' class='btn  dropdown-toggle' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'><i class='fas fa-cogs'></i></button>
                                    <div class='dropdown-menu'>
                                        <a href='./edit.php?id=".$rRow['id']."&type=e2' class='dropdown-item'>Edit</a>
										<a href='javascript:void(0)' onclick='apercuModal(this)' data-href='./apercu.php?id=".$rRow['id']."&type=e2' class='dropdown-item'>Aperçu</a>
										".$btnWatch." ".$disableUsetBtn."
										<a href='javascript:void(0)' onclick='resetPasswordModal(this)' data-href='./resetPassword.php?id=".$rRow['id']."&type=e2' class='dropdown-item'>Reset Password</a>
                                        <a href='#' onClick='extend(".$rRow["id"].")' class='dropdown-item'>Extend</a>
                                        <a href='javascript:void(0)' onclick='switchModal(this)' data-href='./switch.php?id=".$rRow['id']."' class='dropdown-item switchusertype'>Switch Type</a>
                                        <a href='#' class='dropdown-item'>Modify country Lock</a>";
                                        if($channelName != ""){
                                            $rButtons .="<a href='#' onClick='kickUser(".$rRow["id"].",\"liste_e2.php\")' class='dropdown-item'>Kill</a>";
                                        }
                                        $rButtons .="</div>
                                        </div>";
                                    if (!$rRow["admin_enabled"]) {
                                        $on = '<a href="./disable.php?id='.$rRow['id'].'&type=e2&etat='.$state.'" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                    } else {
                                        if (!$rRow["enabled"]) {
                                            $rStatus = '<i class="text-secondary fas fa-circle"></i>';
                                        } else if (($rRow["exp_date"]) && ($rRow["exp_date"] < time())) {
                                            $on = '<a href="#" class="badge badge-pill badge-danger">Expired</a>';
                                        } else {
                                            $rStatus = '<i class="text-success fas fa-circle"></i>';
                                        }
                                    }
                                    if ($rRow["active_connections"] > 0) {
                                        $rActive = '<i class="text-success fas fa-circle"></i>';
                                    } else {
                                        $rActive = '<i class="text-warning far fa-circle"></i>';
                                    }
                                    if ($rRow["is_trial"]) {
                                        $on .= '&nbsp;<a href="#" class="badge badge-pill badge-warning">Trial</a>';
                                    }
                                    if ($rRow["exp_date"]) {
                                        if ($rRow["exp_date"] < time()) {
                                            $now = time();
                                            $left = $now - $rRow["exp_date"];
                                            $days = floor($left / (60*60*24) );
                                            if($days == 0){
                                                $hours = floor($left / (60*60) );
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$hours.' hours</div>';

                                            }
                                            if($days >= 2){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' days</div>';
                                            }if($days == 1){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' day</div>';
                                            }
                                        } else {
                                            $now = time();
                                            $left = $rRow["exp_date"] - $now;
                                            $days = floor($left / (60*60*24) );
                                            if($days == 0){
                                                $hours = floor($left / (60*60) );
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$hours.' hours left</div>';
                                            }
                                            if($days >= 2){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' days left</div>';
                                            }if($days == 1){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' day left</div>';
                                            }

                                        }
										 $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div>';
                                    } else {
                                        $rExpDate = "Never";
                                    }
                                    if($rRow["created_at"]){
                                        $rCreatedDate = date("d/m/Y", $rRow["created_at"]);
                                    }
                                    $rActiveConnections = $rRow["active_connections"];
                                    // var_dump($rRow);
                                    $rNotes = $rRow['owner_name'];
                                    if($rRow["reseller_notes"] != ""){
                                        $rNotes .="&nbsp;<button title='Show Notes' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"notes\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_notes' style='text-align:center; display:none;'>".$rRow['reseller_notes']."</div>";
                                    }                                    // $rNotes = "";
                                    $rStatus = $on."&nbsp;".$modalOnline;
                                    $rReturn["data"][] = Array($rStatus,$rRow["mac"], $rExpDate,$rRow['name'],$rRow['reseller_notes'],$rRow['owner_name'], $rButtons);
                                }
                            }
                        }
                        echo json_encode($rReturn);
                        break; 

                    case "reg_users":
                        $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                        $rOrder = Array("`reg_users`.`id`", "`reg_users`.`username`", "`r`.`username`", "`reg_users`.`ip`", "`member_groups`.`group_name`", "`reg_users`.`status`", "`reg_users`.`credits`", "`user_count`", "`reg_users`.`last_login`", false);
                        if (strlen($_GET["order"][0]["column"]) > 0) {
                            $rOrderRow = intval($_GET["order"][0]["column"]);
                        } else {
                            $rOrderRow = 0;
                        }
                        $rWhere = Array();
                        $rWhere[] = "`member_groups`.`group_id` != 1";
                        if ($rPermissions["is_reseller"]) {
                            $rWhere[] = "`reg_users`.`owner_id` IN ($clause)";
                        }
                        if (strlen($_GET["search"]["value"]) > 0) {
                            $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                            $rWhere[] = "(`reg_users`.`id` LIKE '%{$rSearch}%' OR `reg_users`.`username` LIKE '%{$rSearch}%' OR `reg_users`.`notes` LIKE '%{$rSearch}%' OR `r`.`username` LIKE '%{$rSearch}%' OR from_unixtime(`reg_users`.`date_registered`) LIKE '%{$rSearch}%' OR from_unixtime(`reg_users`.`last_login`) LIKE '%{$rSearch}%' OR `reg_users`.`email` LIKE '%{$rSearch}%' OR `reg_users`.`ip` LIKE '%{$rSearch}%' OR `member_groups`.`group_name` LIKE '%{$rSearch}%')";
                        }

                        if (count($rWhere) > 0) {
                            $rWhereString = "WHERE ".join(" AND ", $rWhere);
                        } else {
                            $rWhereString = "";
                        }
                        if ($rOrder[$rOrderRow]) {
                            $rOrderBy = "ORDER BY ".$rOrder[$rOrderRow]." ".$_GET["order"][0]["dir"];
                        }
                        $rCountQuery = "SELECT COUNT(*) AS `count` FROM `reg_users`
						LEFT JOIN `member_groups` ON `member_groups`.`group_id` = `reg_users`.`member_group_id`
						LEFT JOIN `reg_users` AS `r` on `r`.`id` = `reg_users`.`owner_id` {$rWhereString};";
						//die($rCountQuery);
                        $stmtCount = $db->prepare($rCountQuery);
                        if ($rPermissions["is_reseller"]){
                            $stmtCount->bind_param($types, ...$regUsers);
                        }
                        $stmtCount->execute();
                        $rResult = $stmtCount->get_result();
                        $stmtCount->close();

                        if (($rResult) && ($rResult->num_rows == 1)) {
                            $rReturn["recordsTotal"] = $rResult->fetch_assoc()["count"];
                        } else {
                            $rReturn["recordsTotal"] = 0;
                        }
                        $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                        if ($rReturn["recordsTotal"] > 0) {
                            $rQuery = "SELECT `reg_users`.`id`, `reg_users`.`status`, `reg_users`.`notes`, `reg_users`.`credits`, `reg_users`.`username`,
							`reg_users`.`email`, `reg_users`.`ip`, FROM_UNIXTIME(`reg_users`.`date_registered`) AS `date_registered`,
							FROM_UNIXTIME(`reg_users`.`last_login`) AS `last_login`, `r`.`username` as `owner_username`, `member_groups`.`group_name`, 
							`reg_users`.`verified`, `reg_users`.`status`, (SELECT COUNT(`id`) FROM `users` WHERE `member_id` = `reg_users`.`id`) AS `user_count` 
							FROM `reg_users` LEFT JOIN `member_groups` ON `member_groups`.`group_id` = `reg_users`.`member_group_id` 
							LEFT JOIN `reg_users` AS `r` on `r`.`id` = `reg_users`.`owner_id` {$rWhereString} {$rOrderBy};";
							//die($rQuery);
                            $stmt = $db->prepare($rQuery);
                            if ($rPermissions["is_reseller"]){
                                $stmt->bind_param($types, ...$regUsers);
                            }
                            $stmt->execute();
                            $rResult = $stmt->get_result();
                            $stmt->close();

                            if (($rResult) && ($rResult->num_rows > 0)) {
                                while ($rRow = $rResult->fetch_assoc()) {
                                    $rButtons = '<div class="btn-group">
                                    <button type="button" class="btn  dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-cogs"></i></button>
                                    <div class="dropdown-menu">';
                                    if ($rRow["status"] == 1) {
										$blocktxt = 'Block';
                                        $rStatus = '<i class="text-success fas fa-circle"></i>';
                                    } else {
										$blocktxt = 'UnBlock';
                                        $rStatus = '<i class="text-danger fas fa-circle"></i>';
                                    }
                                    if (!$rRow["last_login"]) {
                                        $rRow["last_login"] = "NEVER";
                                    }
                                   
                                    if ($rPermissions["is_admin"]) {
                                        // if (hasPermissions("adv", "edit_reguser")) {
                                        $rButtons .= '<a href="javascript:void(0)" onclick="credit(\''.$rRow['id'].'\',\''.$rRow['credits'].'\',\''.$rRow['username'].'\')" class="dropdown-item">Credits Transfer</a>';
                                        $rButtons .= '<a href="javascript:void(0)" onclick="creditMoney(\''.$rRow['id'].'\',\''.$rRow['credits'].'\',\''.$rRow['username'].'\')" class="dropdown-item">Money Transfer</a>';
                                        $rButtons .= '<a href="moneyStat.php?id='.$rRow['id'].'" class="dropdown-item">Money logs</a>';
                                        $rButtons .= '<a href="./subreseller.php?id='.$rRow["id"].'" class="dropdown-item">Edit</a>';
                                        $rButtons .= '<a href="javascript:void(0)" onclick="blockReseller(this, \''.$rRow['username'].'\', \''.$rRow['status'].'\');" data-href="./block_reseller.php?id='.$rRow["id"].'&status='.$rRow['status'].'" class="dropdown-item">'.$blocktxt.'</a>';
                                        $rButtons .= '<a href="javascript:void(0)" onclick="deleteExpired(\''.$rRow['username'].'\', \''.$rRow['id'].'\');" class="dropdown-item">Delete expired trial</a>';
                                        $rButtons .= '<a href="javascript:void(0)" onclick="logAsReseller(\''.$rRow['username'].'\', \''.$rRow['id'].'\');" class="dropdown-item">Log in AS </a>';
                                        $rButtons .= '<a href="javascript:void(0)" onclick="sendMessage(\''.$rRow['username'].'\', \''.$rRow['id'].'\');" class="dropdown-item">Send MSG </a>';
                                        // } 
                                    } else {
                                        $rButtons .= '<a href="javascript:void(0)" onclick="credit(\''.$rRow['id'].'\',\''.$rRow['credits'].'\',\''.$rRow['username'].'\')" class="dropdown-item">Credits Transfer</a>';
                                        $rButtons .= '<a href="javascript:void(0)" onclick="creditMoney(\''.$rRow['id'].'\',\''.$rRow['credits'].'\',\''.$rRow['username'].'\')" class="dropdown-item">Money Transfer</a>';
										$rButtons .= '<a href="moneyStat.php?id='.$rRow['id'].'" class="dropdown-item">Money logs</a>';
										$rButtons .= '<a href="./subreseller.php?id='.$rRow["id"].'" class="dropdown-item">Edit</a>';
                                    }
                                    
                                    $rButtons .="</div>
                                    </div>";
									try{
										$rUnitPrice = "SELECT * FROM reg_users_credit WHERE target_id = :id LIMIT 1";
										$stmtUnit = $pdoPanel->prepare($rUnitPrice);
										$stmtUnit->bindParam(":id", $rRow["id"]);
										$stmtUnit->execute();
										
										$rResultUnit = $stmtUnit->fetchAll(PDO::FETCH_ASSOC);
										$unitPrice = (count($rResultUnit)>0)?$rResultUnit[0]['credit_price']:1;
									} catch (Exception $e) {
										$unitPrice = 1;
									}
									
                                    $rReturn["data"][] = Array($rRow["id"], $rRow["username"], $rRow["owner_username"], $rRow["ip"], $rRow["group_name"], $rStatus, $rRow["credits"], $unitPrice, $rRow["user_count"], $rRow["last_login"],$rButtons);
                                }
                            }
                        }
                            echo json_encode($rReturn);
                            break;

                    case "reg_users_match":
                        $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                        $rOrder = Array("`reg_users`.`id`", "`reg_users`.`username`", "`r`.`username`", "`reg_users`.`ip`", "`member_groups`.`group_name`", "`reg_users`.`status`", "`reg_users`.`credits`", "`user_count`", "`reg_users`.`last_login`", false);
                        if (strlen($_GET["order"][0]["column"]) > 0) {
                            $rOrderRow = intval($_GET["order"][0]["column"]);
                        } else {
                            $rOrderRow = 0;
                        }
                        $rWhere = Array();
                        $rWhere[] = "`member_groups`.`group_id` != 1";
                        if ($rPermissions["is_reseller"]) {
                            $rWhere[] = "`reg_users`.`owner_id` IN ($clause)";
                        }
                        if (strlen($_GET["search"]["value"]) > 0) {
                            $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                            $rWhere[] = "(`reg_users`.`id` LIKE '%{$rSearch}%' OR `reg_users`.`username` LIKE '%{$rSearch}%' OR `reg_users`.`notes` LIKE '%{$rSearch}%' OR `r`.`username` LIKE '%{$rSearch}%' OR from_unixtime(`reg_users`.`date_registered`) LIKE '%{$rSearch}%' OR from_unixtime(`reg_users`.`last_login`) LIKE '%{$rSearch}%' OR `reg_users`.`email` LIKE '%{$rSearch}%' OR `reg_users`.`ip` LIKE '%{$rSearch}%' OR `member_groups`.`group_name` LIKE '%{$rSearch}%')";
                        }

                        if (count($rWhere) > 0) {
                            $rWhereString = "WHERE ".join(" AND ", $rWhere);
                        } else {
                            $rWhereString = "";
                        }
                        if ($rOrder[$rOrderRow]) {
                            $rOrderBy = "ORDER BY ".$rOrder[$rOrderRow]." ".$_GET["order"][0]["dir"];
                        }
                        $rCountQuery = "SELECT COUNT(*) AS `count` FROM `reg_users` LEFT JOIN `member_groups` ON `member_groups`.`group_id` = `reg_users`.`member_group_id` LEFT JOIN `reg_users` AS `r` on `r`.`id` = `reg_users`.`owner_id` {$rWhereString};";
                        $stmtCount = $db->prepare($rCountQuery);
                        if ($rPermissions["is_reseller"]){
                            $stmtCount->bind_param($types, ...$regUsers);
                        }
                        $stmtCount->execute();
                        $rResult = $stmtCount->get_result();
                        $stmtCount->close();

                        if (($rResult) && ($rResult->num_rows == 1)) {
                            $rReturn["recordsTotal"] = $rResult->fetch_assoc()["count"];
                        } else {
                            $rReturn["recordsTotal"] = 0;
                        }
                        $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                        if ($rReturn["recordsTotal"] > 0) {
                            $rQuery = "SELECT `reg_users`.`id`, `reg_users`.`status`, `reg_users`.`notes`, `reg_users`.`credits`, `reg_users`.`username`,
							`reg_users`.`email`, `reg_users`.`ip`, FROM_UNIXTIME(`reg_users`.`date_registered`) AS `date_registered`,
							FROM_UNIXTIME(`reg_users`.`last_login`) AS `last_login`, `r`.`username` as `owner_username`, `member_groups`.`group_name`, 
							`reg_users`.`verified`, `reg_users`.`status`, (SELECT COUNT(`id`) FROM `users` WHERE `member_id` = `reg_users`.`id`) AS `user_count` 
							FROM `reg_users` LEFT JOIN `member_groups` ON `member_groups`.`group_id` = `reg_users`.`member_group_id` 
							LEFT JOIN `reg_users` AS `r` on `r`.`id` = `reg_users`.`owner_id` {$rWhereString} {$rOrderBy};";
							//echo $rQuery;
                            $stmt = $db->prepare($rQuery);
                            if ($rPermissions["is_reseller"]){
                                $stmt->bind_param($types, ...$regUsers);
                            }
                            $stmt->execute();
                            $rResult = $stmt->get_result();
                            $stmt->close();

                            if (($rResult) && ($rResult->num_rows > 0)) {
                                while ($rRow = $rResult->fetch_assoc()) {
									
									if($rRow['password'] == cryptPassword($rRow['username'])){
										$rButtons = '<div class="btn-group">
										<button type="button" class="btn  dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-cogs"></i></button>
										<div class="dropdown-menu">';
										if ($rRow["status"] == 1) {
											$blocktxt = 'Block';
											$rStatus = '<i class="text-success fas fa-circle"></i>';
										} else {
											$blocktxt = 'UnBlock';
											$rStatus = '<i class="text-danger fas fa-circle"></i>';
										}
										if (!$rRow["last_login"]) {
											$rRow["last_login"] = "NEVER";
										}
									   
										if ($rPermissions["is_admin"]) {
											// if (hasPermissions("adv", "edit_reguser")) {
											$rButtons .= '<a href="javascript:void(0)" onclick="credit(\''.$rRow['id'].'\',\''.$rRow['credits'].'\',\''.$rRow['username'].'\')" class="dropdown-item">Credits Transfer</a>';
											$rButtons .= '<a href="javascript:void(0)" onclick="creditMoney(\''.$rRow['id'].'\',\''.$rRow['credits'].'\',\''.$rRow['username'].'\')" class="dropdown-item">Money Transfer</a>';
											$rButtons .= '<a href="moneyStat.php?id='.$rRow['id'].'" class="dropdown-item">Money logs</a>';
											$rButtons .= '<a href="./subreseller.php?id='.$rRow["id"].'" class="dropdown-item">Edit</a>';
											$rButtons .= '<a href="javascript:void(0)" onclick="blockReseller(this, \''.$rRow['username'].'\', \''.$rRow['status'].'\');" data-href="./block_reseller.php?id='.$rRow["id"].'&status='.$rRow['status'].'" class="dropdown-item">'.$blocktxt.'</a>';
											// } 
										} else {
											$rButtons .= '<a href="javascript:void(0)" onclick="credit(\''.$rRow['id'].'\',\''.$rRow['credits'].'\',\''.$rRow['username'].'\')" class="dropdown-item">Credits Transfer</a>';
											$rButtons .= '<a href="javascript:void(0)" onclick="creditMoney(\''.$rRow['id'].'\',\''.$rRow['credits'].'\',\''.$rRow['username'].'\')" class="dropdown-item">Money Transfer</a>';
											$rButtons .= '<a href="moneyStat.php?id='.$rRow['id'].'" class="dropdown-item">Money logs</a>';
											$rButtons .= '<a href="./subreseller.php?id='.$rRow["id"].'" class="dropdown-item">Edit</a>';
										}
										
										$rButtons .="</div>
										</div>";
										try{
											$rUnitPrice = "SELECT * FROM reg_users_credit WHERE target_id = :id LIMIT 1";
											$stmtUnit = $pdoPanel->prepare($rUnitPrice);
											$stmtUnit->bindParam(":id", $rRow["id"]);
											$stmtUnit->execute();
											
											$rResultUnit = $stmtUnit->fetchAll(PDO::FETCH_ASSOC);
											$unitPrice = (count($rResultUnit)>0)?$rResultUnit[0]['credit_price']:1;
										} catch (Exception $e) {
											$unitPrice = 1;
										}
										
										$rReturn["data"][] = Array($rRow["id"], $rRow["username"], $rRow["owner_username"], $rRow["ip"], $rRow["group_name"], $rStatus, $rRow["credits"], $unitPrice, $rRow["user_count"], $rRow["last_login"],$rButtons);
									}
								}
                            }
                        }
                            echo json_encode($rReturn);
                            break;

                    case "tickets":
                        $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                        $rOrder = Array(false,false,false,false,false);
                        if (strlen($_GET["order"][0]["column"]) > 0) {
                            $rOrderRow = intval($_GET["order"][0]["column"]);
                        } else {
                            $rOrderRow = 0;
                        }
                        $rWhere = Array();
                        //$rWhere[] = "tickets.status = 1";
                        if (!$rPermissions["is_admin"]){
                            $rWhere[] = "member_id = ?";
                        }
                        if (strlen($_GET["search"]["value"]) > 0) {
                            $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                            $rWhere[] = "(`reg_users`.`username` LIKE '%{$rSearch}%' OR `tickets`.`title` LIKE '%{$rSearch}%')";
                        }
                        if (count($rWhere) > 0) {
                            $rWhereString = "WHERE ".join(" AND ", $rWhere);
                        } else {
                            $rWhereString = "";
                        }
                        $rOrderBy = "ORDER BY `tickets`.`id` DESC";
                        $rCountQuery = "SELECT COUNT(*) AS `count` FROM reg_users JOIN tickets ON reg_users.id=tickets.member_id {$rWhereString};";
                        $stmtCount = $db->prepare($rCountQuery);
                        if ($_SESSION['admin']!=1){
                            $stmtCount->bind_param("i", $_SESSION['id']);
                        }
                        $stmtCount->execute();
                        $rResult = $stmtCount->get_result();
                        $stmtCount->close();

                        if (($rResult) && ($rResult->num_rows == 1)) {
                            $rReturn["recordsTotal"] = $rResult->fetch_assoc()["count"];
                        } else {
                            $rReturn["recordsTotal"] = 0;
                        }
                        $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                        if ($rReturn["recordsTotal"] > 0) {
                            $rQuery = "SELECT tickets.id, reg_users.username, owner_id, tickets.title, tickets.status, tickets.admin_read,tickets.user_read
								, TE.step1, TE.step2, TE.step3, TE.step4  FROM reg_users 
								JOIN tickets ON reg_users.id=tickets.member_id
								LEFT JOIN panel.ticket_extra AS TE ON TE.ticket_id = tickets.id
								{$rWhereString} {$rOrderBy};";
                            $stmt = $db->prepare($rQuery);
                            if ($_SESSION['admin']!=1){
                                $stmt->bind_param("i", $_SESSION['id']);
                            }
                            $stmt->execute();
                            $rResult = $stmt->get_result();
                            $stmt->close();

                            if (($rResult) && ($rResult->num_rows > 0)) {
                                while ($rRow = $rResult->fetch_assoc()) {
                                    $rButtons = '<div class="btn-group">
                                    <button type="button" class="btn  dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-cogs"></i></button>
                                    <div class="dropdown-menu">';
                                    if($_SESSION['admin']){
                                        if($rRow['admin_read'] == 1){
                                            $rStatus = '<a href="#" class="badge badge-pill badge-success">Viewed</a>';
                                        }else{
                                            $rStatus = '<a href="#" class="badge badge-pill badge-danger">Unread</a>';
                                        }
                                    }else{
                                        if($rRow['user_read'] == 1){
                                            $rStatus = '<a href="#" class="badge badge-pill badge-success">Viewed</a>';
                                        }else{
                                            $rStatus = '<a href="#" class="badge badge-pill badge-danger">Unread</a>';
                                        } 
                                    }
									
									if($rRow['status'] == 0){
										$rStatus = '<a href="#" class="badge badge-pill badge-danger">closed</a>';
									}

                                    $rButtons .= '<a href="show_ticket.php?id='.$rRow['id'].'" class="dropdown-item">View Ticket</a>';
                                    $rButtons .= '<a href="close_ticket.php?id='.$rRow['id'].'"  class="dropdown-item">Close Ticket</a>';

                                    if ($rPermissions["is_admin"]) {
                                        $rButtons .= '<a href="delete_ticket.php?id='.$rRow['id'].'" class="dropdown-item">Delete Ticket</a>';
                                        // }
                                    }
                                    $rButtons .="</div>
                                    </div>";
                                    $stmtInfoTicket = $pdo->prepare("SELECT * FROM tickets_replies WHERE ticket_id = :tId ORDER BY id DESC limit 1 ");
                                    $stmtInfoTicket->bindParam(":tId",$rRow['id']);
                                    $stmtInfoTicket->execute();
                                    $rsInfoTicket = $stmtInfoTicket->fetchAll(PDO::FETCH_ASSOC);
                                    $admin_reply = "";
                                    $date_ticket ="";
                                    $string_date_ticket ="";
                                    if($rsInfoTicket){
                                        $rsInfoTicket = $rsInfoTicket[0];
                                        $admin_reply = $rsInfoTicket['admin_reply'];
                                        $date_ticket = $rsInfoTicket['date'];
                                        $string_date_ticket = date("d-m-Y (H:i)", $date_ticket);
                                    }
                                    // OPTIONS STATUS USERNAME TITLE LAST_REPLY
                                    $username_ticket = $rRow['username'];
                                    $title = $rRow['title'];
                                    $username = $rRow['username'];
                                    if ($admin_reply == 1){
                                        $last_reply = "".$string_date_ticket." From Staff";  
                                    }else{
                                        $last_reply = "".$string_date_ticket." From ".$username_ticket."";  
                                    }

                                    $details = $rRow['step1'].'--'.$rRow['step2'].'--'.$rRow['step3'].'--'.$rRow['step4'];
                                    $rReturn["data"][] = Array($rStatus, $username,$title, $details, $last_reply,$rButtons);
                                }
                            }
                        }
                        echo json_encode($rReturn);
                        break;
                        

                   

                    case "credits_log":
                        $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                        $rOrder = Array(false,false,false,false,false);
                        if (strlen($_GET["order"][0]["column"]) > 0) {
                            $rOrderRow = intval($_GET["order"][0]["column"]);
                        } else {
                            $rOrderRow = 0;
                        }
                        $rWhere = Array();
                        // $regUsers = array_keys(getRegisteredUsers($_SESSION["id"]));
                        if($_SESSION['admin'] == 0){
                            $t = array_keys(getRegisteredUsers($_SESSION["id"]));
                            $rWhere[] = "(`credits_log`.`admin_id` IN ($clause)) OR (`credits_log`.`target_id` IN ($clause))";
                            // echo json_encode($rWhere);
                        }
                        if (strlen($_GET["search"]["value"]) > 0) {
                            $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                            $rWhere[] = "(`reg_users`.`username` LIKE '%{$rSearch}%' OR `b`.`username` LIKE '%{$rSearch}%' OR `credits_log`.`reason` LIKE '%{$rSearch}%')";
                        }
                        if (count($rWhere) > 0) {
                            $rWhereString = "WHERE ".join(" AND ", $rWhere);
                        } else {
                            $rWhereString = "";
                        }
                        $rOrderBy = "ORDER BY `credits_log`.`id` DESC";
                        $rCountQuery = "SELECT COUNT(*) AS `count` FROM `credits_log` JOIN reg_users ON target_id = reg_users.id JOIN reg_users b ON admin_id = b.id {$rWhereString};";
                        $stmtCount = $db->prepare($rCountQuery);
                        if ($_SESSION['admin'] == 0){
                            $stmtCount->bind_param($types.$types, ...$t, ...$regUsers);
                        }
                        $stmtCount->execute();
                        $rResult = $stmtCount->get_result();
                        $stmtCount->close();

                        if (($rResult) && ($rResult->num_rows == 1)) {
                            $rReturn["recordsTotal"] = $rResult->fetch_assoc()["count"];
                        } else {
                            $rReturn["recordsTotal"] = 0;
                        }
                        $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                        if ($rReturn["recordsTotal"] > 0) {
                            $rQuery = "SELECT `credits_log`.`admin_id` , `b`.`username` fromUser, `credits_log`.`target_id` , `reg_users`.`username` toUser, `amount`, `date`, `reason`  FROM `credits_log` JOIN `reg_users` ON `target_id` = `reg_users`.`id` LEFT JOIN `reg_users` b ON `admin_id` = b.id {$rWhereString} {$rOrderBy};";
                            $stmt = $db->prepare($rQuery);
                            if ($_SESSION['admin']== 0){
                                
                                $stmt->bind_param($types.$types, ...$t, ...$regUsers);

                            }
                            $stmt->execute();
                            $rResult = $stmt->get_result();
                            $stmt->close();

                            if (($rResult) && ($rResult->num_rows > 0)) {
                                while ($rRow = $rResult->fetch_assoc()) {
                                    $fromUser = "<b style='color:#3c4876;'>serveradmin<b>";
                                    if($rRow["fromUser"] != NULL){
                                        $fromUser = $rRow["fromUser"];
                                    }
                                    $toUser = $rRow["toUser"];
                                    $date = date("d/m/Y (H:i)", $rRow["date"]);
                                    $color="green";
                                    if(intval($rRow["amount"])<0){
                                        $color ="red";
                                    }
                                    $amount = "<p style='font-size:16px;color :".$color."'><b>".$rRow["amount"]."</b>  </p>";
                                    $reason = $rRow["reason"];
                                
                                    $rReturn["data"][] = Array($fromUser,$toUser, $date,$amount,$reason);
                                }
                            }
                        }
                        echo json_encode($rReturn);
                        break;
					case "credits_log_by_user":
                        $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                        $rOrder = Array(false,false,false,false,false);
                        if (strlen($_GET["order"][0]["column"]) > 0) {
                            $rOrderRow = intval($_GET["order"][0]["column"]);
                        } else {
                            $rOrderRow = 0;
                        }
						$id = $_GET['user'];
                        $rWhere = Array();
                        // $regUsers = array_keys(getRegisteredUsers($_SESSION["id"]));
                        if($_SESSION['admin'] == 0){
                            $t = array_keys(getRegisteredUsers($_SESSION["id"]));
                            $rWhere[] = "(`credits_log`.`admin_id` IN ($clause)) OR (`credits_log`.`target_id` IN ($clause))";
                            // echo json_encode($rWhere);
                        }
                        if (strlen($_GET["search"]["value"]) > 0) {
                            $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                            $rWhere[] = "(`reg_users`.`username` LIKE '%{$rSearch}%' OR `b`.`username` LIKE '%{$rSearch}%' OR `credits_log`.`reason` LIKE '%{$rSearch}%')";
                        }
                        if (count($rWhere) > 0) {
                            $rWhereString = "WHERE ".join(" AND ", $rWhere);
                        } else {
                            $rWhereString = "";
                        }
                        $rOrderBy = "ORDER BY `credits_log`.`id` DESC";
                        $rCountQuery = "SELECT COUNT(*) AS `count` FROM `credits_log` JOIN reg_users ON target_id = reg_users.id 
						JOIN reg_users b ON admin_id = b.id WHERE credits_log.target_id = {$id};";
                        $stmtCount = $db->prepare($rCountQuery);
                        
                        //$stmtCount->bind_param("i", $id);
                       
                        $stmtCount->execute();
                        $rResult = $stmtCount->get_result();
                        $stmtCount->close();

                        if (($rResult) && ($rResult->num_rows == 1)) {
                            $rReturn["recordsTotal"] = $rResult->fetch_assoc()["count"];
                        } else {
                            $rReturn["recordsTotal"] = 0;
                        }
                        $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                        if ($rReturn["recordsTotal"] > 0) {
                            $rQuery = "SELECT `credits_log`.`admin_id` , `b`.`username` fromUser, `credits_log`.`target_id` , `reg_users`.`username` toUser, 
							`amount`, `date`, `reason`  FROM `credits_log` JOIN `reg_users` ON `target_id` = `reg_users`.`id` LEFT JOIN `reg_users` b ON 
							`admin_id` = b.id WHERE credits_log.target_id = {$id} {$rOrderBy};";
							
						    $stmt = $db->prepare($rQuery);
                            
                            //$stmt->bind_param("i", $id);
                            $stmt->execute();
                            $rResult = $stmt->get_result();
                            $stmt->close();

                            if (($rResult) && ($rResult->num_rows > 0)) {
                                while ($rRow = $rResult->fetch_assoc()) {
                                    $fromUser = "<b style='color:#3c4876;'>serveradmin<b>";
                                    if($rRow["fromUser"] != NULL){
                                        $fromUser = $rRow["fromUser"];
                                    }
                                    $toUser = $rRow["toUser"];
                                    $date = date("d/m/Y (H:i)", $rRow["date"]);
                                    $color="green";
                                    if(intval($rRow["amount"])<0){
                                        $color ="red";
                                    }
                                    $amount = "<p style='font-size:16px;color :".$color."'><b>".$rRow["amount"]."</b>  </p>";
                                    $reason = $rRow["reason"];
                                
                                    $rReturn["data"][] = Array($fromUser,$toUser, $date,$amount,$reason);
                                }
                            }
                        }
                        echo json_encode($rReturn);
                        break;
					case "money_log_by_user":
                        $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                        $rOrder = Array(false,false,false,false,false);
                        if (strlen($_GET["order"][0]["column"]) > 0) {
                            $rOrderRow = intval($_GET["order"][0]["column"]);
                        } else {
                            $rOrderRow = 0;
                        }
						$id = $_GET['user'];
                        $rWhere = Array();
                        // $regUsers = array_keys(getRegisteredUsers($_SESSION["id"]));
                        if($_SESSION['admin'] == 0){
                            $t = array_keys(getRegisteredUsers($_SESSION["id"]));
                            $rWhere[] = "(`credits_log`.`admin_id` IN ($clause)) OR (`credits_log`.`target_id` IN ($clause))";
                            // echo json_encode($rWhere);
                        }
                        if (strlen($_GET["search"]["value"]) > 0) {
                            $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                            $rWhere[] = "(`reg_users`.`username` LIKE '%{$rSearch}%' OR `b`.`username` LIKE '%{$rSearch}%' OR `credits_log`.`reason` LIKE '%{$rSearch}%')";
                        }
                        if (count($rWhere) > 0) {
                            $rWhereString = "WHERE ".join(" AND ", $rWhere);
                        } else {
                            $rWhereString = "";
                        }
                        $rOrderBy = "ORDER BY `money_log`.`id` DESC";
                        $rCountQuery = "SELECT COUNT(*) AS `count` FROM `money_log`  WHERE money_log.target_id = {$id};";
                        $stmtCount = $db2->prepare($rCountQuery);
                        
                        //$stmtCount->bind_param("i", $id);
                       
                        $stmtCount->execute();
                        $rResult = $stmtCount->get_result();
                        $stmtCount->close();

                        if (($rResult) && ($rResult->num_rows == 1)) {
                            $rReturn["recordsTotal"] = $rResult->fetch_assoc()["count"];
                        } else {
                            $rReturn["recordsTotal"] = 0;
                        }
                        $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                        if ($rReturn["recordsTotal"] > 0) {
                            $rQuery = "SELECT `money_log`.`admin_id` , `money_log`.`admin_id` fromUser, `money_log`.`target_id` , `money_log`.`target_id` toUser, 
							`amount`, `date`, `reason`  FROM `money_log` WHERE money_log.target_id = {$id} {$rOrderBy};";
							
						    $stmt = $db2->prepare($rQuery);
                            
                            //$stmt->bind_param("i", $id);
                            $stmt->execute();
                            $rResult = $stmt->get_result();
                            $stmt->close();

                            if (($rResult) && ($rResult->num_rows > 0)) {
                                while ($rRow = $rResult->fetch_assoc()) {
									
                                    $fromUser = "<b style='color:#3c4876;'>serveradmin<b>";
                                    if($rRow["fromUser"] != NULL){
                                        $fromUser = getRegisteredUsername($rRow["fromUser"]);
                                    }
									//die(json_encode($fromUser));
                                    $toUser = getRegisteredUsername($rRow["toUser"]);
                                    $date = date("d/m/Y (H:i)", $rRow["date"]);
                                    $color="green";
                                    if(intval($rRow["amount"])<0){
                                        $color ="red";
                                    }
                                    $amount = "<p style='font-size:16px;color :".$color."'><b>".$rRow["amount"]."</b>  </p>";
                                    $reason = $rRow["reason"];
                                
                                    $rReturn["data"][] = Array($toUser, $fromUser,$date,$amount,$reason);
                                }
                            }
                        }
                        echo json_encode($rReturn);
                        break;
                    case "complaints":
                            $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                            $rOrder = Array(false,false,false,false,false);
                            if (strlen($_GET["order"][0]["column"]) > 0) {
                                $rOrderRow = intval($_GET["order"][0]["column"]);
                            } else {
                                $rOrderRow = 0;
                            }
                            $rWhere = Array();
                            $rWhere[] = "panel_complaints.status = 1";
                            if (!$rPermissions["is_admin"]){
                                $rWhere[] = "panel.panel_complaints.member_id = ?";
                            }
                            if (strlen($_GET["search"]["value"]) > 0) {
                                $rSearch = $db2->real_escape_string($_GET["search"]["value"]);
                                $rWhere[] = "(`xtream_iptvpro'.'reg_users`.`username` LIKE '%{$rSearch}%' OR `panel`.`panel_complaints`.`title` LIKE '%{$rSearch}%')";
                            }
                            if (count($rWhere) > 0) {
                                $rWhereString = "WHERE ".join(" AND ", $rWhere);
                            } else {
                                $rWhereString = "";
                            }
                            $rOrderBy = "ORDER BY `panel_complaints`.`id` DESC";
                            $rCountQuery = "SELECT COUNT(*) AS `count`
                            FROM xtream_iptvpro.reg_users
                            JOIN panel.panel_complaints ON xtream_iptvpro.reg_users.id = panel.panel_complaints.member_id {$rWhereString};";
                            $stmtCount = $db2->prepare($rCountQuery);
                            if (!$rPermissions["is_admin"]){
                                $stmtCount->bind_param("i",$_SESSION['id']);
                            }
                            $stmtCount->execute();
                            $rResult = $stmtCount->get_result();
                            $stmtCount->close();
                            if (($rResult) && ($rResult->num_rows == 1)) {
                                $rReturn["recordsTotal"] = $rResult->fetch_assoc()["count"];
                            } else {
                                $rReturn["recordsTotal"] = 0;
                            }
                            $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                            if ($rReturn["recordsTotal"] > 0) {
                                $rQuery = "SELECT panel.panel_complaints.id, xtream_iptvpro.reg_users.username, xtream_iptvpro.reg_users.owner_id, panel.panel_complaints.title, panel.panel_complaints.status, panel.panel_complaints.admin_read, panel.panel_complaints.user_read  
                                FROM xtream_iptvpro.reg_users
                                JOIN panel.panel_complaints ON xtream_iptvpro.reg_users.id = panel.panel_complaints.member_id {$rWhereString} {$rOrderBy};";
                                // print($rQuery);
                                $stmt = $db2->prepare($rQuery);
                                if (!$rPermissions["is_admin"]){
                                    $stmt->bind_param("i",$_SESSION['id']);
                                }
                                $stmt->execute();
                                $rResult = $stmt->get_result();
                                // print_r($rResult);
                                $stmt->close();
                                if (($rResult) && ($rResult->num_rows > 0)) {
                                    while ($rRow = $rResult->fetch_assoc()) {
                                        // print_r($rRow);
                                        $rButtons = '<div class="btn-group">
                                        <button type="button" class="btn dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-cogs"></i></button>
                                        <div class="dropdown-menu">';
                                        if($_SESSION['admin']){
                                            if($rRow['admin_read']){
                                                $rStatus = '<a href="#" class="badge badge-pill badge-success">Viewed</a>';
                                            }else{
                                                $rStatus = '<a href="#" class="badge badge-pill badge-danger">Unread</a>';
                                            }
                                        }else{
                                            if($rRow['user_read']){
                                                $rStatus = '<a href="#" class="badge badge-pill badge-success">Viewed</a>';
                                            }else{
                                                $rStatus = '<a href="#" class="badge badge-pill badge-danger">Unread</a>';
                                            } 
                                        }
    
                                        $rButtons .= '<a href="show_complaint.php?id='.$rRow['id'].'" class="dropdown-item">View Complaint</a>';
    
                                        if ($rPermissions["is_admin"]) {
                                            $rButtons .= '<a href="close_complaint.php?id='.$rRow['id'].'"  class="dropdown-item">Close Complaint</a>';
                                            $rButtons .= '<a href="delete_complaint.php?id='.$rRow['id'].'" class="dropdown-item">Delete Complaint</a>';
                                            // }
                                        }
                                        $rButtons .="</div>
                                        </div>";
                                        $stmtInfoTicket = $pdoPanel->prepare("SELECT * FROM panel_complaints_messages WHERE complaint_id = :tId ORDER BY id DESC limit 1 ");
                                        $stmtInfoTicket->bindParam(":tId",$rRow['id']);
                                        $stmtInfoTicket->execute();
                                        $rsInfoTicket = $stmtInfoTicket->fetchAll(PDO::FETCH_ASSOC);
                                        $admin_reply = "";
                                        $date_ticket ="";
                                        $string_date_ticket ="";
                                        if($rsInfoTicket){
                                            $rsInfoTicket = $rsInfoTicket[0];
                                            $admin_reply = $rsInfoTicket['admin_reply'];
                                            $date_ticket = $rsInfoTicket['date'];
                                            $string_date_ticket = date("d-m-Y (H:i)", $date_ticket);
                                        }
                                        // OPTIONS STATUS USERNAME TITLE LAST_REPLY
                                        $username_ticket = $rRow['username'];
                                        $title = $rRow['title'];
                                        $username = $rRow['username'];
                                        if ($admin_reply == 1){
                                            $last_reply = "".$string_date_ticket." From Staff";  
                                        }else{
                                            $last_reply = "".$string_date_ticket." From ".$username_ticket."";  
                                        }
    
                                        
                                        $rReturn["data"][] = Array($rStatus, $username,$title, $last_reply,$rButtons);
                                    }
                                }
                            }
                            echo json_encode($rReturn);
                            break;
                    case "unlimited": 
                        $tType = "STB";
                        $rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
                        $rOrder = Array("","`users`.`enabled`","`mag_devices`.`mac`","`users`.`exp_date`","`users`.`name`","`users`.`owner_name`");
                        if (strlen($_GET["order"][0]["column"]) > 0) {
                                $rOrderRow = intval($_GET["order"][0]["column"]);
                        } else {
                                $rOrderRow = 0;
                        }
                        $rWhere = Array();
                        $rWhere[] = "`users`.`member_id` = ? AND exp_date is NULL";
                        $rWhere[] = "`users`.`is_mag` = 1";

                        // print_r($rWhere);                     
                            // var_dump($rWhere);
                            // $primaryKey = 'id';
                        if (strlen($_GET["search"]["value"]) > 0) {
                                $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                                $rWhere[] = "from_base64(`mag_devices`.`mac`) LIKE '%".strtoupper($rSearch)."%'  OR `users`.`admin_notes` LIKE '%{$rSearch}%' OR `users`.`reseller_notes` LIKE '%{$rSearch}%' OR `users`.`name` LIKE '%{$rSearch}%')";
                        }

                        if (count($rWhere) > 0) {
                                $rWhereString = "WHERE ".join(" AND ", $rWhere);
                        } else {
                                $rWhereString = "";
                        }
                        $rOrderBy = "ORDER BY id DESC";
                        $rCountQuery = "SELECT COUNT(`users`.`id`) AS `count` FROM `users` 
						LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` 
						INNER JOIN `mag_devices` ON `mag_devices`.`user_id` = `users`.`id` {$rWhereString};";
                        
                        $stmtCount = $db->prepare($rCountQuery);
                        $stmtCount->bind_param("i", $_SESSION['id']);
                        $stmtCount->execute();
                        $rResult = $stmtCount->get_result();
                        $stmtCount->close();

                        while ($rRow = $rResult->fetch_assoc()) {
                            $count = $rRow['count'];
                        }
                        if (($rResult) && ($rResult->num_rows == 1)) {
                                $rReturn["recordsTotal"] = $count;
                        } else {
                                $rReturn["recordsTotal"] = 0;
                        }
                        $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                        if ($rReturn["recordsTotal"] > 0) {
                            $rQuery = "SELECT `users`.`pair_id`,`users`.`id`,`users`.`name`, `users`.`username`,`users`.`created_at`, `mag_devices`.`mac`, 
							`mag_devices`.`mag_id`, `users`.`exp_date`, `users`.`admin_enabled`, `users`.`enabled`, `users`.`admin_notes`,
							`users`.`reseller_notes`, `users`.`max_connections`,  `users`.`is_trial`, `reg_users`.`username` AS `owner_name`, 
							(SELECT count(*) FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) AS `active_connections` 
							FROM `users` LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` 
							INNER JOIN `mag_devices` ON `mag_devices`.`user_id` = `users`.`id` {$rWhereString} {$rOrderBy}";
                            // var_dump($rQuery)
                            $stmt = $db->prepare($rQuery);
                            $stmt->bind_param("i", $_SESSION['id']);
                            $stmt->execute();
                            $rResult = $stmt->get_result();
                            $stmt->close();

                            $index=1;
                            if (($rResult) && ($rResult->num_rows > 0)) {
                                while ($rRow = $rResult->fetch_assoc()) {
                                        // var_dump($rRow);
                                    $rTrial = "";
                                    $stmtIP->bindParam(':id',$rRow['id']);
                                    $stmtIP->execute();
                                    $resultIP=$stmtIP->fetchAll(PDO::FETCH_ASSOC);
                                    $stmtChannel->bindParam(":id", $resultIP[0]['stream_id']);
                                    $stmtChannel->execute();
                                    $rsChannel = $stmtChannel->fetchAll(PDO::FETCH_ASSOC);
                                    $channelName = "";
                                    $ip = "";
                                    $state = $rRow['enabled'] == 0 ? 1 : 0;
                                    $on = '<a href="./disable.php?id='.$rRow['id'].'&type=mag&etat='.$state.'&unlimited=1" class="disableIt badge badge-pill badge-success">Enable</a>';
                                    $modalOnline="";
                                    $mac = base64_decode($rRow["mac"]);
                                    if($rsChannel){
                                        if($rRow["enabled"]){
                                            $channelName = $rsChannel[0]['stream_display_name'];
                                            $modalOnline = "<button class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"online\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_online' style='text-align:center; display:none;'><div style='display:inline-block;text-align:center;margin-bottom:5px;'>".$channelName."</div><br><div style='display:inline-block;text-align:center;'>".$resultIP[0]['user_ip']." <img style='width: 16px;height: 11px;border-radius: 0%;margin-left:3px; margin-bottom:3px;' title='".$resultIP[0]['geoip_country_code']."' src='../images/flags/".strtolower($resultIP[0]['geoip_country_code']).".png'></div><div style='margin-right:10%;margin-left:10%;' class='progress progress-md'><div class='progress-bar bg-success' role='progressbar' style='width:".intval(100 - $resultIP[0]['divergence'])."%' title='".intval(100 - $resultIP[0]['divergence'])."%' aria-valuemin='0' aria-valuenow='".intval(100 - $resultIP[0]['divergence'])."' aria-valuemax='100'></div></div><div style='margin-top:3px;'>(".intval(100 - $resultIP[0]['divergence'])."%)</div></div>";
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=mag&etat='.$state.'&unlimited=1" class="disableIt badge badge-pill badge-info">Online</a>';
                                        }else{
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=mag&etat='.$state.'&unlimited=1" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                        }
                                    }
                                    if($state==1){
                                        $title = "Enable Line";
                                    }else{
                                            $title = "Disable Line";
                                        }
                                    $rButtons = "<div class='btn-group'>
                                    <button type='button' class='btn  dropdown-toggle' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'><i class='fas fa-cogs'></i></button>
                                    <div class='dropdown-menu'>
                                    <a href='./edit.php?id=".$rRow['id']."&type=mag' class='dropdown-item'>Edit</a>
									<a href='javascript:void(0)' onclick='apercuModal(this)' data-href='./apercu.php?id=".$rRow['id']."&type=mag' class='dropdown-item'>Aperçu</a>
									<a href='javascript:void(0)' onclick='resetPasswordModal(this)' data-href='./resetPassword.php?id=".$rRow['id']."&type=mag' class='dropdown-item'>Reset Password</a>
                                    <a href='javascript:void(0)' onclick='switchModal(this)' data-href='./switch.php?id=".$rRow['id']."' class='dropdown-item switchusertype'>Switch Type</a>";
                                    if($rRow["pair_id"] == NULL){
                                        $rButtons .="<a href='javascript:void(0)' onclick='generateModal(this)' data-href='./pair_mag_device.php?id=".$rRow['id']."' class='dropdown-item'>Generate M3U</a>";
                                    }
                                    if($rRow["pair_id"] != NULL){
                                        $stmtPaired->bindParam(":id",$rRow['pair_id']);
                                        $stmtPaired->execute();
                                        $rsPaired = $stmtPaired->fetchAll(PDO::FETCH_ASSOC);
                                        // var_dump($rsPaired);
                                        if(count($rsPaired) > 0){
                                            $mac .= "<button class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"pair\")'><i class='fas fa-eye text-danger'></i></button><br><div id='".$rRow['id']."_pair' style='text-align:center; display:none;'><br>Username : <strong>".$rsPaired[0]['username']."</strong> <br> Password : <strong>".$rsPaired[0]['password']."</strong> </div>";
                                        }
                                    }
                                    if($channelName != ""){
                                        $rButtons .="<a href='#' onClick='kickUser(".$rRow["id"].",\"liste_mag.php\")' class='dropdown-item'>Kill</a>";
                                    }
                                    $rButtons .= "<div class='dropdown-divider'></div>
                                    <a href='resetcountry.php?id=".$rRow['id']."' class='dropdown-item'>Reset country Lock</a>
                                    <a href='resetParental.php?id=".$rRow['id']."' class='dropdown-item'>Reset Parental</a>
                                    <!--<a href='resetisp.php?id=".$rRow['id']."' class='dropdown-item'>Reset ISP Lock</a>-->
                                    <div class='dropdown-divider'></div>
                                    <a href='#' onClick='send_message(".$rRow["mag_id"].")' class='dropdown-item'>Send Message</a>
                                    <a href='#' onClick='reload_portal(".$rRow["mag_id"].")' class='dropdown-item'>Reload Portal</a>
                                    <a href='#' onClick='reboot_mag(".$rRow["mag_id"].")' class='dropdown-item'>Reboot Device</a>
                                    <a href='#' onClick='close_portal(".$rRow["mag_id"].")' class='dropdown-item'>Close Portal</a>
                                    </div>
                                    </div>";
                                    if (!$rRow["admin_enabled"]) {
                                            $rStatus = '<i class="text-danger fas fa-circle"></i>';
                                    } else {
                                        if (!$rRow["enabled"]) {
                                                $on = '<a href="./disable.php?id='.$rRow['id'].'&type=mag&etat='.$state.'&unlimited=1" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                        } else if (($rRow["exp_date"]) && ($rRow["exp_date"] < time())) {
                                                $on = '<a href="#" class="badge badge-pill badge-warning">Expired</a>';
                                        } else {
                                                $rStatus = '<i class="text-success fas fa-circle"></i>';
                                        }
                                    }
                                    if ($rRow["active_connections"] > 0) {
                                            $rActive = '<i class="text-success fas fa-circle"></i>';
                                    } else {
                                            $rActive = '<i class="text-warning far fa-circle"></i>';
                                    }
                                        // var_dump($rRow["is_trial"]);
                                    if ($rRow["is_trial"]) {
                                            $on .= '&nbsp;<a href="#" class="badge badge-pill badge-warning">Trial</a>';
                                    }
                                    if ($rRow["exp_date"]) {
                                        if ($rRow["exp_date"] < time()) {
                                            $now = time();
                                            $left = $now - $rRow["exp_date"];
                                            $days = floor($left / (60*60*24) );
                                            if($days == 0){
                                                $hours = floor($left / (60*60) );
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$hours.' hours</div>';
                                            }
                                            if($days >= 2){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' days</div>';
                                            }if($days == 1){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' day</div>';
                                            }
                                        } else {
                                            $now = time();
                                            $left = $rRow["exp_date"] - $now;
                                            $days = floor($left / (60*60*24) );
                                            if($days == 0){
                                                $hours = floor($left / (60*60) );
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$hours.' hours left</div>';
                                            }
                                            if($days >= 2){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' days left</div>';
                                            }if($days == 1){
                                                $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' day left</div>';
                                            }

                                        }
                                    } else {
                                            $rExpDate = "Never";
                                    }
                                    if ($rRow["created_at"]){
                                            $rCreatedDate = date("d/m/Y", $rRow["created_at"]);
                                    }
                                    $rActiveConnections = $rRow["active_connections"];
                                        // var_dump($rRow);
                                        $rNotes = $rRow['owner_name'];
                                        if($rRow["reseller_notes"] != ""){
                                            $rNotes .="&nbsp;<button title='Show Notes' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"notes\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_notes' style='text-align:center; display:none;'>".$rRow['reseller_notes']."</div>";
                                        }                                                // $rNotes = "";
                                    $rStatus = $on."&nbsp;".$modalOnline;
                                        // $rNotes = "";
                                    $rReturn["data"][] = Array($tType,$rStatus,$mac,$rRow['name'],$rNotes,$rButtons);
                                    }
                                    }
                                    }


                                $tType = "Line";
                                $rWhere = Array();
                                $rWhere[] = "`users`.`is_mag` = 0 AND `users`.`is_e2` = 0";
                                $rWhere[] = "`users`.`member_id` = ? AND exp_date is NULL";
                                $rWhere[] = "`users`.`pair_id` is NULL";
                                if (strlen($_GET["search"]["value"]) > 0) {
                                    $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                                    $rWhere[] = "(`users`.`username` LIKE '%{$rSearch}%' OR `users`.`reseller_notes` LIKE '%{$rSearch}%' OR `users`.`name` LIKE '%{$rSearch}%')";
                                }
                                if (count($rWhere) > 0) {
                                    $rWhereString = "WHERE ".join(" AND ", $rWhere);
                                } else {
                                    $rWhereString = "";
                                }
                                $rOrderBy = "ORDER BY id DESC";
                                $rCountQuery = "SELECT COUNT(`users`.`id`) AS `count` FROM `users` LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` {$rWhereString};";
                                $stmtCount = $db->prepare($rCountQuery);
                                $stmtCount->bind_param("i", $_SESSION['id']);
                                $stmtCount->execute();
                                $rResult = $stmtCount->get_result();
                                $stmtCount->close();

                                while ($rRow = $rResult->fetch_assoc()) {
                                    $count = $rRow['count'];
                                }
                                if (($rResult) && ($rResult->num_rows == 1)) {
                                    $rReturn["recordsTotal"] = intval($rReturn["recordsTotal"]) + $count;
                                } else {
                                    $rReturn["recordsTotal"] = $rReturn["recordsTotal"];
                                }
                                $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];

                                if ($count > 0) {
                                    $rQuery = "SELECT `users`.`pair_id`,`users`.`id`,`users`.`name`, `users`.`member_id`,`users`.`created_at`, `users`.`username`, `users`.`password`, `users`.`exp_date`, `users`.`admin_enabled`, `users`.`enabled`, `users`.`admin_notes`, `users`.`reseller_notes`, `users`.`max_connections`,  `users`.`is_trial`, `reg_users`.`username` AS `owner_name`, (SELECT count(*) FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) AS `active_connections`, (SELECT MAX(`date_start`) FROM `user_activity` WHERE `users`.`id` = `user_activity`.`user_id`) AS `last_active` FROM `users` LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` {$rWhereString} {$rOrderBy};";
                                    $stmt = $db->prepare($rQuery );
                                    $stmt->bind_param("i", $_SESSION['id']);
                                    $stmt->execute();
                                    $rResult = $stmt->get_result();
                                    $stmt->close();

                                    if (($rResult) && ($rResult->num_rows > 0)) {
                                        while ($rRow = $rResult->fetch_assoc()) {
                                            
                                                $stmtIP->bindParam(':id',$rRow['id']);
                                                $stmtIP->execute();
                                                $resultIP=$stmtIP->fetchAll(PDO::FETCH_ASSOC);
                                                $stmtChannel->bindParam(":id", $resultIP[0]['stream_id']);
                                                $stmtChannel->execute();
                                                $rsChannel = $stmtChannel->fetchAll(PDO::FETCH_ASSOC);
                                                $channelName = "";
                                                $ip = "";
                                                $state = $rRow['enabled'] == 0 ? 1 : 0;
                                                if($state==1){
                                                    $title = "Enable Line";
                                                }else{
                                                    $title = "Disable Line";
                                                }
                                                $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'&unlimited=1" class="disableIt badge badge-pill badge-success">Enable</a>';
                                                $modalOnline="";
                                                if($rsChannel){
                                                    if($rRow["enabled"]){
                                                        $channelName = $rsChannel[0]['stream_display_name'];
                                                        
                                                        $modalOnline = "<button class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"online\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_online' style='text-align:center; display:none;'><div style='display:inline-block;text-align:center;margin-bottom:5px;'>".$channelName."</div><br><div style='display:inline-block;text-align:center;'>".$resultIP[0]['user_ip']." <img style='width: 16px;height: 11px;border-radius: 0%;margin-left:3px; margin-bottom:3px;' title='".$resultIP[0]['geoip_country_code']."' src='../images/flags/".strtolower($resultIP[0]['geoip_country_code']).".png'></div><div style='margin-right:10%;margin-left:10%;' class='progress progress-md'><div class='progress-bar bg-success' role='progressbar' style='width:".intval(100 - $resultIP[0]['divergence'])."%' title='".intval(100 - $resultIP[0]['divergence'])."%' aria-valuemin='0' aria-valuenow='".intval(100 - $resultIP[0]['divergence'])."' aria-valuemax='100'></div></div><div style='margin-top:3px;'>(".intval(100 - $resultIP[0]['divergence'])."%)</div></div>";
                                                        $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'&unlimited=1" class="disableIt badge badge-pill badge-info">Online</a>';
                                                    }else{
                                                        $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'&unlimited=1" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                                    }
                                                }
                                                $rButtons = "<div class='btn-group'>
                                                <button type='button' class='btn  dropdown-toggle' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'><i class='fas fa-cogs'></i></button>
                                                <div class='dropdown-menu'>
                                                    <a href='./edit.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Edit</a>
													<a href='javascript:void(0)' onclick='apercuModal(this)' data-href='./apercu.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Aperçu</a>
													<a href='javascript:void(0)' onclick='resetPasswordModal(this)' data-href='./resetPassword.php?id=".$rRow['id']."&type=m3u' class='dropdown-item'>Reset Password</a>
                                                    <a href='javascript:void(0)' onclick='switchModal(this)' data-href='./switch.php?id=".$rRow['id']."' class='dropdown-item switchusertype'>Switch Type</a>
                                                    <a href='#' onClick='downloadFunc(\"".$rRow["username"]."\",\"".$rRow["password"]."\");' class='dropdown-item'>Download Line</a>
                                                    <a href='resetcountry.php?id=".$rRow['id']."' class='dropdown-item'>Reset country Lock</a>";
                                                    if($channelName != ""){
                                                        $rButtons .="<a href='#' onClick='kickUser(".$rRow["id"].",\"liste_m3u.php\")' class='dropdown-item'>Kill</a>";
                                                    }
                                                    $rButtons .="</div>
                                                    </div>";
                                                if (!$rRow["admin_enabled"]) {
                                                    $rStatus = '<i class="text-danger fas fa-circle"></i>';
                                                } else {
                                                    if (!$rRow["enabled"]) {
                                                        $on = '<a href="./disable.php?id='.$rRow['id'].'&type=m3u&etat='.$state.'&unlimited=1" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                                    } else if (($rRow["exp_date"]) && ($rRow["exp_date"] < time())) {
                                                        $on = '<a href="#" class="badge badge-pill badge-warning">Expired</a>';
                                                    } else {
                                                        $rStatus = '<i class="text-success fas fa-circle"></i>';
                                                    }
                                                }
                                                if ($rRow["active_connections"] > 0) {
                                                    $rActive = '<i class="text-success fas fa-circle"></i>';
                                                } else {
                                                    $rActive = '<i class="text-warning far fa-circle"></i>';
                                                }
                                                if ($rRow["is_trial"]) {
                                                    $on .= '<a href="#" class="badge badge-pill badge-warning">Trial</a>';
                                                }
                                                if ($rRow["exp_date"]) {
                                                    if ($rRow["exp_date"] < time()) {
                                                        $now = time();
                                                        $left = $now - $rRow["exp_date"];
                                                        $days = floor($left / (60*60*24) );
                                                        if($days == 0){
                                                            $hours = floor($left / (60*60) );
                                                            $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$hours.' hours</div>';

                                                        }
                                                        if($days >= 2){
                                                            $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' days</div>';
                                                        }if($days == 1){
                                                            $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' day</div>';
                                                        }
                                                    } else {
                                                        $now = time();
                                                        $left = $rRow["exp_date"] - $now;
                                                        $days = floor($left / (60*60*24) );
                                                        if($days == 0){
                                                            $hours = floor($left / (60*60) );
                                                            $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$hours.' hours left</div>';
                                                        }
                                                        if($days >= 2){
                                                            $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' days left</div>';
                                                        }if($days == 1){
                                                            $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' day left</div>';
                                                        }
            
                                                    }
                                                } else {
                                                    $rExpDate = "Never";
                                                }
                                                if($rRow["created_at"]){
                                                    $rCreatedDate = date("d/m/Y", $rRow["created_at"]);
                                                }
                                                $rActiveConnections = $rRow["active_connections"];
                                                // var_dump($rRow);
                                                $rNotes = $rRow['owner_name'];
                                                if($rRow["reseller_notes"] != ""){
                                                    $rNotes .="&nbsp;<button title='Show Notes' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"notes\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_notes' style='text-align:center; display:none;'>".$rRow['reseller_notes']."</div>";
                                                }                                                // $rNotes = "";
                                                $rStatus = $on."&nbsp;".$modalOnline;
                                                $modalPassword = "<button title='Show Password' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"password\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_password' style='text-align:center; display:none;'><i class='fas fa-user-lock'style='font-style: normal;'>".$rRow['password']."</i></div>";
                                                $credentials = $rRow["username"]."&nbsp;".$modalPassword;
                                                $rReturn["data"][] = Array($tType,$rStatus,$credentials,$rRow['name'],$rNotes,$rButtons);
            
                                        }
                                    }
                                }
                                $rType = "E2";
                                $rWhere = Array();
                                $rWhere[] = "`users`.`member_id` = ? AND exp_date is NULL";
                                $rWhere[] = "`users`.`is_e2` = 1";
                                if (strlen($_GET["search"]["value"]) > 0) {
                                    $rSearch = $db->real_escape_string($_GET["search"]["value"]);
                                    $rWhere[] = "`enigma2_devices`.`mac` LIKE '%{$rSearch}%' OR `users`.`reseller_notes` LIKE '%{$rSearch}%' OR `users`.`name` LIKE '%{$rSearch}%')";
                                }
                                if (count($rWhere) > 0) {
                                    $rWhereString = "WHERE ".join(" AND ", $rWhere);
                                } else {
                                    $rWhereString = "";
                                }
                                $rOrderBy = "ORDER BY id DESC";
                                $rCountQuery = "SELECT COUNT(`users`.`id`) AS `count` FROM `users` LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` INNER JOIN `enigma2_devices` ON `enigma2_devices`.`user_id` = `users`.`id` {$rWhereString};";
                                $stmtCount = $db->prepare($rCountQuery);
                                $stmtCount->bind_param("i", $_SESSION['id']);
                                $stmtCount->execute();
                                $rResult = $stmtCount->get_result();
                                $stmtCount->close();
                                while ($rRow = $rResult->fetch_assoc()) {
                                    $count = $rRow['count'];
                                }
                                if (($rResult) && ($rResult->num_rows == 1)) {
                                    $rReturn["recordsTotal"] = intval($rReturn["recordsTotal"]) + $count;
                                } else {
                                    $rReturn["recordsTotal"] = intval($rReturn["recordsTotal"]);
                                }
                                $rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
                                if ($count > 0) {
                                    $rQuery = "SELECT `users`.`id`,`users`.`name`, `users`.`username`,`users`.`created_at`, `enigma2_devices`.`mac`, `users`.`exp_date`, `users`.`admin_enabled`, `users`.`enabled`, `users`.`admin_notes`, `users`.`reseller_notes`, `users`.`max_connections`,  `users`.`is_trial`, `reg_users`.`username` AS `owner_name`, (SELECT count(*) FROM `user_activity_now` WHERE `users`.`id` = `user_activity_now`.`user_id`) AS `active_connections` FROM `users` LEFT JOIN `reg_users` ON `reg_users`.`id` = `users`.`member_id` INNER JOIN `enigma2_devices` ON `enigma2_devices`.`user_id` = `users`.`id` {$rWhereString} {$rOrderBy}";
                                    $$stmt = $db->prepare($rQuery );
                                    $stmt->bind_param("i", $_SESSION['id']);
                                    $stmt->execute();
                                    $rResult = $stmt->get_result();
                                    $rResult = $db->query($rQuery);
                                    $stmt->close();

                                    if (($rResult) && ($rResult->num_rows > 0)) {
                                        while ($rRow = $rResult->fetch_assoc()) {
                                            $stmtIP->bindParam(':id',$rRow['id']);
                                            $stmtIP->execute();
                                            $resultIP=$stmtIP->fetchAll(PDO::FETCH_ASSOC);
                                            $stmtChannel->bindParam(":id", $resultIP[0]['stream_id']);
                                            $stmtChannel->execute();
                                            $rsChannel = $stmtChannel->fetchAll(PDO::FETCH_ASSOC);
                                            $channelName = "";
                                            $ip = "";
                                            $state = $rRow['enabled'] == 0 ? 1 : 0;
                                            if($state==1){
                                                $title = "Enable Line";
                                            }else{
                                                $title = "Disable Line";
                                            }
                                            $on = '<a href="./disable.php?id='.$rRow['id'].'&type=e2&etat='.$state.'&unlimited=1" class="badge badge-pill badge-success">Enable</a>';
                                            $modalOnline = "";
                                            if($rsChannel){
                                                if($rRow["enabled"]){
                                                    $channelName = $rsChannel[0]['stream_display_name'];
                                                    $modalOnline = "<button class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"online\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_online' style='text-align:center; display:none;'><div style='display:inline-block;text-align:center;margin-bottom:5px;'>".$channelName."</div><br><div style='display:inline-block;text-align:center;'>".$resultIP[0]['user_ip']." <img style='width: 16px;height: 11px;border-radius: 0%;margin-left:3px; margin-bottom:3px;' title='".$resultIP[0]['geoip_country_code']."' src='../images/flags/".strtolower($resultIP[0]['geoip_country_code']).".png'></div><div style='margin-right:10%;margin-left:10%;' class='progress progress-md'><div class='progress-bar bg-success' role='progressbar' style='width:".intval(100 - $resultIP[0]['divergence'])."%' title='".intval(100 - $resultIP[0]['divergence'])."%' aria-valuemin='0' aria-valuenow='".intval(100 - $resultIP[0]['divergence'])."' aria-valuemax='100'></div></div><div style='margin-top:3px;'>(".intval(100 - $resultIP[0]['divergence'])."%)</div></div>";
                                                    $on = '<a href="./disable.php?id='.$rRow['id'].'&type=e2&etat='.$state.'&unlimited=1" class="disableIt badge badge-pill badge-info">Online</a>';
                                                }else{
                                                    $on = '<a href="./disable.php?id='.$rRow['id'].'&type=e2&etat='.$state.'&unlimited=1" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                                }
                                            }
                                            $rButtons = "<div class='btn-group'>
                                            <button type='button' class='btn  dropdown-toggle' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'><i class='fas fa-cogs'></i></button>
                                            <div class='dropdown-menu'>
                                            <a href='./edit.php?id=".$rRow['id']."&type=e2' class='dropdown-item'>Edit</a>
											<a href='javascript:void(0)' onclick='apercuModal(this)' data-href='./apercu.php?id=".$rRow['id']."&type=e2' class='dropdown-item'>Aperçu</a>
											<a href='javascript:void(0)' onclick='resetPasswordModal(this)' data-href='./resetPassword.php?id=".$rRow['id']."&type=e2' class='dropdown-item'>Reset Password</a>
                                            <a href='javascript:void(0)' onclick='switchModal(this)' data-href='./switch.php?id=".$rRow['id']."' class='dropdown-item switchusertype'>Switch Type</a>
                                            <a href='#' class='dropdown-item'>Modify country Lock</a>";
                                            if($channelName != ""){
                                                $rButtons .="<a href='#' onClick='kickUser(".$rRow["id"].",\"liste_e2.php\")' class='dropdown-item'>Kill</a>";
                                            }
                                            $rButtons .="</div>
                                            </div>";
                                            if (!$rRow["admin_enabled"]) {
                                                $on = '<a href="./disable.php?id='.$rRow['id'].'&type=e2&etat='.$state.'&unlimited=1" class="disableIt badge badge-pill badge-danger">Disable</a>';
                                            } else {
                                                if (!$rRow["enabled"]) {
                                                    $rStatus = '<i class="text-secondary fas fa-circle"></i>';
                                                } else if (($rRow["exp_date"]) && ($rRow["exp_date"] < time())) {
                                                    $on = '<a href="#" class="badge badge-pill badge-warning">Expired</a>';
                                                } else {
                                                    $rStatus = '<i class="text-success fas fa-circle"></i>';
                                                }
                                            }
                                            if ($rRow["active_connections"] > 0) {
                                                    $rActive = '<i class="text-success fas fa-circle"></i>';
                                            } else {
                                                    $rActive = '<i class="text-warning far fa-circle"></i>';
                                            }
                                            if ($rRow["is_trial"]) {
                                                    $on .= '&nbsp;<a href="#" class="badge badge-pill badge-warning">Trial</a>';
                                            }
                                            if ($rRow["exp_date"]) {
                                                if ($rRow["exp_date"] < time()) {
                                                    $now = time();
                                                    $left = $now - $rRow["exp_date"];
                                                    $days = floor($left / (60*60*24) );
                                                    if($days == 0){
                                                        $hours = floor($left / (60*60) );
                                                        $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$hours.' hours</div>';

                                                    }
                                                    if($days >= 2){
                                                        $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' days</div>';
                                                    }if($days == 1){
                                                        $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-danger">Exp. since '.$days.' day</div>';
                                                    }
                                                } else {
                                                    $now = time();
                                                    $left = $rRow["exp_date"] - $now;
                                                    $days = floor($left / (60*60*24) );
                                                    if($days == 0){
                                                        $hours = floor($left / (60*60) );
                                                        $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$hours.' hours left</div>';
                                                    }
                                                    if($days >= 2){
                                                        $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' days left</div>';
                                                    }if($days == 1){
                                                        $rExpDate = "<div>".date("d/m/Y", $rRow["exp_date"]).'</div><div class="badge badge-pill badge-success" style="color:white;background-color:rgb(1, 184, 242)">'.$days.' day left</div>';
                                                    }
        
                                                }
                                            } else {
                                                $rExpDate = "Never";
                                            }
                                            if($rRow["created_at"]){
                                                $rCreatedDate = date("d/m/Y", $rRow["created_at"]);
                                            }
                                            $rActiveConnections = $rRow["active_connections"];
                                                // var_dump($rRow);
                                                $rNotes = $rRow['owner_name'];
                                                if($rRow["reseller_notes"] != ""){
                                                    $rNotes .="&nbsp;<button title='Show Notes' class='btn btn-outline-secondary btn-rounded btn-icon' onclick='showInfo(\"".$rRow['id']."\",\"notes\")'><i class='fas fa-eye text-danger'></i></button><div id='".$rRow['id']."_notes' style='text-align:center; display:none;'>".$rRow['reseller_notes']."</div>";
                                                }                                                // $rNotes = "";
                                            $rStatus = $on."&nbsp;".$modalOnline;
                                            $rReturn["data"][] = Array($tType,$rStatus,$rRow["mac"],$rRow['name'],$rNotes,$rButtons);
                                            }
                                        }
                                    }
                            echo json_encode($rReturn);
                            break;      
						case "instance_code":
							$rReturn = Array("draw" => $_GET["draw"], "recordsTotal" => 0, "recordsFiltered" => 0, "data" => Array());
							$rOrder = Array(false,false,false,false,false);
							if (strlen($_GET["order"][0]["column"]) > 0) {
								$rOrderRow = intval($_GET["order"][0]["column"]);
							} else {
								$rOrderRow = 0;
							}
							$rWhere = Array();
							$rWhere[] = "tickets.status = 1";
							if (!$rPermissions["is_admin"]){
								$rWhere[] = "member_id = ?";
							}
							if (strlen($_GET["search"]["value"]) > 0) {
								$rSearch = $db2->real_escape_string($_GET["search"]["value"]);
								$rWhere[] = "(`reg_users`.`username` LIKE '%{$rSearch}%' OR `tickets`.`title` LIKE '%{$rSearch}%')";
							}
							if (count($rWhere) > 0) {
								$rWhereString = "WHERE ".join(" AND ", $rWhere);
							} else {
								$rWhereString = "";
							}
							$rOrderBy = "ORDER BY `tickets`.`id` DESC";
							$rCountQuery = "SELECT COUNT(*) AS `count` FROM active_code WHERE member_id = {$_SESSION['id']} AND user_id IS NULL;";
							
							$stmtCount = $db2->prepare($rCountQuery);	
							//$stmtCount->bind_param(":id", $_SESSION['id']);				
							$stmtCount->execute();
							$rResult = $stmtCount->get_result();
							$stmtCount->close();

							if (($rResult) && ($rResult->num_rows == 1)) {
								$rReturn["recordsTotal"] = $rResult->fetch_assoc()["count"];
							} else {
								$rReturn["recordsTotal"] = 0;
							}
							
							$rReturn["recordsFiltered"] = $rReturn["recordsTotal"];
							if ($rReturn["recordsTotal"] > 0) {
								$rQuery = "SELECT * FROM active_code WHERE member_id = {$_SESSION['id']} AND user_id IS NULL;";
								$stmt = $db2->prepare($rQuery);
								//$stmtCount->bind_param(":id", $_SESSION['id']);			
								$stmt->execute();
								$rResult = $stmt->get_result();
								$stmt->close();

								if (($rResult) && ($rResult->num_rows > 0)) {
									while ($rRow = $rResult->fetch_assoc()) {
										
										$rButtons = '<div class="btn-group">
										<button type="button" class="btn  dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-cogs"></i></button>
										<div class="dropdown-menu">';
										
										$rButtons .= '<a href="show_ticket.php?id='.$rRow['id'].'" class="dropdown-item">View Ticket</a>';
										$rButtons .= '<a href="close_ticket.php?id='.$rRow['id'].'"  class="dropdown-item">Close Ticket</a>';

										
										$rButtons .="</div>
										</div>";
										$packageName = "";
										$rqtPackage = "SELECT package_name FROM packages WHERE id = :id";
										$stmtpackage = $pdo->prepare($rqtPackage);
										$stmtpackage->bindParam(':id', $rRow['package_id']);
										$stmtpackage->execute();
										$resultPackage = $stmtpackage->fetchAll(PDO::FETCH_ASSOC);
										if($resultPackage){
											$packageName = $resultPackage[0]['package_name'];
										}
										
										$rReturn["data"][] = Array($rRow['code'], $rRow['pin'],$packageName, date('Y-m-d', $rRow['date_create']),$rButtons);
									}
								}
							}
							echo json_encode($rReturn);
							break;    
						case "serial_number":
							$rQuery = "SELECT ac.*, ru.username FROM active_code AS ac
								LEFT JOIN xtream_iptvpro.reg_users AS ru ON ru.id = ac.member_id 
								WHERE serial_number = {$_GET['q']} AND user_id IS NULL;";
							$stmt = $db2->prepare($rQuery);			
							$stmt->execute();
							$rResult = $stmt->get_result();
							$stmt->close();
							$rReturn = [];
							if (($rResult) && ($rResult->num_rows > 0)) {
								while ($rRow = $rResult->fetch_assoc()) {
									$rReturn = $rRow;
								}
							}
							echo json_encode($rReturn);
							break; 
						case "serial_number_add":
							$rQuery = "UPDATE active_code SET new_owner_id = {$_SESSION['id']} WHERE serial_number = '{$_GET['q']}'";
							$stmt = $db2->prepare($rQuery);			
							$stmt->execute();
							
							$rQuery = "SELECT ac.*, ru.username FROM active_code AS ac
								LEFT JOIN xtream_iptvpro.reg_users AS ru ON ru.id = ac.member_id 
								WHERE serial_number = {$_GET['q']} ;";
							$stmt = $db2->prepare($rQuery);			
							$stmt->execute();
							$rResult = $stmt->get_result();
							$stmt->close();
							$rReturn = [];
							if (($rResult) && ($rResult->num_rows > 0)) {
								while ($rRow = $rResult->fetch_assoc()) {
									$rReturn = $rRow;
								}
							}
							
							
							$rqtRegUser = "INSERT INTO reg_userlog(owner,username,password,date,type) VALUES(:owner,:username,:password,:date,:type)";
							$stmtRegUser = $pdo->prepare($rqtRegUser);
							$typeTowrite = '[<b>instance code </b> -> <u>demande de transfert</u>] Username : '.$_SESSION['username'].' 
								want to transfert '.$_GET['q'].' from '.$rReturn['username'].'</font> --> <font color="green">'. date('Y-m-d H:i:s').'</font>';
							$pass = '';
							$date = time();
							$stmtRegUser->bindParam(':owner',$_SESSION['id']);
							$stmtRegUser->bindParam(':username',$_SESSION['username']);
							$stmtRegUser->bindParam(':password', $pass);
							$stmtRegUser->bindParam(':date', $date);
							$stmtRegUser->bindParam(':type',$typeTowrite);
							$stmtRegUser->execute();
							
							echo json_encode(['result' => 'success']);
							break;
						case "serial_number_accept_decline":
							$status = $_GET['status'];
							$type = ($status == 0)?"Refusé":"Accepté";
							if($status == 0)
								$rQuery = "UPDATE active_code SET new_owner_id = NULL WHERE id = '{$_GET['q']}'";
							else
								$rQuery = "UPDATE active_code SET member_id = (SELECT new_owner_id FROM  active_code WHERE id = {$_GET['q']} LIMIT 1 ) , new_owner_id = NULL WHERE id = '{$_GET['q']}'";
									
							$stmt = $db2->prepare($rQuery);			
							$stmt->execute();
							
							
							$rQuery = "SELECT ac.*, ru.username FROM active_code AS ac
								LEFT JOIN xtream_iptvpro.reg_users AS ru ON ru.id = ac.new_owner_id 
								WHERE serial_number = {$_GET['q']} ;";
							$stmt = $db2->prepare($rQuery);			
							$stmt->execute();
							$rResult = $stmt->get_result();
							$stmt->close();
							$rReturn = [];
							if (($rResult) && ($rResult->num_rows > 0)) {
								while ($rRow = $rResult->fetch_assoc()) {
									$rReturn = $rRow;
								}
							}
							
							
							$rqtRegUser = "INSERT INTO reg_userlog(owner,username,password,date,type) VALUES(:owner,:username,:password,:date,:type)";
							$stmtRegUser = $pdo->prepare($rqtRegUser);
							$typeTowrite = '[<b>instance code </b> -> <u>demande de transfert '. $type.'</u>] Username : '.$_SESSION['username'].' 
								a '.$type.' le transfert de  '.$_GET['q'].' pour '.$rReturn['username'].'</font> --> <font color="green">'. date('Y-m-d H:i:s').'</font>';
							$pass = '';
							$date = time();
							$stmtRegUser->bindParam(':owner',$_SESSION['id']);
							$stmtRegUser->bindParam(':username',$_SESSION['username']);
							$stmtRegUser->bindParam(':password', $pass);
							$stmtRegUser->bindParam(':date', $date);
							$stmtRegUser->bindParam(':type',$typeTowrite);
							$stmtRegUser->execute();
							
							echo json_encode(['result' => 'success']);
							break;
						case "delete_msg":
							$rQuery = "DELETE FROM tickets_replies WHERE id = {$_GET['q']}";
									
							$stmt = $db->prepare($rQuery);			
							$stmt->execute();
							
							echo json_encode(['result' => 'success']);
							break;
						case "clear_logs":
							$rQuery = "TRUNCATE TABLE {$_GET['q']}";
									
							$stmt = $db->prepare($rQuery);			
							$stmt->execute();
							
							echo json_encode(['result' => 'success']);
							break;
						case "sponsorship":
							$rqtCheck = "SELECT id FROM package_order WHERE package_id = {$_GET['q']}";
							$stmt = $pdoPanel->prepare($rqtCheck);	
							$stmt->execute();
							$rResult = $stmt->fetchAll(PDO::FETCH_ASSOC);	
							if(count($rResult)>0){
								$rQuery = "UPDATE package_order SET sponsorship = {$_GET['status']} WHERE package_id = {$_GET['q']}";
							}else{
								$rQuery = "INSERT INTO package_order(package_id, sponsorship, order_pack) VALUES({$_GET['q']}, {$_GET['status']}, 0)";
							}
							
									
							$stmt = $db2->prepare($rQuery);			
							$stmt->execute();
							
							echo json_encode(['result' => 'success']);
							break;
						case "edit_max_allowed":
							$rQuery = "UPDATE active_code SET max_allowed = {$_GET['text']} WHERE id = {$_GET['id']}";							
									
							$stmt = $db2->prepare($rQuery);			
							$stmt->execute();
							
							echo json_encode(['message' => 'success', 'query' =>"UPDATE active_code SET max_allowed = {$_GET['text']} WHERE id = {$_GET['id']}"]);
							break;
						case "bouquets":
							$categorie = $_GET['cat'];
							$Identifian="SELECT id, category_name FROM stream_categories WHERE category_type = '{$categorie}' ORDER BY cat_order ASC";
							$stmtUnit = $pdo->prepare($Identifian);
							$stmtUnit->execute();
							$rResultUnit = $stmtUnit->fetchAll(PDO::FETCH_ASSOC);
							/*$res = [];
							if(!empty($rResultUnit)){
								foreach($rResultUnit as $key =>$row){
									$selected = ($key == 0)?"selected": "";
									$option = '<option value="'.$row['id'].'" {$selected}>'.$row['category_name'].'</option>';
									//$res[] = $option;
									array_push($res,$option);
								}
							}*/
							echo json_encode($rResultUnit);
							break;
						case "channels":
							$categorie = $_GET['cat'];
							$Identifian="SELECT id, stream_display_name FROM streams WHERE category_id = '{$categorie}' ORDER BY id ASC";
							$stmtUnit = $pdo->prepare($Identifian);
							$stmtUnit->execute();
							$rResultUnit = $stmtUnit->fetchAll(PDO::FETCH_ASSOC);
							/*$res = [];
							if(!empty($rResultUnit)){
								foreach($rResultUnit as $key =>$row){
									$selected = ($key == 0)?"selected": "";
									$option = '<option value="'.$row['id'].'" {$selected}>'.$row['category_name'].'</option>';
									//$res[] = $option;
									array_push($res,$option);
								}
							}*/
							echo json_encode($rResultUnit);
							break;
                                                             
        }
    }
}

?>