<?php 
//require("../layout/header.php");

require('../includes/inc_db.php');
include "../functions/functions_xerox.php";

if (isset($_GET["category"])) {
    if (!isset($rCategories[$_GET["category"]])) {
        exit;
    } else {
        $rCategory = $rCategories[$_GET["category"]];
    }
} else {
    $rCategory = null;
}

$streamOpen = "menu-open";
$streamActive = "active";

include('../layout/header_html.php');
?>


<!-- DataTables -->
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  
  
  <!-- Select2 -->
  <link rel="stylesheet" href="../plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  
  <style>
	.dropdown-menu.show {
		text-align: center !important;
		background: #fbd7ff85;
	}
	.btn-xs {
		padding: 0.5rem 0.5rem !important;
		font-size: 0.75rem;
		line-height: 1.5;
		border-radius: 0.15rem;
		background-color: #eeeff1;
	}
  </style>
  
  <style>
	.dropdown-menu.show {
		text-align: center !important;
		background: #fbd7ff85;
	}
	
	.dt-button-collection{
		top: 0 !important;
		left: 100% !important;
	}
	
	.dt-button.dropdown-item:hover{
		background-color: #bce9e8 !important;
	}
  </style>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header"> 
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-4">
            <h1>Streams </h1>
          </div>
          <div class="col-sm-8">
          
			<ol class="breadcrumb m-0" style="float: right;"> 
					 <li>
                          <a href="#" onClick="clearFilters();">
                              <button type="button" class="btn btn-warning waves-effect waves-light btn-sm">
                                  <i class="fa fa-filter"></i>
                              </button>
                          </a>
                          <a href="#" onClick="changeZoom();">
                              <button type="button" class="btn btn-info waves-effect waves-light btn-sm">
                                  <i class="fa fa-search"></i>
                              </button>
                          </a>
                          <?php if (!$detect->isMobile()) { ?>
                          <a href="#" onClick="toggleAuto();">
                              <button type="button" class="btn btn-dark waves-effect waves-light btn-sm">
                                  <span class="auto-text"><i class="fa fa-sync-alt"></i> Auto-Refresh</span>
                              </button>
                          </a>
                          <?php } else { ?>
                          <a href="javascript:location.reload();" onClick="toggleAuto();">
                              <button type="button" class="btn btn-dark waves-effect waves-light btn-sm">
                                  <i class="fa fa-sync-alt"></i> Refresh
                              </button>
                          </a>
                          <?php }
                          if ($rPermissions["is_admin"]) {
						if (hasPermissions("adv", "add_stream")) { ?>
                          <a href="stream.php">
                              <button type="button" class="btn btn-success waves-effect waves-light btn-sm">
                                 <i class="fa fa-plus"></i>  Create Stream
                              </button>
                          </a>
						  <a href="stream_category.php">
								<button type="button" class="btn btn-outline-success waves-effect waves-light btn-sm">
									<i class="fa fa-plus"></i> Create Category
								</button>
							</a>
						<?php }
						if (hasPermissions("adv", "create_channel")) { ?>
                          <a href="created_channel.php">
                              <button type="button" class="btn btn-info waves-effect waves-light btn-sm">
                                  Create Channel
                              </button>
                          </a>
                          <?php }
						} ?>
                      </li>
             </ol>
         
		 </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
			 <div class="card">
              <div class="card-header row">
                <h3 class="card-title col-md-9">Streams<?php if ($rCategory) { echo " - ".$rCategory["category_name"]; } ?></h3>
				<div class="col-md-3 text-right">
					
				</div>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
					 <form id="stream_form">
                                    <div class="form-group row mb-4">
                                        <?php if ($rPermissions["is_reseller"]) { ?>
                                        <div class="col-md-3">
                                            <input type="text" class="form-control" id="stream_search" value="" placeholder="Search Streams...">
                                        </div>
                                        <div class="col-md-3">
                                            <select id="stream_category_id" class="form-control" data-toggle="select2">
                                                <option value="" selected>All Categories</option>
                                                <?php foreach ($rCategories as $rCategory) { ?>
                                                <option value="<?=$rCategory["id"]?>"<?php if ((isset($_GET["category"])) && ($_GET["category"] == $rCategory["id"])) { echo " selected"; } ?>><?=$rCategory["category_name"]?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="col-md-3">
                                            <select id="stream_server_id" class="form-control" data-toggle="select2">
                                                <option value="" selected>All Servers</option>
                                                <?php foreach (getStreamingServers() as $rServer) { ?>
                                                <option value="<?=$rServer["id"]?>"<?php if ((isset($_GET["server"])) && ($_GET["server"] == $rServer["id"])) { echo " selected"; } ?>><?=$rServer["server_name"]?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <label class="col-md-1 col-form-label text-center" for="stream_show_entries">Show</label>
                                        <div class="col-md-2">
                                            <select id="stream_show_entries" class="form-control" data-toggle="select2">
                                                <?php foreach (Array(10, 25, 50, 250, 500, 1000) as $rShow) { ?>
                                                <option<?php if ($rAdminSettings["default_entries"] == $rShow) { echo " selected"; } ?> value="<?=$rShow?>"><?=$rShow?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <?php } else { ?>
                                        <div class="col-md-2">
                                            <input type="text" class="form-control" id="stream_search" value="" placeholder="Search Streams...">
                                        </div>
                                        <div class="col-md-3">
                                            <select id="stream_server_id" class="form-control" data-toggle="select2">
                                                <option value="" selected>All Servers</option>
                                                <?php foreach (getStreamingServers() as $rServer) { ?>
                                                <option value="<?=$rServer["id"]?>"<?php if ((isset($_GET["server"])) && ($_GET["server"] == $rServer["id"])) { echo " selected"; } ?>><?=$rServer["server_name"]?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="col-md-3">
                                            <select id="stream_category_id" class="form-control" data-toggle="select2">
                                                <option value="" selected>All Categories</option>
                                                <?php foreach ($rCategories as $rCategory) { ?>
                                                <option value="<?=$rCategory["id"]?>"<?php if ((isset($_GET["category"])) && ($_GET["category"] == $rCategory["id"])) { echo " selected"; } ?>><?=$rCategory["category_name"]?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="col-md-2">
                                            <select id="stream_filter" class="form-control" data-toggle="select2">
                                                <option value=""<?php if (!isset($_GET["filter"])) { echo " selected"; } ?>>No Filter</option>
                                                <option value="1"<?php if ((isset($_GET["filter"])) && ($_GET["filter"] == 1)) { echo " selected"; } ?>>Online</option>
                                                <option value="2"<?php if ((isset($_GET["filter"])) && ($_GET["filter"] == 2)) { echo " selected"; } ?>>Down</option>
                                                <option value="3"<?php if ((isset($_GET["filter"])) && ($_GET["filter"] == 3)) { echo " selected"; } ?>>Stopped</option>
                                                <option value="4"<?php if ((isset($_GET["filter"])) && ($_GET["filter"] == 4)) { echo " selected"; } ?>>Starting</option>
                                                <option value="5"<?php if ((isset($_GET["filter"])) && ($_GET["filter"] == 5)) { echo " selected"; } ?>>On Demand</option>
                                                <option value="6"<?php if ((isset($_GET["filter"])) && ($_GET["filter"] == 6)) { echo " selected"; } ?>>Direct</option>
												<option value="7"<?php if ((isset($_GET["filter"])) && ($_GET["filter"] == 7)) { echo " selected"; } ?>>Timeshift</option>
                                                <option value="8"<?php if ((isset($_GET["filter"])) && ($_GET["filter"] == 8)) { echo " selected"; } ?>>Created Channel</option>
                                            </select>
                                        </div>
                                        <label class="col-md-1 col-form-label text-center" for="stream_show_entries">Show</label>
                                        <div class="col-md-1">
                                            <select id="stream_show_entries" class="form-control" data-toggle="select2">
                                                <?php foreach (Array(10, 25, 50, 250, 500, 1000) as $rShow) { ?>
                                                <option<?php if ($rAdminSettings["default_entries"] == $rShow) { echo " selected"; } ?> value="<?=$rShow?>"><?=$rShow?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <?php } ?>
                                    </div>
                                </form>
                                <table id="datatable-streampage" class="table dt-responsive nowrap font-normal">
                                    <thead>
                                        <tr>
                                            <th class="text-center">ID</th>
                                            <th class="text-center">Icon</th>
                                            <th>Name</th>
                                            <th>Category</th>
                                            <?php if ($rPermissions["is_admin"]) { ?>
                                            <th class="text-center">Uptime</th>
                                            <?php } ?>
                                            <th>Server</th>
                                            <th>Source</th>
                                            <?php if ($rPermissions["is_admin"]) { ?>
                                            <th class="text-center">Clients</th>
                                            <th class="text-center">EPG</th>
                                            <?php } ?>
                                            <th class="text-center">Stream Info</th>
                                            <?php if ($rPermissions["is_admin"]) { ?>
                                            <th class="text-center">Actions</th>
                                            <?php } ?>
                                        </tr>
                                    </thead>
                                    <tbody></tbody>
                                </table>
			  </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->

            
		 
		  
		   </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  
  
<?php 
	include("../layout/footer.php");
?>
 
 <?php
include("../common/body.php");
?>

<!-- DataTables  & Plugins -->
<script src="../plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins/jszip/jszip.min.js"></script>
<script src="../plugins/pdfmake/pdfmake.min.js"></script>
<script src="../plugins/pdfmake/vfs_fonts.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
  
<!-- Select2 -->
<script src="../plugins/select2/js/select2.full.min.js"></script>
    
  
      
        <script>
        var autoRefresh = true;
        var rClearing = false;
        
        function toggleAuto() {
            if (autoRefresh == true) {
                autoRefresh = false;
                $(".auto-text").html("Manual Mode");
            } else {
                autoRefresh = true;
                $(".auto-text").html("Auto-Refresh");
            }
        }
        
        function api(rID, rServerID, rType) {
            if (rType == "delete") {
                if (confirm('Are you sure you want to delete this stream?') == false) {
                    return;
                }
            }
            $.getJSON("../functions/api_xerox.php?action=stream&sub=" + rType + "&stream_id=" + rID + "&server_id=" + rServerID, function(data) {
                if (data.result == true) {
                    if (rType == "start") {
                        toastr.success("Stream successfully started. It will take a minute or so before the stream becomes available.");
                    } else if (rType == "stop") {
                        toastr.success("Stream successfully stopped.");
                    } else if (rType == "restart") {
                        toastr.success("Stream successfully restarted. It will take a minute or so before the stream becomes available.");
                    } else if (rType == "delete") {
                        toastr.success("Stream successfully deleted.");
                    }
                    $.each($('.tooltip'), function (index, element) {
                        $(this).remove();
                    });
                    $('[data-toggle="tooltip"]').tooltip("hide");
                    $("#datatable-streampage").DataTable().ajax.reload( null, false );
                } else {
                    toastr.warning("An error occured while processing your request.");
                }
            }).fail(function() {
                toastr.warning("An error occured while processing your request.");
            });
        }
        function player(rID) {
            $.magnificPopup.open({
                items: {
                    src: "../functions/player.php?type=live&id=" + rID,
                    type: 'iframe'
                }
            });
        }
        function reloadStreams() {
            if (autoRefresh == true) {
                $('[data-toggle="tooltip"]').tooltip("hide");
                $("#datatable-streampage").DataTable().ajax.reload( null, false );
            }
            setTimeout(reloadStreams, 15000);
        }

        function getCategory() {
            return $("#stream_category_id").val();
        }
        function getFilter() {
            return $("#stream_filter").val();
        }
        function getServer() {
            return $("#stream_server_id").val();
        }
        function changeZoom() {
            if ($("#datatable-streampage").hasClass("font-large")) {
                $("#datatable-streampage").removeClass("font-large");
                $("#datatable-streampage").addClass("font-normal");
            } else if ($("#datatable-streampage").hasClass("font-normal")) {
                $("#datatable-streampage").removeClass("font-normal");
                $("#datatable-streampage").addClass("font-small");
            } else {
                $("#datatable-streampage").removeClass("font-small");
                $("#datatable-streampage").addClass("font-large");
            }
            $("#datatable-streampage").draw();
        }
        function clearFilters() {
            window.rClearing = true;
            $("#stream_search").val("").trigger('change');
            $('#stream_filter').val("").trigger('change');
            $('#stream_server_id').val("").trigger('change');
            $('#stream_category_id').val("").trigger('change');
            $('#stream_show_entries').val("<?=$rAdminSettings["default_entries"] ?: 10?>").trigger('change');
            window.rClearing = false;
            $('#datatable-streampage').DataTable().search($("#stream_search").val());
            $('#datatable-streampage').DataTable().page.len($('#stream_show_entries').val());
            $("#datatable-streampage").DataTable().page(0).draw('page');
            $('[data-toggle="tooltip"]').tooltip("hide");
            $("#datatable-streampage").DataTable().ajax.reload( null, false );
        }
        $(document).ready(function() {
			$(window).keypress(function(event){
                if(event.which == 13 && event.target.nodeName != "TEXTAREA") return false;
            });
           
            
            $('select').select2({width: '100%',theme: 'bootstrap4'});
            $("#datatable-streampage").DataTable({
                language: {
                    paginate: {
                        previous: "<i class='fa fa-chevron-left'>",
                        next: "<i class='fa fa-chevron-right'>"
                    }
                },
                drawCallback: function() {
                    $(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                    $('[data-toggle="tooltip"]').tooltip();
                },
				createdRow: function (row, data, dataIndex) {
					$(row).addClass('stream-' + data[0]);
					
					if (data[4].search('ON DEMAND')>5) {
						$(row).css({"background-color": "#e5e5e5"})
					}else 
					if (data[4].search('DOWN')>5) {
						$(row).css({"background-color": "#ffddde"})
					}else 
					if (data[4].search('STOPPED')>5) {
						$(row).css({"background-color": "#FFBABA"})
					}else {
						$(row).css({"background-color": "#d5fcc2"})
					}
				},
                responsive: true,
                processing: true,
                serverSide: true,
				dom: 'Bfrtip',
				buttons: {
					buttons: [
						{
							text: 'Check All',
							action: function ( e, dt, node, config ) {
								$('.movie_checkbox').prop('checked', true);
								this.innerHTML  == 'UncheckAll'; // disable button
							}
						},
						{
							text: 'Uncheck All',
							action: function ( e, dt, node, config ) {
								$('.movie_checkbox').prop('checked', false);
								this.innerHTML  == 'UncheckAll'; // disable button
							}
						},
						{
							extend: 'collection',
							text: 'Export',
							buttons: [
								'copy',
								'excel',
								'csv',
								'pdf',
								'print'
							]
						},
						{
							extend: 'collection',
							text: 'Mass action',
							buttons: [
								{
									text: 'Start',
									action: function ( e, dt, node, config ) {
										if($('.movie_checkbox:checkbox:checked').length >0){
											console.log($('.movie_checkbox:checkbox:checked'))
											var checkedVals = $('.movie_checkbox:checkbox:checked').map(function() {
												console.log(this.value);
												api(this.value, $(this).data('server'), 'start');
											}).get();
										}
									}
								},
								{
									text: 'Stop',
									action: function ( e, dt, node, config ) {
										if($('.movie_checkbox:checkbox:checked').length >0){
											console.log($('.movie_checkbox:checkbox:checked'))
											var checkedVals = $('.movie_checkbox:checkbox:checked').map(function() {
												console.log(this.value);
												api(this.value, $(this).data('server'), 'stop');
											}).get();
										}
									}
								},
								{
									text: 'Re-start',
									action: function ( e, dt, node, config ) {
										if($('.movie_checkbox:checkbox:checked').length >0){
											console.log($('.movie_checkbox:checkbox:checked'))
											var checkedVals = $('.movie_checkbox:checkbox:checked').map(function() {
												console.log(this.value);
												api(this.value, $(this).data('server'), 'restart');
											}).get();
										}
									}
								},
								
								{
									text: 'Delete',
									action: function ( e, dt, node, config ) {
										if($('.movie_checkbox:checkbox:checked').length >0){
											if (confirm('<?=$_["movie_delete_confirm"]?>') == false) {
													return;
											}
											var checkedVals = $('.movie_checkbox:checkbox:checked').map(function() {	
													$.getJSON("../functions/api_xerox.php?action=stream&sub=delete&stream_id=" + this.value+ "&server_id=" + $(this).data('server'), function(data) {
														if (data.result == true) {
															toastr.success("<?=$_["movie_delete_confirmed"]?>");
															$.each($('.tooltip'), function (index, element) {
																$(this).remove();
															});
															$('[data-toggle="tooltip"]').tooltip("hide");
															$("#datatable-streampage").DataTable().ajax.reload( null, false );
														} else {
															toastr.warning("<?=$_["error_occured"]?>");
														}
													}).fail(function() {
														toastr.warning("<?=$_["error_occured"]?>");
													});
											}).get();	
										}										
									}
								},
							]
						},
					]
				},
               
                ajax: {
                    url: "../functions/table_search.php",
                    "data": function(d) {
                        d.id = "streams",
                        d.category = getCategory();
                        <?php if ($rPermissions["is_admin"]) { ?>
                        d.filter = getFilter();
                        <?php } else { ?>
                        d.filter = 1;
                        <?php } ?>
                        d.server = getServer();
                    }
                },
                columnDefs: [
                    <?php if ($rPermissions["is_admin"]) { ?>
                    {"className": "dt-center", "targets": [0,1,4,5,6,7,9,10]},
					{ className: 'all', targets: 10 },         
					{ className: 'all', targets: 0 },         
					{ className: 'all', targets: 2 },
                    {"orderable": false, "targets": [6,7]}
                    <?php } else { ?>
                    {"className": "dt-center", "targets": [0,1,4]}
                    <?php } ?>
                ],
                order: [[ 0, "desc" ]],
                pageLength: <?=$rAdminSettings["default_entries"] ?: 10?>,
                lengthMenu: [10, 25, 50, 250, 500, 1000],
                stateSave: true
            });
            $("#datatable-streampage").css("width", "100%");
            $('#stream_search').keyup(function(){
                if (!window.rClearing) {
                    $('#datatable-streampage').DataTable().search($(this).val()).draw();
                }
            });
            $('#stream_show_entries').change(function(){
                if (!window.rClearing) {
                    $('#datatable-streampage').DataTable().page.len($(this).val()).draw();
                }
            });
            $('#stream_category_id').change(function(){
                if (!window.rClearing) {
                    $('[data-toggle="tooltip"]').tooltip("hide");
                    $("#datatable-streampage").DataTable().ajax.reload( null, false );
                }
            });
            $('#stream_server_id').change(function(){
                if (!window.rClearing) {
                    $('[data-toggle="tooltip"]').tooltip("hide");
                    $("#datatable-streampage").DataTable().ajax.reload( null, false );
                }
            });
            $('#stream_filter').change(function(){
                if (!window.rClearing) {
                    $('[data-toggle="tooltip"]').tooltip("hide");
                    $("#datatable-streampage").DataTable().ajax.reload( null, false );
                }
            });
            <?php if (!$detect->isMobile()) { ?>
            setTimeout(reloadStreams, 15000);
            <?php }
            if (!$rAdminSettings["auto_refresh"]) { ?>
            toggleAuto();
            <?php } ?>
            if ($('#stream_search').val().length > 0) {
                $('#datatable-streampage').DataTable().search($('#stream_search').val()).draw();
            }
        });
        
        
        </script>
     