<?php 
require('../includes/inc_db.php');
include('../functions/function.php');

session_regenerate_id();
date_default_timezone_set("Europe/Paris");  
$user = [];
if($_GET){
    if(isset($_GET['id'])){
		try{
			$rqt = "SELECT users.id, `users`.`enabled` ,UEX.name,users.username, users.password, exp_date, is_mag, is_e2,users.member_id, pair_id, PAC.code as active_code , PAC.pin, RG.username as ownername,
			(SELECT PAC1.code FROM panel.code_event_users AS CEU LEFT JOIN panel.active_code AS PAC1 ON PAC1.id = CEU.code_id WHERE CEU.user_id = xtream_iptvpro.users.id LIMIT 1) AS code_event,
			(SELECT PAC1.pin FROM panel.code_event_users AS CEU LEFT JOIN panel.active_code AS PAC1 ON PAC1.id = CEU.code_id WHERE CEU.user_id = xtream_iptvpro.users.id LIMIT 1) AS code_event_pin
				FROM users 
					LEFT JOIN reg_users AS RG ON RG.id = users.member_id 
					LEFT JOIN panel.`active_code` AS PAC ON PAC.`user_id` = `users`.`id` 
					LEFT JOIN panel.users_extra AS UEX ON UEX.user_id = xtream_iptvpro.users.id
					LEFT JOIN panel.code_event_users AS CEU ON CEU.user_id = users.id
				WHERE users.id = :id";
			
			$stmt = $pdo->prepare($rqt);
			$id = trim($_GET['id']);
			$id = filter_var($id,FILTER_SANITIZE_NUMBER_INT);
			$stmt->bindParam(":id",$id);
			$stmt->execute();
			$result=$stmt->fetchAll(PDO::FETCH_ASSOC);
			if($result){
				$user = $result[0];
				
                if($_GET['type'] == "mag"){
                    $rqtMag = "SELECT mac,parent_password FROM mag_devices WHERE user_id = :id";
                    $stmtDevices = $pdo->prepare($rqtMag);
                    $stmtDevices->bindParam(':id',$_GET['id']);
                    $stmtDevices->execute();
                    $rsDevices= $stmtDevices->fetchAll(PDO::FETCH_ASSOC);
                    if($rsDevices){
                        $mac = base64_decode($rsDevices[0]['mac']);
                    }
                }else if( $_GET['type'] == "e2"){
                    $rqtE2 = "SELECT mac FROM enigma2_devices WHERE user_id = :id";
                    $stmtDevices = $pdo->prepare($rqtE2);
                    $stmtDevices->bindParam(':id',$_GET['id']);
                    $stmtDevices->execute();
                    $rsDevices= $stmtDevices->fetchAll(PDO::FETCH_ASSOC);
                    if($rsDevices){
                        $mac = $rsDevices[0]['mac'];
                    }
                }
			}
		} catch (PDOException $e) {
			print $e->getMessage ();
			$user = [];
		}
	}
}

if(count($user)>0):
?>

            <div class="card">
                <div class="card-body">
                    <div class="row">
						<div class="col-sm-12 text-center">
						  <div class="form-group">
							<label>Owner</label>
							
							<input type="text" class="form-control" value="<?= $user['ownername'] ?>" disabled="">
						  </div>
						</div>
						<div class="col-sm-6">
						  <div class="form-group">
							<label>username</label>
							<?php if($user['enabled']){?>
								<small class="badge badge-success"><i class="fas fa-unlock"></i> 2 Enabled</small>
							<?php }else{ ?>
								<small class="badge badge-danger"><i class="fas fa-lock"></i> Disabled</small>
							<?php } ?>
							<input type="text" class="form-control" value="<?= $user['username'] ?>" disabled="">
						  </div>
						</div>
						<div class="col-sm-6">
						  <div class="form-group">
							<label>password</label>
							<input type="text" class="form-control" value="<?= $user['password'] ?>" disabled="">
						  </div>
						</div>
						<?php if($_GET['type'] == "m3u"): ?>
						<div class="col-sm-6">
						  <div class="form-group">
							<label>Active code</label>
							<input type="text" class="form-control" value="<?= (is_null($user['active_code']))?$user['code_event']:$user['active_code'] ?>" disabled="">
						  </div>
						</div>
						<div class="col-sm-6">
						  <div class="form-group">
							<label>PIN code</label>
							<input type="text" class="form-control" value="<?= (is_null($user['pin']))?$user['code_event_pin']:$user['pin'] ?>" disabled="">
						  </div>
						</div>
						<?php endif; ?> 
						<?php if($_GET['type'] == "e2" || $_GET['type']=="mag"): ?>
							<div class="col-sm-6">
							  <div class="form-group">
								<label>MAC Address</label>
								<input type="text" class="form-control" value="<?php echo $mac; ?>"  disabled="">
							  </div>
							</div>						
						<?php endif; ?> 
						<div class="col-sm-6">
						  <div class="form-group">
							<label>Expire Date</label>
							<input type="text" class="form-control" value="<?= date("d/m/Y", $user["exp_date"]) ?>" disabled="">
						  </div>
						</div>
						<div class="col-sm-6">
						  <div class="form-group">
							<label>Name</label>
							<input type="text" class="form-control" value="<?= $user["name"] ?>" disabled="">
						  </div>
						</div>
					</div>
                </div>
            </div>
        

<?php 
endif;
require("../common/body.php");
?>