<?php
require("../includes/inc_db.php");

function getUser($rID) {
    global $pdo;
    $rqt = "SELECT * FROM `users` WHERE `id` = :id";
    $stmt = $pdo->prepare($rqt);
    $stmt->bindParam(":id",$rID);
    $stmt->execute();
    $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
    if($result) {
        return $result;
    }
    return null;
}
function getMag($rID) {
    global $pdo;
    $rqt = "SELECT * FROM `mag_devices` WHERE `mag_id` = :id";
    $stmt = $pdo->prepare($rqt);
    $rID = intval($rID);
    $stmt->bindParam(":id",$rID);
    $stmt->execute();
    $result = $stmt->fetchAll();
    if ($result) {
        $row = $result[0];
        $rqt = "SELECT `pair_id` FROM `users` WHERE `id` = :id";
        $stmt = $pdo->prepare($rqt);
        $user_id = intval($row["user_id"]);
        $stmt->bindParam(":id",$user_id);
        $stmt->execute();
        $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
        if ($result) {
            $magrow = $result[0];
            $row["paired_user"] = $magrow["pair_id"];
            $row["username"] = getUser($row["paired_user"])["username"];
        }
        return $row;
    }
    return Array();
}
if (isset($_GET["action"])) {
if ($_GET["action"] == "send_event") {
       
        $rData = json_decode($_GET["data"], True);
        $rMag = getMag($rData["id"]);
        if ($rMag) {
            if ($rData["type"] == "send_msg") {
                $rData["need_confirm"] = 1;
            } else if ($rData["type"] == "play_channel") {
                $rData["need_confirm"] = 0;
                $rData["reboot_portal"] = 0;
                $rData["message"] = intval($rData["channel"]);
            } else {
                $rData["need_confirm"] = 0;
                $rData["reboot_portal"] = 0;
                $rData["message"] = "";
            }
            // ".intval($rData["id"]).", '".($rData["type"])."', ".intval($rData["need_confirm"]).", '".($rData["message"])."', ".intval($rData["reboot_portal"]).", ".intval(time()).
            $sql = "INSERT INTO `mag_events`(`status`, `mag_device_id`, `event`, `need_confirm`, `msg`, `reboot_after_ok`, `send_time`) VALUES (0, :id, :type, :confirm, :message, :reboot, :time )";
            $id = intval($rData["id"]);
            $type = $rData["type"];
            $confirm = intval($rData["need_confirm"]);
            $message = $rData["message"];
            $reboot = intval($rData["reboot_portal"]);
            $time = intval(time());
            $stmtInsert = $pdo->prepare($sql);
            $stmtInsert->bindParam(":id",$id);
            $stmtInsert->bindParam(":type",$type);
            $stmtInsert->bindParam(":confirm",$confirm);
            $stmtInsert->bindParam(":message",$message);
            $stmtInsert->bindParam(":reboot",$reboot);
            $stmtInsert->bindParam(":time",$time);
            if ($stmtInsert->execute()) {
                echo json_encode(Array("result" => True));exit;
            }
        }
        echo json_encode(Array("result" => False));exit;
    }
}
?>