-- MySQL dump 10.13  Distrib 5.7.36, for Linux (x86_64)
--
-- Host: localhost    Database: xtream_iptvpro
-- ------------------------------------------------------
-- Server version	5.7.36-0ubuntu0.18.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `access_output`
--

DROP TABLE IF EXISTS `access_output`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `access_output` (
  `access_output_id` int(11) NOT NULL AUTO_INCREMENT,
  `output_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `output_key` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `output_ext` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`access_output_id`),
  KEY `output_key` (`output_key`),
  KEY `output_ext` (`output_ext`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `access_output`
--

LOCK TABLES `access_output` WRITE;
/*!40000 ALTER TABLE `access_output` DISABLE KEYS */;
INSERT INTO `access_output` (`access_output_id`, `output_name`, `output_key`, `output_ext`) VALUES (1,'HLS','m3u8','m3u8'),(2,'MPEGTS','ts','ts'),(3,'RTMP','rtmp','');
/*!40000 ALTER TABLE `access_output` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `admin_settings`
--

DROP TABLE IF EXISTS `admin_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `admin_settings` (
  `type` varchar(128) NOT NULL DEFAULT '',
  `value` varchar(4096) NOT NULL DEFAULT '',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `admin_settings`
--

LOCK TABLES `admin_settings` WRITE;
/*!40000 ALTER TABLE `admin_settings` DISABLE KEYS */;
INSERT INTO `admin_settings` (`type`, `value`) VALUES ('admin_password',''),('admin_username',''),('alternate_scandir',''),('automatic_backups','off'),('auto_refresh','1'),('backups_to_keep','0'),('cc_time','1638567542'),('change_own_dns',''),('change_own_email',''),('change_own_password',''),('change_usernames',''),('dark_mode','0'),('dark_mode_login',''),('dashboard_stats',''),('dashboard_stats_frequency','600'),('default_entries','10'),('disable_trial',''),('download_images',''),('expanded_sidebar','0'),('google_2factor',''),('ip_logout',''),('local_api',''),('login_flood','0'),('pass_length','0'),('recaptcha_enable',''),('recaptcha_v2_secret_key',''),('recaptcha_v2_site_key',''),('release_parser','python'),('reseller_restrictions',''),('stats_pid','27554'),('tmdb_language','fr'),('tmdb_pid','27565'),('watch_pid','27560');
/*!40000 ALTER TABLE `admin_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blocked_ips`
--

DROP TABLE IF EXISTS `blocked_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blocked_ips` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(39) COLLATE utf8_unicode_ci NOT NULL,
  `notes` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `date` int(11) NOT NULL,
  `attempts_blocked` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ip_2` (`ip`),
  UNIQUE KEY `ip_3` (`ip`),
  KEY `ip` (`ip`),
  KEY `date` (`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blocked_ips`
--

LOCK TABLES `blocked_ips` WRITE;
/*!40000 ALTER TABLE `blocked_ips` DISABLE KEYS */;
/*!40000 ALTER TABLE `blocked_ips` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blocked_user_agents`
--

DROP TABLE IF EXISTS `blocked_user_agents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blocked_user_agents` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_agent` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `exact_match` int(11) NOT NULL DEFAULT '0',
  `attempts_blocked` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `exact_match` (`exact_match`),
  KEY `user_agent` (`user_agent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blocked_user_agents`
--

LOCK TABLES `blocked_user_agents` WRITE;
/*!40000 ALTER TABLE `blocked_user_agents` DISABLE KEYS */;
/*!40000 ALTER TABLE `blocked_user_agents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bouquets`
--

DROP TABLE IF EXISTS `bouquets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bouquets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bouquet_name` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `bouquet_channels` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `bouquet_series` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `bouquet_order` int(16) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bouquets`
--

LOCK TABLES `bouquets` WRITE;
/*!40000 ALTER TABLE `bouquets` DISABLE KEYS */;
INSERT INTO `bouquets` (`id`, `bouquet_name`, `bouquet_channels`, `bouquet_series`, `bouquet_order`) VALUES (3,'RADIO','[2,1,3,4,5,6,8,7]','[]',0),(4,'FR| FILM FR','[22,23,26,27,28,29,30,39,40,41,42,43,44,45,46,67,68,69,70,71,72,73]','[14]',1),(5,'FR| SERIES FR','[]','[]',2),(6,'AR |  ARABIC','[13,2,14,15,16,17,18,19,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,841]','[]',0),(7,'Sport HD','[]','[]',3);
/*!40000 ALTER TABLE `bouquets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `created`
--

DROP TABLE IF EXISTS `created`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `created` (
  `id` tinyint(4) NOT NULL,
  `type` tinyint(4) NOT NULL,
  `category_id` tinyint(4) NOT NULL,
  `stream_display_name` tinyint(4) NOT NULL,
  `stream_source` tinyint(4) NOT NULL,
  `stream_icon` tinyint(4) NOT NULL,
  `notes` tinyint(4) NOT NULL,
  `created_channel_location` tinyint(4) NOT NULL,
  `enable_transcode` tinyint(4) NOT NULL,
  `transcode_attributes` tinyint(4) NOT NULL,
  `custom_ffmpeg` tinyint(4) NOT NULL,
  `movie_propeties` tinyint(4) NOT NULL,
  `movie_subtitles` tinyint(4) NOT NULL,
  `read_native` tinyint(4) NOT NULL,
  `target_container` tinyint(4) NOT NULL,
  `stream_all` tinyint(4) NOT NULL,
  `remove_subtitles` tinyint(4) NOT NULL,
  `custom_sid` tinyint(4) NOT NULL,
  `epg_id` tinyint(4) NOT NULL,
  `channel_id` tinyint(4) NOT NULL,
  `epg_lang` tinyint(4) NOT NULL,
  `order` tinyint(4) NOT NULL,
  `auto_restart` tinyint(4) NOT NULL,
  `transcode_profile_id` tinyint(4) NOT NULL,
  `pids_create_channel` tinyint(4) NOT NULL,
  `cchannel_rsources` tinyint(4) NOT NULL,
  `gen_timestamps` tinyint(4) NOT NULL,
  `added` tinyint(4) NOT NULL,
  `series_no` tinyint(4) NOT NULL,
  `direct_source` tinyint(4) NOT NULL,
  `tv_archive_duration` tinyint(4) NOT NULL,
  `tv_archive_server_id` tinyint(4) NOT NULL,
  `tv_archive_pid` tinyint(4) NOT NULL,
  `movie_symlink` tinyint(4) NOT NULL,
  `redirect_stream` tinyint(4) NOT NULL,
  `rtmp_output` tinyint(4) NOT NULL,
  `number` tinyint(4) NOT NULL,
  `allow_record` tinyint(4) NOT NULL,
  `probesize_ondemand` tinyint(4) NOT NULL,
  `custom_map` tinyint(4) NOT NULL,
  `external_push` tinyint(4) NOT NULL,
  `delay_minutes` tinyint(4) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `created`
--

LOCK TABLES `created` WRITE;
/*!40000 ALTER TABLE `created` DISABLE KEYS */;
/*!40000 ALTER TABLE `created` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `credits_log`
--

DROP TABLE IF EXISTS `credits_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `credits_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `target_id` int(11) NOT NULL,
  `admin_id` int(11) NOT NULL,
  `amount` float NOT NULL,
  `date` int(11) NOT NULL,
  `reason` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `target_id` (`target_id`),
  KEY `admin_id` (`admin_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `credits_log`
--

LOCK TABLES `credits_log` WRITE;
/*!40000 ALTER TABLE `credits_log` DISABLE KEYS */;
INSERT INTO `credits_log` (`id`, `target_id`, `admin_id`, `amount`, `date`, `reason`) VALUES (1,2,1,10,1637259897,'first test');
/*!40000 ALTER TABLE `credits_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cronjobs`
--

DROP TABLE IF EXISTS `cronjobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cronjobs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `description` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `filename` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `run_per_mins` int(11) NOT NULL DEFAULT '1',
  `run_per_hours` int(11) NOT NULL DEFAULT '0',
  `enabled` int(11) NOT NULL DEFAULT '0',
  `pid` int(11) NOT NULL DEFAULT '0',
  `timestamp` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `enabled` (`enabled`),
  KEY `filename` (`filename`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cronjobs`
--

LOCK TABLES `cronjobs` WRITE;
/*!40000 ALTER TABLE `cronjobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `cronjobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboard_statistics`
--

DROP TABLE IF EXISTS `dashboard_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dashboard_statistics` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(16) NOT NULL DEFAULT '',
  `time` int(16) NOT NULL DEFAULT '0',
  `count` int(16) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dashboard_statistics`
--

LOCK TABLES `dashboard_statistics` WRITE;
/*!40000 ALTER TABLE `dashboard_statistics` DISABLE KEYS */;
INSERT INTO `dashboard_statistics` (`id`, `type`, `time`, `count`) VALUES (1,'conns',1636528483,0),(2,'users',1636528483,0);
/*!40000 ALTER TABLE `dashboard_statistics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `devices`
--

DROP TABLE IF EXISTS `devices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `devices` (
  `device_id` int(11) NOT NULL AUTO_INCREMENT,
  `device_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `device_key` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `device_filename` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `device_header` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `device_conf` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `device_footer` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `default_output` int(11) NOT NULL DEFAULT '0',
  `copy_text` mediumtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`device_id`),
  KEY `device_key` (`device_key`),
  KEY `default_output` (`default_output`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `devices`
--

LOCK TABLES `devices` WRITE;
/*!40000 ALTER TABLE `devices` DISABLE KEYS */;
INSERT INTO `devices` (`device_id`, `device_name`, `device_key`, `device_filename`, `device_header`, `device_conf`, `device_footer`, `default_output`, `copy_text`) VALUES (1,'GigaBlue','gigablue','userbouquet.favourites.tv','#NAME {BOUQUET_NAME}','#SERVICE 4097:0:1:0:0:0:0:0:0:0:{URL#:}\r\n#DESCRIPTION {CHANNEL_NAME}','',2,NULL),(2,'Enigma 2 OE 1.6','enigma16','userbouquet.favourites.tv','#NAME {BOUQUET_NAME}','#SERVICE 4097{SID}{URL#:}\r\n#DESCRIPTION {CHANNEL_NAME}','',2,NULL),(3,'DreamBox OE 2.0','dreambox','userbouquet.favourites.tv','#NAME {BOUQUET_NAME}','#SERVICE {ESR_ID}{SID}{URL#:}\r\n#DESCRIPTION {CHANNEL_NAME}','',2,NULL),(4,'m3u','m3u','tv_channels_{USERNAME}.m3u','#EXTM3U','#EXTINF:-1,{CHANNEL_NAME}\r\n{URL}','',2,NULL),(5,'Simple List','simple','simple_{USERNAME}.txt','','{URL} #Name: {CHANNEL_NAME}','',2,NULL),(6,'Octagon','octagon','internettv.feed','','[TITLE]\r\n{CHANNEL_NAME}\r\n[URL]\r\n{URL}\r\n[DESCRIPTION]\r\nIPTV\r\n[TYPE]\r\nLive','',2,NULL),(7,'Starlive v3/StarSat HD6060/AZclass','starlivev3','iptvlist.txt','','{CHANNEL_NAME},{URL}','',2,NULL),(8,'MediaStar / StarLive v4','mediastar','tvlist.txt','','{CHANNEL_NAME} {URL}','',2,NULL),(9,'Enigma 2 OE 1.6 Auto Script','enigma216_script','iptv.sh','USERNAME=\"{USERNAME}\";PASSWORD=\"{PASSWORD}\";bouquet=\"{BOUQUET_NAME}\";directory=\"/etc/enigma2/iptv.sh\";url=\"{SERVER_URL}get.php?username=$USERNAME&password=$PASSWORD&type=enigma16&output={OUTPUT_KEY}\";rm /etc/enigma2/userbouquet.\"$bouquet\"__tv_.tv;wget -O /etc/enigma2/userbouquet.\"$bouquet\"__tv_.tv $url;if ! cat /etc/enigma2/bouquets.tv | grep -v grep | grep -c $bouquet > /dev/null;then echo \"[+]Creating Folder for iptv and rehashing...\";cat /etc/enigma2/bouquets.tv | sed -n 1p > /etc/enigma2/new_bouquets.tv;echo \'#SERVICE 1:7:1:0:0:0:0:0:0:0:FROM BOUQUET \"userbouquet.\'$bouquet\'__tv_.tv\" ORDER BY bouquet\' >> /etc/enigma2/new_bouquets.tv; cat /etc/enigma2/bouquets.tv | sed -n \'2,$p\' >> /etc/enigma2/new_bouquets.tv;rm /etc/enigma2/bouquets.tv;mv /etc/enigma2/new_bouquets.tv /etc/enigma2/bouquets.tv;fi;rm /usr/bin/enigma2_pre_start.sh;echo \"writing to the file.. NO NEED FOR REBOOT\";echo \"/bin/sh \"$directory\" > /dev/null 2>&1 &\" > /usr/bin/enigma2_pre_start.sh;chmod 777 /usr/bin/enigma2_pre_start.sh;wget -qO - \"http://127.0.0.1/web/servicelistreload?mode=2\";wget -qO - \"http://127.0.0.1/web/servicelistreload?mode=2\";','','',2,'wget -O /etc/enigma2/iptv.sh {DEVICE_LINK} && chmod 777 /etc/enigma2/iptv.sh && /etc/enigma2/iptv.sh'),(10,'Enigma 2 OE 2.0 Auto Script','enigma22_script','iptv.sh','USERNAME=\"{USERNAME}\";PASSWORD=\"{PASSWORD}\";bouquet=\"{BOUQUET_NAME}\";directory=\"/etc/enigma2/iptv.sh\";url=\"{SERVER_URL}get.php?username=$USERNAME&password=$PASSWORD&type=dreambox&output={OUTPUT_KEY}\";rm /etc/enigma2/userbouquet.\"$bouquet\"__tv_.tv;wget -O /etc/enigma2/userbouquet.\"$bouquet\"__tv_.tv $url;if ! cat /etc/enigma2/bouquets.tv | grep -v grep | grep -c $bouquet > /dev/null;then echo \"[+]Creating Folder for iptv and rehashing...\";cat /etc/enigma2/bouquets.tv | sed -n 1p > /etc/enigma2/new_bouquets.tv;echo \'#SERVICE 1:7:1:0:0:0:0:0:0:0:FROM BOUQUET \"userbouquet.\'$bouquet\'__tv_.tv\" ORDER BY bouquet\' >> /etc/enigma2/new_bouquets.tv; cat /etc/enigma2/bouquets.tv | sed -n \'2,$p\' >> /etc/enigma2/new_bouquets.tv;rm /etc/enigma2/bouquets.tv;mv /etc/enigma2/new_bouquets.tv /etc/enigma2/bouquets.tv;fi;rm /usr/bin/enigma2_pre_start.sh;echo \"writing to the file.. NO NEED FOR REBOOT\";echo \"/bin/sh \"$directory\" > /dev/null 2>&1 &\" > /usr/bin/enigma2_pre_start.sh;chmod 777 /usr/bin/enigma2_pre_start.sh;wget -qO - \"http://127.0.0.1/web/servicelistreload?mode=2\";wget -qO - \"http://127.0.0.1/web/servicelistreload?mode=2\";','','',2,'wget -O /etc/enigma2/iptv.sh {DEVICE_LINK} && chmod 777 /etc/enigma2/iptv.sh && /etc/enigma2/iptv.sh'),(13,'m3u With Options','m3u_plus','tv_channels_{USERNAME}_plus.m3u','#EXTM3U','#EXTINF:-1 tvg-id=\"{CHANNEL_ID}\" tvg-name=\"{CHANNEL_NAME}\" tvg-logo=\"{CHANNEL_ICON}\" group-title=\"{CATEGORY}\",{CHANNEL_NAME}\r\n{URL}','',2,NULL),(14,'StarLive v5','starlivev5','channel.jason','','','',2,NULL),(15,'WebTV List','webtvlist','webtv list.txt','','Channel name:{CHANNEL_NAME}\r\nURL:{URL}','[Webtv channel END]',2,NULL),(16,'Octagon Auto Script','octagon_script','iptv','USERNAME=\"{USERNAME}\";PASSWORD=\"{PASSWORD}\";url=\"{SERVER_URL}get.php?username=$USERNAME&password=$PASSWORD&type=octagon&output={OUTPUT_KEY}\";rm /var/freetvplus/internettv.feed;wget -O /var/freetvplus/internettv.feed1 $url;chmod 777 /var/freetvplus/internettv.feed1;awk -v BINMODE=3 -v RS=\'(\\r\\n|\\n)\' -v ORS=\'\\n\' \'{ print }\' /var/freetvplus/internettv.feed1 > /var/freetvplus/internettv.feed;rm /var/freetvplus/internettv.feed1','','',2,'wget -qO /var/bin/iptv {DEVICE_LINK}'),(18,'Ariva','ariva','ariva_{USERNAME}.txt','','{CHANNEL_NAME},{URL}','',2,NULL),(19,'Spark','spark','webtv_usr.xml','<?xml version=\"1.0\"?>\r\n<webtvs>','<webtv title=\"{CHANNEL_NAME}\" urlkey=\"0\" url=\"{URL}\" description=\"\" iconsrc=\"{CHANNEL_ICON}\" iconsrc_b=\"\" group=\"0\" type=\"0\" />','</webtvs>',2,NULL),(20,'Geant/Starsat/Tiger/Qmax/Hyper/Royal','gst','{USERNAME}_list.txt','','I: {URL} {CHANNEL_NAME}','',2,NULL),(21,'Fortec999/Prifix9400/Starport','fps','Royal.cfg','','IPTV: { {CHANNEL_NAME} } { {URL} }','',2,NULL),(22,'Revolution 60/60 | Sunplus','revosun','network_iptv.cfg','','IPTV: { {CHANNEL_NAME} } { {URL} }','',2,NULL),(23,'Zorro','zorro','iptv.cfg','<NETDBS_TXT_VER_1>','IPTV: { {CHANNEL_NAME} } { {URL} } -HIDE_URL','',2,NULL);
/*!40000 ALTER TABLE `devices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `enigma2_actions`
--

DROP TABLE IF EXISTS `enigma2_actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `enigma2_actions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `device_id` int(11) NOT NULL,
  `type` text NOT NULL,
  `key` text NOT NULL,
  `command` text NOT NULL,
  `command2` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `enigma2_actions`
--

LOCK TABLES `enigma2_actions` WRITE;
/*!40000 ALTER TABLE `enigma2_actions` DISABLE KEYS */;
/*!40000 ALTER TABLE `enigma2_actions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `enigma2_devices`
--

DROP TABLE IF EXISTS `enigma2_devices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `enigma2_devices` (
  `device_id` int(12) NOT NULL AUTO_INCREMENT,
  `mac` varchar(255) NOT NULL,
  `user_id` int(11) NOT NULL,
  `modem_mac` varchar(255) NOT NULL,
  `local_ip` varchar(255) NOT NULL,
  `public_ip` varchar(255) NOT NULL,
  `key_auth` varchar(255) NOT NULL,
  `enigma_version` varchar(255) NOT NULL,
  `cpu` varchar(255) NOT NULL,
  `version` varchar(255) NOT NULL,
  `lversion` text NOT NULL,
  `token` varchar(32) NOT NULL,
  `last_updated` int(11) NOT NULL,
  `watchdog_timeout` int(11) NOT NULL,
  `lock_device` tinyint(4) NOT NULL DEFAULT '0',
  `telnet_enable` tinyint(4) NOT NULL DEFAULT '1',
  `ftp_enable` tinyint(4) NOT NULL DEFAULT '1',
  `ssh_enable` tinyint(4) NOT NULL DEFAULT '1',
  `dns` varchar(255) NOT NULL,
  `original_mac` varchar(255) NOT NULL,
  `rc` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`device_id`),
  KEY `mac` (`mac`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `enigma2_devices`
--

LOCK TABLES `enigma2_devices` WRITE;
/*!40000 ALTER TABLE `enigma2_devices` DISABLE KEYS */;
/*!40000 ALTER TABLE `enigma2_devices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `enigma2_failed`
--

DROP TABLE IF EXISTS `enigma2_failed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `enigma2_failed` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `original_mac` varchar(255) NOT NULL,
  `virtual_mac` varchar(255) NOT NULL,
  `date` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `original_mac` (`original_mac`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `enigma2_failed`
--

LOCK TABLES `enigma2_failed` WRITE;
/*!40000 ALTER TABLE `enigma2_failed` DISABLE KEYS */;
/*!40000 ALTER TABLE `enigma2_failed` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `epg`
--

DROP TABLE IF EXISTS `epg`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `epg` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `epg_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `epg_file` varchar(300) COLLATE utf8_unicode_ci NOT NULL,
  `integrity` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `last_updated` int(11) DEFAULT NULL,
  `days_keep` int(11) NOT NULL DEFAULT '7',
  `data` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `epg`
--

LOCK TABLES `epg` WRITE;
/*!40000 ALTER TABLE `epg` DISABLE KEYS */;
/*!40000 ALTER TABLE `epg` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `isp_addon`
--

DROP TABLE IF EXISTS `isp_addon`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `isp_addon` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `isp` text NOT NULL,
  `blocked` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `isp_addon`
--

LOCK TABLES `isp_addon` WRITE;
/*!40000 ALTER TABLE `isp_addon` DISABLE KEYS */;
/*!40000 ALTER TABLE `isp_addon` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `licence`
--

DROP TABLE IF EXISTS `licence`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `licence` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `licence_key` varchar(29) COLLATE utf8_unicode_ci NOT NULL,
  `show_message` tinyint(4) NOT NULL,
  `update_available` int(11) NOT NULL DEFAULT '0',
  `reshare_deny_addon` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `licence`
--

LOCK TABLES `licence` WRITE;
/*!40000 ALTER TABLE `licence` DISABLE KEYS */;
/*!40000 ALTER TABLE `licence` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `login_flood`
--

DROP TABLE IF EXISTS `login_flood`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `login_flood` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(128) NOT NULL DEFAULT '',
  `ip` varchar(64) NOT NULL DEFAULT '',
  `dateadded` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `login_flood`
--

LOCK TABLES `login_flood` WRITE;
/*!40000 ALTER TABLE `login_flood` DISABLE KEYS */;
/*!40000 ALTER TABLE `login_flood` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `login_logs`
--

DROP TABLE IF EXISTS `login_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `login_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `data` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `login_ip` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `date` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `login_logs`
--

LOCK TABLES `login_logs` WRITE;
/*!40000 ALTER TABLE `login_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `login_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mag_claims`
--

DROP TABLE IF EXISTS `mag_claims`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mag_claims` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mag_id` int(11) NOT NULL,
  `stream_id` int(11) NOT NULL,
  `real_type` varchar(10) NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `mag_id` (`mag_id`),
  KEY `stream_id` (`stream_id`),
  KEY `real_type` (`real_type`),
  KEY `date` (`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mag_claims`
--

LOCK TABLES `mag_claims` WRITE;
/*!40000 ALTER TABLE `mag_claims` DISABLE KEYS */;
/*!40000 ALTER TABLE `mag_claims` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mag_devices`
--

DROP TABLE IF EXISTS `mag_devices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mag_devices` (
  `mag_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `bright` int(10) NOT NULL DEFAULT '200',
  `contrast` int(10) NOT NULL DEFAULT '127',
  `saturation` int(10) NOT NULL DEFAULT '127',
  `aspect` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `video_out` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'rca',
  `volume` int(5) NOT NULL DEFAULT '50',
  `playback_buffer_bytes` int(50) NOT NULL DEFAULT '0',
  `playback_buffer_size` int(50) NOT NULL DEFAULT '0',
  `audio_out` int(5) NOT NULL DEFAULT '1',
  `mac` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `ip` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ls` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ver` varchar(300) COLLATE utf8_unicode_ci DEFAULT NULL,
  `lang` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `locale` varchar(30) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'en_GB.utf8',
  `city_id` int(11) DEFAULT '0',
  `hd` int(10) NOT NULL DEFAULT '1',
  `main_notify` int(5) NOT NULL DEFAULT '1',
  `fav_itv_on` int(5) NOT NULL DEFAULT '0',
  `now_playing_start` int(50) DEFAULT NULL,
  `now_playing_type` int(11) NOT NULL DEFAULT '0',
  `now_playing_content` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `time_last_play_tv` int(50) DEFAULT NULL,
  `time_last_play_video` int(50) DEFAULT NULL,
  `hd_content` int(11) NOT NULL DEFAULT '1',
  `image_version` varchar(350) COLLATE utf8_unicode_ci DEFAULT NULL,
  `last_change_status` int(11) DEFAULT NULL,
  `last_start` int(11) DEFAULT NULL,
  `last_active` int(11) DEFAULT NULL,
  `keep_alive` int(11) DEFAULT NULL,
  `playback_limit` int(11) NOT NULL DEFAULT '3',
  `screensaver_delay` int(11) NOT NULL DEFAULT '10',
  `stb_type` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `sn` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `last_watchdog` int(50) DEFAULT NULL,
  `created` int(11) NOT NULL,
  `country` varchar(5) COLLATE utf8_unicode_ci DEFAULT NULL,
  `plasma_saving` int(11) NOT NULL DEFAULT '0',
  `ts_enabled` int(11) DEFAULT '0',
  `ts_enable_icon` int(11) NOT NULL DEFAULT '1',
  `ts_path` varchar(35) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ts_max_length` int(11) NOT NULL DEFAULT '3600',
  `ts_buffer_use` varchar(15) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'cyclic',
  `ts_action_on_exit` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'no_save',
  `ts_delay` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'on_pause',
  `video_clock` varchar(10) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'Off',
  `rtsp_type` int(11) NOT NULL DEFAULT '4',
  `rtsp_flags` int(11) NOT NULL DEFAULT '0',
  `stb_lang` varchar(15) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'en',
  `display_menu_after_loading` int(11) NOT NULL DEFAULT '1',
  `record_max_length` int(11) NOT NULL DEFAULT '180',
  `plasma_saving_timeout` int(11) NOT NULL DEFAULT '600',
  `now_playing_link_id` int(11) DEFAULT NULL,
  `now_playing_streamer_id` int(11) DEFAULT NULL,
  `device_id` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `device_id2` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `hw_version` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `parent_password` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0000',
  `spdif_mode` int(11) NOT NULL DEFAULT '1',
  `show_after_loading` varchar(60) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'main_menu',
  `play_in_preview_by_ok` int(11) NOT NULL DEFAULT '1',
  `hdmi_event_reaction` int(11) NOT NULL DEFAULT '1',
  `mag_player` varchar(20) COLLATE utf8_unicode_ci DEFAULT 'ffmpeg',
  `play_in_preview_only_by_ok` varchar(10) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'true',
  `watchdog_timeout` int(11) NOT NULL,
  `fav_channels` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `tv_archive_continued` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `tv_channel_default_aspect` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'fit',
  `last_itv_id` int(11) NOT NULL DEFAULT '0',
  `units` varchar(20) COLLATE utf8_unicode_ci DEFAULT 'metric',
  `token` varchar(32) COLLATE utf8_unicode_ci DEFAULT '',
  `lock_device` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`mag_id`),
  KEY `user_id` (`user_id`),
  KEY `mac` (`mac`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mag_devices`
--

LOCK TABLES `mag_devices` WRITE;
/*!40000 ALTER TABLE `mag_devices` DISABLE KEYS */;
INSERT INTO `mag_devices` (`mag_id`, `user_id`, `bright`, `contrast`, `saturation`, `aspect`, `video_out`, `volume`, `playback_buffer_bytes`, `playback_buffer_size`, `audio_out`, `mac`, `ip`, `ls`, `ver`, `lang`, `locale`, `city_id`, `hd`, `main_notify`, `fav_itv_on`, `now_playing_start`, `now_playing_type`, `now_playing_content`, `time_last_play_tv`, `time_last_play_video`, `hd_content`, `image_version`, `last_change_status`, `last_start`, `last_active`, `keep_alive`, `playback_limit`, `screensaver_delay`, `stb_type`, `sn`, `last_watchdog`, `created`, `country`, `plasma_saving`, `ts_enabled`, `ts_enable_icon`, `ts_path`, `ts_max_length`, `ts_buffer_use`, `ts_action_on_exit`, `ts_delay`, `video_clock`, `rtsp_type`, `rtsp_flags`, `stb_lang`, `display_menu_after_loading`, `record_max_length`, `plasma_saving_timeout`, `now_playing_link_id`, `now_playing_streamer_id`, `device_id`, `device_id2`, `hw_version`, `parent_password`, `spdif_mode`, `show_after_loading`, `play_in_preview_by_ok`, `hdmi_event_reaction`, `mag_player`, `play_in_preview_only_by_ok`, `watchdog_timeout`, `fav_channels`, `tv_archive_continued`, `tv_channel_default_aspect`, `last_itv_id`, `units`, `token`, `lock_device`) VALUES (1,4,200,127,127,'','rca',50,0,0,1,'MDA6MUE6Nzk6OTI6Mzg6OTY=',NULL,NULL,NULL,NULL,'en_GB.utf8',0,1,1,0,NULL,0,NULL,NULL,NULL,1,NULL,NULL,NULL,NULL,NULL,3,10,'',NULL,NULL,0,NULL,0,0,1,NULL,3600,'cyclic','no_save','on_pause','Off',4,0,'en',1,180,600,NULL,NULL,NULL,NULL,NULL,'0000',1,'main_menu',1,1,'ffmpeg','true',0,'','','fit',0,'metric','',0);
/*!40000 ALTER TABLE `mag_devices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mag_events`
--

DROP TABLE IF EXISTS `mag_events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mag_events` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `status` tinyint(3) NOT NULL DEFAULT '0',
  `mag_device_id` int(11) NOT NULL,
  `event` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `need_confirm` tinyint(3) NOT NULL DEFAULT '0',
  `msg` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `reboot_after_ok` tinyint(3) NOT NULL DEFAULT '0',
  `auto_hide_timeout` tinyint(3) DEFAULT '0',
  `send_time` int(50) NOT NULL,
  `additional_services_on` tinyint(3) NOT NULL DEFAULT '1',
  `anec` tinyint(3) NOT NULL DEFAULT '0',
  `vclub` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `status` (`status`),
  KEY `mag_device_id` (`mag_device_id`),
  KEY `event` (`event`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mag_events`
--

LOCK TABLES `mag_events` WRITE;
/*!40000 ALTER TABLE `mag_events` DISABLE KEYS */;
/*!40000 ALTER TABLE `mag_events` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mag_logs`
--

DROP TABLE IF EXISTS `mag_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mag_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mag_id` int(11) DEFAULT NULL,
  `action` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `mag_id` (`mag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mag_logs`
--

LOCK TABLES `mag_logs` WRITE;
/*!40000 ALTER TABLE `mag_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `mag_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `member_groups`
--

DROP TABLE IF EXISTS `member_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `member_groups` (
  `group_id` int(11) NOT NULL AUTO_INCREMENT,
  `group_name` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `group_color` varchar(7) COLLATE utf8_unicode_ci NOT NULL DEFAULT '#000000',
  `is_banned` tinyint(4) NOT NULL DEFAULT '0',
  `is_admin` tinyint(4) NOT NULL DEFAULT '0',
  `is_reseller` tinyint(4) NOT NULL,
  `total_allowed_gen_trials` int(11) NOT NULL DEFAULT '0',
  `total_allowed_gen_in` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `delete_users` tinyint(4) NOT NULL DEFAULT '0',
  `allowed_pages` text COLLATE utf8_unicode_ci NOT NULL,
  `can_delete` tinyint(4) NOT NULL DEFAULT '1',
  `reseller_force_server` tinyint(4) NOT NULL DEFAULT '0',
  `create_sub_resellers_price` float NOT NULL DEFAULT '0',
  `create_sub_resellers` tinyint(4) NOT NULL DEFAULT '0',
  `alter_packages_ids` tinyint(4) NOT NULL DEFAULT '0',
  `alter_packages_prices` tinyint(4) NOT NULL DEFAULT '0',
  `reseller_client_connection_logs` tinyint(4) NOT NULL DEFAULT '0',
  `reseller_assign_pass` tinyint(4) NOT NULL DEFAULT '0',
  `allow_change_pass` tinyint(4) NOT NULL DEFAULT '0',
  `allow_import` tinyint(4) NOT NULL DEFAULT '0',
  `allow_export` tinyint(4) NOT NULL DEFAULT '0',
  `reseller_trial_credit_allow` int(11) NOT NULL DEFAULT '0',
  `edit_mac` tinyint(4) NOT NULL DEFAULT '0',
  `edit_isplock` tinyint(4) NOT NULL DEFAULT '0',
  `reset_stb_data` tinyint(4) NOT NULL DEFAULT '0',
  `reseller_bonus_package_inc` tinyint(4) NOT NULL DEFAULT '0',
  `allow_download` tinyint(4) NOT NULL DEFAULT '1',
  `minimum_trial_credits` int(16) NOT NULL DEFAULT '0',
  PRIMARY KEY (`group_id`),
  KEY `is_admin` (`is_admin`),
  KEY `is_banned` (`is_banned`),
  KEY `is_reseller` (`is_reseller`),
  KEY `can_delete` (`can_delete`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `member_groups`
--

LOCK TABLES `member_groups` WRITE;
/*!40000 ALTER TABLE `member_groups` DISABLE KEYS */;
INSERT INTO `member_groups` (`group_id`, `group_name`, `group_color`, `is_banned`, `is_admin`, `is_reseller`, `total_allowed_gen_trials`, `total_allowed_gen_in`, `delete_users`, `allowed_pages`, `can_delete`, `reseller_force_server`, `create_sub_resellers_price`, `create_sub_resellers`, `alter_packages_ids`, `alter_packages_prices`, `reseller_client_connection_logs`, `reseller_assign_pass`, `allow_change_pass`, `allow_import`, `allow_export`, `reseller_trial_credit_allow`, `edit_mac`, `edit_isplock`, `reset_stb_data`, `reseller_bonus_package_inc`, `allow_download`, `minimum_trial_credits`) VALUES (1,'Channel Admin','#FF0000',0,1,0,1000,'day',1,'[\"add_bouquet\",\"add_episode\",\"add_movie\",\"add_radio\",\"add_stream\",\"add_series\",\"create_channel\",\"edit_bouquet\",\"edit_cat\",\"edit_cchannel\",\"epg_edit\",\"edit_episode\",\"edit_movie\",\"edit_radio\",\"edit_stream\",\"edit_series\",\"import_episodes\",\"import_movies\",\"mass_sedits_vod\",\"mass_sedits\",\"stream_tools\",\"bouquets\",\"categories\",\"manage_cchannels\",\"epg\",\"movies\",\"radio\",\"streams\",\"tprofiles\",\"series\"]',0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,1,2),(2,'Registered Users','#66FF66',0,0,0,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),(3,'Banned','#194775',1,0,0,0,'',0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),(4,'Resellers','#FF9933',0,0,1,100000,'month',0,'[]',0,0,0,1,1,0,1,1,1,1,0,1,1,1,1,0,1,0);
/*!40000 ALTER TABLE `member_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `movie_containers`
--

DROP TABLE IF EXISTS `movie_containers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `movie_containers` (
  `container_id` int(11) NOT NULL AUTO_INCREMENT,
  `container_extension` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `container_header` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`container_id`),
  KEY `container_extension` (`container_extension`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `movie_containers`
--

LOCK TABLES `movie_containers` WRITE;
/*!40000 ALTER TABLE `movie_containers` DISABLE KEYS */;
/*!40000 ALTER TABLE `movie_containers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `packages`
--

DROP TABLE IF EXISTS `packages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `packages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `package_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `is_trial` tinyint(4) NOT NULL,
  `is_official` tinyint(4) NOT NULL,
  `trial_credits` float NOT NULL,
  `official_credits` float NOT NULL,
  `trial_duration` int(11) NOT NULL,
  `trial_duration_in` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `official_duration` int(11) NOT NULL,
  `official_duration_in` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `groups` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `bouquets` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `can_gen_mag` tinyint(4) NOT NULL DEFAULT '0',
  `only_mag` tinyint(4) NOT NULL DEFAULT '0',
  `output_formats` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `is_isplock` tinyint(4) NOT NULL DEFAULT '0',
  `max_connections` int(11) NOT NULL DEFAULT '1',
  `is_restreamer` tinyint(4) NOT NULL DEFAULT '0',
  `force_server_id` int(11) NOT NULL DEFAULT '0',
  `can_gen_e2` tinyint(4) NOT NULL DEFAULT '0',
  `only_e2` tinyint(4) NOT NULL DEFAULT '0',
  `forced_country` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `lock_device` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `is_trial` (`is_trial`),
  KEY `is_official` (`is_official`),
  KEY `can_gen_mag` (`can_gen_mag`),
  KEY `can_gen_e2` (`can_gen_e2`),
  KEY `only_e2` (`only_e2`),
  KEY `only_mag` (`only_mag`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `packages`
--

LOCK TABLES `packages` WRITE;
/*!40000 ALTER TABLE `packages` DISABLE KEYS */;
INSERT INTO `packages` (`id`, `package_name`, `is_trial`, `is_official`, `trial_credits`, `official_credits`, `trial_duration`, `trial_duration_in`, `official_duration`, `official_duration_in`, `groups`, `bouquets`, `can_gen_mag`, `only_mag`, `output_formats`, `is_isplock`, `max_connections`, `is_restreamer`, `force_server_id`, `can_gen_e2`, `only_e2`, `forced_country`, `lock_device`) VALUES (1,'Package 1 days',1,0,0,0,0,'days',0,'hours','[1,2,3,4]','[3,4,5]',1,0,'[1,2,3]',0,1,0,0,0,0,'',0),(2,'1 MONTHS 0.1 CREDIT',0,1,0,0.1,0,'hours',1,'months','[1,4]','[3]',1,0,'[1,2,3]',0,1,0,0,1,0,'',1);
/*!40000 ALTER TABLE `packages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reg_userlog`
--

DROP TABLE IF EXISTS `reg_userlog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `reg_userlog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `owner` int(11) NOT NULL,
  `username` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `password` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `date` int(30) NOT NULL,
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=141 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reg_userlog`
--

LOCK TABLES `reg_userlog` WRITE;
/*!40000 ALTER TABLE `reg_userlog` DISABLE KEYS */;
INSERT INTO `reg_userlog` (`id`, `owner`, `username`, `password`, `date`, `type`) VALUES (1,1,'admin','',1636534589,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 197.240.78.30'),(2,1,'admin','',1636556848,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 197.240.78.30'),(3,1,'admin','',1636567641,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.250.85'),(4,1,'admin','',1636568502,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.250.85'),(5,1,'admin','',1636569834,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(6,1,'admin','',1636575883,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(7,1,'admin','',1636579097,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.250.85'),(8,1,'admin','',1636579973,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(9,1,'admin','',1636620734,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.226.139.188'),(10,1,'admin','',1636636181,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(11,1,'admin','',1636648577,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(12,1,'admin','',1636653192,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(13,1,'admin','',1636657722,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(14,1,'admin','',1636664052,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(15,1,'admin','',1636666905,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(16,1,'admin','',1636671413,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(17,1,'admin','',1636707105,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 160.157.115.180'),(18,1,'admin','',1636732930,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(19,1,'admin','',1636741925,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(20,1,'admin','',1636751879,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(21,1,'admin','',1636761179,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(22,1,'admin','',1636782592,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(23,1,'admin','',1636798226,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(24,1,'admin','',1636798318,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(25,1,'admin','',1636802601,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(26,1,'admin','',1636808185,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(27,1,'admin','',1636811576,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(28,1,'admin','',1636814371,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(29,1,'admin','',1636814845,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(30,1,'admin','',1636814892,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(31,1,'admin','',1636820691,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(32,1,'admin','',1636835293,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(33,1,'admin','',1636835594,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(34,1,'admin','',1636884609,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(35,1,'admin','',1636884706,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(36,1,'admin','',1636890433,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(37,1,'admin','',1636899823,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(38,1,'admin','',1636918947,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(39,1,'admin','',1636930392,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(40,1,'admin','',1636967363,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 160.157.138.137'),(41,1,'admin','',1636983999,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(42,1,'admin','',1636996298,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(43,1,'admin','',1637000704,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(44,1,'admin','',1637001951,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(45,1,'admin','',1637003401,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(46,1,'admin','',1637008938,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(47,1,'admin','',1637013442,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(48,1,'admin','',1637020587,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(49,1,'admin','',1637057001,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(50,1,'admin','',1637068453,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(51,1,'admin','',1637095024,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 37.120.204.254'),(52,1,'admin','',1637138025,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(53,1,'admin','',1637167867,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(54,1,'admin','',1637182845,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(55,1,'admin','',1637227754,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 160.159.135.53'),(56,1,'admin','',1637243784,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(57,1,'admin','',1637255569,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.244.177'),(58,1,'admin','',1637278098,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(59,1,'admin','',1637308426,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.238.35.175'),(60,1,'admin','',1637325193,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(61,1,'admin','',1637335133,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(62,1,'admin','',1637340971,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(63,1,'admin','',1637344495,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.78.118'),(64,1,'admin','',1637354026,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(65,1,'admin','',1637395339,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.225.200.17'),(66,1,'admin','',1637398685,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 102.24.84.120'),(67,1,'admin','',1637405523,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.78.118'),(68,1,'admin','',1637409575,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(69,1,'admin','',1637412164,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(70,1,'admin','',1637426056,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(71,1,'admin','',1637432768,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(72,1,'admin','',1637443687,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(73,1,'admin','',1637490971,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(74,1,'admin','',1637505672,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(75,1,'admin','',1637509586,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.78.118'),(76,1,'admin','',1637514703,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.78.118'),(77,1,'admin','',1637578024,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 197.29.206.94'),(78,1,'admin','',1637601609,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.78.118'),(79,1,'admin','',1637660378,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.225.177.153'),(80,1,'admin','',1637689485,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.78.118'),(81,1,'admin','',1637751674,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.227.207.190'),(82,1,'admin','',1637776174,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(83,1,'admin','',1637780970,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(84,1,'admin','',1637786917,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(85,1,'admin','',1637861415,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(86,1,'admin','',1637861416,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(87,1,'admin','',1637870883,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(88,1,'admin','',1637878905,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(89,1,'admin','',1637878915,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 41.225.238.179'),(90,1,'admin','',1637880527,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 41.225.238.179'),(91,1,'admin','',1637880717,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 41.225.238.179'),(92,1,'admin','',1637888910,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(93,1,'admin','',1637905330,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(94,1,'admin','',1637930636,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 41.225.238.179'),(95,1,'admin','',1637934299,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(96,1,'admin','',1637941495,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(97,1,'admin','',1637941678,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 41.225.238.179'),(98,1,'admin','',1637943797,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(99,1,'admin','',1637953159,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(100,1,'admin','',1638004770,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(101,1,'admin','',1638007421,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.233.44.168'),(102,1,'admin','',1638018306,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.233.44.168'),(103,1,'admin','',1638045895,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(104,1,'admin','',1638055089,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(105,1,'admin','',1638116369,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(106,1,'admin','',1638136576,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(107,1,'admin','',1638177356,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.225.121.182'),(108,1,'admin','',1638192003,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(109,1,'admin','',1638205826,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(110,1,'admin','',1638227104,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(111,1,'admin','',1638259391,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.233.251.226'),(112,1,'admin','',1638262477,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 41.225.238.179'),(113,1,'admin','',1638272094,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 41.225.238.179'),(114,1,'admin','',1638276153,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(115,1,'admin','',1638295219,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(116,1,'admin','',1638300047,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(117,1,'admin','',1638303282,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(118,1,'admin','',1638352785,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.226.178.124'),(119,1,'admin','',1638355299,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.226.178.124'),(120,1,'admin','',1638356002,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 41.225.238.179'),(121,1,'admin','',1638381075,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(122,1,'admin','',1638437859,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.228.63.141'),(123,1,'admin','',1638446652,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 197.25.183.42'),(124,1,'admin','',1638448647,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(125,1,'admin','',1638461681,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(126,1,'admin','',1638461994,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(127,1,'admin','',1638467614,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(128,1,'nFJUBvAcDK5e060h','yB6R2n6Xk95p6MVK',1638469036,'[<b>UserPanel</b> -> <u>New LINE</u>] Username : nFJUBvAcDK5e060h  with Package [Package 1 days], Credits: <font color=\"green\">1000</font> -> <font color=\"red\">1000</font>'),(129,1,'rH1ufbWp8DeqeGSh','qd4EP9HsxXWU7Ue1',1638471044,'[<b>UserPanel</b> -> <u>New LINE</u>] Username : rH1ufbWp8DeqeGSh  with Package [Package 1 days], Credits: <font color=\"green\">1000</font> -> <font color=\"red\">1000</font>'),(130,1,'admin','',1638472701,'[<b>UserPanel</b> -> <u>Extend</u>] nFJUBvAcDK5e060h extended to 2022-01-02 19:18:21 Credits Before : <font color=\"red\">1000</font> After : <font color=\"green\">999.9</font>'),(131,3,'touka','',1638472957,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(132,1,'admin','',1638473705,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(133,2,'khalifa-01','',1638473771,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(134,1,'admin','',1638474935,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(135,1,'admin','',1638509719,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 197.25.183.42'),(136,1,'admin','',1638521541,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 160.156.166.104'),(137,1,'admin','',1638555080,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.235.139.248'),(138,1,'admin','',1638555308,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 197.25.183.42'),(139,1,'admin','',1638562127,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 196.203.25.97'),(140,1,'admin','',1638567061,'[<b>UserPanel</b> -> <u>Logged In</u>] With IP 41.225.238.179');
/*!40000 ALTER TABLE `reg_userlog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reg_users`
--

DROP TABLE IF EXISTS `reg_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `reg_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `ip` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `date_registered` int(11) NOT NULL,
  `verify_key` mediumtext COLLATE utf8_unicode_ci,
  `last_login` int(11) DEFAULT NULL,
  `member_group_id` int(11) NOT NULL,
  `verified` int(11) NOT NULL DEFAULT '0',
  `credits` float NOT NULL DEFAULT '0',
  `notes` mediumtext COLLATE utf8_unicode_ci,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `default_lang` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `reseller_dns` text COLLATE utf8_unicode_ci NOT NULL,
  `owner_id` int(11) NOT NULL DEFAULT '0',
  `override_packages` text COLLATE utf8_unicode_ci,
  `google_2fa_sec` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `dark_mode` int(1) NOT NULL DEFAULT '0',
  `sidebar` int(1) NOT NULL DEFAULT '0',
  `expanded_sidebar` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `member_group_id` (`member_group_id`),
  KEY `username` (`username`),
  KEY `password` (`password`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reg_users`
--

LOCK TABLES `reg_users` WRITE;
/*!40000 ALTER TABLE `reg_users` DISABLE KEYS */;
INSERT INTO `reg_users` (`id`, `username`, `password`, `email`, `ip`, `date_registered`, `verify_key`, `last_login`, `member_group_id`, `verified`, `credits`, `notes`, `status`, `default_lang`, `reseller_dns`, `owner_id`, `override_packages`, `google_2fa_sec`, `dark_mode`, `sidebar`, `expanded_sidebar`) VALUES (1,'admin','$6$rounds=20000$xtreamcodes$XThC5OwfuS0YwS4ahiifzF14vkGbGsFF1w7ETL4sRRC5sOrAWCjWvQJDromZUQoQuwbAXAFdX3h3Cp3vqulpS0','admin@website.com','41.225.238.179',0,NULL,1638567061,1,1,979.9,NULL,1,'','',0,NULL,'',0,0,0),(2,'khalifa-01','$6$rounds=20000$xtreamcodes$esX.uFo3v28A2C2mFG3ENr6bns4EgpBJVc5bvAG/nXviBQrI4kZrVmD1VxPHHa.6nSNdmf..lEoZ5GuE2smux1','khalifa@gmail.com','196.235.139.248',0,NULL,1638473771,2,1,10,'first test',1,'','',1,'[]','',0,0,0),(3,'touka','$6$rounds=20000$xtreamcodes$S4ZTqikQfGuQpVj4Zd4ECcTjuFjXgg/zRrbtuzJftXtvZcLuw8chIchZD7Wei91PsIjqZYzq3YwZViu5tc8QQ0','wajyou123154@rr.com','196.203.25.97',1638472907,NULL,1638472957,4,1,20,'teste',1,'','51.159.66.53',1,NULL,'',0,0,0);
/*!40000 ALTER TABLE `reg_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reseller_imex`
--

DROP TABLE IF EXISTS `reseller_imex`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `reseller_imex` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reg_id` int(11) NOT NULL,
  `header` longtext NOT NULL,
  `data` longtext NOT NULL,
  `accepted` tinyint(4) NOT NULL DEFAULT '0',
  `finished` tinyint(4) NOT NULL DEFAULT '0',
  `bouquet_ids` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `reg_id` (`reg_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reseller_imex`
--

LOCK TABLES `reseller_imex` WRITE;
/*!40000 ALTER TABLE `reseller_imex` DISABLE KEYS */;
/*!40000 ALTER TABLE `reseller_imex` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rtmp_ips`
--

DROP TABLE IF EXISTS `rtmp_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rtmp_ips` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(255) NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ip` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rtmp_ips`
--

LOCK TABLES `rtmp_ips` WRITE;
/*!40000 ALTER TABLE `rtmp_ips` DISABLE KEYS */;
/*!40000 ALTER TABLE `rtmp_ips` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `series`
--

DROP TABLE IF EXISTS `series`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `series` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `category_id` int(11) DEFAULT NULL,
  `cover` varchar(255) NOT NULL,
  `cover_big` varchar(255) NOT NULL,
  `genre` varchar(255) NOT NULL,
  `plot` text NOT NULL,
  `cast` text NOT NULL,
  `rating` int(11) NOT NULL,
  `director` varchar(255) NOT NULL,
  `releaseDate` varchar(255) NOT NULL,
  `last_modified` int(11) NOT NULL,
  `tmdb_id` int(11) NOT NULL,
  `seasons` mediumtext NOT NULL,
  `episode_run_time` int(11) NOT NULL DEFAULT '0',
  `backdrop_path` text NOT NULL,
  `youtube_trailer` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `last_modified` (`last_modified`),
  KEY `tmdb_id` (`tmdb_id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `series`
--

LOCK TABLES `series` WRITE;
/*!40000 ALTER TABLE `series` DISABLE KEYS */;
INSERT INTO `series` (`id`, `title`, `category_id`, `cover`, `cover_big`, `genre`, `plot`, `cast`, `rating`, `director`, `releaseDate`, `last_modified`, `tmdb_id`, `seasons`, `episode_run_time`, `backdrop_path`, `youtube_trailer`) VALUES (14,'FR| Avengers Rassemblement',119,'https://image.tmdb.org/t/p/w600_and_h900_bestv2/aVYPq7FSvsdNQOXVIFnndXJPCXn.jpg','[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w1280\\/6ZqXMR9aLLdGjbxkIMo77EhZexy.jpg\"]','Action & Adventure, Animation, Science-Fiction & Fantastique','Marvel’s Avengers Assemble est une série animée racontant des histoires directement en lien avec le film The Avengers. Iron Man est le leader de cette équipe réunissant les plus puissants des superhéros: Hulk, Captain America, Thor, Hawkeye, Black Widow et un nouveau venu, Falcon. Ils allieront leurs forces face à des menaces qu\'un seul ne peut pas vaincre. Quand les Avengers se réunissent, le mal n\'a aucune chance de l\'emporter.','Roger Craig Smith, Mick Wingert, Travis Willingham, Troy Baker, Laura Bailey',8,'','2013-05-26',1638302403,59427,'[{\"air_date\":\"2017-06-02\",\"episode_count\":7,\"id\":122744,\"name\":\"\\u00c9pisodes sp\\u00e9ciaux\",\"overview\":\"\",\"season_number\":0,\"cover\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/9N6xwcaNpBYSoJEPWc24ISB0EjG.jpg\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/9N6xwcaNpBYSoJEPWc24ISB0EjG.jpg\"},{\"air_date\":\"2013-05-26\",\"episode_count\":26,\"id\":64183,\"name\":\"Saison 1\",\"overview\":\"\",\"season_number\":1,\"cover\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/tZnSqkOG9i8g4g7IZFYyqZaqi23.jpg\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/tZnSqkOG9i8g4g7IZFYyqZaqi23.jpg\"},{\"air_date\":\"2014-09-28\",\"episode_count\":26,\"id\":64184,\"name\":\"Saison 2\",\"overview\":\"\",\"season_number\":2,\"cover\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/60xWVdAKu6wD0IJ7Myzr44pICrZ.jpg\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/60xWVdAKu6wD0IJ7Myzr44pICrZ.jpg\"},{\"air_date\":\"2016-03-12\",\"episode_count\":26,\"id\":75230,\"name\":\"Saison 3\",\"overview\":\"\",\"season_number\":3,\"cover\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/w3Hz2Z4e4M4koOwft7O5ksh6vjO.jpg\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/w3Hz2Z4e4M4koOwft7O5ksh6vjO.jpg\"},{\"air_date\":\"2017-06-16\",\"episode_count\":25,\"id\":89597,\"name\":\"Saison 4\",\"overview\":\"\",\"season_number\":4,\"cover\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/lY8q6yjU6bFrosrEPasyQh9yrNo.jpg\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/lY8q6yjU6bFrosrEPasyQh9yrNo.jpg\"},{\"air_date\":\"2018-09-22\",\"episode_count\":23,\"id\":109734,\"name\":\"Saison 5\",\"overview\":\"\",\"season_number\":5,\"cover\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/h0TZy6PObWKEgCUvLq5DvW34rMy.jpg\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/h0TZy6PObWKEgCUvLq5DvW34rMy.jpg\"}]',22,'[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w1280\\/6ZqXMR9aLLdGjbxkIMo77EhZexy.jpg\"]','');
/*!40000 ALTER TABLE `series` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `series_episodes`
--

DROP TABLE IF EXISTS `series_episodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `series_episodes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `season_num` int(11) NOT NULL,
  `series_id` int(11) NOT NULL,
  `stream_id` int(11) NOT NULL,
  `sort` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `season_num` (`season_num`),
  KEY `series_id` (`series_id`),
  KEY `stream_id` (`stream_id`),
  KEY `sort` (`sort`)
) ENGINE=InnoDB AUTO_INCREMENT=664 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `series_episodes`
--

LOCK TABLES `series_episodes` WRITE;
/*!40000 ALTER TABLE `series_episodes` DISABLE KEYS */;
INSERT INTO `series_episodes` (`id`, `season_num`, `series_id`, `stream_id`, `sort`) VALUES (555,1,14,732,1),(556,1,14,733,2),(557,1,14,734,3),(558,1,14,735,4),(559,1,14,736,5),(560,1,14,737,6),(561,1,14,738,7),(562,1,14,739,8),(563,1,14,740,9),(564,1,14,741,10),(565,1,14,742,11),(566,1,14,743,12),(567,1,14,744,13),(568,1,14,745,14),(569,1,14,746,15),(570,1,14,747,16),(571,1,14,748,17),(572,1,14,749,18),(573,1,14,750,19),(574,1,14,751,20),(575,1,14,752,21),(576,1,14,753,22),(577,1,14,754,23),(578,1,14,755,24),(579,1,14,756,25),(580,1,14,757,26),(581,2,14,758,1),(582,2,14,759,2),(583,2,14,760,3),(584,2,14,761,4),(585,2,14,762,5),(586,2,14,763,6),(587,2,14,764,7),(588,2,14,765,8),(589,2,14,766,9),(590,2,14,767,10),(591,2,14,768,11),(592,2,14,769,12),(593,2,14,770,13),(594,2,14,771,14),(595,2,14,772,15),(596,2,14,773,16),(597,2,14,774,17),(598,2,14,775,18),(599,2,14,776,19),(600,2,14,777,20),(601,2,14,778,21),(602,2,14,779,22),(603,2,14,780,23),(604,2,14,781,24),(605,2,14,782,25),(606,2,14,783,26),(607,3,14,784,1),(608,3,14,785,2),(609,3,14,786,3),(610,3,14,787,4),(611,3,14,788,5),(612,3,14,789,6),(613,3,14,790,7),(614,3,14,791,8),(615,3,14,792,9),(616,3,14,793,10),(617,3,14,794,11),(618,3,14,795,12),(619,3,14,796,13),(620,3,14,797,14),(621,3,14,798,15),(622,3,14,799,16),(623,3,14,800,17),(624,3,14,801,18),(625,3,14,802,19),(626,3,14,803,20),(627,3,14,804,21),(628,3,14,805,22),(629,4,14,806,1),(630,4,14,807,2),(631,4,14,808,3),(632,4,14,809,4),(633,4,14,810,5),(634,4,14,811,6),(635,4,14,812,7),(636,4,14,813,8),(637,4,14,814,9),(638,4,14,815,10),(639,4,14,816,11),(640,4,14,817,12),(641,4,14,818,13),(642,4,14,819,14),(643,4,14,820,15),(644,4,14,821,16),(645,4,14,822,17),(646,4,14,823,18),(647,4,14,824,19),(648,4,14,825,20),(649,4,14,826,21),(650,4,14,827,22),(651,4,14,828,23),(652,4,14,829,24),(653,4,14,830,25),(654,4,14,831,26),(655,5,14,832,1),(656,5,14,833,2),(657,5,14,834,3),(658,5,14,835,4),(659,5,14,836,5),(660,5,14,837,6),(661,5,14,838,7),(662,5,14,839,8),(663,5,14,840,9);
/*!40000 ALTER TABLE `series_episodes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `server_activity`
--

DROP TABLE IF EXISTS `server_activity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `server_activity` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `source_server_id` int(11) NOT NULL,
  `dest_server_id` int(11) NOT NULL,
  `stream_id` int(11) NOT NULL,
  `pid` int(11) DEFAULT NULL,
  `bandwidth` int(11) NOT NULL DEFAULT '0',
  `date_start` int(11) NOT NULL,
  `date_end` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `source_server_id` (`source_server_id`),
  KEY `dest_server_id` (`dest_server_id`),
  KEY `stream_id` (`stream_id`),
  KEY `pid` (`pid`),
  KEY `date_end` (`date_end`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `server_activity`
--

LOCK TABLES `server_activity` WRITE;
/*!40000 ALTER TABLE `server_activity` DISABLE KEYS */;
/*!40000 ALTER TABLE `server_activity` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `settings` (
  `id` int(11) NOT NULL,
  `bouquet_name` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `live_streaming_pass` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `email_verify_sub` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `email_verify_cont` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `email_forgot_sub` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `email_forgot_cont` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `mail_from` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `smtp_host` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `smtp_port` int(11) NOT NULL,
  `min_password` int(11) NOT NULL DEFAULT '5',
  `username_strlen` int(11) NOT NULL DEFAULT '15',
  `username_alpha` int(11) NOT NULL DEFAULT '1',
  `allow_multiple_accs` int(11) NOT NULL DEFAULT '0',
  `allow_registrations` int(11) NOT NULL DEFAULT '0',
  `server_name` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `smtp_username` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `smtp_password` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `email_new_pass_sub` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `logo_url` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `email_new_pass_cont` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `smtp_from_name` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `confirmation_email` int(11) NOT NULL,
  `smtp_encryption` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `unique_id` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `copyrights_removed` tinyint(4) NOT NULL,
  `copyrights_text` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `default_timezone` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'Europe/Athens',
  `default_locale` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'en_GB.utf8',
  `allowed_stb_types` text COLLATE utf8_unicode_ci NOT NULL,
  `client_prebuffer` int(11) NOT NULL,
  `split_clients` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `stream_max_analyze` int(11) NOT NULL DEFAULT '30',
  `show_not_on_air_video` tinyint(4) NOT NULL,
  `not_on_air_video_path` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `show_banned_video` tinyint(4) NOT NULL,
  `banned_video_path` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `show_expired_video` tinyint(4) NOT NULL,
  `expired_video_path` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `mag_container` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `probesize` int(11) NOT NULL DEFAULT '5000000',
  `allowed_ips_admin` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `block_svp` tinyint(4) NOT NULL DEFAULT '0',
  `allow_countries` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `user_auto_kick_hours` int(11) NOT NULL DEFAULT '0',
  `show_in_red_online` int(11) NOT NULL DEFAULT '0',
  `disallow_empty_user_agents` tinyint(4) DEFAULT '0',
  `show_all_category_mag` tinyint(4) NOT NULL DEFAULT '1',
  `default_lang` mediumtext COLLATE utf8_unicode_ci,
  `autobackup_status` int(11) NOT NULL DEFAULT '0',
  `autobackup_pass` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `flood_limit` int(11) NOT NULL DEFAULT '0',
  `flood_ips_exclude` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `reshare_deny_addon` tinyint(4) NOT NULL DEFAULT '0',
  `restart_http` tinyint(4) NOT NULL DEFAULT '0',
  `css_layout` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `flood_seconds` int(11) NOT NULL DEFAULT '5',
  `flood_max_attempts` int(11) NOT NULL DEFAULT '1',
  `flood_apply_clients` int(11) NOT NULL DEFAULT '1',
  `flood_apply_restreamers` int(11) NOT NULL DEFAULT '0',
  `backup_source_all` int(11) NOT NULL DEFAULT '0',
  `flood_get_block` int(11) NOT NULL DEFAULT '0',
  `portal_block` int(11) NOT NULL DEFAULT '0',
  `streaming_block` int(11) NOT NULL DEFAULT '0',
  `stream_start_delay` int(11) NOT NULL DEFAULT '20000',
  `hash_lb` tinyint(4) NOT NULL DEFAULT '1',
  `vod_bitrate_plus` int(11) NOT NULL DEFAULT '60',
  `read_buffer_size` int(11) NOT NULL DEFAULT '8192',
  `tv_channel_default_aspect` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'fit',
  `playback_limit` int(11) NOT NULL DEFAULT '3',
  `show_tv_channel_logo` tinyint(4) NOT NULL DEFAULT '1',
  `show_channel_logo_in_preview` tinyint(4) NOT NULL DEFAULT '1',
  `enable_connection_problem_indication` tinyint(4) NOT NULL DEFAULT '1',
  `enable_pseudo_hls` tinyint(4) NOT NULL DEFAULT '1',
  `vod_limit_at` int(11) NOT NULL DEFAULT '0',
  `client_area_plugin` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'flow',
  `persistent_connections` tinyint(4) NOT NULL DEFAULT '0',
  `record_max_length` int(11) NOT NULL DEFAULT '180',
  `total_records_length` int(11) NOT NULL DEFAULT '600',
  `max_local_recordings` int(11) NOT NULL DEFAULT '10',
  `allowed_stb_types_for_local_recording` text COLLATE utf8_unicode_ci NOT NULL,
  `allowed_stb_types_rec` text COLLATE utf8_unicode_ci NOT NULL,
  `show_captcha` int(11) NOT NULL DEFAULT '1',
  `dynamic_timezone` tinyint(4) NOT NULL DEFAULT '1',
  `stalker_theme` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'digital',
  `rtmp_random` tinyint(4) NOT NULL DEFAULT '1',
  `api_ips` text COLLATE utf8_unicode_ci NOT NULL,
  `crypt_load_balancing` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `use_buffer` tinyint(4) NOT NULL DEFAULT '0',
  `restreamer_prebuffer` tinyint(4) NOT NULL DEFAULT '0',
  `audio_restart_loss` tinyint(4) NOT NULL DEFAULT '0',
  `stalker_lock_images` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `channel_number_type` varchar(25) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'bouquet',
  `stb_change_pass` tinyint(4) NOT NULL DEFAULT '0',
  `enable_debug_stalker` tinyint(4) NOT NULL DEFAULT '0',
  `online_capacity_interval` smallint(6) NOT NULL DEFAULT '10',
  `always_enabled_subtitles` tinyint(4) NOT NULL DEFAULT '1',
  `test_download_url` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `xc_support_allow` tinyint(4) NOT NULL DEFAULT '1',
  `e2_arm7a` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `e2_mipsel` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `e2_mips32el` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `e2_sh4` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `e2_arm` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `api_pass` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `message_of_day` text COLLATE utf8_unicode_ci NOT NULL,
  `double_auth` tinyint(4) NOT NULL DEFAULT '0',
  `mysql_remote_sec` tinyint(4) NOT NULL DEFAULT '0',
  `enable_isp_lock` tinyint(4) NOT NULL DEFAULT '0',
  `show_isps` tinyint(4) NOT NULL DEFAULT '1',
  `userpanel_mainpage` longtext COLLATE utf8_unicode_ci NOT NULL,
  `save_closed_connection` tinyint(4) NOT NULL DEFAULT '1',
  `client_logs_save` tinyint(4) NOT NULL DEFAULT '1',
  `get_real_ip_client` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `case_sensitive_line` tinyint(4) NOT NULL DEFAULT '1',
  `county_override_1st` tinyint(4) NOT NULL DEFAULT '0',
  `disallow_2nd_ip_con` tinyint(4) NOT NULL DEFAULT '0',
  `firewall` tinyint(4) NOT NULL DEFAULT '0',
  `new_sorting_bouquet` tinyint(4) NOT NULL DEFAULT '1',
  `split_by` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'con',
  `use_mdomain_in_lists` tinyint(4) NOT NULL DEFAULT '0',
  `use_https` text COLLATE utf8_unicode_ci NOT NULL,
  `priority_backup` tinyint(4) NOT NULL DEFAULT '0',
  `use_buffer_table` tinyint(4) NOT NULL DEFAULT '0',
  `tmdb_api_key` text COLLATE utf8_unicode_ci NOT NULL,
  `toggle_menu` tinyint(4) NOT NULL DEFAULT '0',
  `mobile_apps` tinyint(4) NOT NULL DEFAULT '0',
  `stalker_container_priority` text COLLATE utf8_unicode_ci NOT NULL,
  `gen_container_priority` text COLLATE utf8_unicode_ci NOT NULL,
  `tmdb_default` varchar(3) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'en',
  `series_custom_name` tinyint(4) NOT NULL DEFAULT '0',
  `mag_security` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` (`id`, `bouquet_name`, `live_streaming_pass`, `email_verify_sub`, `email_verify_cont`, `email_forgot_sub`, `email_forgot_cont`, `mail_from`, `smtp_host`, `smtp_port`, `min_password`, `username_strlen`, `username_alpha`, `allow_multiple_accs`, `allow_registrations`, `server_name`, `smtp_username`, `smtp_password`, `email_new_pass_sub`, `logo_url`, `email_new_pass_cont`, `smtp_from_name`, `confirmation_email`, `smtp_encryption`, `unique_id`, `copyrights_removed`, `copyrights_text`, `default_timezone`, `default_locale`, `allowed_stb_types`, `client_prebuffer`, `split_clients`, `stream_max_analyze`, `show_not_on_air_video`, `not_on_air_video_path`, `show_banned_video`, `banned_video_path`, `show_expired_video`, `expired_video_path`, `mag_container`, `probesize`, `allowed_ips_admin`, `block_svp`, `allow_countries`, `user_auto_kick_hours`, `show_in_red_online`, `disallow_empty_user_agents`, `show_all_category_mag`, `default_lang`, `autobackup_status`, `autobackup_pass`, `flood_limit`, `flood_ips_exclude`, `reshare_deny_addon`, `restart_http`, `css_layout`, `flood_seconds`, `flood_max_attempts`, `flood_apply_clients`, `flood_apply_restreamers`, `backup_source_all`, `flood_get_block`, `portal_block`, `streaming_block`, `stream_start_delay`, `hash_lb`, `vod_bitrate_plus`, `read_buffer_size`, `tv_channel_default_aspect`, `playback_limit`, `show_tv_channel_logo`, `show_channel_logo_in_preview`, `enable_connection_problem_indication`, `enable_pseudo_hls`, `vod_limit_at`, `client_area_plugin`, `persistent_connections`, `record_max_length`, `total_records_length`, `max_local_recordings`, `allowed_stb_types_for_local_recording`, `allowed_stb_types_rec`, `show_captcha`, `dynamic_timezone`, `stalker_theme`, `rtmp_random`, `api_ips`, `crypt_load_balancing`, `use_buffer`, `restreamer_prebuffer`, `audio_restart_loss`, `stalker_lock_images`, `channel_number_type`, `stb_change_pass`, `enable_debug_stalker`, `online_capacity_interval`, `always_enabled_subtitles`, `test_download_url`, `xc_support_allow`, `e2_arm7a`, `e2_mipsel`, `e2_mips32el`, `e2_sh4`, `e2_arm`, `api_pass`, `message_of_day`, `double_auth`, `mysql_remote_sec`, `enable_isp_lock`, `show_isps`, `userpanel_mainpage`, `save_closed_connection`, `client_logs_save`, `get_real_ip_client`, `case_sensitive_line`, `county_override_1st`, `disallow_2nd_ip_con`, `firewall`, `new_sorting_bouquet`, `split_by`, `use_mdomain_in_lists`, `use_https`, `priority_backup`, `use_buffer_table`, `tmdb_api_key`, `toggle_menu`, `mobile_apps`, `stalker_container_priority`, `gen_container_priority`, `tmdb_default`, `series_custom_name`, `mag_security`) VALUES (1,'ACTIVE X PRO','liZ1VJr9BM1v33qzU7Um','Verify Registration @ {SERVER_NAME}','Hello,<p><br /></p><p>Please Click at the following URL to activate your account {VERIFY_LINK}</p><p><br /></p><p>{SERVER_NAME} Team</p><p>Thank you</p>','Forgot Password @ {SERVER_NAME}','Hello,<p><br /></p><p>Someone requested new password @  {SERVER_NAME} . To verify this request please click at the following link: {FORGOT_LINK}<br /></p><p><br /></p><p>{SERVER_NAME} Team</p><p>Thank you</p>','support@website.com','mail.website.com',0,5,15,0,1,0,'ACTIVE X PRO','support@website.com','','Your New Password @ {SERVER_NAME}','','Hello,<p><br /></p><p>Your New Password is: {NEW_PASSWORD}<br /></p><p><br /></p><p>{SERVER_NAME} Team</p><p>Thank you</p>','Support',0,'no','Qqn3oEAxWi',0,'ACTIVE X PRO','Europe/London','en_GB.utf8','[\"AuraHD\",\"AuraHD2\",\"AuraHD3\",\"AuraHD4\",\"AuraHD5\",\"AuraHD6\",\"AuraHD7\",\"AuraHD8\",\"AuraHD9\",\"MAG200\",\"MAG245\",\"MAG245D\",\"MAG250\",\"MAG254\",\"MAG255\",\"MAG256\",\"MAG257\",\"MAG260\",\"MAG270\",\"MAG275\",\"MAG322\",\"MAG323\",\"MAG324\",\"MAG325\",\"MAG349\",\"MAG350\",\"MAG351\",\"MAG352\",\"WR320\"]',30,'equal',5000000,0,'',0,'',0,'','ts',5000000,'196.203.25.97',0,'[\"ALL\",\"A1\",\"A2\",\"O1\",\"AF\",\"AX\",\"AL\",\"DZ\",\"AS\",\"AD\",\"AO\",\"AI\",\"AQ\",\"AG\",\"AR\",\"AM\",\"AW\",\"AU\",\"AT\",\"AZ\",\"BS\",\"BH\",\"BD\",\"BB\",\"BY\",\"BE\",\"BZ\",\"BJ\",\"BM\",\"BT\",\"BO\",\"BA\",\"BW\",\"BV\",\"BQ\",\"BR\",\"IO\",\"BN\",\"BG\",\"BF\",\"BI\",\"KH\",\"CM\",\"CA\",\"CV\",\"KY\",\"CF\",\"TD\",\"CL\",\"CN\",\"CX\",\"CC\",\"CO\",\"KM\",\"CG\",\"CD\",\"CK\",\"CR\",\"CI\",\"HR\",\"CU\",\"CW\",\"CY\",\"CZ\",\"DK\",\"DJ\",\"DM\",\"DO\",\"EC\",\"EG\",\"SV\",\"GQ\",\"ER\",\"EE\",\"ET\",\"EU\",\"FK\",\"FO\",\"FJ\",\"FI\",\"FR\",\"GF\",\"PF\",\"TF\",\"MK\",\"GA\",\"GM\",\"GE\",\"DE\",\"GH\",\"GI\",\"GR\",\"GL\",\"GD\",\"GP\",\"GU\",\"GT\",\"GG\",\"GN\",\"GW\",\"GY\",\"HT\",\"HM\",\"VA\",\"HN\",\"HK\",\"HU\",\"IS\",\"IN\",\"ID\",\"IR\",\"IQ\",\"IE\",\"IM\",\"IL\",\"IT\",\"JM\",\"JP\",\"JE\",\"JO\",\"KZ\",\"KE\",\"KI\",\"KR\",\"KV\",\"KW\",\"KG\",\"LA\",\"LV\",\"LB\",\"LS\",\"LR\",\"LY\",\"LI\",\"LT\",\"LU\",\"MO\",\"MG\",\"MW\",\"MY\",\"MV\",\"ML\",\"MT\",\"MH\",\"MQ\",\"MR\",\"MU\",\"YT\",\"MX\",\"FM\",\"MD\",\"MC\",\"MN\",\"ME\",\"MS\",\"MA\",\"MZ\",\"MM\",\"NA\",\"NR\",\"NP\",\"NL\",\"AN\",\"NC\",\"NZ\",\"NI\",\"NE\",\"NG\",\"NU\",\"NF\",\"MP\",\"NO\",\"OM\",\"PK\",\"PW\",\"PS\",\"PA\",\"PG\",\"PY\",\"PE\",\"PH\",\"PN\",\"PL\",\"PT\",\"PR\",\"QA\",\"RE\",\"RO\",\"RU\",\"RW\",\"BL\",\"SH\",\"KN\",\"LC\",\"MF\",\"PM\",\"VC\",\"WS\",\"SM\",\"ST\",\"SA\",\"SN\",\"RS\",\"SC\",\"SL\",\"SG\",\"SK\",\"SI\",\"SB\",\"SO\",\"ZA\",\"GS\",\"ES\",\"LK\",\"SD\",\"SR\",\"SJ\",\"SZ\",\"SE\",\"SX\",\"CH\",\"SY\",\"TW\",\"TJ\",\"TZ\",\"TH\",\"TL\",\"TG\",\"TK\",\"TO\",\"TT\",\"TN\",\"TR\",\"TM\",\"TC\",\"TV\",\"UG\",\"UA\",\"AE\",\"GB\",\"US\",\"UM\",\"UY\",\"UZ\",\"VU\",\"VE\",\"VN\",\"VG\",\"VI\",\"WF\",\"EH\",\"YE\",\"ZM\",\"ZW\"]',3,2,0,1,'English',0,'',0,'',0,0,'light',2,3,0,0,0,0,0,0,0,0,200,8192,'fit',3,1,1,1,1,0,'flow',1,180,600,10,'[\"MAG255\",\"MAG256\",\"MAG257\"]','',1,1,'default',1,'','7kOPgg5mPR3iqqJCGDGD',0,0,1,'','bouquet',1,0,10,0,'',0,'','','','','','','Welcome to Active X PRO',1,0,0,1,'[]',1,1,'',1,0,0,1,1,'conn',0,'',0,0,'87e8c93a726aed2c524e65dff1c5551f',0,0,'[\"mp4\",\"mkv\",\"avi\"]','[\"mp4\",\"mkv\",\"avi\"]','en',0,1);
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `signals`
--

DROP TABLE IF EXISTS `signals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `signals` (
  `signal_id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL,
  `server_id` int(11) NOT NULL,
  `rtmp` tinyint(4) NOT NULL DEFAULT '0',
  `time` int(11) NOT NULL,
  PRIMARY KEY (`signal_id`),
  KEY `server_id` (`server_id`),
  KEY `time` (`time`)
) ENGINE=InnoDB AUTO_INCREMENT=108 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `signals`
--

LOCK TABLES `signals` WRITE;
/*!40000 ALTER TABLE `signals` DISABLE KEYS */;
/*!40000 ALTER TABLE `signals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stream_categories`
--

DROP TABLE IF EXISTS `stream_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stream_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category_type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `category_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `cat_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `category_type` (`category_type`),
  KEY `cat_order` (`cat_order`),
  KEY `parent_id` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=153 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stream_categories`
--

LOCK TABLES `stream_categories` WRITE;
/*!40000 ALTER TABLE `stream_categories` DISABLE KEYS */;
INSERT INTO `stream_categories` (`id`, `category_type`, `category_name`, `parent_id`, `cat_order`) VALUES (9,'live','FRANCE FHD | TV',0,1),(10,'live','FRANCE HD | TV',0,2),(11,'live','CINEMA FR | TV',0,3),(12,'live','SPORTS FR | TV',0,4),(13,'live','JEUNESSE FR | TV',0,5),(14,'live','DOCUMENTAIRE FR | TV',0,6),(15,'live','INFORMATION FR | TV',0,7),(16,'live','MUSIQUE FR | TV',0,8),(17,'live','BELGIQUE | TV',0,9),(18,'live','NEDERLANDS | TV',0,10),(19,'live','SKY IT HD | TV',0,11),(20,'live','SKY IT FHD | TV',0,12),(21,'live','ESPAGNE | TV',0,14),(22,'live','BEIN SPORTS | TV',0,13),(23,'live','MAGHREB | TV',0,15),(24,'live','ARABIC | TV',0,16),(25,'live','OSN ARAB | TV',0,17),(26,'live','IRAN | TV',0,18),(27,'live','TURKEY | TV',0,19),(28,'live','SUISSE | TV',0,20),(29,'live','SKY GERMANY | TV',0,21),(30,'live','PORTUGAL | TV',0,22),(31,'live','BRAZIL | TV',0,23),(32,'live','LATINO | TV',0,24),(33,'live','AFRICA | TV',0,25),(34,'live','SOUTH AFRICA | TV',0,26),(35,'live','POLAND | TV',0,35),(36,'live','ALBANIA | TV',0,34),(37,'live','ROMANIA | TV',0,33),(38,'live','HUNGARY | TV',0,32),(39,'live','EX-YUGOSLAVIA | TV',0,31),(40,'live','MACEDONIA | TV',0,30),(41,'live','BULGARIA | TV',0,29),(42,'live','GREEK | TV',0,28),(43,'live','CZECH REPUBLIC | TV',0,27),(44,'live','RUSSIA | TV',0,36),(45,'live','SCANDINAVIA | TV',0,37),(46,'live','INDIA | TV',0,38),(47,'live','PAKISTAN | TV',0,39),(48,'live','INTERNATIONAL | TV',0,40),(49,'live','CANADA | TV',0,41),(50,'live','U.S.A | TV',0,42),(51,'live','SKY U.K | TV',0,43),(52,'movie','|FR| NOUVEAUTES',0,1),(53,'movie','|FR| BOX OFFICE 2021',0,2),(54,'movie','|FR| ANIMATION',0,3),(55,'movie','|FR| ANIMATION DISNEY',0,4),(56,'movie','|FR| ANIMATION HERO',0,5),(57,'movie','|FR| FAMILLES ET ENFANTS',0,6),(58,'movie','|FR| ACTION ET AVENTURE',0,7),(59,'movie','|FR| FANTASTIQUE ET AVENTURE',0,8),(60,'movie','|FR| COMEDIE',0,9),(61,'movie','|FR| SF ET FANTASTIQUE',0,10),(62,'movie','|FR| THRILLER',0,11),(63,'movie','|FR| COMEDIE DRAMATIQUE',0,12),(64,'movie','|FR| DRAMATIQUE',0,13),(65,'movie','|FR| ROMANCE',0,14),(66,'movie','|FR| HISTORIQUE ET BIOPIC',0,15),(67,'movie','|FR| ARTS MARTIAUX',0,16),(68,'movie','|FR| HORREUR ET \\EPOUVANTE',0,17),(69,'movie','|FR| MANGA ET ANIME',0,18),(70,'movie','|FR| DOCUMENTAIRES',0,19),(71,'movie','|FR| SPECTACLE',0,20),(72,'movie','|FR| CONCERTS',0,21),(73,'movie','|FR| WESTERN',0,22),(74,'movie','|FR| FILMS DE NOEL',0,23),(75,'movie','|FR| FILMS ANCIENS',0,24),(76,'movie','|FR| FILMS VOST',0,25),(77,'movie','|FR| BOLLYWOOD VOST',0,26),(78,'movie','|FR| FILMS AFRICAINS',0,27),(79,'movie','|FR| FILMS ORIENTAUX',0,28),(80,'movie','|FR| FILMS HEVC',0,29),(81,'movie','|FR| FILMS 4K UHD',0,30),(82,'movie','|FR| FILMS 4K LIGHT',0,31),(83,'movie','|EN| FIGHT ZONE',0,32),(84,'movie','|IT| FILM RECENTI',0,33),(85,'movie','|IT| ANIMAZIONE',0,34),(86,'movie','|IT| ANIMAZIONE DISNEY',0,35),(87,'movie','|IT| ANIMAZIONE HERO',0,36),(88,'movie','|IT| FAMIGLIA | BAMBINI',0,37),(89,'movie','|IT| MANGA | ANIME',0,38),(90,'movie','|IT| AZIONE | AVVENTURA',0,39),(91,'movie','|IT| THRILLER',0,40),(92,'movie','|IT| DRAMMATICO',0,41),(93,'movie','|IT| BIOGRAFICO',0,42),(94,'movie','|IT| COMMEDIA',0,43),(95,'movie','|IT| COMMEDIA DRAMMATICA',0,44),(96,'movie','|IT| FILM ANTICO',0,45),(97,'movie','|IT| FANTASY',0,46),(98,'movie','|IT| FANTASCIENZA',0,47),(99,'movie','|IT| ARTI MARZIALI',0,48),(100,'movie','|IT| CRIME | GANGSTER | MAFIA',0,49),(101,'movie','|IT| GIALLO',0,50),(102,'movie','|IT| ROMANTICO',0,51),(103,'movie','|IT| SPIONAGGIO',0,52),(104,'movie','|IT| SUPEREROI',0,53),(105,'movie','|IT| WESTERN',0,54),(106,'movie','|IT| MUSICAL',0,55),(107,'movie','|IT| HORROR',0,56),(108,'movie','|IT| DOCUMENTARIO',0,57),(109,'movie','|IT| SPETTACOLO',0,58),(110,'movie','|IT| CONCERTI',0,59),(111,'movie','|IT| FILM DI NATALE',0,60),(112,'movie','|IT| FILM VOST',0,61),(113,'movie','|IT| FILM 3D',0,62),(114,'movie','|IT| FILM HEVC',0,63),(115,'movie','|IT| FILM 4K UHD',0,64),(116,'movie','|IT| FILM 4K LIGHT',0,65),(117,'movie','|IT| ITALIAN MOVIE',0,66),(118,'movie','|PT| RECENTE',0,99),(119,'series','|FR| NOUVEAUTES',0,1),(120,'series','|FR| COMEDIE',0,2),(121,'series','|FR| COMEDIE DRAMATIQUE',0,3),(122,'series','|FR| ACTION | AVENTURE',0,4),(123,'series','|FR| CRIME | DRAME | THRILLER',0,5),(124,'series','|FR| DRAME | SOAP | ROMANCE',0,6),(125,'series','|FR| SF | FANTASTIQUE',0,7),(126,'series','|FR| HORREUR | MYSTERE',0,8),(127,'series','|FR| ANIMATION | FAMILIAL',0,9),(128,'series','|FR| MARVEL | DC COMICS',0,10),(129,'series','|FR| MANGA | ANIME',0,11),(130,'series','|FR| HISTOIRE | BIOGRAPHIE',0,12),(131,'series','|FR| DOCUMENTAIRE',0,13),(132,'series','|FR| TELE REALITE',0,14),(133,'series','|FR| SERIES ANCIENNES',0,15),(134,'series','|FR| SERIES 4K UHD',0,16),(135,'series','|FR| SERIES ASIATIQUES',0,17),(136,'series','|FR| SERIES TURQUES',0,18),(137,'series','|FR| SERIES ORIENTALES',0,19),(138,'series','|FR| SERIES AFRICAINES',0,20),(139,'series','|IT| ITALIAN SERIES',0,21),(140,'series','|IT| ITALIAN KIDS',0,22),(141,'series','|PT| PORTUGUESE SERIES',0,23),(142,'series','|PT| PORTUGUESE KIDS',0,24),(143,'series','|AR| ARABIC SERIES',0,25),(144,'series','|AR| ARABIC KIDS',0,26),(145,'series','|AR| ISLAMIC SERIES',0,27),(146,'series','|AR| RAMADAN SERIES',0,28),(147,'series','|TR| YERLI DIZILER',0,29),(148,'series','|TR| YABANCI DIZILER',0,30),(149,'radio','TN| RADIO',0,99),(150,'radio','TUNISIE FM',0,99),(152,'radio','RADIO FR',0,99);
/*!40000 ALTER TABLE `stream_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stream_subcategories`
--

DROP TABLE IF EXISTS `stream_subcategories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stream_subcategories` (
  `sub_id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `subcategory_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`sub_id`),
  KEY `parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stream_subcategories`
--

LOCK TABLES `stream_subcategories` WRITE;
/*!40000 ALTER TABLE `stream_subcategories` DISABLE KEYS */;
/*!40000 ALTER TABLE `stream_subcategories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `streaming_servers`
--

DROP TABLE IF EXISTS `streaming_servers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `streaming_servers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `server_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `domain_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `server_ip` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `vpn_ip` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `ssh_password` mediumtext COLLATE utf8_unicode_ci,
  `ssh_port` int(11) DEFAULT NULL,
  `diff_time_main` int(11) NOT NULL DEFAULT '0',
  `http_broadcast_port` int(11) NOT NULL,
  `total_clients` int(11) NOT NULL DEFAULT '0',
  `system_os` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `network_interface` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `latency` float NOT NULL DEFAULT '0',
  `status` tinyint(4) NOT NULL DEFAULT '-1',
  `enable_geoip` int(11) NOT NULL DEFAULT '0',
  `geoip_countries` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `last_check_ago` int(11) NOT NULL DEFAULT '0',
  `can_delete` tinyint(4) NOT NULL DEFAULT '1',
  `server_hardware` text COLLATE utf8_unicode_ci NOT NULL,
  `total_services` int(11) NOT NULL DEFAULT '3',
  `persistent_connections` tinyint(4) NOT NULL DEFAULT '0',
  `rtmp_port` int(11) NOT NULL DEFAULT '8001',
  `geoip_type` varchar(13) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'low_priority',
  `isp_names` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `isp_type` varchar(13) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'low_priority',
  `enable_isp` tinyint(4) NOT NULL DEFAULT '0',
  `boost_fpm` tinyint(4) NOT NULL DEFAULT '0',
  `http_ports_add` text COLLATE utf8_unicode_ci NOT NULL,
  `network_guaranteed_speed` int(11) NOT NULL DEFAULT '0',
  `https_broadcast_port` int(11) NOT NULL DEFAULT '25463',
  `https_ports_add` text COLLATE utf8_unicode_ci NOT NULL,
  `whitelist_ips` text COLLATE utf8_unicode_ci NOT NULL,
  `watchdog_data` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `timeshift_only` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `server_ip` (`server_ip`,`http_broadcast_port`),
  KEY `total_clients` (`total_clients`),
  KEY `status` (`status`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `streaming_servers`
--

LOCK TABLES `streaming_servers` WRITE;
/*!40000 ALTER TABLE `streaming_servers` DISABLE KEYS */;
INSERT INTO `streaming_servers` (`id`, `server_name`, `domain_name`, `server_ip`, `vpn_ip`, `ssh_password`, `ssh_port`, `diff_time_main`, `http_broadcast_port`, `total_clients`, `system_os`, `network_interface`, `latency`, `status`, `enable_geoip`, `geoip_countries`, `last_check_ago`, `can_delete`, `server_hardware`, `total_services`, `persistent_connections`, `rtmp_port`, `geoip_type`, `isp_names`, `isp_type`, `enable_isp`, `boost_fpm`, `http_ports_add`, `network_guaranteed_speed`, `https_broadcast_port`, `https_ports_add`, `whitelist_ips`, `watchdog_data`, `timeshift_only`) VALUES (1,'Main Server','','51.159.66.53','',NULL,NULL,0,25461,1000,'Ubuntu 18.04.6 LTS','eth0',0,1,0,'',0,0,'{\"total_ram\":4035516,\"total_used\":1509964,\"cores\":0,\"threads\":2,\"kernel\":\"4.15.0-162-generic\",\"total_running_streams\":\"0\\n\",\"cpu_name\":\"Intel(R) Atom(TM) CPU  C2338  @ 1.74GHz\",\"cpu_usage\":11,\"network_speed\":false,\"bytes_sent\":0,\"bytes_received\":0}',3,0,25462,'low_priority','','low_priority',0,1,'',1000,25463,'','[\"127.0.0.1\",\"51.159.66.53\",\"\"]','{\"cpu\":2,\"cpu_cores\":2,\"cpu_avg\":55,\"total_mem\":4035516,\"total_mem_free\":2579032,\"total_mem_used\":1456484,\"total_mem_used_percent\":36.09164230794773,\"total_disk_space\":246107664384,\"uptime\":\"25d 2h 3m 25s\",\"total_running_streams\":\"0\\n\",\"bytes_sent\":0,\"bytes_received\":0,\"cpu_load_average\":1.1}',0),(21,'loadv2','','195.201.59.53','',NULL,22,0,8080,1000,'','enp0s31f6',0.001,1,0,'[]',1638568502,1,'{\"total_ram\":65748324,\"total_used\":8055828,\"cores\":0,\"threads\":8,\"kernel\":\"4.15.0-147-generic\",\"cpu_name\":\"Intel(R) Core(TM) i7-7700 CPU @ 3.60GHz\",\"total_running_streams\":\"81\\n\",\"cpu_usage\":7.875,\"network_speed\":\"1000\\n\",\"bytes_sent\":0.9,\"bytes_received\":233.96}',3,0,8090,'low_priority','','low_priority',0,0,'',1000,8081,'','[\"127.0.0.1\",\"195.201.59.53\",\"\"]','{\"cpu\":7,\"cpu_cores\":8,\"cpu_avg\":17,\"total_mem\":65748324,\"total_mem_free\":57787364,\"total_mem_used\":7960960,\"total_mem_used_percent\":12.108232599206636,\"total_disk_space\":971843072000,\"uptime\":\"22d 46m 46s\",\"total_running_streams\":\"81\\n\",\"bytes_sent\":0.75,\"bytes_received\":274.51,\"cpu_load_average\":1.41}',0);
/*!40000 ALTER TABLE `streaming_servers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `streams`
--

DROP TABLE IF EXISTS `streams`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `streams` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` int(11) NOT NULL,
  `category_id` int(11) DEFAULT NULL,
  `stream_display_name` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `stream_source` mediumtext COLLATE utf8_unicode_ci,
  `stream_icon` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `notes` mediumtext COLLATE utf8_unicode_ci,
  `created_channel_location` int(11) DEFAULT NULL,
  `enable_transcode` tinyint(4) NOT NULL DEFAULT '0',
  `transcode_attributes` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `custom_ffmpeg` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `movie_propeties` mediumtext COLLATE utf8_unicode_ci,
  `movie_subtitles` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `read_native` tinyint(4) NOT NULL DEFAULT '1',
  `target_container` text COLLATE utf8_unicode_ci,
  `stream_all` tinyint(4) NOT NULL DEFAULT '0',
  `remove_subtitles` tinyint(4) NOT NULL DEFAULT '0',
  `custom_sid` varchar(150) COLLATE utf8_unicode_ci DEFAULT NULL,
  `epg_id` int(11) DEFAULT NULL,
  `channel_id` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `epg_lang` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `order` int(11) NOT NULL DEFAULT '0',
  `auto_restart` text COLLATE utf8_unicode_ci NOT NULL,
  `transcode_profile_id` int(11) NOT NULL DEFAULT '0',
  `pids_create_channel` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `cchannel_rsources` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `gen_timestamps` tinyint(4) NOT NULL DEFAULT '1',
  `added` int(11) NOT NULL,
  `series_no` int(11) NOT NULL DEFAULT '0',
  `direct_source` tinyint(4) NOT NULL DEFAULT '0',
  `tv_archive_duration` int(11) NOT NULL DEFAULT '0',
  `tv_archive_server_id` int(11) NOT NULL DEFAULT '0',
  `tv_archive_pid` int(11) NOT NULL DEFAULT '0',
  `movie_symlink` tinyint(4) NOT NULL DEFAULT '0',
  `redirect_stream` tinyint(4) NOT NULL DEFAULT '0',
  `rtmp_output` tinyint(4) NOT NULL DEFAULT '0',
  `number` int(11) NOT NULL,
  `allow_record` tinyint(4) NOT NULL DEFAULT '0',
  `probesize_ondemand` int(11) NOT NULL DEFAULT '128000',
  `custom_map` text COLLATE utf8_unicode_ci NOT NULL,
  `external_push` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `delay_minutes` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `type` (`type`),
  KEY `category_id` (`category_id`),
  KEY `created_channel_location` (`created_channel_location`),
  KEY `enable_transcode` (`enable_transcode`),
  KEY `read_native` (`read_native`),
  KEY `epg_id` (`epg_id`),
  KEY `channel_id` (`channel_id`),
  KEY `transcode_profile_id` (`transcode_profile_id`),
  KEY `order` (`order`),
  KEY `direct_source` (`direct_source`),
  KEY `rtmp_output` (`rtmp_output`)
) ENGINE=InnoDB AUTO_INCREMENT=842 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `streams`
--

LOCK TABLES `streams` WRITE;
/*!40000 ALTER TABLE `streams` DISABLE KEYS */;
INSERT INTO `streams` (`id`, `type`, `category_id`, `stream_display_name`, `stream_source`, `stream_icon`, `notes`, `created_channel_location`, `enable_transcode`, `transcode_attributes`, `custom_ffmpeg`, `movie_propeties`, `movie_subtitles`, `read_native`, `target_container`, `stream_all`, `remove_subtitles`, `custom_sid`, `epg_id`, `channel_id`, `epg_lang`, `order`, `auto_restart`, `transcode_profile_id`, `pids_create_channel`, `cchannel_rsources`, `gen_timestamps`, `added`, `series_no`, `direct_source`, `tv_archive_duration`, `tv_archive_server_id`, `tv_archive_pid`, `movie_symlink`, `redirect_stream`, `rtmp_output`, `number`, `allow_record`, `probesize_ondemand`, `custom_map`, `external_push`, `delay_minutes`) VALUES (1,4,149,'|TN| jawhara FM','[\"http:\\/\\/streaming2.toutech.net:8000\\/jawharafm\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,23,'',0,'','',0,1636744110,0,0,0,0,0,0,1,0,0,0,128000,'','[]',0),(2,1,9,'Nature Relaxation','[\"http:\\/\\/2022tv.co:80\\/ful-local\\/1974077551\\/52051\"]','http://176.9.70.149/logo1/2.png','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',0,'','',7,'{\"days\":[\"Tuesday\"],\"at\":\"06:00\"}',0,'','',0,1636747768,0,0,0,0,1665,0,0,0,0,0,128000,'','[]',0),(3,4,149,'|TN| RADIO TUNIS','[\"http:\\/\\/rtstream.tanitweb.com\\/nationale\"]','https://www.tunisie-radio.com/sites/default/files/styles/medium_2/public/radio/mosaique-fm-tarab.png?itok=Qkp8YqHz','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'137f5c99',NULL,NULL,NULL,24,'',0,'','',0,1637021254,0,0,0,0,0,0,1,0,0,0,128000,'','[]',0),(4,4,149,'|TN| MOSAIQUE TOUNSI','[\"https:\\/\\/radio.mosaiquefm.net\\/mosatounsi\"]','https://content.mosaiquefm.net/uploads/webRadios/original/1519487777_webradio.png','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,25,'',0,'','',0,1637024725,0,0,0,0,0,0,1,0,0,0,128000,'','[]',0),(5,4,149,'|TN| MOSAIQUE DJ\'S','[\"https:\\/\\/radio.mosaiquefm.net\\/mosadj\"]','https://content.mosaiquefm.net/uploads/webRadios/original/1519486885_webradio.png','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,26,'',0,'','',0,1637025797,0,0,0,0,0,0,1,0,0,0,128000,'','[]',0),(6,4,149,'|TN| MOSAIQUE GOLD','[\"https:\\/\\/radio.mosaiquefm.net\\/mosagold\"]','https://content.mosaiquefm.net/uploads/webRadios/original/1519487705_webradio.png','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,27,'',0,'','',0,1637026047,0,0,0,0,0,0,1,0,0,0,128000,'','[]',0),(7,4,149,'|TN| MOSAIQUE TARAB','[\"https:\\/\\/radio.mosaiquefm.net\\/mosatarab\"]','https://content.mosaiquefm.net/uploads/webRadios/original/1519487745_webradio.png','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,28,'',0,'','',0,1637026161,0,0,0,0,0,0,1,0,0,0,128000,'','[]',0),(8,4,149,'|TN| SHEMS FM','[\"https:\\/\\/radio.shemsfm.net\\/shems\"]','https://www.tunisie-radio.com/sites/default/files/social/fb-og-img/facebook-shems-fm.png','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,22,'',0,'','',0,1637026360,0,0,0,0,0,0,1,0,0,0,128000,'','[]',0),(13,1,24,'AR| Al Jazeera Arabic Live الجزيرة البث الحي | البث المباشر','[\"https:\\/\\/manifest.googlevideo.com\\/api\\/manifest\\/hls_playlist\\/expire\\/1637357194\\/ei\\/KsKXYaS4CdCvxN8Pqu-e4AI\\/ip\\/196.203.25.97\\/id\\/eJ6ZMd4sVrI.2\\/itag\\/96\\/source\\/yt_live_broadcast\\/requiressl\\/yes\\/ratebypass\\/yes\\/live\\/1\\/sgoap\\/gir%3Dyes%3Bitag%3D140\\/sgovp\\/gir%3Dyes%3Bitag%3D137\\/hls_chunk_host\\/rr1---sn-bavc5aoxuuo-u0oe.googlevideo.com\\/playlist_duration\\/30\\/manifest_duration\\/30\\/vprv\\/1\\/playlist_type\\/DVR\\/initcwndbps\\/1730\\/mh\\/9_\\/mm\\/44\\/mn\\/sn-bavc5aoxuuo-u0oe\\/ms\\/lva\\/mv\\/m\\/mvi\\/1\\/pl\\/21\\/dover\\/11\\/keepalive\\/yes\\/fexp\\/24001373,24007246\\/mt\\/1637335235\\/sparams\\/expire,ei,ip,id,itag,source,requiressl,ratebypass,live,sgoap,sgovp,playlist_duration,manifest_duration,vprv,playlist_type\\/sig\\/AOq0QJ8wRQIgV--WiMGE1TItc90beNe5hQ0jyO_wznctgmdC2V-wHbsCIQCgc9Nf-TlW6ZY8U6JGEj6gS4Iy6yLjKckyVkGAh4lZQw%3D%3D\\/lsparams\\/hls_chunk_host,initcwndbps,mh,mm,mn,ms,mv,mvi,pl\\/lsig\\/AG3C_xAwRQIgY1ZNU9NjnuSdC6WoKqFWGY8PWyjPZjziAblwKMvJojUCIQCJKbsJ9q2FQPBTKnRRGrjkge_bv0iWSoT8_S4OHvDVcA%3D%3D\\/playlist\\/index.m3u8\"]','https://yt3.ggpht.com/ytc/AKedOLRfS7X_EW3qHTRD-gYg6JT87mIYRVlu8zHsJRIApg=s48-c-k-c0x00ffffff-no-rj','',NULL,0,'[]','',NULL,'',0,NULL,1,0,'',0,'','NULL',0,'',0,'','',1,1637330081,0,0,0,0,0,0,0,0,0,1,128000,'','[]',0),(14,1,24,'بث مباشر || قناة القرآن الكريم Makkah Live','[\"https:\\/\\/manifest.googlevideo.com\\/api\\/manifest\\/hls_playlist\\/expire\\/1637358435\\/ei\\/A8eXYYS4CoWGWdmBhrAH\\/ip\\/196.203.25.97\\/id\\/QMqUm5Ynou4.2\\/itag\\/95\\/source\\/yt_live_broadcast\\/requiressl\\/yes\\/ratebypass\\/yes\\/live\\/1\\/sgoap\\/gir%3Dyes%3Bitag%3D140\\/sgovp\\/gir%3Dyes%3Bitag%3D136\\/hls_chunk_host\\/rr1---sn-bavc5aoxuuo-u0oe.googlevideo.com\\/playlist_duration\\/30\\/manifest_duration\\/30\\/vprv\\/1\\/playlist_type\\/DVR\\/initcwndbps\\/2590\\/mh\\/-M\\/mm\\/44\\/mn\\/sn-bavc5aoxuuo-u0oe\\/ms\\/lva\\/mv\\/m\\/mvi\\/1\\/pl\\/21\\/dover\\/11\\/keepalive\\/yes\\/fexp\\/24001373,24007246\\/mt\\/1637336441\\/sparams\\/expire,ei,ip,id,itag,source,requiressl,ratebypass,live,sgoap,sgovp,playlist_duration,manifest_duration,vprv,playlist_type\\/sig\\/AOq0QJ8wRQIhAI-NRYBBDVEOiHuhzAC0Mfg2v_99Kz0o7Ud28tA51_JwAiBjouT6f9OrRr0ZPM05Kko8tkQUj3G7rCLjYcV5UAAcTA%3D%3D\\/lsparams\\/hls_chunk_host,initcwndbps,mh,mm,mn,ms,mv,mvi,pl\\/lsig\\/AG3C_xAwRQIhANgTdVxXH5dckzSWUVh11M_BfkCM_wKcUAk6HJ-yJ-E6AiAbad176f-l7tnACBRDGMs3u5W2B4hwVgFVwfoTSbohYQ%3D%3D\\/playlist\\/index.m3u8\"]','https://yt3.ggpht.com/DcvjiIHkUlhZE_WMkYeVFnV_p4ZvM-udz9OqZNZjOGBPfCkn9_-pCB0TfhBQJblS8QgbIfj0=s48-c-k-c0x00ffffff-no-rj','',NULL,0,'[]','',NULL,'',0,NULL,1,0,'',0,'','NULL',0,'',0,'','',1,1637336951,0,0,0,0,0,0,0,0,0,1,128000,'','[]',0),(15,1,24,'Madina Live Tv | Masjid Nabawi قناة السنة النبوية | المدينة المنورة  ','[\"https:\\/\\/www.youtube.com\\/watch?v=GkVCrN2Yk0Q\"]','https://yt3.ggpht.com/ytc/AKedOLSCeDzS6VHp_sPxNL4FFvRmQuQ3J9eSofFzaWuY=s48-c-k-c0x00ffffff-no-rj','',NULL,0,'[]','',NULL,'',1,NULL,1,0,'',0,'','NULL',0,'',0,'','',1,1637337196,0,1,0,0,0,0,0,0,0,0,128000,'','[]',0),(16,1,24,'Almagharibia TV قناة المغاربية Live Stream','[\"https:\\/\\/www.youtube.com\\/watch?v=MnhJ9QzzCp4\"]','https://yt3.ggpht.com/w0w37G-EREUImexQpI9B3YGAZokiDZStQvjYFGtw4Q4q3Xr0pX25IWRArBm2tePfEk_y1-e2XQ=s48-c-k-c0x00ffffff-no-rj','',NULL,0,'[]','',NULL,'',0,NULL,1,0,'',0,'','NULL',0,'',0,'','',1,1637337585,0,1,0,0,0,0,0,0,0,1,128000,'','[]',0),(17,1,24,'Al-Arabiya Livestream العربية البث الحي المباشر','[\"https:\\/\\/www.youtube.com\\/watch?v=HYR7uidvXo4\"]','https://yt3.ggpht.com/ytc/AKedOLSDL9_m1l-HX553gMYE5QIdXB6nFRS5tF7l_Cc_ng=s48-c-k-c0x00ffffff-no-rj','',NULL,0,'[]','',NULL,'',0,NULL,1,0,'',0,'','NULL',0,'',0,'','',1,1637338937,0,1,0,0,0,0,0,0,0,1,128000,'','[]',0),(18,1,24,'TN|  Watania 1','[\"https:\\/\\/www.youtube.com\\/watch?v=eFt83QL7iGo\"]','https://yt3.ggpht.com/ytc/AKedOLRfrehgjk7mZ35bCXCUBJBe7v0Kl5aVBCyCeoGxCQ=s48-c-k-c0x00ffffff-no-rj','',NULL,0,'[]','',NULL,'',0,NULL,1,0,'',0,'','NULL',0,'',0,'','',1,1637343033,0,1,0,0,0,0,0,0,0,1,128000,'','[]',0),(19,1,24,'TN| Watania2','[\"https:\\/\\/www.youtube.com\\/watch?v=hMe_nhltj0I\"]','https://yt3.ggpht.com/ytc/AKedOLRr7XCYpE3B0AP3B6zqkE4VDl6-7Y7t5tw0M2g1Fw=s48-c-k-c0x00ffffff-no-rj','',NULL,0,'[]','',NULL,'',0,NULL,1,0,'',0,'','NULL',0,'',0,'','',1,1637343423,0,1,0,0,0,0,0,0,0,1,128000,'','[]',0),(22,2,52,'Bloodsport 4 : The Dark Kumite (1999)','[\"s:21:\\/home\\/TEST\\/FILMS\\/Bloodsport\\/FR Bloodsport 4.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/dwg2FNxl48Ht6u3qjqcOhtwstj2.jpg','',NULL,0,'[]','','{\"tmdb_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/36693\",\"tmdb_id\":36693,\"name\":\"Bloodsport 4 : The Dark Kumite (1999)\",\"o_name\":\"Bloodsport: The Dark Kumite\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/atAI0Oju3QufzOkxM6Elhbn3bxB.jpg\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/dwg2FNxl48Ht6u3qjqcOhtwstj2.jpg\",\"releasedate\":\"1999-03-30\",\"episode_run_time\":6000,\"youtube_trailer\":null,\"director\":\"Elvis Restaino\",\"actors\":\"Daniel Bernhardt, Ivan Ivanov, Lisa Stothard, Stefanos Miltsakakis, Jeff Moldovan\",\"cast\":\"Daniel Bernhardt, Ivan Ivanov, Lisa Stothard, Stefanos Miltsakakis, Jeff Moldovan\",\"description\":\"L\'agent John Keller s\'infiltre sous couverture dans la prison particuli\\u00e8rement dure connue sous le nom de Fuego Penal, afin d\'enqu\\u00eater sur des disparitions \\u00e9tranges de cadavres de prisonniers. L\\u00e0, il s\'implique dans un tournoi dangereux, le Kumite, organis\\u00e9 par un homme nomm\\u00e9 Justin Caesar, o\\u00f9 les prisonniers sont forc\\u00e9s de se battre \\u00e0 mort. Le tournoi n\'a qu\'une seule r\\u00e8gle : il n\'y a aucunes r\\u00e8gles !\",\"plot\":\"L\'agent John Keller s\'infiltre sous couverture dans la prison particuli\\u00e8rement dure connue sous le nom de Fuego Penal, afin d\'enqu\\u00eater sur des disparitions \\u00e9tranges de cadavres de prisonniers. L\\u00e0, il s\'implique dans un tournoi dangereux, le Kumite, organis\\u00e9 par un homme nomm\\u00e9 Justin Caesar, o\\u00f9 les prisonniers sont forc\\u00e9s de se battre \\u00e0 mort. Le tournoi n\'a qu\'une seule r\\u00e8gle : il n\'y a aucunes r\\u00e8gles !\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":null,\"genre\":\"Action, Thriller\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/atAI0Oju3QufzOkxM6Elhbn3bxB.jpg\"],\"duration_secs\":6000,\"duration\":\"01:40:00\",\"video\":[],\"audio\":[],\"bitrate\":0,\"rating\":4.9,\"original_language\":\"en\"}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,63,'[]',0,'','',1,1637351357,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(23,2,52,'Bloodsport, tous les coups sont permis (1988)','[\"s:21:\\/home\\/TEST\\/FILMS\\/Bloodsport\\/FR| Bloodsport 1 1988 FHD.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/70gmqMdRVqrA2Z1XyytjtnEZuzT.jpg','',NULL,0,'[]','','{\"tmdb_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/11690\",\"tmdb_id\":11690,\"name\":\"Bloodsport, tous les coups sont permis (1988)\",\"o_name\":\"Bloodsport\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/tUb8CWB4k1dyAfzCt7N7jHvS3Y.jpg\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/70gmqMdRVqrA2Z1XyytjtnEZuzT.jpg\",\"releasedate\":\"1988-02-26\",\"episode_run_time\":5520,\"youtube_trailer\":\"rRyUOm5pP24\",\"director\":\"Newt Arnold\",\"actors\":\"Jean-Claude Van Damme, Bolo Yeung, Donald Gibb, Leah Ayres, Norman Burton\",\"cast\":\"Jean-Claude Van Damme, Bolo Yeung, Donald Gibb, Leah Ayres, Norman Burton\",\"description\":\"Franck Dux, un champion am\\u00e9ricain de karat\\u00e9, n\'a qu\'une obsession : remporter le Kumite, un tournoi clandestin d\'arts martiaux organis\\u00e9 \\u00e0 Hong Kong, une rencontre o\\u00f9 tous les coups sont permis, y compris les coups mortels !\",\"plot\":\"Franck Dux, un champion am\\u00e9ricain de karat\\u00e9, n\'a qu\'une obsession : remporter le Kumite, un tournoi clandestin d\'arts martiaux organis\\u00e9 \\u00e0 Hong Kong, une rencontre o\\u00f9 tous les coups sont permis, y compris les coups mortels !\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":null,\"genre\":\"Action, Drame\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/tUb8CWB4k1dyAfzCt7N7jHvS3Y.jpg\"],\"duration_secs\":5520,\"duration\":\"01:32:00\",\"video\":[],\"audio\":[],\"bitrate\":0,\"rating\":7,\"original_language\":\"en\"}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,100,'[]',0,'','',1,1637351357,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(26,2,52,'Psycho Goreman (2021)','[\"s:21:\\/home\\/TEST\\/FILMS\\/Bloodsport\\/FR Bloodsport 4.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/foQnDv051kQ7satMQkbkPsUxzkD.jpg','',NULL,0,'[]','','{\"tmdb_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/670428\",\"tmdb_id\":670428,\"name\":\"Psycho Goreman (2021)\",\"o_name\":\"Psycho Goreman\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/ldUfP9TCStQrvc8aVZ5F5Sv7hTg.jpg\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/foQnDv051kQ7satMQkbkPsUxzkD.jpg\",\"releasedate\":\"2021-01-22\",\"episode_run_time\":5940,\"youtube_trailer\":null,\"director\":\"Steven Kostanski\",\"actors\":\"Nita-Josee Hanna, Owen Myre, Matthew Ninaber, Steven Vlahos, Adam Brooks\",\"cast\":\"Nita-Josee Hanna, Owen Myre, Matthew Ninaber, Steven Vlahos, Adam Brooks\",\"description\":\"2019, dans la p\\u00e9riph\\u00e9rie d\\u2019une petite ville am\\u00e9ricaine. Mimi et son fr\\u00e8re Luke d\\u00e9couvrent la tombe de Psycho Goreman, un seigneur de guerre extraterrestre endormi dont le seul d\\u00e9sir est de d\\u00e9truire tout l\\u2019univers. Fort heureusement, ils trouvent aussi une pierre pr\\u00e9cieuse magique qui leur permet de le contr\\u00f4ler. Mais une ligue intergalactique de chasseurs ren\\u00e9gats apprend la r\\u00e9surrection de Psycho Goreman et d\\u00e9cide de le rejoindre sur Terre\\u2026\",\"plot\":\"2019, dans la p\\u00e9riph\\u00e9rie d\\u2019une petite ville am\\u00e9ricaine. Mimi et son fr\\u00e8re Luke d\\u00e9couvrent la tombe de Psycho Goreman, un seigneur de guerre extraterrestre endormi dont le seul d\\u00e9sir est de d\\u00e9truire tout l\\u2019univers. Fort heureusement, ils trouvent aussi une pierre pr\\u00e9cieuse magique qui leur permet de le contr\\u00f4ler. Mais une ligue intergalactique de chasseurs ren\\u00e9gats apprend la r\\u00e9surrection de Psycho Goreman et d\\u00e9cide de le rejoindre sur Terre\\u2026\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":null,\"genre\":\"Science-Fiction, Com\\u00e9die, Horreur\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/ldUfP9TCStQrvc8aVZ5F5Sv7hTg.jpg\"],\"duration_secs\":5940,\"duration\":\"01:39:00\",\"video\":[],\"audio\":[],\"bitrate\":0,\"rating\":6.1,\"original_language\":\"en\"}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,99,'[]',0,'','',1,1637418175,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(27,2,54,'Game of Thrones: The Story So Far (2017)','[\"s:21:\\/home\\/VOD\\/FR| Game Of Thrones Conquest And Rebellion 2017 FHD.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/qYgvwSmED4xleNdpikT5YjCNBHG.jpg','test',NULL,0,'[]','','{\"tmdb_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/738562\",\"tmdb_id\":738562,\"name\":\"Game of Thrones: The Story So Far (2017)\",\"o_name\":\"Game of Thrones: The Story So Far\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/ehdCdlV93RHIwVyYsguDGzTpXZJ.jpg\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/qYgvwSmED4xleNdpikT5YjCNBHG.jpg\",\"releasedate\":\"2017-07-13\",\"episode_run_time\":3900,\"youtube_trailer\":null,\"director\":\"\",\"actors\":\"Sue Perkins\",\"cast\":\"Sue Perkins\",\"description\":\"\",\"plot\":\"\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":null,\"genre\":\"\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/ehdCdlV93RHIwVyYsguDGzTpXZJ.jpg\"],\"duration_secs\":3900,\"duration\":\"01:05:00\",\"video\":[],\"audio\":[],\"bitrate\":0,\"rating\":8,\"original_language\":\"en\"}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,94,'[]',0,'','',1,1637420018,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(28,2,54,'Goldorak contre Great Mazinger (1976)','[\"s:21:\\/home\\/VOD\\/FR| Goldorak contre Great Mazinger 1976 FHD.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/zCN6kOTSZnjUq0jgW0DzrBm3aJ5.jpg','test',NULL,0,'[]','','{\"tmdb_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/85311\",\"tmdb_id\":85311,\"name\":\"Goldorak contre Great Mazinger (1976)\",\"o_name\":\"UFO\\u30ed\\u30dc \\u30b0\\u30ec\\u30f3\\u30c0\\u30a4\\u30b6\\u30fc\\u5bfe\\u30b0\\u30ec\\u30fc\\u30c8\\u30de\\u30b8\\u30f3\\u30ac\\u30fc\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/d2ex7YczfUwC8kR7iaVlTcZkNTA.jpg\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/zCN6kOTSZnjUq0jgW0DzrBm3aJ5.jpg\",\"releasedate\":\"1976-03-20\",\"episode_run_time\":1620,\"youtube_trailer\":null,\"director\":\"Johei Matsuura\",\"actors\":\"Kei Tomiyama, Joji Yanami, Hiroya Ishimaru, Chiyoko Kawashima, Kazuko Sawada\",\"cast\":\"Kei Tomiyama, Joji Yanami, Hiroya Ishimaru, Chiyoko Kawashima, Kazuko Sawada\",\"description\":\"Pour enfin venir \\u00e0 bout de Goldorak, le formidable robot qui emp\\u00e8che l\'empire de V\\u00e9ga de conqu\\u00e9rir notre plan\\u00e8te, le d\\u00e9moniaque Barendos, un des plus fid\\u00e8les s\\u00e9ides du grand Strat\\u00e9guerre, rejoint la base de la Lune Noire et prend le commandement d\'une flotille en route pour la Terre avec pour mission de vaincre Actarus et son robot. Au cours d\'une bataille terrifiante, Alcor est captur\\u00e9 par les hommes de V\\u00e9ga. Sondant son esprit, Barendos apprend l\'existence sur terre de 2 formidables robots de combats : Mazinger Z et Great Mazinger, qui pourraient s\'av\\u00e9rer \\u00eatre de pr\\u00e9cieux alli\\u00e9s pour V\\u00e9ga dans le combat contre Goldorak. Les deux robots sont d\\u00e9sormais dans un mus\\u00e9e, ou Barendos r\\u00e9ussit \\u00e0 d\\u00e9rober Great Mazinger, le plus puissant d\'entre eux et affronte ainsi Goldorak dans une lutte \\u00e0 mort. Mais c\'est compter sans Alcor, qui est parvenu \\u00e0 s\'enfuir et qui conna\\u00eet le point faible du Great Mazinger...\",\"plot\":\"Pour enfin venir \\u00e0 bout de Goldorak, le formidable robot qui emp\\u00e8che l\'empire de V\\u00e9ga de conqu\\u00e9rir notre plan\\u00e8te, le d\\u00e9moniaque Barendos, un des plus fid\\u00e8les s\\u00e9ides du grand Strat\\u00e9guerre, rejoint la base de la Lune Noire et prend le commandement d\'une flotille en route pour la Terre avec pour mission de vaincre Actarus et son robot. Au cours d\'une bataille terrifiante, Alcor est captur\\u00e9 par les hommes de V\\u00e9ga. Sondant son esprit, Barendos apprend l\'existence sur terre de 2 formidables robots de combats : Mazinger Z et Great Mazinger, qui pourraient s\'av\\u00e9rer \\u00eatre de pr\\u00e9cieux alli\\u00e9s pour V\\u00e9ga dans le combat contre Goldorak. Les deux robots sont d\\u00e9sormais dans un mus\\u00e9e, ou Barendos r\\u00e9ussit \\u00e0 d\\u00e9rober Great Mazinger, le plus puissant d\'entre eux et affronte ainsi Goldorak dans une lutte \\u00e0 mort. Mais c\'est compter sans Alcor, qui est parvenu \\u00e0 s\'enfuir et qui conna\\u00eet le point faible du Great Mazinger...\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":null,\"genre\":\"Animation, Action, Aventure\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/d2ex7YczfUwC8kR7iaVlTcZkNTA.jpg\"],\"duration_secs\":1620,\"duration\":\"00:27:00\",\"video\":[],\"audio\":[],\"bitrate\":0,\"rating\":5.7,\"original_language\":\"ja\"}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,92,'[]',0,'','',1,1637420018,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(29,2,54,'Great Mazinger vs. Getter Robo G: The Great Space Encounter (1975)','[\"s:21:\\/home\\/VOD\\/FR| Great Mazinger et Getter Robot G \\u2013 Le Sacrifice Ultime 1975 HD.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/yLvRgri9oO5RodZiMwJDgJzAKHp.jpg','test',NULL,0,'[]','','{\"tmdb_url\":\"\",\"tmdb_id\":\"\",\"name\":\"Great Mazinger vs. Getter Robo G: The Great Space Encounter (1975)\",\"o_name\":\"Great Mazinger vs. Getter Robo G: The Great Space Encounter (1975)\",\"cover_big\":null,\"movie_image\":null,\"releasedate\":\"\",\"episode_run_time\":\"0\",\"youtube_trailer\":\"\",\"director\":\"\",\"actors\":\"\",\"cast\":\"\",\"description\":\"\",\"plot\":\"\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":\"\",\"genre\":\"\",\"duration_secs\":0,\"duration\":\"00:00:00\",\"video\":[],\"audio\":[],\"bitrate\":0,\"rating\":\"\",\"original_language\":\"\"}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,110,'[]',0,'','',1,1637420018,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(30,2,54,'Red Notice (2021)','[\"s:21:\\/home\\/VOD\\/FR| LEGO La Reine des Neiges Magie des Aurores Boreales 2017 HD.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/3e0xw0btFZmtTSuXkpdtgf3jtqv.jpg','test',NULL,0,'[]','','{\"tmdb_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/512195\",\"tmdb_id\":512195,\"name\":\"Red Notice (2021)\",\"o_name\":\"Red Notice\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/dK12GIdhGP6NPGFssK2Fh265jyr.jpg\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/3e0xw0btFZmtTSuXkpdtgf3jtqv.jpg\",\"releasedate\":\"2021-11-04\",\"episode_run_time\":6960,\"youtube_trailer\":\"gwZkNVj7VEE\",\"director\":\"James Bitonti\",\"actors\":\"Dwayne Johnson, Ryan Reynolds, Gal Gadot, Ritu Arya, Chris Diamantopoulos\",\"cast\":\"Dwayne Johnson, Ryan Reynolds, Gal Gadot, Ritu Arya, Chris Diamantopoulos\",\"description\":\"Un agent du FBI est forc\\u00e9 de faire \\u00e9quipe avec le voleur d\'art le plus recherch\\u00e9 de la plan\\u00e8te pour coincer une insaisissable criminelle qui a toujours un coup d\'avance.\",\"plot\":\"Un agent du FBI est forc\\u00e9 de faire \\u00e9quipe avec le voleur d\'art le plus recherch\\u00e9 de la plan\\u00e8te pour coincer une insaisissable criminelle qui a toujours un coup d\'avance.\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":null,\"genre\":\"Action, Com\\u00e9die, Crime\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/dK12GIdhGP6NPGFssK2Fh265jyr.jpg\"],\"duration_secs\":6960,\"duration\":\"01:56:00\",\"video\":[],\"audio\":[],\"bitrate\":0,\"rating\":6.9,\"original_language\":\"en\"}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,108,'[]',0,'','',1,1637420018,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(39,2,54,'Puppy (2005)','[\"s:21:\\/home\\/VOD\\/Puppy.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/hgdzh11dBRCtJJ2dZ1X35UZfPsm.jpg','',NULL,0,'[]','','{\"tmdb_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/201926\",\"tmdb_id\":201926,\"name\":\"Puppy (2005)\",\"o_name\":\"Puppy\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/hgdzh11dBRCtJJ2dZ1X35UZfPsm.jpg\",\"releasedate\":\"2005-01-01\",\"episode_run_time\":5700,\"youtube_trailer\":null,\"director\":\"Kieran Galvin\",\"actors\":\"Nadia Townsend, Bernard Curry, Terence Donovan, Susan Ellis, Sally Bull\",\"cast\":\"Nadia Townsend, Bernard Curry, Terence Donovan, Susan Ellis, Sally Bull\",\"description\":\"\",\"plot\":\"\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":null,\"genre\":\"Drame, Romance, Horreur\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\"],\"duration_secs\":5700,\"duration\":\"01:35:00\",\"video\":[],\"audio\":[],\"bitrate\":0,\"rating\":4.5,\"original_language\":\"en\"}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,106,'[]',0,'','',1,1637780155,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(40,2,52,'FR| Le plan parfait du Père Noël HD','[\"http:\\/\\/wyveep.com:8080\\/movie\\/pPE3Jn30\\/wqSWfefd\\/339553.mp4\"]','','test veep import',NULL,0,'[]','','[]','[]',0,'[\"mp4\"]',0,0,'',NULL,NULL,NULL,111,'[]',0,'','',1,1637791370,0,1,0,0,0,0,1,0,0,0,256000,'','[]',0),(41,2,52,'FR| Noel A Tous Les Etages Part 2 HD','[\"http:\\/\\/wyveep.com:8080\\/movie\\/pPE3Jn30\\/wqSWfefd\\/339552.mkv\"]','','test veep import',NULL,0,'[]','','[]','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,112,'[]',0,'','',1,1637791370,0,1,0,0,0,0,1,0,0,0,256000,'','[]',0),(42,2,52,'FR| Noel A Tous Les Etages Part 1 HD','[\"http:\\/\\/wyveep.com:8080\\/movie\\/pPE3Jn30\\/wqSWfefd\\/339551.mkv\"]','','test veep import',NULL,0,'[]','','[]','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,113,'[]',0,'','',1,1637791370,0,1,0,0,0,0,1,0,0,0,256000,'','[]',0),(43,2,52,'FR| Waffles Mochis Holiday Feast FHD','[\"http:\\/\\/wyveep.com:8080\\/movie\\/pPE3Jn30\\/wqSWfefd\\/339197.mkv\"]','','test veep import',NULL,0,'[]','','[]','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,114,'[]',0,'','',1,1637791370,0,1,0,0,0,0,1,0,0,0,256000,'','[]',0),(44,2,52,'FR| Waffles Mochis Holiday Feast HD','[\"http:\\/\\/wyveep.com:8080\\/movie\\/pPE3Jn30\\/wqSWfefd\\/339196.mkv\"]','','test veep import',NULL,0,'[]','','[]','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,115,'[]',0,'','',1,1637791370,0,1,0,0,0,0,1,0,0,0,256000,'','[]',0),(45,2,52,'Robin Robin (2021)','[\"http:\\/\\/wyveep.com:8080\\/movie\\/pPE3Jn30\\/wqSWfefd\\/339195.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/bKIdlJbd17rrIm4oZzhXTbmqpon.jpg','test veep import',NULL,0,'[]','','{\"tmdb_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/649928\",\"tmdb_id\":\"649928\",\"name\":\"Robin Robin (2021)\",\"o_name\":\"Robin Robin (2021)\",\"cover_big\":null,\"movie_image\":null,\"releasedate\":\"2021-10-09\",\"episode_run_time\":\"32\",\"youtube_trailer\":\"Bx1tfy3JuKI\",\"director\":\"Mikey Please\",\"actors\":\"Bronte Carmichael, Richard E. Grant, Gillian Anderson, Adeel Akhtar, Amira Macey-Michael\",\"cast\":\"Bronte Carmichael, Richard E. Grant, Gillian Anderson, Adeel Akhtar, Amira Macey-Michael\",\"description\":\"A bird raised by mice begins to question where she belongs and sets off on a daring journey of self-discovery.\",\"plot\":\"A bird raised by mice begins to question where she belongs and sets off on a daring journey of self-discovery.\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":\"United Kingdom\",\"genre\":\"Animation, Adventure, Family\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w1280\\/pfaog3542ObQ2qONa34Oh8gJ5vq.jpg\"],\"duration_secs\":1920,\"duration\":\"00:32:00\",\"video\":[],\"audio\":[],\"bitrate\":0,\"rating\":\"7\",\"original_language\":\"en\"}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,127,'[]',0,'','',1,1637791370,0,1,0,0,0,0,1,0,0,0,256000,'','[]',0),(46,2,52,'Ruby tombée du nid (2021)','[\"http:\\/\\/wyveep.com:8080\\/movie\\/pPE3Jn30\\/wqSWfefd\\/339194.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/g1hxTdWJ554Kj8OEHc21nscnKXq.jpg','test veep import',NULL,0,'[]','','{\"tmdb_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/649928\",\"tmdb_id\":\"649928\",\"name\":\"Ruby tomb\\u00e9e du nid (2021)\",\"o_name\":\"Ruby tomb\\u00e9e du nid (2021)\",\"cover_big\":null,\"movie_image\":null,\"releasedate\":\"2021-10-09\",\"episode_run_time\":\"32\",\"youtube_trailer\":\"\",\"director\":\"Mikey Please\",\"actors\":\"Bronte Carmichael, Richard E. Grant, Gillian Anderson, Adeel Akhtar\",\"cast\":\"Bronte Carmichael, Richard E. Grant, Gillian Anderson, Adeel Akhtar\",\"description\":\"Dans ce court m\\u00e9trage en stop-motion, une oiselle \\u00e9lev\\u00e9e par des souris se lance dans un grand voyage pour d\\u00e9couvrir quelle place elle peut prendre dans le monde.\",\"plot\":\"Dans ce court m\\u00e9trage en stop-motion, une oiselle \\u00e9lev\\u00e9e par des souris se lance dans un grand voyage pour d\\u00e9couvrir quelle place elle peut prendre dans le monde.\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":\"United Kingdom\",\"genre\":\"Animation, Aventure, Familial\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w1280\\/pfaog3542ObQ2qONa34Oh8gJ5vq.jpg\"],\"duration_secs\":1920,\"duration\":\"00:32:00\",\"video\":[],\"audio\":[],\"bitrate\":0,\"rating\":\"7\",\"original_language\":\"en\"}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,119,'[]',0,'','',1,1637791370,0,1,0,0,0,0,1,0,0,0,256000,'','[]',0),(67,2,52,'Game of Thrones - Conquest & Rebellion: An Animated History of the Seven Kingdoms (2017)','[\"s:21:\\/home\\/VOD\\/1\\/Game Of Thrones Conquest And Rebellion.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/b3HXxFnhy0pamuDY9rqJ4mk7L1t.jpg','GL',NULL,0,'[]','','{\"tmdb_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/492606\",\"tmdb_id\":492606,\"name\":\"Game of Thrones - Conquest & Rebellion: An Animated History of the Seven Kingdoms (2017)\",\"o_name\":\"Game of Thrones - Conquest & Rebellion: An Animated History of the Seven Kingdoms\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/masCZracUmRKVDFovPoFo9ePNry.jpg\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/b3HXxFnhy0pamuDY9rqJ4mk7L1t.jpg\",\"releasedate\":\"2017-12-12\",\"episode_run_time\":0,\"youtube_trailer\":null,\"director\":\"\",\"actors\":\"\",\"cast\":\"\",\"description\":\"HBO\'s animated history of Westeros brings to life all the events that shaped the Seven Kingdoms in the thousands of years before Game of Thrones\' story begins.\",\"plot\":\"HBO\'s animated history of Westeros brings to life all the events that shaped the Seven Kingdoms in the thousands of years before Game of Thrones\' story begins.\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":null,\"genre\":\"\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/masCZracUmRKVDFovPoFo9ePNry.jpg\"],\"duration_secs\":2687,\"duration\":\"00:44:47\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1001\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"24000\\/1001\",\"avg_frame_rate\":\"24000\\/1001\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}},\"audio\":{\"index\":2,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":6,\"channel_layout\":\"5.1(side)\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"640000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"English\"}},\"bitrate\":5207,\"rating\":7.9,\"original_language\":\"en\"}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,120,'[]',0,'','',1,1637879444,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(68,2,52,'Goldorak contre Great Mazinger (1976)','[\"s:21:\\/home\\/VOD\\/1\\/Goldorak contre Great Mazinger.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/gmFzkzaD4PG0MbP45KdopYMnzff.jpg','GL',NULL,0,'[]','','{\"kinopoisk_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/85311\",\"tmdb_id\":85311,\"name\":\"Goldorak contre Great Mazinger\",\"o_name\":\"UFO\\u30ed\\u30dc \\u30b0\\u30ec\\u30f3\\u30c0\\u30a4\\u30b6\\u30fc\\u5bfe\\u30b0\\u30ec\\u30fc\\u30c8\\u30de\\u30b8\\u30f3\\u30ac\\u30fc\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/zCN6kOTSZnjUq0jgW0DzrBm3aJ5.jpg\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/zCN6kOTSZnjUq0jgW0DzrBm3aJ5.jpg\",\"releasedate\":\"1976-03-20\",\"episode_run_time\":27,\"youtube_trailer\":null,\"director\":\"Osamu Kasai, Johei Matsuura\",\"actors\":\"Kei Tomiyama, Joji Yanami, Hiroya Ishimaru, Chiyoko Kawashima, Kazuko Sawada\",\"cast\":\"Kei Tomiyama, Joji Yanami, Hiroya Ishimaru, Chiyoko Kawashima, Kazuko Sawada\",\"description\":\"Pour enfin venir \\u00e0 bout de Goldorak, le formidable robot qui emp\\u00e8che l\'empire de V\\u00e9ga de conqu\\u00e9rir notre plan\\u00e8te, le d\\u00e9moniaque Barendos, un des plus fid\\u00e8les s\\u00e9ides du grand Strat\\u00e9guerre, rejoint la base de la Lune Noire et prend le commandement d\'une flotille en route pour la Terre avec pour mission de vaincre Actarus et son robot. Au cours d\'une bataille terrifiante, Alcor est captur\\u00e9 par les hommes de V\\u00e9ga. Sondant son esprit, Barendos apprend l\'existence sur terre de 2 formidables robots de combats : Mazinger Z et Great Mazinger, qui pourraient s\'av\\u00e9rer \\u00eatre de pr\\u00e9cieux alli\\u00e9s pour V\\u00e9ga dans le combat contre Goldorak. Les deux robots sont d\\u00e9sormais dans un mus\\u00e9e, ou Barendos r\\u00e9ussit \\u00e0 d\\u00e9rober Great Mazinger, le plus puissant d\'entre eux et affronte ainsi Goldorak dans une lutte \\u00e0 mort. Mais c\'est compter sans Alcor, qui est parvenu \\u00e0 s\'enfuir et qui conna\\u00eet le point faible du Great Mazinger...\",\"plot\":\"Pour enfin venir \\u00e0 bout de Goldorak, le formidable robot qui emp\\u00e8che l\'empire de V\\u00e9ga de conqu\\u00e9rir notre plan\\u00e8te, le d\\u00e9moniaque Barendos, un des plus fid\\u00e8les s\\u00e9ides du grand Strat\\u00e9guerre, rejoint la base de la Lune Noire et prend le commandement d\'une flotille en route pour la Terre avec pour mission de vaincre Actarus et son robot. Au cours d\'une bataille terrifiante, Alcor est captur\\u00e9 par les hommes de V\\u00e9ga. Sondant son esprit, Barendos apprend l\'existence sur terre de 2 formidables robots de combats : Mazinger Z et Great Mazinger, qui pourraient s\'av\\u00e9rer \\u00eatre de pr\\u00e9cieux alli\\u00e9s pour V\\u00e9ga dans le combat contre Goldorak. Les deux robots sont d\\u00e9sormais dans un mus\\u00e9e, ou Barendos r\\u00e9ussit \\u00e0 d\\u00e9rober Great Mazinger, le plus puissant d\'entre eux et affronte ainsi Goldorak dans une lutte \\u00e0 mort. Mais c\'est compter sans Alcor, qui est parvenu \\u00e0 s\'enfuir et qui conna\\u00eet le point faible du Great Mazinger...\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":\"Japan\",\"genre\":\"Animation, Action, Aventure\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w1280\\/d2ex7YczfUwC8kR7iaVlTcZkNTA.jpg\"],\"duration_secs\":1389,\"duration\":\"00:23:09\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/48\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"24\\/1\",\"avg_frame_rate\":\"24\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"jpn\",\"title\":\"Goldorak contre Great Mazinger 1976 VFF WEB_Rip 1080p AVC-NoBodyPerfect\",\"BPS-eng\":\"3025333\",\"DURATION-eng\":\"00:23:09.375000000\",\"NUMBER_OF_FRAMES-eng\":\"33345\",\"NUMBER_OF_BYTES-eng\":\"525415266\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v21.0.0 (\'Tardigrades Will Inherit The Earth\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-09-15 19:50:16\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":1,\"channel_layout\":\"mono\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"VFF AAC_Mono@128 Kbps\",\"BPS-eng\":\"125375\",\"DURATION-eng\":\"00:23:09.738000000\",\"NUMBER_OF_FRAMES-eng\":\"65144\",\"NUMBER_OF_BYTES-eng\":\"21779811\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v21.0.0 (\'Tardigrades Will Inherit The Earth\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-09-15 19:50:16\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":3154,\"rating\":5.7}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,121,'[]',0,'','',1,1637879444,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(69,2,52,'Great Mazinger et Getter Robot G – Le Sacrifice Ultime (1975)','[\"s:21:\\/home\\/VOD\\/1\\/Great Mazinger et Getter Robot G \\u2013 Le Sacrifice Ultime.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/yLvRgri9oO5RodZiMwJDgJzAKHp.jpg','GL',NULL,0,'[]','','{\"kinopoisk_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/74622\",\"tmdb_id\":74622,\"name\":\"Great Mazinger et Getter Robot G \\u2013 Le Sacrifice Ultime\",\"o_name\":\"\\u30b0\\u30ec\\u30fc\\u30c8\\u30de\\u30b8\\u30f3\\u30ac\\u30fc\\u5bfe\\u30b2\\u30c3\\u30bf\\u30fc\\u30ed\\u30dc\\uff27 \\u7a7a\\u4e2d\\u5927\\u6fc0\\u7a81\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/n1UhcW0Fhx9061cfBrNwZmg8sk9.jpg\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/n1UhcW0Fhx9061cfBrNwZmg8sk9.jpg\",\"releasedate\":\"1975-07-26\",\"episode_run_time\":25,\"youtube_trailer\":null,\"director\":\"Masayuki Akehi\",\"actors\":\"Akira Kamiya, Keaton Yamada, Kazuko Sawada, Kousei Tomita, Rihoko Yoshida\",\"cast\":\"Akira Kamiya, Keaton Yamada, Kazuko Sawada, Kousei Tomita, Rihoko Yoshida\",\"description\":\"Des aliens dans un vaisseau spatial d\\u00e9cident de conqu\\u00e9rir la Terre et de commencer par attaquer le si\\u00e8ge de l\\u2019\\u00e9quipe Getter Robo tandis que le Great Mazinger est en cours de r\\u00e9paration etne peut pas aller \\u00e0 leur secours. Un des membres de l\\u2019\\u00e9quipe, Musashi, est tu\\u00e9 dans la bataille avec le monstre alien Grangen, se sacrifiant pour sauver ses amis, et son v\\u00e9hicule est d\\u00e9truit, ce qui signifie qu\\u2019ils ne peuvent plus former le premier Getter Robo. De plus tous leurs appareils sont salement endommag\\u00e9s.\",\"plot\":\"Des aliens dans un vaisseau spatial d\\u00e9cident de conqu\\u00e9rir la Terre et de commencer par attaquer le si\\u00e8ge de l\\u2019\\u00e9quipe Getter Robo tandis que le Great Mazinger est en cours de r\\u00e9paration etne peut pas aller \\u00e0 leur secours. Un des membres de l\\u2019\\u00e9quipe, Musashi, est tu\\u00e9 dans la bataille avec le monstre alien Grangen, se sacrifiant pour sauver ses amis, et son v\\u00e9hicule est d\\u00e9truit, ce qui signifie qu\\u2019ils ne peuvent plus former le premier Getter Robo. De plus tous leurs appareils sont salement endommag\\u00e9s.\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":\"Japan\",\"genre\":\"Animation, Action, Science-Fiction\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w1280\"],\"duration_secs\":1390,\"duration\":\"00:23:10\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/60\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"30\\/1\",\"avg_frame_rate\":\"30\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}},\"bitrate\":2685,\"rating\":5.8}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,122,'[]',0,'','',1,1637879444,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(70,2,52,'LEGO La Reine des Neiges : Magie des Aurores Boréales (2017)','[\"s:21:\\/home\\/VOD\\/1\\/LEGO La Reine des Neiges Magie des Aurores Boreales.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/jlk5MeGlNSiy773SWot9dGAQ2as.jpg','GL',NULL,0,'[]','','{\"kinopoisk_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/431562\",\"tmdb_id\":431562,\"name\":\"LEGO La Reine des Neiges : Magie des Aurores Bor\\u00e9ales\",\"o_name\":\"LEGO Frozen Northern Lights\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/4aqUHWDytLAW4YrWMEF5a4ScS7x.jpg\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/4aqUHWDytLAW4YrWMEF5a4ScS7x.jpg\",\"releasedate\":\"2017-01-05\",\"episode_run_time\":22,\"youtube_trailer\":null,\"director\":\"\",\"actors\":\"Kristen Bell, Ashlyn Faith Williams, Josh Gad, Jonathan Groff, Idina Menzel\",\"cast\":\"Kristen Bell, Ashlyn Faith Williams, Josh Gad, Jonathan Groff, Idina Menzel\",\"description\":\"Anna, Elsa, Kristoff, Sven et Olaf courent jusqu\'en haut de la montage pour qu\'Olaf puisse voir les Aurores Bor\\u00e9ales de l\'ann\\u00e9e, mais ils d\\u00e9couvrent qu\'elles ont disparu !\",\"plot\":\"Anna, Elsa, Kristoff, Sven et Olaf courent jusqu\'en haut de la montage pour qu\'Olaf puisse voir les Aurores Bor\\u00e9ales de l\'ann\\u00e9e, mais ils d\\u00e9couvrent qu\'elles ont disparu !\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":\"United States of America\",\"genre\":\"Animation, Familial\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w1280\\/7nFkj8E1s7MRl7eqZLnszitoy0c.jpg\"],\"duration_secs\":1268,\"duration\":\"00:21:08\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"La Reine des Neiges: Magie des Aurores Boreales\",\"BPS\":\"2198426\",\"BPS-eng\":\"2198426\",\"DURATION\":\"00:21:08.640000000\",\"DURATION-eng\":\"00:21:08.640000000\",\"NUMBER_OF_FRAMES\":\"31716\",\"NUMBER_OF_FRAMES-eng\":\"31716\",\"NUMBER_OF_BYTES\":\"348626535\",\"NUMBER_OF_BYTES-eng\":\"348626535\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v9.8.0 (\'Kuglblids\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v9.8.0 (\'Kuglblids\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-02-15 17:09:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-02-15 17:09:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"Fran\\u00e7ais AC3 2.0\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:21:08.608000000\",\"DURATION-eng\":\"00:21:08.608000000\",\"NUMBER_OF_FRAMES\":\"39644\",\"NUMBER_OF_FRAMES-eng\":\"39644\",\"NUMBER_OF_BYTES\":\"30446592\",\"NUMBER_OF_BYTES-eng\":\"30446592\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v9.8.0 (\'Kuglblids\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v9.8.0 (\'Kuglblids\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-02-15 17:09:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-02-15 17:09:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2393,\"rating\":6.8}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,123,'[]',0,'','',1,1637879444,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(71,2,52,'Le Monde animé de Grimault (2019)','[\"s:21:\\/home\\/VOD\\/1\\/Le Monde Anime De Grimault.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/6pVvDLfIPGbVLMczKR5Yq5wrLVY.jpg','GL',NULL,0,'[]','','{\"kinopoisk_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/687702\",\"tmdb_id\":687702,\"name\":\"Le Monde anim\\u00e9 de Grimault\",\"o_name\":\"Le Monde anim\\u00e9 de Grimault\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/6pVvDLfIPGbVLMczKR5Yq5wrLVY.jpg\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/6pVvDLfIPGbVLMczKR5Yq5wrLVY.jpg\",\"releasedate\":\"2019-11-06\",\"episode_run_time\":89,\"youtube_trailer\":null,\"director\":\"\",\"actors\":\"\",\"cast\":\"\",\"description\":\"Entre enjamb\\u00e9es, tourbillons et grands voyages, ce parcours en huit films de Grimault nous enivre de mouvements, nous renverse et nous bouleverse, tant\\u00f4t pour rire et tant\\u00f4t pour nous alerter contre les maux de l\\u2019humanit\\u00e9.\",\"plot\":\"Entre enjamb\\u00e9es, tourbillons et grands voyages, ce parcours en huit films de Grimault nous enivre de mouvements, nous renverse et nous bouleverse, tant\\u00f4t pour rire et tant\\u00f4t pour nous alerter contre les maux de l\\u2019humanit\\u00e9.\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":\"\",\"genre\":\"Animation\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w1280\\/s84mi3apWw35KENm9thZ07PCEtz.jpg\"],\"duration_secs\":5033,\"duration\":\"01:23:53\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1001\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1480,\"height\":1080,\"coded_width\":1488,\"coded_height\":1088,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"37:27\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"24000\\/1001\",\"avg_frame_rate\":\"24000\\/1001\",\"time_base\":\"1\\/1000\",\"start_pts\":5,\"start_time\":\"0.005000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"title\":\"Le.Monde.Anime.De.Grimault.2019.VFF.1080p.BluRay.Light.AC3.x264-TireXo\",\"BPS\":\"3984655\",\"DURATION\":\"01:23:53.529000000\",\"NUMBER_OF_FRAMES\":\"120684\",\"NUMBER_OF_BYTES\":\"2507109860\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v61.0.0 (\'So\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2021-11-20 08:13:20\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"448000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":1,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"VFF AC3 2.0 @448kbps\",\"BPS\":\"448000\",\"DURATION\":\"01:23:53.536000000\",\"NUMBER_OF_FRAMES\":\"157298\",\"NUMBER_OF_BYTES\":\"281878016\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v61.0.0 (\'So\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2021-11-20 08:13:20\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":4438,\"rating\":0}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,124,'[]',0,'','',1,1637879444,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(72,2,52,'Pocahontas (1994)','[\"s:21:\\/home\\/VOD\\/1\\/Pocahontas.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/kZ1ft0QZ4e3zDUPMBftEkwI9ftd.jpg','GL',NULL,0,'[]','','{\"kinopoisk_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/246109\",\"tmdb_id\":246109,\"name\":\"Pocahontas\",\"o_name\":\"Pocahontas\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/KnZAJw4bJoKT06CVlrzTuyqIK7.jpg\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/KnZAJw4bJoKT06CVlrzTuyqIK7.jpg\",\"releasedate\":\"1994-10-19\",\"episode_run_time\":50,\"youtube_trailer\":null,\"director\":\"Toshiyuki Hiruma, Takashi Masunaga\",\"actors\":\"Kathleen Barr, Garry Chalk, Ian James Corlett, Philip Maurice Hayes, Andrea Libman\",\"cast\":\"Kathleen Barr, Garry Chalk, Ian James Corlett, Philip Maurice Hayes, Andrea Libman\",\"description\":\"Pocahontas et une fille du grand chef Powha... Elle vit avec sa tribu dan les vall\\u00e9es profondes et vertes de l\'Am\\u00e9rique. Un jour pendant qu\'elle cherche des baies avec ses amis elle aper\\u00e7oit des colons blanc, men\\u00e9s par le Capitaine John Smith, qui d\\u00e9barquent sur la plage. Les Indiens et les colons se craignent mutuellement et cette peur se transforme en tension. Mais Pocahontas devient l\'amis de John Smith, elle utilise son amour et son courage pour aider chaque camp \\u00e0 s\'accepter pour ramener la paix.\",\"plot\":\"Pocahontas et une fille du grand chef Powha... Elle vit avec sa tribu dan les vall\\u00e9es profondes et vertes de l\'Am\\u00e9rique. Un jour pendant qu\'elle cherche des baies avec ses amis elle aper\\u00e7oit des colons blanc, men\\u00e9s par le Capitaine John Smith, qui d\\u00e9barquent sur la plage. Les Indiens et les colons se craignent mutuellement et cette peur se transforme en tension. Mais Pocahontas devient l\'amis de John Smith, elle utilise son amour et son courage pour aider chaque camp \\u00e0 s\'accepter pour ramener la paix.\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":\"Japan\",\"genre\":\"Aventure, Animation, Familial\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w1280\"],\"duration_secs\":4867,\"duration\":\"01:21:07\",\"video\":{\"index\":5,\"codec_name\":\"gif\",\"codec_long_name\":\"GIF (Graphics Interchange Format)\",\"codec_type\":\"video\",\"codec_time_base\":\"0\\/1\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":2956,\"height\":2997,\"coded_width\":2956,\"coded_height\":2997,\"has_b_frames\":0,\"pix_fmt\":\"bgra\",\"level\":-99,\"refs\":1,\"r_frame_rate\":\"90000\\/1\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"duration_ts\":438100200,\"duration\":\"4867.780000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":1,\"timed_thumbnails\":0},\"tags\":{\"filename\":\"H4S5S.gif\",\"mimetype\":\"image\\/gif\"}},\"audio\":{\"index\":2,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":6,\"channel_layout\":\"5.1(side)\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"320000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"VO @ AC3 5.1\",\"BPS-eng\":\"320000\",\"DURATION-eng\":\"01:21:07.744000000\",\"NUMBER_OF_FRAMES-eng\":\"152117\",\"NUMBER_OF_BYTES-eng\":\"194709760\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v21.0.0 (\'Tardigrades Will Inherit The Earth\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-03-05 17:26:22\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2386,\"rating\":5.9}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,125,'[]',0,'','',1,1637879444,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(73,2,52,'Puppy (2005)','[\"s:21:\\/home\\/VOD\\/1\\/Puppy.mkv\"]','https://image.tmdb.org/t/p/w600_and_h900_bestv2/hgdzh11dBRCtJJ2dZ1X35UZfPsm.jpg','GL',NULL,0,'[]','','{\"tmdb_url\":\"https:\\/\\/www.themoviedb.org\\/movie\\/201926\",\"tmdb_id\":201926,\"name\":\"Puppy (2005)\",\"o_name\":\"Puppy\",\"cover_big\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/hgdzh11dBRCtJJ2dZ1X35UZfPsm.jpg\",\"releasedate\":\"2005-01-01\",\"episode_run_time\":5700,\"youtube_trailer\":null,\"director\":\"Kieran Galvin\",\"actors\":\"Nadia Townsend, Bernard Curry, Terence Donovan, Susan Ellis, Sally Bull\",\"cast\":\"Nadia Townsend, Bernard Curry, Terence Donovan, Susan Ellis, Sally Bull\",\"description\":\"\",\"plot\":\"\",\"age\":\"\",\"mpaa_rating\":\"\",\"rating_count_kinopoisk\":0,\"country\":null,\"genre\":\"Drame, Romance, Horreur\",\"backdrop_path\":[\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\"],\"duration_secs\":5700,\"duration\":\"01:35:00\",\"video\":[],\"audio\":[],\"bitrate\":0,\"rating\":4.5,\"original_language\":\"en\"}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,126,'[]',0,'','',1,1637879444,0,0,0,0,0,1,1,0,0,0,256000,'','[]',0),(74,1,24,'FR| M6 INTER FHD','[\"https:\\/\\/shls-m6-int-prod-dub.shahid.net\\/out\\/v1\\/a315ab77ee7343a7a17dbe7e32eee3ba\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,128,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(75,1,24,'FR| tiji FHD','[\"https:\\/\\/shls-tiji-tv-prod-dub.shahid.net\\/out\\/v1\\/98f46736bd8c4404b67e4b7a38cc8976\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,129,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(76,1,24,'AR| GULI ARABE','[\"https:\\/\\/shls-gulli-bil-arabi-prod-dub.shahid.net\\/out\\/v1\\/5454d215afba410c90b233f400730958\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,130,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(77,1,24,'AR| EXPO DUBAI FHD','[\"https:\\/\\/shls-expotv-prod-dub.shahid.net\\/out\\/v1\\/d01b0b3888284878b8898017895a5922\\/index_3.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,131,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(78,1,24,'AR| ACHARQUE INFO','[\"https:\\/\\/shls-asharq-prod-dub.shahid.net\\/out\\/v1\\/3b6b4902cf8747a28619411239584002\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,132,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(79,1,24,'AR| ROTANA KIDS FHD','[\"https:\\/\\/shls-rotanakids-prod-dub.shahid.net\\/out\\/v1\\/df6e0eb3cdc4410b98209aafc8677cef\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,133,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(80,1,24,'AR| MBC 1 FHD','[\"https:\\/\\/shls-mbc1na-prod-dub.shahid.net\\/out\\/v1\\/84ab37e99d6e4b16b33c6600f94f6ccb\\/index_8.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,134,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(81,1,24,'AR| MBC 1 HD','[\"https:\\/\\/shls-mbc1na-prod-dub.shahid.net\\/out\\/v1\\/84ab37e99d6e4b16b33c6600f94f6ccb\\/index_7.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,135,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(82,1,24,'AR| MBC 1 LQ','[\"https:\\/\\/shls-mbc1na-prod-dub.shahid.net\\/out\\/v1\\/84ab37e99d6e4b16b33c6600f94f6ccb\\/index_5.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,136,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(83,1,24,'AR| MBC2 FHD','[\"https:\\/\\/shls-mbc2-prod-dub.shahid.net\\/out\\/v1\\/b4befe19798745fe986f5a9bfba62126\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',0,NULL,'NULL',137,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(84,1,24,'AR| MBC2 FD','[\"https:\\/\\/shls-mbc2-prod-dub.shahid.net\\/out\\/v1\\/b4befe19798745fe986f5a9bfba62126\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,138,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(85,1,24,'AR| MBC2 LQ','[\"https:\\/\\/shls-mbc2-prod-dub.shahid.net\\/out\\/v1\\/b4befe19798745fe986f5a9bfba62126\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,139,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(86,1,24,'AR| MBC3 FHD','[\"https:\\/\\/shls-mbc3-prod-dub.shahid.net\\/out\\/v1\\/d5bbe570e1514d3d9a142657d33d85e6\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,140,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(87,1,24,'AR| MBC3 HD','[\"https:\\/\\/shls-mbc3-prod-dub.shahid.net\\/out\\/v1\\/d5bbe570e1514d3d9a142657d33d85e6\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,141,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(88,1,24,'AR| MBC3 LQ','[\"https:\\/\\/shls-mbc3-prod-dub.shahid.net\\/out\\/v1\\/d5bbe570e1514d3d9a142657d33d85e6\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,142,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(89,1,24,'AR| MBC4 FHD','[\"https:\\/\\/shls-mbcaction-prod-dub.shahid.net\\/out\\/v1\\/68dd761538e5460096c42422199d050b\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',0,NULL,'NULL',143,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(90,1,24,'AR| MBC4 HD','[\"https:\\/\\/shls-mbcaction-prod-dub.shahid.net\\/out\\/v1\\/68dd761538e5460096c42422199d050b\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,144,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(91,1,24,'AR| MBC4 LQ','[\"https:\\/\\/shls-mbcaction-prod-dub.shahid.net\\/out\\/v1\\/68dd761538e5460096c42422199d050b\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,145,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(92,1,24,'AR| MBC 5 FHD','[\"https:\\/\\/shls-mbc5-prod-dub.shahid.net\\/out\\/v1\\/2720564b6a4641658fdfb6884b160da2\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,146,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(93,1,24,'AR| MBC 5 HD','[\"https:\\/\\/shls-mbc5-prod-dub.shahid.net\\/out\\/v1\\/2720564b6a4641658fdfb6884b160da2\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,147,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(94,1,24,'AR| MBC 5 LQ','[\"https:\\/\\/shls-mbc5-prod-dub.shahid.net\\/out\\/v1\\/2720564b6a4641658fdfb6884b160da2\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,148,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(95,1,24,'AR| ROTANA DRAMA FHD','[\"https:\\/\\/shls-rotanadrama-prod-dub.shahid.net\\/out\\/v1\\/20c617b40dc743589ecc9d08d9d3345d\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,149,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(96,1,24,'AR| ROTANA DRAMA HD','[\"https:\\/\\/shls-rotanadrama-prod-dub.shahid.net\\/out\\/v1\\/20c617b40dc743589ecc9d08d9d3345d\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,150,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(97,1,24,'AR| ROTANA DRAMA LQ','[\"https:\\/\\/shls-rotanadrama-prod-dub.shahid.net\\/out\\/v1\\/20c617b40dc743589ecc9d08d9d3345d\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,151,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(98,1,24,'AR| ALARABIYA FHD','[\"https:\\/\\/shls-alarabiya-prod-dub.shahid.net\\/out\\/v1\\/f5f319206ed740f9a831f2097c2ead23\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,152,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(99,1,24,'AR| ALARABIYA HD','[\"https:\\/\\/shls-alarabiya-prod-dub.shahid.net\\/out\\/v1\\/f5f319206ed740f9a831f2097c2ead23\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,153,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(100,1,24,'AR| ALARABIYA SD','[\"https:\\/\\/shls-alarabiya-prod-dub.shahid.net\\/out\\/v1\\/f5f319206ed740f9a831f2097c2ead23\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,154,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(101,1,24,'AR| Rotana Classic FHD','[\"https:\\/\\/shls-rotanaclassic-prod-dub.shahid.net\\/out\\/v1\\/4eebed211c8441228321b4f67a46c5a5\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,155,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(102,1,24,'AR| Rotana Classic HD','[\"https:\\/\\/shls-rotanaclassic-prod-dub.shahid.net\\/out\\/v1\\/4eebed211c8441228321b4f67a46c5a5\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,156,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(103,1,24,'AR| Rotana Classic LQ','[\"https:\\/\\/shls-rotanaclassic-prod-dub.shahid.net\\/out\\/v1\\/4eebed211c8441228321b4f67a46c5a5\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,157,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(104,1,24,'AR| cartoon NETWORK FHD','[\"https:\\/\\/shls-cartoon-net-prod-dub.shahid.net\\/out\\/v1\\/dc4aa87372374325a66be458f29eab0f\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,158,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(105,1,24,'AR| cartoon NETWORK HD','[\"https:\\/\\/shls-cartoon-net-prod-dub.shahid.net\\/out\\/v1\\/dc4aa87372374325a66be458f29eab0f\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,159,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(106,1,24,'AR| cartoon NETWORK LQ','[\"https:\\/\\/shls-cartoon-net-prod-dub.shahid.net\\/out\\/v1\\/dc4aa87372374325a66be458f29eab0f\\/index_5.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,160,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(107,1,24,'AR| Spacetoon FHD','[\"https:\\/\\/shls-spacetoon-prod-dub.shahid.net\\/out\\/v1\\/6240b773a3f34cca95d119f9e76aec02\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,161,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(108,1,24,'AR| Spacetoon HD','[\"https:\\/\\/shls-spacetoon-prod-dub.shahid.net\\/out\\/v1\\/6240b773a3f34cca95d119f9e76aec02\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,162,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(109,1,24,'AR| Spacetoon LQ','[\"https:\\/\\/shls-spacetoon-prod-dub.shahid.net\\/out\\/v1\\/6240b773a3f34cca95d119f9e76aec02\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,163,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(110,1,24,'AR| Rotana+ FHD','[\"https:\\/\\/shls-rotanaplus-prod-dub.shahid.net\\/out\\/v1\\/1fc6103458be480b96e6a574b00fe1c0\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,164,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(111,1,24,'AR| Rotana+ HD','[\"https:\\/\\/shls-rotanaplus-prod-dub.shahid.net\\/out\\/v1\\/1fc6103458be480b96e6a574b00fe1c0\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,165,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(112,1,24,'AR| Rotana+ LQ','[\"https:\\/\\/shls-rotanaplus-prod-dub.shahid.net\\/out\\/v1\\/1fc6103458be480b96e6a574b00fe1c0\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,166,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(113,1,24,'AR| mbc masr FHD','[\"https:\\/\\/shls-masr-prod-dub.shahid.net\\/out\\/v1\\/b7093401da27496797a8949de23f4578\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,167,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(114,1,24,'AR| mbc masr HD','[\"https:\\/\\/shls-masr-prod-dub.shahid.net\\/out\\/v1\\/b7093401da27496797a8949de23f4578\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,168,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(115,1,24,'AR| mbc masr LQ','[\"https:\\/\\/shls-masr-prod-dub.shahid.net\\/out\\/v1\\/b7093401da27496797a8949de23f4578\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,169,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(116,1,24,'AR| rotana cinema ksa FHD','[\"https:\\/\\/shls-rotanacinema-ksa-prod-dub.shahid.net\\/out\\/v1\\/6cee1c57ea7841e697eb15cefc98e0a6\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,170,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(117,1,24,'AR| rotana cinema ksa HD','[\"https:\\/\\/shls-rotanacinema-ksa-prod-dub.shahid.net\\/out\\/v1\\/6cee1c57ea7841e697eb15cefc98e0a6\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,171,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(118,1,24,'AR| rotana cinema ksa LQ','[\"https:\\/\\/shls-rotanacinema-ksa-prod-dub.shahid.net\\/out\\/v1\\/6cee1c57ea7841e697eb15cefc98e0a6\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,172,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(119,1,24,'AR| MBC+ DRAMA FHD','[\"https:\\/\\/shls-mbcplusdrama-prod-dub.shahid.net\\/out\\/v1\\/97ca0ce6fc6142f4b14c0a694af59eab\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,173,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(120,1,24,'AR| MBC+ DRAMA HD','[\"https:\\/\\/shls-mbcplusdrama-prod-dub.shahid.net\\/out\\/v1\\/97ca0ce6fc6142f4b14c0a694af59eab\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,174,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(121,1,24,'AR| MBC+ DRAMA LQ','[\"https:\\/\\/shls-mbcplusdrama-prod-dub.shahid.net\\/out\\/v1\\/97ca0ce6fc6142f4b14c0a694af59eab\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,175,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(122,1,24,'AR| MBC MAX FHD','[\"https:\\/\\/shls-mbcmax-prod-dub.shahid.net\\/out\\/v1\\/13815a7cda864c249a88c38e66a2e653\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,176,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(123,1,24,'AR| MBC MAX HD','[\"https:\\/\\/shls-mbcmax-prod-dub.shahid.net\\/out\\/v1\\/13815a7cda864c249a88c38e66a2e653\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,177,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(124,1,24,'AR| MBC MAX LQ','[\"https:\\/\\/shls-mbcmax-prod-dub.shahid.net\\/out\\/v1\\/13815a7cda864c249a88c38e66a2e653\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,178,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(125,1,24,'AR| ROTANA KIDS FHD','[\"https:\\/\\/shls-rotanakids-prod-dub.shahid.net\\/out\\/v1\\/df6e0eb3cdc4410b98209aafc8677cef\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,179,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(126,1,24,'AR| ROTANA KIDS HD','[\"https:\\/\\/shls-rotanakids-prod-dub.shahid.net\\/out\\/v1\\/df6e0eb3cdc4410b98209aafc8677cef\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,180,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(127,1,24,'AR| ROTANA KIDS LQ','[\"https:\\/\\/shls-rotanakids-prod-dub.shahid.net\\/out\\/v1\\/df6e0eb3cdc4410b98209aafc8677cef\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,181,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(128,1,24,'AR| mbc Action FHD','[\"https:\\/\\/shls-mbcaction-prod-dub.shahid.net\\/out\\/v1\\/68dd761538e5460096c42422199d050b\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,182,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(129,1,24,'AR| mbc Action HD','[\"https:\\/\\/shls-mbcaction-prod-dub.shahid.net\\/out\\/v1\\/68dd761538e5460096c42422199d050b\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,183,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(130,1,24,'AR| mbc Action LQ','[\"https:\\/\\/shls-mbcaction-prod-dub.shahid.net\\/out\\/v1\\/68dd761538e5460096c42422199d050b\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,184,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(131,1,24,'AR| LBCI FHD','[\"https:\\/\\/shls-lbci-prod-dub.shahid.net\\/out\\/v1\\/d8cce30036e743318a7f338539689968\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,185,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(132,1,24,'AR| LBCI HD','[\"https:\\/\\/shls-lbci-prod-dub.shahid.net\\/out\\/v1\\/d8cce30036e743318a7f338539689968\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,186,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(133,1,24,'AR| LBCI LQ','[\"https:\\/\\/shls-lbci-prod-dub.shahid.net\\/out\\/v1\\/d8cce30036e743318a7f338539689968\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,187,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(134,1,24,'AR| mbc percia FHD','[null]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,188,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(135,1,24,'AR| mbc percia FHD','[\"https:\\/\\/shls-mbcpersia-prod-dub.shahid.net\\/out\\/v1\\/bdc7cd0d990e4c54808632a52c396946\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,189,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(136,1,24,'AR| mbc percia HD','[\"https:\\/\\/shls-mbcpersia-prod-dub.shahid.net\\/out\\/v1\\/bdc7cd0d990e4c54808632a52c396946\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,190,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(137,1,24,'AR| mbc percia LQ','[\"https:\\/\\/shls-mbcpersia-prod-dub.shahid.net\\/out\\/v1\\/bdc7cd0d990e4c54808632a52c396946\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,191,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(138,1,24,'AR| mbc Drama FHD','[\"https:\\/\\/shls-mbcdramaksa-prod-dub.shahid.net\\/out\\/v1\\/ce0f0762d89e4394a856c5fd13e43645\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,192,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(139,1,24,'AR| mbc Drama HD','[\"https:\\/\\/shls-mbcdramaksa-prod-dub.shahid.net\\/out\\/v1\\/ce0f0762d89e4394a856c5fd13e43645\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,193,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(140,1,24,'AR| mbc Drama LQ','[\"https:\\/\\/shls-mbcdramaksa-prod-dub.shahid.net\\/out\\/v1\\/ce0f0762d89e4394a856c5fd13e43645\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,194,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(141,1,24,'AR| rotana bollywood FHD','[\"https:\\/\\/shls-mbcbollywood-prod-dub.shahid.net\\/out\\/v1\\/a79c9d7ef2a64a54a64d5c4567b3462a\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,195,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(142,1,24,'AR| rotana bollywood HD','[\"https:\\/\\/shls-mbcbollywood-prod-dub.shahid.net\\/out\\/v1\\/a79c9d7ef2a64a54a64d5c4567b3462a\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,196,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(143,1,24,'AR| rotana bollywood LQ','[\"https:\\/\\/shls-mbcbollywood-prod-dub.shahid.net\\/out\\/v1\\/a79c9d7ef2a64a54a64d5c4567b3462a\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,197,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(144,1,24,'AR| Rotana Music FHD','[\"https:\\/\\/shls-rotanamusic-prod-dub.shahid.net\\/out\\/v1\\/edfe0095261648908a3a931b72489f3f\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,198,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(145,1,24,'AR| Rotana Music HD','[\"https:\\/\\/shls-rotanamusic-prod-dub.shahid.net\\/out\\/v1\\/edfe0095261648908a3a931b72489f3f\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,199,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(146,1,24,'AR| Rotana Music LQ','[\"https:\\/\\/shls-rotanamusic-prod-dub.shahid.net\\/out\\/v1\\/edfe0095261648908a3a931b72489f3f\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,200,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(147,1,24,'AR| MBC Masr2 FHD','[\"https:\\/\\/shls-masr2-prod-dub.shahid.net\\/out\\/v1\\/f683685242b549f48ea8a5171e3e993a\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,201,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(148,1,24,'AR| MBC Masr2 HD','[\"https:\\/\\/shls-masr2-prod-dub.shahid.net\\/out\\/v1\\/f683685242b549f48ea8a5171e3e993a\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,202,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(149,1,24,'AR| MBC Masr2 LQ','[\"https:\\/\\/shls-masr2-prod-dub.shahid.net\\/out\\/v1\\/f683685242b549f48ea8a5171e3e993a\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,203,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(150,1,24,'AR| WANASA FHD','[\"https:\\/\\/shls-wanasah-prod-dub.shahid.net\\/out\\/v1\\/c84ef3128e564b74a6a796e8b6287de6\\/index_1.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,204,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(151,1,24,'AR| WANASA HD','[\"https:\\/\\/shls-wanasah-prod-dub.shahid.net\\/out\\/v1\\/c84ef3128e564b74a6a796e8b6287de6\\/index_2.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,205,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(152,1,24,'AR| WANASA LQ','[\"https:\\/\\/shls-wanasah-prod-dub.shahid.net\\/out\\/v1\\/c84ef3128e564b74a6a796e8b6287de6\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,206,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(153,1,24,'AR| Panorama FM','[\"https:\\/\\/shls-panoramafm-prod-dub.shahid.net\\/out\\/v1\\/66262e420d824475aaae794dc2d69f14\\/index_5.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,207,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(154,1,24,'AR| One FHD','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkass1ynde\\/master570.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,208,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(155,1,24,'AR| One HD','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkass1ynde\\/master480.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,209,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(156,1,24,'AR| One LQ','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkass1ynde\\/master360.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,210,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(157,1,24,'AR| two FHD','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkass2zmwi\\/master570.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,211,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(158,1,24,'AR| two HD','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkass2zmwi\\/master480.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,212,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(159,1,24,'AR| two SD','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkass2zmwi\\/master360.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,213,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(160,1,24,'AR| two LQ','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkass2zmwi\\/master270.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,214,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(161,1,24,'AR|  four FHD','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkass4mlz\\/master570.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,215,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(162,1,24,'AR| four HD','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkass4mlz\\/master480.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,216,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(163,1,24,'AR| four SD','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkass4mlz\\/master360.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,217,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(164,1,24,'AR| five FHD','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkas5auz\\/master570.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,218,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(165,1,24,'AR|  five HD','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkas5auz\\/master480.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,219,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(166,1,24,'AR| five LQ','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkas5auz\\/master270.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,220,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(167,1,24,'AR| online FHD','[\"https:\\/\\/alkasmsl4.akamaized.net\\/hls\\/live\\/2003123\\/alkassOnlineNmui\\/master570.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,221,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(168,1,24,'AR| ad sport1 FHD','[\"https:\\/\\/admdn1ta.cdn.mangomolo.com\\/adsports1\\/smil:adsports1.stream.smil\\/chunklist_b4000000_t64MTA4MHA=.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,222,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(169,1,24,'AR| ad sport1 HD','[\"https:\\/\\/admdn1ta.cdn.mangomolo.com\\/adsports1\\/smil:adsports1.stream.smil\\/chunklist_b1800000_t64NzIwcA==.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,223,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(170,1,24,'AR| ad sport1 LQ','[\"https:\\/\\/admdn1ta.cdn.mangomolo.com\\/adsports1\\/smil:adsports1.stream.smil\\/chunklist_b800000_t64NDgwcA==.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,224,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(171,1,24,'AR| ad sport2 FHD','[\"https:\\/\\/admdn5ta.cdn.mangomolo.com\\/adsports2\\/smil:adsports2.stream.smil\\/chunklist_b4000000_t64MTA4MHA=.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,225,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(172,1,24,'AR| ad sport2 HD','[\"https:\\/\\/admdn5ta.cdn.mangomolo.com\\/adsports2\\/smil:adsports2.stream.smil\\/chunklist_b1800000_t64NzIwcA==.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,226,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(173,1,24,'AR| ad sport2 LQ','[\"https:\\/\\/admdn5ta.cdn.mangomolo.com\\/adsports2\\/smil:adsports2.stream.smil\\/chunklist_b800000_t64NDgwcA==.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,227,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(174,1,24,'AR| ad sport3 FHD','[\"https:\\/\\/admdn3ta.cdn.mangomolo.com\\/adsports3\\/smil:adsports3.stream.smil\\/chunklist_b4000000_t64MTA4MHA=.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,228,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(175,1,24,'AR| ad sport3 HD','[\"https:\\/\\/admdn3ta.cdn.mangomolo.com\\/adsports3\\/smil:adsports3.stream.smil\\/chunklist_b1800000_t64NzIwcA==.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,229,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(176,1,24,'AR| ad sport3 LQ','[\"https:\\/\\/admdn3ta.cdn.mangomolo.com\\/adsports3\\/smil:adsports3.stream.smil\\/chunklist_b800000_t64NDgwcA==.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,230,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(177,1,24,'AR| ad sport4 FHD','[\"https:\\/\\/admdn4ta.cdn.mangomolo.com\\/adsports4\\/smil:adsports4.stream.smil\\/chunklist_b4000000_t64MTA4MHA=.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,231,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(178,1,24,'AR| ad sport4 HD','[\"https:\\/\\/admdn4ta.cdn.mangomolo.com\\/adsports4\\/smil:adsports4.stream.smil\\/chunklist_b1800000_t64NzIwcA==.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,232,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(179,1,24,'AR| ad sport4 SD','[\"https:\\/\\/admdn4ta.cdn.mangomolo.com\\/adsports4\\/smil:adsports4.stream.smil\\/chunklist_b450000_t64MzYwcA==.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,233,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(180,1,24,'AR| yas FHD','[\"https:\\/\\/admdn1ta.cdn.mangomolo.com\\/yastv\\/smil:yastv.stream.smil\\/chunklist_b4000000_t64MTA4MHA=.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,234,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(181,1,24,'AR| yas HD','[\"https:\\/\\/admdn1ta.cdn.mangomolo.com\\/yastv\\/smil:yastv.stream.smil\\/chunklist_b1800000_t64NzIwcA==.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,235,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(182,1,24,'AR| yas LQ','[\"https:\\/\\/admdn1ta.cdn.mangomolo.com\\/yastv\\/smil:yastv.stream.smil\\/chunklist_b450000_t64MzYwcA==.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,236,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(183,1,24,'AR| arrisala FHD','[\"https:\\/\\/rotananet.hibridcdn.net\\/rotana\\/risala_abr\\/rotana\\/risala_1080p\\/chunks.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,237,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(184,1,24,'AR| arrisala HD','[\"https:\\/\\/rotananet.hibridcdn.net\\/rotana\\/risala_abr\\/rotana\\/risala_720p\\/chunks.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,238,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(185,1,24,'AR| arrisala LQ','[\"https:\\/\\/rotananet.hibridcdn.net\\/rotana\\/risala_abr\\/rotana\\/risala_360p\\/chunks.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',NULL,NULL,NULL,239,'',0,'','',1,1637880965,0,0,0,0,0,0,1,0,0,1,128000,'','[]',0),(186,1,24,'watania  FHD','[\"https:\\/\\/shls-wanasah-prod-dub.shahid.net\\/out\\/v1\\/c84ef3128e564b74a6a796e8b6287de6\\/index_6.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',0,'','NULL',0,'{\"days\":[\"Monday\",\"Wednesday\",\"Thursday\"],\"at\":\"06:00\"}',0,'','',1,1637905570,0,0,0,0,0,0,0,0,0,1,128000,'','[]',0),(323,1,0,'RU| Fox Russia','[\"https:\\/\\/bloomberg-bloombergtv-1-it.samsung.wurl.com\\/manifest\\/playlist.m3u8\"]','','',NULL,0,'[]','',NULL,'',0,NULL,0,0,'',0,'','NULL',0,'',0,'','',1,1638224646,0,0,0,0,0,0,0,0,0,1,128000,'','[]',0),(732,5,NULL,'Avengers Rassemblement - S01E01 - Renaissance, première partie','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E01.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1031143,\"releasedate\":\"2013-05-26\",\"plot\":\"Depuis la dissolution de son groupe d\'\\u00e9lite, Iron Man s\'ennuie. Il re\\u00e7oit une occupation quand le malfaisant Cr\\u00e2ne Rouge revient sur le devant de la sc\\u00e8ne...\",\"duration_secs\":1320,\"duration\":\"00:22:00\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w300\\/jEiJjKjt6rK1wSIbYYUZIEZ3tFc.jpg\",\"video\":[],\"audio\":[],\"bitrate\":0,\"rating\":6.5,\"season\":\"1\"}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,0,1,0,0,0,128000,'','[]',0),(733,5,NULL,'FR| Avengers Rassemblement - S01 E02 - Renaissance, deuxième partie','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E02.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1031145,\"releasedate\":\"2013-05-26\",\"plot\":\"Cr\\u00e2ne Rouge d\\u00e9robe l\'armure d\'Iron Man et attaque New-York. Les Avengers se rassemblent et s\'activent afin de retrouver l\'armure et sauver la vie de leur chef...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"3250546\",\"BPS-eng\":\"3250546\",\"DURATION\":\"00:20:29.400000000\",\"DURATION-eng\":\"00:20:29.400000000\",\"NUMBER_OF_FRAMES\":\"30735\",\"NUMBER_OF_FRAMES-eng\":\"30735\",\"NUMBER_OF_BYTES\":\"499527752\",\"NUMBER_OF_BYTES-eng\":\"499527752\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:03:21\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:03:21\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.408000000\",\"DURATION-eng\":\"00:20:29.408000000\",\"NUMBER_OF_FRAMES\":\"38419\",\"NUMBER_OF_FRAMES-eng\":\"38419\",\"NUMBER_OF_BYTES\":\"29505792\",\"NUMBER_OF_BYTES-eng\":\"29505792\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:03:21\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:03:21\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":3446,\"rating\":6.5,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(734,5,NULL,'FR| Avengers Rassemblement - S01 E03 - Les usurpateurs','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E03.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047326,\"releasedate\":\"2013-07-07\",\"plot\":\"La jeune recrue Faucon se retrouve seul pour sauver son \\u00e9quipe et stopper une invasion \\u00e0 grande \\u00e9chelle de la terre apr\\u00e8s que les Avengers ne soient \\u00e9chang\\u00e9 avec des \\\"fant\\u00f4mes de l\'espace\\\"\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/saPQClBJywQl555bKucgTaBlh38.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2233262\",\"BPS-eng\":\"2233262\",\"DURATION\":\"00:20:29.360000000\",\"DURATION-eng\":\"00:20:29.360000000\",\"NUMBER_OF_FRAMES\":\"30734\",\"NUMBER_OF_FRAMES-eng\":\"30734\",\"NUMBER_OF_BYTES\":\"343185401\",\"NUMBER_OF_BYTES-eng\":\"343185401\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:09:06\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:09:06\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.392000000\",\"DURATION-eng\":\"00:20:29.392000000\",\"NUMBER_OF_FRAMES\":\"35297\",\"NUMBER_OF_FRAMES-eng\":\"35297\",\"NUMBER_OF_BYTES\":\"29505410\",\"NUMBER_OF_BYTES-eng\":\"29505410\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:09:06\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:09:06\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2428,\"rating\":6.5,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(735,5,NULL,'FR| Avengers Rassemblement - S01 E04 - La menace du serpent','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E04.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047327,\"releasedate\":\"2013-07-14\",\"plot\":\"Thor croit qu\'il doit se sacrifier pour sauver le monde du Docteur Fatalis, qui contr\\u00f4le le serpent de Midgard en utilisant une puissante arme d\'Asgard.\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/xfwUiIucyt4IAsx1Yf4UG9Lhui6.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2530065\",\"BPS-eng\":\"2530065\",\"DURATION\":\"00:20:29.280000000\",\"DURATION-eng\":\"00:20:29.280000000\",\"NUMBER_OF_FRAMES\":\"30732\",\"NUMBER_OF_FRAMES-eng\":\"30732\",\"NUMBER_OF_BYTES\":\"388769809\",\"NUMBER_OF_BYTES-eng\":\"388769809\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:13:48\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:13:48\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.280000000\",\"DURATION-eng\":\"00:20:29.280000000\",\"NUMBER_OF_FRAMES\":\"38415\",\"NUMBER_OF_FRAMES-eng\":\"38415\",\"NUMBER_OF_BYTES\":\"29502720\",\"NUMBER_OF_BYTES-eng\":\"29502720\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:13:48\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:13:48\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2725,\"rating\":7,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(736,5,NULL,'FR| Avengers Rassemblement - S01 E05 - Les liens du sang','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E05.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047329,\"releasedate\":\"2013-07-21\",\"plot\":\"Pour sauver Black Widow, Captain America dirige l\'\\u00e9quipe dans une bataille contre un ancien alli\\u00e9 de la Seconde Guerre mondiale. Il a du mal \\u00e0 convaincre l\'\\u00e9quipe qu\'il s\'agit d\'une personne r\\u00e9elle.\",\"duration_secs\":1228,\"duration\":\"00:20:28\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/7mdTLqHiURaBmlbXd5SpHjhJJn7.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1746773\",\"BPS-eng\":\"1746773\",\"DURATION\":\"00:20:28.720000000\",\"DURATION-eng\":\"00:20:28.720000000\",\"NUMBER_OF_FRAMES\":\"30718\",\"NUMBER_OF_FRAMES-eng\":\"30718\",\"NUMBER_OF_BYTES\":\"268286984\",\"NUMBER_OF_BYTES-eng\":\"268286984\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:21:20\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:21:20\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.736000000\",\"DURATION-eng\":\"00:20:28.736000000\",\"NUMBER_OF_FRAMES\":\"38398\",\"NUMBER_OF_FRAMES-eng\":\"38398\",\"NUMBER_OF_BYTES\":\"29489664\",\"NUMBER_OF_BYTES-eng\":\"29489664\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:21:20\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:21:20\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":1942,\"rating\":7,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(737,5,NULL,'FR| Avengers Rassemblement - S01 E06 - Le Super Adaptoïde','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E06.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047330,\"releasedate\":\"2013-07-28\",\"plot\":\"Les Avengers sont mis hors d\'\\u00e9tat par la haute technologie: la puissance de l\'imitation du Super-Adapto\\u00efde, et Captain America est le dernier homme debout contre l\'intelligence artificielle ultime!\",\"duration_secs\":1228,\"duration\":\"00:20:28\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/xGiXUS3NXiX4b6zUXxlcrKIHSE4.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2647240\",\"BPS-eng\":\"2647240\",\"DURATION\":\"00:20:28.600000000\",\"DURATION-eng\":\"00:20:28.600000000\",\"NUMBER_OF_FRAMES\":\"30715\",\"NUMBER_OF_FRAMES-eng\":\"30715\",\"NUMBER_OF_BYTES\":\"406549975\",\"NUMBER_OF_BYTES-eng\":\"406549975\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 09:43:13\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 09:43:13\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.608000000\",\"DURATION-eng\":\"00:20:28.608000000\",\"NUMBER_OF_FRAMES\":\"38394\",\"NUMBER_OF_FRAMES-eng\":\"38394\",\"NUMBER_OF_BYTES\":\"29486592\",\"NUMBER_OF_BYTES-eng\":\"29486592\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 09:43:13\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 09:43:13\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2842,\"rating\":7,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(738,5,NULL,'FR| Avengers Rassemblement - S01 E07 - Hypérion','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E07.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047332,\"releasedate\":\"2013-08-04\",\"plot\":\"Hyperion arrive pour sauver la Terre, mais ses m\\u00e9thodes deviennent trop extr\\u00eame et les Avengers doivent lui tenir t\\u00eate.\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/egBPSR93jlFE9sJnz8yCIgzBO1v.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2173766\",\"BPS-eng\":\"2173766\",\"DURATION\":\"00:20:29.280000000\",\"DURATION-eng\":\"00:20:29.280000000\",\"NUMBER_OF_FRAMES\":\"30732\",\"NUMBER_OF_FRAMES-eng\":\"30732\",\"NUMBER_OF_BYTES\":\"334021033\",\"NUMBER_OF_BYTES-eng\":\"334021033\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 09:58:59\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 09:58:59\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.280000000\",\"DURATION-eng\":\"00:20:29.280000000\",\"NUMBER_OF_FRAMES\":\"38415\",\"NUMBER_OF_FRAMES-eng\":\"38415\",\"NUMBER_OF_BYTES\":\"29502720\",\"NUMBER_OF_BYTES-eng\":\"29502720\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 09:58:59\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 09:58:59\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2368,\"rating\":7,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(739,5,NULL,'FR| Avengers Rassemblement - S01 E08 - Molecule Kid','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E08.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047334,\"releasedate\":\"2013-08-11\",\"plot\":\"Hawkeye et Black Widow effectuent une mission secr\\u00e8te pour le SHIELD : rapporter le fils d\'un super-m\\u00e9chant, mais lorsque celui-ci se r\\u00e9v\\u00e8le avoir le pouvoir de manipuler la r\\u00e9alit\\u00e9, ils se rendent compte que garder leur mission secr\\u00e8te peut \\u00eatre une erreur fatale.\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"3240728\",\"BPS-eng\":\"3240728\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"497937871\",\"NUMBER_OF_BYTES-eng\":\"497937871\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:03:55\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:03:55\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:03:55\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:03:55\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":3435,\"rating\":6,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(740,5,NULL,'FR| Avengers Rassemblement - S01 E09 - Dégâts des eaux','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E09.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047335,\"releasedate\":\"2013-09-15\",\"plot\":\"Lorsque Attuma essaie de couler Manhattan, Hulk est oblig\\u00e9 de prouver sa force ou p\\u00e9rir en essayant.\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/p1WXLEO6r56ZTamKmKowbpj2QAH.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2845776\",\"BPS-eng\":\"2845776\",\"DURATION\":\"00:20:29.320000000\",\"DURATION-eng\":\"00:20:29.320000000\",\"NUMBER_OF_FRAMES\":\"30733\",\"NUMBER_OF_FRAMES-eng\":\"30733\",\"NUMBER_OF_BYTES\":\"437296312\",\"NUMBER_OF_BYTES-eng\":\"437296312\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:09:49\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:09:49\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.344000000\",\"DURATION-eng\":\"00:20:29.344000000\",\"NUMBER_OF_FRAMES\":\"38417\",\"NUMBER_OF_FRAMES-eng\":\"38417\",\"NUMBER_OF_BYTES\":\"29504256\",\"NUMBER_OF_BYTES-eng\":\"29504256\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:09:49\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:09:49\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":3040,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(741,5,NULL,'FR| Avengers Rassemblement - S01 E10 - Le piège de Fatalis','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E10.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047337,\"releasedate\":\"2013-09-22\",\"plot\":\"Les Avengers sont en Latv\\u00e9rie, le territoire du docteur Fatalis, qui est absent. Le serpent de Midgard a emport\\u00e9 ce dernier vers un portail. Soudain, le docteur Fatalis r\\u00e9appara\\u00eet...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/1AJnDHwVvhF8ezdghFyIxvWrwJq.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2230750\",\"BPS-eng\":\"2230750\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"342754806\",\"NUMBER_OF_BYTES-eng\":\"342754806\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:14:33\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:14:33\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:14:33\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:14:33\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2425,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(742,5,NULL,'FR| Avengers Rassemblement - S01 E11 - Hulkification','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E11.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047339,\"releasedate\":\"2013-09-29\",\"plot\":\"Les Avengers apprennent ce que c\'est que de marcher dans les bottes de Hulk quand une attaque Gamma par Cr\\u00e2ne rouge les transforme en monstres d\\u00e9cha\\u00een\\u00e9s - le duo improbable Hulk & Black Widow est la derni\\u00e8re ligne de d\\u00e9fense entre la ville et les Hulk-Vengers.\",\"duration_secs\":1228,\"duration\":\"00:20:28\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2054156\",\"BPS-eng\":\"2054156\",\"DURATION\":\"00:20:28.360000000\",\"DURATION-eng\":\"00:20:28.360000000\",\"NUMBER_OF_FRAMES\":\"30709\",\"NUMBER_OF_FRAMES-eng\":\"30709\",\"NUMBER_OF_BYTES\":\"315405448\",\"NUMBER_OF_BYTES-eng\":\"315405448\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:29:57\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:29:57\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.384000000\",\"DURATION-eng\":\"00:20:28.384000000\",\"NUMBER_OF_FRAMES\":\"38387\",\"NUMBER_OF_FRAMES-eng\":\"38387\",\"NUMBER_OF_BYTES\":\"29481216\",\"NUMBER_OF_BYTES-eng\":\"29481216\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:29:57\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:29:57\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2249,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(743,5,NULL,'FR| Avengers Rassemblement - S01 E12 - L\'invasion','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E12.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047340,\"releasedate\":\"2013-10-20\",\"plot\":\"Faucon est rep\\u00e9r\\u00e9 par un r\\u00e9alisateur extraterrestre, Impossible Man, qui souhaite en faire une star. Puis cet \\u00e9trange personnage pr\\u00e9pare les Avengers \\u00e0 la sc\\u00e8ne finale, une invasion...\",\"duration_secs\":1214,\"duration\":\"00:20:14\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2271189\",\"BPS-eng\":\"2271189\",\"DURATION\":\"00:20:14.360000000\",\"DURATION-eng\":\"00:20:14.360000000\",\"NUMBER_OF_FRAMES\":\"30359\",\"NUMBER_OF_FRAMES-eng\":\"30359\",\"NUMBER_OF_BYTES\":\"344755168\",\"NUMBER_OF_BYTES-eng\":\"344755168\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:39:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:39:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:14.368000000\",\"DURATION-eng\":\"00:20:14.368000000\",\"NUMBER_OF_FRAMES\":\"37949\",\"NUMBER_OF_FRAMES-eng\":\"37949\",\"NUMBER_OF_BYTES\":\"29144832\",\"NUMBER_OF_BYTES-eng\":\"29144832\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:39:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:39:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2466,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(744,5,NULL,'FR| Avengers Rassemblement - S01 E13 - Dans les profondeurs','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E13.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047342,\"releasedate\":\"2013-11-17\",\"plot\":\"Iron Man et Captain America se d\\u00e9guisent en super-vilains pour infiltrer la Cabal de Red Skull, mais leurs d\\u00e9saccords sur la strat\\u00e9gie fait voler leur couverture en \\u00e9clat, ils sont alors oblig\\u00e9s de s\'occuper seul de la Cabal.\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1868134\",\"BPS-eng\":\"1868134\",\"DURATION\":\"00:20:29.160000000\",\"DURATION-eng\":\"00:20:29.160000000\",\"NUMBER_OF_FRAMES\":\"30729\",\"NUMBER_OF_FRAMES-eng\":\"30729\",\"NUMBER_OF_BYTES\":\"287029467\",\"NUMBER_OF_BYTES-eng\":\"287029467\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:10:12\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:10:12\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.184000000\",\"DURATION-eng\":\"00:20:29.184000000\",\"NUMBER_OF_FRAMES\":\"38412\",\"NUMBER_OF_FRAMES-eng\":\"38412\",\"NUMBER_OF_BYTES\":\"29500416\",\"NUMBER_OF_BYTES-eng\":\"29500416\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:10:12\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:10:12\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2062,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(745,5,NULL,'FR| Avengers Rassemblement - S01 E14 - Souvenirs du chaos','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E14.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047343,\"releasedate\":\"2013-11-24\",\"plot\":\"Hulk souffre d\'amn\\u00e9sie, mais il se souvient d\'une chose, la fin du monde est proche. Une gigantesque temp\\u00eate s\'annonce et les Avengers pensent qu\'il a bien raison. Ils passent au crible la journ\\u00e9e de Hulk...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1941547\",\"BPS-eng\":\"1941547\",\"DURATION\":\"00:20:29.080000000\",\"DURATION-eng\":\"00:20:29.080000000\",\"NUMBER_OF_FRAMES\":\"30727\",\"NUMBER_OF_FRAMES-eng\":\"30727\",\"NUMBER_OF_BYTES\":\"298289675\",\"NUMBER_OF_BYTES-eng\":\"298289675\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:16:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:16:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.088000000\",\"DURATION-eng\":\"00:20:29.088000000\",\"NUMBER_OF_FRAMES\":\"38409\",\"NUMBER_OF_FRAMES-eng\":\"38409\",\"NUMBER_OF_BYTES\":\"29498112\",\"NUMBER_OF_BYTES-eng\":\"29498112\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:16:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:16:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2136,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(746,5,NULL,'FR| Avengers Rassemblement - S01 E15 - Fatalis contre-attaque','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E15.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047344,\"releasedate\":\"2013-12-08\",\"plot\":\"Thor revient de Asgard pour trouver la Terre sous le r\\u00e8gne de Dr Doom, qui a modifi\\u00e9 et ainsi emp\\u00eacher les Vengeurs de s\'assembler. Le sort des Vengeurs et de l\'humanit\\u00e9 repose dans ses mains. Thor pourra-t-il aider l\'\\u00e9quipe \\u00e0 se rappeler leur vraie nature h\\u00e9ro\\u00efque et \\u00e0 contrer Doom?\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/58qD1E1BWT0r0NOJYzaLznySh2O.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1741851\",\"BPS-eng\":\"1741851\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"267635476\",\"NUMBER_OF_BYTES-eng\":\"267635476\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:22:25\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:22:25\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:22:25\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:22:25\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":1936,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(747,5,NULL,'FR| Avengers Rassemblement - S01 E16 - L\'union fait la force','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E16.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047345,\"releasedate\":\"2014-02-16\",\"plot\":\"Cr\\u00e2ne Rouge et son organisation \\u00able Complot\\u00bb se pr\\u00e9parent \\u00e0 triompher des Avengers. Ils d\\u00e9tiennent Captain America en otage et connaissent la strat\\u00e9gie de bataille des Avengers...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/z9QSsF9487rEltK3Evsjz2rAhsL.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2025080\",\"BPS-eng\":\"2025080\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"311153645\",\"NUMBER_OF_BYTES-eng\":\"311153645\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:27:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:27:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:27:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:27:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2219,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(748,5,NULL,'FR| Avengers Rassemblement - S01 E17 - Le pari','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E17.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047346,\"releasedate\":\"2014-03-02\",\"plot\":\"Les Avengers parient de tenir vingt-quatre heures sans aucune technologie moderne. Ils passent leur journ\\u00e9e sur une \\u00eele sauvage et d\\u00e9couvrent que Justin Hammer r\\u00e9colte le vibranium...\",\"duration_secs\":1228,\"duration\":\"00:20:28\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1599301\",\"BPS-eng\":\"1599301\",\"DURATION\":\"00:20:28.720000000\",\"DURATION-eng\":\"00:20:28.720000000\",\"NUMBER_OF_FRAMES\":\"30718\",\"NUMBER_OF_FRAMES-eng\":\"30718\",\"NUMBER_OF_BYTES\":\"245636657\",\"NUMBER_OF_BYTES-eng\":\"245636657\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:35:03\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:35:03\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.736000000\",\"DURATION-eng\":\"00:20:28.736000000\",\"NUMBER_OF_FRAMES\":\"38398\",\"NUMBER_OF_FRAMES-eng\":\"38398\",\"NUMBER_OF_BYTES\":\"29489664\",\"NUMBER_OF_BYTES-eng\":\"29489664\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:35:03\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:35:03\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":1794,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(749,5,NULL,'FR| Avengers Rassemblement - S01 E18 - Les jeux intergalactiques','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E18.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047347,\"releasedate\":\"2014-03-09\",\"plot\":\"Hawkeye et Hulk sont captur\\u00e9s par des soldats extraterrestres. Ils sont alors forc\\u00e9s de combattre dans une ar\\u00e8ne au sein des jeux intergalactiques, organis\\u00e9s par Mojo..\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/cNkUYsqRHnGct73Y6qEc2mpVteL.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2020259\",\"BPS-eng\":\"2020259\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"310412826\",\"NUMBER_OF_BYTES-eng\":\"310412826\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:45:31\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:45:31\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:45:31\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:45:31\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2214,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(750,5,NULL,'FR| Avengers Rassemblement - S01 E19 - Il faut sauver Fatalis','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E19.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047348,\"releasedate\":\"2014-03-16\",\"plot\":\"Docteur Fatalis s\'exprime \\u00e0 la tribune des Nations Unies, et b\\u00e9n\\u00e9ficie de l\'immunit\\u00e9 diplomatique. Il demande \\u00e0 Captain America d\'\\u00eatre son garde du corps...\",\"duration_secs\":1228,\"duration\":\"00:20:28\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1943670\",\"BPS-eng\":\"1943670\",\"DURATION\":\"00:20:28.800000000\",\"DURATION-eng\":\"00:20:28.800000000\",\"NUMBER_OF_FRAMES\":\"30720\",\"NUMBER_OF_FRAMES-eng\":\"30720\",\"NUMBER_OF_BYTES\":\"298547738\",\"NUMBER_OF_BYTES-eng\":\"298547738\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:53:51\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:53:51\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.800000000\",\"DURATION-eng\":\"00:20:28.800000000\",\"NUMBER_OF_FRAMES\":\"38400\",\"NUMBER_OF_FRAMES-eng\":\"38400\",\"NUMBER_OF_BYTES\":\"29491200\",\"NUMBER_OF_BYTES-eng\":\"29491200\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:53:51\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:53:51\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2139,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(751,5,NULL,'FR| Avengers Rassemblement - S01 E20 - Une journée avec Odin','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E20.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047349,\"releasedate\":\"2014-03-23\",\"plot\":\"Odin rejoint son fils sur Terre et lui demande de rentrer avec lui sur Asgard. Thor refuse de quitter l\'\\u00e9quipe des Avengers et tente de convaincre son p\\u00e8re que ses amis sont de vrais guerriers...\",\"duration_secs\":1228,\"duration\":\"00:20:28\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/u0nmnqi35MeraWMGnbWuMDO9Nfi.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2554056\",\"BPS-eng\":\"2554056\",\"DURATION\":\"00:20:28.560000000\",\"DURATION-eng\":\"00:20:28.560000000\",\"NUMBER_OF_FRAMES\":\"30714\",\"NUMBER_OF_FRAMES-eng\":\"30714\",\"NUMBER_OF_BYTES\":\"392226521\",\"NUMBER_OF_BYTES-eng\":\"392226521\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:06:58\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:06:58\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.576000000\",\"DURATION-eng\":\"00:20:28.576000000\",\"NUMBER_OF_FRAMES\":\"38393\",\"NUMBER_OF_FRAMES-eng\":\"38393\",\"NUMBER_OF_BYTES\":\"29485824\",\"NUMBER_OF_BYTES-eng\":\"29485824\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:06:58\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:06:58\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2749,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(752,5,NULL,'FR| Avengers Rassemblement - S01 E21 - La force du nombre','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E21.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047350,\"releasedate\":\"2014-03-30\",\"plot\":\"Le syst\\u00e8me de simulation pr\\u00e9visionnelle de Tony est pirat\\u00e9 par le Complot. Il en cr\\u00e9\\u00e9 un plus performant, le \\u00abmoteur de probabilit\\u00e9s Stark\\u00bb...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2412184\",\"BPS-eng\":\"2412184\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"370632214\",\"NUMBER_OF_BYTES-eng\":\"370632214\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:13:13\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:13:13\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:13:13\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:13:13\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2606,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(753,5,NULL,'FR| Avengers Rassemblement - S01 E22 - Le retour de Galactus','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E22.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047351,\"releasedate\":\"2014-04-06\",\"plot\":\"De retour de mission, les Avengers tombent sur une vieille connaissance : Galactus, le d\\u00e9voreur de monde. Cette entit\\u00e9 gigantesque a entrepris de d\\u00e9vorer la plan\\u00e8te D\'bary. les Avengers ne peuvent laisser faire mais Iron-Man semble jouer un jeu \\u00e9trange...\",\"duration_secs\":1228,\"duration\":\"00:20:28\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/nE1cY7VkyaVmzJtXv4JXp5VHMNr.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2297171\",\"BPS-eng\":\"2297171\",\"DURATION\":\"00:20:28.280000000\",\"DURATION-eng\":\"00:20:28.280000000\",\"NUMBER_OF_FRAMES\":\"30707\",\"NUMBER_OF_FRAMES-eng\":\"30707\",\"NUMBER_OF_BYTES\":\"352696187\",\"NUMBER_OF_BYTES-eng\":\"352696187\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:18:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:18:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.288000000\",\"DURATION-eng\":\"00:20:28.288000000\",\"NUMBER_OF_FRAMES\":\"38384\",\"NUMBER_OF_FRAMES-eng\":\"38384\",\"NUMBER_OF_BYTES\":\"29478912\",\"NUMBER_OF_BYTES-eng\":\"29478912\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:18:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:18:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2492,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(754,5,NULL,'FR| Avengers Rassemblement - S01 E23 - Un petit problème','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E23.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047352,\"releasedate\":\"2014-04-13\",\"plot\":\"Faucon est tr\\u00e8s nerveux, il apprend que sa m\\u00e8re vient lui rendre visite et il ne lui a jamais avou\\u00e9 qu\'il faisait partie des Avengers. Au cours d\'une manipulation rat\\u00e9e, il laisse \\u00e9chapper une particule...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1762122\",\"BPS-eng\":\"1762122\",\"DURATION\":\"00:20:29.080000000\",\"DURATION-eng\":\"00:20:29.080000000\",\"NUMBER_OF_FRAMES\":\"30727\",\"NUMBER_OF_FRAMES-eng\":\"30727\",\"NUMBER_OF_BYTES\":\"270723632\",\"NUMBER_OF_BYTES-eng\":\"270723632\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:24:24\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:24:24\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.088000000\",\"DURATION-eng\":\"00:20:29.088000000\",\"NUMBER_OF_FRAMES\":\"38409\",\"NUMBER_OF_FRAMES-eng\":\"38409\",\"NUMBER_OF_BYTES\":\"29498112\",\"NUMBER_OF_BYTES-eng\":\"29498112\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:24:24\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:24:24\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":1956,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(755,5,NULL,'FR| Avengers Rassemblement - S01 E24 - Que le spectacle commence !','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E24.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047353,\"releasedate\":\"2014-05-11\",\"plot\":\"Hawkeye et le Faucon tombent nez-\\u00e0-nez avec les membres d\'un cirque tr\\u00e8s sp\\u00e9cial. Des artistes qui ne sont autres que les co\\u00e9quipiers des Avengers, grim\\u00e9s comme de funestes et dangereux clowns...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/zkTiFvenjrtrxucamOVGCkbjHK2.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2165663\",\"BPS-eng\":\"2165663\",\"DURATION\":\"00:20:29.120000000\",\"DURATION-eng\":\"00:20:29.120000000\",\"NUMBER_OF_FRAMES\":\"30728\",\"NUMBER_OF_FRAMES-eng\":\"30728\",\"NUMBER_OF_BYTES\":\"332732472\",\"NUMBER_OF_BYTES-eng\":\"332732472\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:32:24\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:32:24\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.120000000\",\"DURATION-eng\":\"00:20:29.120000000\",\"NUMBER_OF_FRAMES\":\"38410\",\"NUMBER_OF_FRAMES-eng\":\"38410\",\"NUMBER_OF_BYTES\":\"29498880\",\"NUMBER_OF_BYTES-eng\":\"29498880\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:32:24\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:32:24\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2360,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(756,5,NULL,'FR| Avengers Rassemblement - S01 E25 - Trahison cosmique','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E25.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047355,\"releasedate\":\"2014-05-18\",\"plot\":\"Cr\\u00e2ne rouge s\'est empar\\u00e9 du Tesseract, le plus puissant pouvoir cosmique. Il fabrique une arme qui lui assure la supr\\u00e9matie guerri\\u00e8re. Iron-Man abandonne le commandement des Avengers car \\u00e0 cause de lui, Falcon a \\u00e9t\\u00e9 gravement bless\\u00e9.\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/1zmx5ZlLkBRh1Hn3qaFY9XnylcW.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2181123\",\"BPS-eng\":\"2181123\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"335129571\",\"NUMBER_OF_BYTES-eng\":\"335129571\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:37:44\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:37:44\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:37:44\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:37:44\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2375,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(757,5,NULL,'FR| Avengers Rassemblement - S01 E26 - L\'ultime bras de fer','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E26.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047358,\"releasedate\":\"2014-05-25\",\"plot\":\"Le temps d\\u2019un combat, les Avengers vont lutter avec les membres du complot contre cr\\u00e2ne rouge, qui a trahi les siens. Iron-Man va pouvoir r\\u00e9cup\\u00e9rer son armure et sauver le monde d\\u2019une destruction imminente. Cr\\u00e2ne rouge perdra la bataille et l\\u2019aventure se terminera par un prudent status quo entre tous les bellig\\u00e9rants.\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2456444\",\"BPS-eng\":\"2456444\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"377432636\",\"NUMBER_OF_BYTES-eng\":\"377432636\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:42:23\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:42:23\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:42:23\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:42:23\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2651,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(758,5,NULL,'FR| Avengers Rassemblement - S02 E01 - Le projet Arsenal','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E01.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047058,\"releasedate\":\"2014-09-28\",\"plot\":\"Le Cr\\u00e2ne rouge s\'\\u00e9crase sur Terre, poursuivi par une flotte extraterrestre. Les Vengeurs d\\u00e9couvrent alors l\'existence d\'un ennemi plus puissant que tous ceux qu\'ils ont pu affronter jusqu\'\\u00e0 pr\\u00e9sent : Thanos...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/tX0WkJV5SpV4OqCBQuDy4GRTITp.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2572843\",\"BPS-eng\":\"2572843\",\"DURATION\":\"00:20:29.680000000\",\"DURATION-eng\":\"00:20:29.680000000\",\"NUMBER_OF_FRAMES\":\"30742\",\"NUMBER_OF_FRAMES-eng\":\"30742\",\"NUMBER_OF_BYTES\":\"395471770\",\"NUMBER_OF_BYTES-eng\":\"395471770\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:05:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:05:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.696000000\",\"DURATION-eng\":\"00:20:29.696000000\",\"NUMBER_OF_FRAMES\":\"38428\",\"NUMBER_OF_FRAMES-eng\":\"38428\",\"NUMBER_OF_BYTES\":\"29512704\",\"NUMBER_OF_BYTES-eng\":\"29512704\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:05:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:05:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2768,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(759,5,NULL,'FR| Avengers Rassemblement - S02 E02 - Le pouvoir de Thanos','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E02.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047059,\"releasedate\":\"2014-10-05\",\"plot\":\"Aid\\u00e9s par le robot Arsenal, les Vengeurs cherchent \\u00e0 emp\\u00eacher Thanos de rassembler les Gemmes de l\'Infini, ce qui lui donnerait un pouvoir absolu. Ils se retrouvent dans la Zone bleue, o\\u00f9 le Gardien leur offre l\'hospitalit\\u00e9...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2299505\",\"BPS-eng\":\"2299505\",\"DURATION\":\"00:20:29.680000000\",\"DURATION-eng\":\"00:20:29.680000000\",\"NUMBER_OF_FRAMES\":\"30742\",\"NUMBER_OF_FRAMES-eng\":\"30742\",\"NUMBER_OF_BYTES\":\"353456934\",\"NUMBER_OF_BYTES-eng\":\"353456934\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:07:38\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:07:38\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.696000000\",\"DURATION-eng\":\"00:20:29.696000000\",\"NUMBER_OF_FRAMES\":\"38428\",\"NUMBER_OF_FRAMES-eng\":\"38428\",\"NUMBER_OF_BYTES\":\"29512704\",\"NUMBER_OF_BYTES-eng\":\"29512704\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:07:38\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:07:38\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2495,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(760,5,NULL,'FR| Avengers Rassemblement - S02 E03 - Un combat de titans','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E03.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047060,\"releasedate\":\"2014-10-12\",\"plot\":\"Profitant de la continuelle rivalit\\u00e9 entre Hulk et Thor, Loki le demi-fr\\u00e8re mal aim\\u00e9 de Thor, va mettre en place un stratag\\u00e8me pour exp\\u00e9dier les deux poids lourds au Valhalla afin qu\'ils offrent le spectacle de leurs luttes incessantes \\u00e0 la redoutable reine Hela qui a besoin de se distraire. La Terre devient ainsi tr\\u00e8s vuln\\u00e9rable et Loki compte bien s\'en emparer gr\\u00e2ce aux l\\u00e9gions command\\u00e9es par le Cor de chasse de H\\u00e9la. Les choses ne vont pas se d\\u00e9rouler tout \\u00e0 fait comme pr\\u00e9vu...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2296269\",\"BPS-eng\":\"2296269\",\"DURATION\":\"00:20:29.680000000\",\"DURATION-eng\":\"00:20:29.680000000\",\"NUMBER_OF_FRAMES\":\"30742\",\"NUMBER_OF_FRAMES-eng\":\"30742\",\"NUMBER_OF_BYTES\":\"352959661\",\"NUMBER_OF_BYTES-eng\":\"352959661\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:10:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:10:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.696000000\",\"DURATION-eng\":\"00:20:29.696000000\",\"NUMBER_OF_FRAMES\":\"38428\",\"NUMBER_OF_FRAMES-eng\":\"38428\",\"NUMBER_OF_BYTES\":\"29512704\",\"NUMBER_OF_BYTES-eng\":\"29512704\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:10:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:10:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2491,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(761,5,NULL,'FR| Avengers Rassemblement - S02 E04 - Le soldat de l\'hiver','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E04.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047061,\"releasedate\":\"2014-10-26\",\"plot\":\"Le Cr\\u00e2ne rouge dispose d\'informations qui pourraient aider les Vengeurs \\u00e0 prot\\u00e9ger le monde de Thanos. Mais un individu enl\\u00e8ve le super-vilain avant qu\'il ne puisse se confier...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2189953\",\"BPS-eng\":\"2189953\",\"DURATION\":\"00:20:29.680000000\",\"DURATION-eng\":\"00:20:29.680000000\",\"NUMBER_OF_FRAMES\":\"30742\",\"NUMBER_OF_FRAMES-eng\":\"30742\",\"NUMBER_OF_BYTES\":\"336617819\",\"NUMBER_OF_BYTES-eng\":\"336617819\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:18:49\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:18:49\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.696000000\",\"DURATION-eng\":\"00:20:29.696000000\",\"NUMBER_OF_FRAMES\":\"38428\",\"NUMBER_OF_FRAMES-eng\":\"38428\",\"NUMBER_OF_BYTES\":\"29512704\",\"NUMBER_OF_BYTES-eng\":\"29512704\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:18:49\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:18:49\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2385,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(762,5,NULL,'FR| Avengers Rassemblement - S02 E05 - Menace Abyssale','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E05.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047062,\"releasedate\":\"2014-11-02\",\"plot\":\"Intrigu\\u00e9s par l\'attitude de deux touristes, Hawkeye et Black Widow mettent au jour une transaction frauduleuse impliquant Hydra et Attuma. L\'objet de cette \\u00e9change occulte est la terrible \\u00abCouronne de Serpent\\u00bb qui donne \\u00e0 son propri\\u00e9taire un pouvoir inou\\u00ef. Voulant en savoir plus, les Avengers seront entrain\\u00e9s dans les grands fonds marins o\\u00f9 ils devront affronter la Princesse Zartra et Attuma. Mais le subtil jeu des alliances peut parfois cr\\u00e9er bien des surprises...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/5hqAFBmUKvFmCGVE6C6yLOLybTV.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2258054\",\"BPS-eng\":\"2258054\",\"DURATION\":\"00:20:29.680000000\",\"DURATION-eng\":\"00:20:29.680000000\",\"NUMBER_OF_FRAMES\":\"30742\",\"NUMBER_OF_FRAMES-eng\":\"30742\",\"NUMBER_OF_BYTES\":\"347085624\",\"NUMBER_OF_BYTES-eng\":\"347085624\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:12:13\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:12:13\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.696000000\",\"DURATION-eng\":\"00:20:29.696000000\",\"NUMBER_OF_FRAMES\":\"38428\",\"NUMBER_OF_FRAMES-eng\":\"38428\",\"NUMBER_OF_BYTES\":\"29512704\",\"NUMBER_OF_BYTES-eng\":\"29512704\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:12:13\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:12:13\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2453,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(763,5,NULL,'FR| Avengers Rassemblement - S02 E06 - Les méthodes de Faucon','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E06.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047063,\"releasedate\":\"2014-11-09\",\"plot\":\"Un super-vilain, Nighthawk, utilise les donn\\u00e9es du S.H.I.E.L.D. pour neutraliser les Vengeurs un par un. Falcon est le seul \\u00e0 pouvoir l\'arr\\u00eater...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/3Off9CZeBekbOaItvHiBhElx1rN.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1847166\",\"BPS-eng\":\"1847166\",\"DURATION\":\"00:20:29.680000000\",\"DURATION-eng\":\"00:20:29.680000000\",\"NUMBER_OF_FRAMES\":\"30742\",\"NUMBER_OF_FRAMES-eng\":\"30742\",\"NUMBER_OF_BYTES\":\"283927914\",\"NUMBER_OF_BYTES-eng\":\"283927914\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:14:10\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:14:10\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.696000000\",\"DURATION-eng\":\"00:20:29.696000000\",\"NUMBER_OF_FRAMES\":\"38428\",\"NUMBER_OF_FRAMES-eng\":\"38428\",\"NUMBER_OF_BYTES\":\"29512704\",\"NUMBER_OF_BYTES-eng\":\"29512704\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:14:10\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:14:10\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2042,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(764,5,NULL,'FR| Avengers Rassemblement - S02 E07 - L\'enfance d\'un génie','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E07.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047064,\"releasedate\":\"2014-11-16\",\"plot\":\"Dans son d\\u00e9lire, Cr\\u00e2ne rouge a indiqu\\u00e9 \\u00e0 Tony Stark l\'emplacement des Gemmes de l\'Infini. Les Avengers trouvent donc la gemme du Temps. Mais son impact sur Iron Man va se r\\u00e9v\\u00e9ler tr\\u00e8s \\u00e9trange. La gemme va se ficher dans son armure et ramener notre h\\u00e9ros en enfance. Cette incursion dans le pass\\u00e9 et le futur va ramener dans le pr\\u00e9sent beaucoup d\'ennemis que nos h\\u00e9ros vont devoir combattre. Mais c\'est la propre enfance de Tony qui va se r\\u00e9v\\u00e9ler le plus difficile \\u00e0 affronter...\",\"duration_secs\":1228,\"duration\":\"00:20:28\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2062392\",\"BPS-eng\":\"2062392\",\"DURATION\":\"00:20:28.960000000\",\"DURATION-eng\":\"00:20:28.960000000\",\"NUMBER_OF_FRAMES\":\"30724\",\"NUMBER_OF_FRAMES-eng\":\"30724\",\"NUMBER_OF_BYTES\":\"316824678\",\"NUMBER_OF_BYTES-eng\":\"316824678\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:15:59\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:15:59\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.960000000\",\"DURATION-eng\":\"00:20:28.960000000\",\"NUMBER_OF_FRAMES\":\"38405\",\"NUMBER_OF_FRAMES-eng\":\"38405\",\"NUMBER_OF_BYTES\":\"29495040\",\"NUMBER_OF_BYTES-eng\":\"29495040\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:15:59\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:15:59\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2258,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(765,5,NULL,'FR| Avengers Rassemblement - S02 E08 - L\'attaque de MODOK','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E08.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1038566,\"releasedate\":\"2015-01-25\",\"plot\":\"M.O.D.O.K se sert de la gemme de l\'Esprit pour prendre le contr\\u00f4le du S.H.I.E.L.D. et obliger les Vengeurs \\u00e0 \\u00e9changer leurs corps...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/o4ejCc0mLISzSWSQd2Tdp0pFIbK.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2282212\",\"BPS-eng\":\"2282212\",\"DURATION\":\"00:20:30.120000000\",\"DURATION-eng\":\"00:20:30.120000000\",\"NUMBER_OF_FRAMES\":\"30753\",\"NUMBER_OF_FRAMES-eng\":\"30753\",\"NUMBER_OF_BYTES\":\"350924478\",\"NUMBER_OF_BYTES-eng\":\"350924478\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:24:47\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:24:47\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.144000000\",\"DURATION-eng\":\"00:20:30.144000000\",\"NUMBER_OF_FRAMES\":\"38442\",\"NUMBER_OF_FRAMES-eng\":\"38442\",\"NUMBER_OF_BYTES\":\"29523456\",\"NUMBER_OF_BYTES-eng\":\"29523456\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:24:47\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:24:47\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2476,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(766,5,NULL,'FR| Avengers Rassemblement - S02 E09 - La face cachée des Avengers','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E09.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1040008,\"releasedate\":\"2015-02-01\",\"plot\":\"Dans une r\\u00e9alit\\u00e9 alternative, Iron Man a une vision apr\\u00e8s un combat contre le Squadron Supr\\u00eame. Lui et sa version \\u00abmauvaise\\u00bb d\\u00e9couvrent que cette \\u00e9quipe d\\u00e9tient la gemme de la R\\u00e9alit\\u00e9...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/c1V4ePteGwDJhe9QCkhbZsR1DjQ.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2204886\",\"BPS-eng\":\"2204886\",\"DURATION\":\"00:20:30.160000000\",\"DURATION-eng\":\"00:20:30.160000000\",\"NUMBER_OF_FRAMES\":\"30754\",\"NUMBER_OF_FRAMES-eng\":\"30754\",\"NUMBER_OF_BYTES\":\"339045342\",\"NUMBER_OF_BYTES-eng\":\"339045342\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:33:32\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:33:32\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.176000000\",\"DURATION-eng\":\"00:20:30.176000000\",\"NUMBER_OF_FRAMES\":\"38443\",\"NUMBER_OF_FRAMES-eng\":\"38443\",\"NUMBER_OF_BYTES\":\"29524224\",\"NUMBER_OF_BYTES-eng\":\"29524224\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:33:32\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:33:32\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2399,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(767,5,NULL,'FR| Avengers Rassemblement - S02 E10 - Retour aux sources','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E10.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1041058,\"releasedate\":\"2015-02-08\",\"plot\":\"Thor est convoqu\\u00e9 \\u00e0 Asgard. Il s\'y rend accompagn\\u00e9 par Hulk et Hawkeye. Les hallucinations de Loki trompent les trois amis qui se retrouvent dans un endroit fort p\\u00e9rilleux...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/1fQASEIoQ8lHNiJa8O4KqyUg78C.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2384997\",\"BPS-eng\":\"2384997\",\"DURATION\":\"00:20:30.200000000\",\"DURATION-eng\":\"00:20:30.200000000\",\"NUMBER_OF_FRAMES\":\"30755\",\"NUMBER_OF_FRAMES-eng\":\"30755\",\"NUMBER_OF_BYTES\":\"366752948\",\"NUMBER_OF_BYTES-eng\":\"366752948\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:11:26\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:11:26\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.208000000\",\"DURATION-eng\":\"00:20:30.208000000\",\"NUMBER_OF_FRAMES\":\"38444\",\"NUMBER_OF_FRAMES-eng\":\"38444\",\"NUMBER_OF_BYTES\":\"29524992\",\"NUMBER_OF_BYTES-eng\":\"29524992\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:11:26\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:11:26\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2579,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(768,5,NULL,'FR| Avengers Rassemblement - S02 E11 - Un vrai héros','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E11.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047068,\"releasedate\":\"2015-02-15\",\"plot\":\"Falcon fait une d\\u00e9monstration de son nouvel \\u00e9quipement \\u00e0 Hawkeye quand une rune les transporte \\u00e0 Asgard. Falcon doit alors prouver qu\'il est un v\\u00e9ritable h\\u00e9ros...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/54ucznkmbpPUiZU5rRGqcJHCj8x.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2268662\",\"BPS-eng\":\"2268662\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"348829513\",\"NUMBER_OF_BYTES-eng\":\"348829513\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:13:22\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:13:22\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:13:22\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:13:22\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2463,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(769,5,NULL,'FR| Avengers Rassemblement - S02 E12 - La mission de Black Widow','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E12.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1043963,\"releasedate\":\"2015-02-22\",\"plot\":\"Black Widow et Thor cherchent \\u00e0 d\\u00e9barrasser le monde de la menace des gemmes de l\'Infini. Apr\\u00e8s avoir envisag\\u00e9 de les cacher \\u00e0 Asgard, ils sont attaqu\\u00e9s par les Gardiens de la Galaxie et ne doivent leur salut qu\'\\u00e0 l\'intervention des Avengers...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/gYDrbTbX58F6TUX4to1b2X5egr.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2337432\",\"BPS-eng\":\"2337432\",\"DURATION\":\"00:20:29.400000000\",\"DURATION-eng\":\"00:20:29.400000000\",\"NUMBER_OF_FRAMES\":\"30735\",\"NUMBER_OF_FRAMES-eng\":\"30735\",\"NUMBER_OF_BYTES\":\"359205005\",\"NUMBER_OF_BYTES-eng\":\"359205005\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:15:46\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:15:46\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.408000000\",\"DURATION-eng\":\"00:20:29.408000000\",\"NUMBER_OF_FRAMES\":\"38419\",\"NUMBER_OF_FRAMES-eng\":\"38419\",\"NUMBER_OF_BYTES\":\"29505792\",\"NUMBER_OF_BYTES-eng\":\"29505792\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:15:46\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:15:46\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2532,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(770,5,NULL,'FR| Avengers Rassemblement - S02 E13 - Le triomphe de Thanos','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E13.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1047057,\"releasedate\":\"2015-03-01\",\"plot\":\"D\\u00e9tenant toutes les pierres de l\'Infini, Thanos est en mesure de plier l\'univers entier \\u00e0 son d\\u00e9sir. Les Avengers, aux abois, n\'ont pas d\'autre choix que de reconstituer Arsenal pour l\'envoyer affronter Thanos...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/1JF16TzHr1po7xCRhQS463ti4En.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2428101\",\"BPS-eng\":\"2428101\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"373344936\",\"NUMBER_OF_BYTES-eng\":\"373344936\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:23:36\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:23:36\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":14,\"start_time\":\"0.014000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.176000000\",\"DURATION-eng\":\"00:20:30.176000000\",\"NUMBER_OF_FRAMES\":\"38443\",\"NUMBER_OF_FRAMES-eng\":\"38443\",\"NUMBER_OF_BYTES\":\"29524224\",\"NUMBER_OF_BYTES-eng\":\"29524224\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:23:36\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:23:36\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2622,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(771,5,NULL,'FR| Avengers Rassemblement - S02 E14 - Corruptions','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E14.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1053626,\"releasedate\":\"2015-04-12\",\"plot\":\"\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2269713\",\"BPS-eng\":\"2269713\",\"DURATION\":\"00:20:29.640000000\",\"DURATION-eng\":\"00:20:29.640000000\",\"NUMBER_OF_FRAMES\":\"30741\",\"NUMBER_OF_FRAMES-eng\":\"30741\",\"NUMBER_OF_BYTES\":\"348866379\",\"NUMBER_OF_BYTES-eng\":\"348866379\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:25:11\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:25:11\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.664000000\",\"DURATION-eng\":\"00:20:29.664000000\",\"NUMBER_OF_FRAMES\":\"38427\",\"NUMBER_OF_FRAMES-eng\":\"38427\",\"NUMBER_OF_BYTES\":\"29511936\",\"NUMBER_OF_BYTES-eng\":\"29511936\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:25:11\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:25:11\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2465,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(772,5,NULL,'FR| Avengers Rassemblement - S02 E15 - Avengers Dispersion !','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E15.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1057237,\"releasedate\":\"2015-04-19\",\"plot\":\"\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2232281\",\"BPS-eng\":\"2232281\",\"DURATION\":\"00:20:29.400000000\",\"DURATION-eng\":\"00:20:29.400000000\",\"NUMBER_OF_FRAMES\":\"30735\",\"NUMBER_OF_FRAMES-eng\":\"30735\",\"NUMBER_OF_BYTES\":\"343045900\",\"NUMBER_OF_BYTES-eng\":\"343045900\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:28:11\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:28:11\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.408000000\",\"DURATION-eng\":\"00:20:29.408000000\",\"NUMBER_OF_FRAMES\":\"38419\",\"NUMBER_OF_FRAMES-eng\":\"38419\",\"NUMBER_OF_BYTES\":\"29505792\",\"NUMBER_OF_BYTES-eng\":\"29505792\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:28:11\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:28:11\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2427,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(773,5,NULL,'FR| Avengers Rassemblement - S02 E16 - Les doutes d\'Iron Man','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E16.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1057238,\"releasedate\":\"2015-04-26\",\"plot\":\"\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2152253\",\"BPS-eng\":\"2152253\",\"DURATION\":\"00:20:29.600000000\",\"DURATION-eng\":\"00:20:29.600000000\",\"NUMBER_OF_FRAMES\":\"30740\",\"NUMBER_OF_FRAMES-eng\":\"30740\",\"NUMBER_OF_BYTES\":\"330801366\",\"NUMBER_OF_BYTES-eng\":\"330801366\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:30:37\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:30:37\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.600000000\",\"DURATION-eng\":\"00:20:29.600000000\",\"NUMBER_OF_FRAMES\":\"38425\",\"NUMBER_OF_FRAMES-eng\":\"38425\",\"NUMBER_OF_BYTES\":\"29510400\",\"NUMBER_OF_BYTES-eng\":\"29510400\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:30:37\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:30:37\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2347,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(774,5,NULL,'FR| Avengers Rassemblement - S02 E17 - La source du pouvoir ','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E17.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1057239,\"releasedate\":\"2015-04-28\",\"plot\":\"\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2424087\",\"BPS-eng\":\"2424087\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"372461047\",\"NUMBER_OF_BYTES-eng\":\"372461047\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:32:22\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:32:22\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:32:22\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:32:22\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2618,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(775,5,NULL,'FR| Avengers Rassemblement - S02 E18 - Les retrouvailles ','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E18.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1057240,\"releasedate\":\"2015-05-10\",\"plot\":\"\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2433775\",\"BPS-eng\":\"2433775\",\"DURATION\":\"00:20:29.360000000\",\"DURATION-eng\":\"00:20:29.360000000\",\"NUMBER_OF_FRAMES\":\"30734\",\"NUMBER_OF_FRAMES-eng\":\"30734\",\"NUMBER_OF_BYTES\":\"373998338\",\"NUMBER_OF_BYTES-eng\":\"373998338\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:34:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:34:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.376000000\",\"DURATION-eng\":\"00:20:29.376000000\",\"NUMBER_OF_FRAMES\":\"38418\",\"NUMBER_OF_FRAMES-eng\":\"38418\",\"NUMBER_OF_BYTES\":\"29505024\",\"NUMBER_OF_BYTES-eng\":\"29505024\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:34:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:34:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2628,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(776,5,NULL,'FR| Avengers Rassemblement - S02 E19 - La Nouvelle recrue','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E19.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1057926,\"releasedate\":\"2015-05-17\",\"plot\":\"\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2724270\",\"BPS-eng\":\"2724270\",\"DURATION\":\"00:20:29.480000000\",\"DURATION-eng\":\"00:20:29.480000000\",\"NUMBER_OF_FRAMES\":\"30737\",\"NUMBER_OF_FRAMES-eng\":\"30737\",\"NUMBER_OF_BYTES\":\"418679517\",\"NUMBER_OF_BYTES-eng\":\"418679517\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:38:27\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:38:27\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.504000000\",\"DURATION-eng\":\"00:20:29.504000000\",\"NUMBER_OF_FRAMES\":\"38422\",\"NUMBER_OF_FRAMES-eng\":\"38422\",\"NUMBER_OF_BYTES\":\"29508096\",\"NUMBER_OF_BYTES-eng\":\"29508096\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:38:27\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:38:27\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2919,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(777,5,NULL,'FR| Avengers Rassemblement - S02 E20 - Hulk contre Speed Demon','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E20.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1195645,\"releasedate\":\"2015-07-05\",\"plot\":\"\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2406503\",\"BPS-eng\":\"2406503\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"369759253\",\"NUMBER_OF_BYTES-eng\":\"369759253\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:41:55\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:41:55\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:41:55\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:41:55\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2601,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(778,5,NULL,'FR| Avengers Rassemblement - S02 E21 - Dr Spectrum','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E21.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1087024,\"releasedate\":\"2015-07-12\",\"plot\":\"\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2655847\",\"BPS-eng\":\"2655847\",\"DURATION\":\"00:20:29.560000000\",\"DURATION-eng\":\"00:20:29.560000000\",\"NUMBER_OF_FRAMES\":\"30739\",\"NUMBER_OF_FRAMES-eng\":\"30739\",\"NUMBER_OF_BYTES\":\"408190438\",\"NUMBER_OF_BYTES-eng\":\"408190438\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:16:01\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:16:01\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.568000000\",\"DURATION-eng\":\"00:20:29.568000000\",\"NUMBER_OF_FRAMES\":\"38424\",\"NUMBER_OF_FRAMES-eng\":\"38424\",\"NUMBER_OF_BYTES\":\"29509632\",\"NUMBER_OF_BYTES-eng\":\"29509632\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:16:01\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:16:01\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2851,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(779,5,NULL,'FR| Avengers Rassemblement - S02 E22 - Le piège de Zarda ','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E22.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1195646,\"releasedate\":\"2015-07-19\",\"plot\":\"\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2444892\",\"BPS-eng\":\"2444892\",\"DURATION\":\"00:20:29.600000000\",\"DURATION-eng\":\"00:20:29.600000000\",\"NUMBER_OF_FRAMES\":\"30740\",\"NUMBER_OF_FRAMES-eng\":\"30740\",\"NUMBER_OF_BYTES\":\"375780022\",\"NUMBER_OF_BYTES-eng\":\"375780022\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:20:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:20:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.600000000\",\"DURATION-eng\":\"00:20:29.600000000\",\"NUMBER_OF_FRAMES\":\"38425\",\"NUMBER_OF_FRAMES-eng\":\"38425\",\"NUMBER_OF_BYTES\":\"29510400\",\"NUMBER_OF_BYTES-eng\":\"29510400\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:20:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:20:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2640,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(780,5,NULL,'FR| Avengers Rassemblement - S02 E23 - L\'Ultime défi ','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E23.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1195647,\"releasedate\":\"2015-07-26\",\"plot\":\"\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2496667\",\"BPS-eng\":\"2496667\",\"DURATION\":\"00:20:29.400000000\",\"DURATION-eng\":\"00:20:29.400000000\",\"NUMBER_OF_FRAMES\":\"30735\",\"NUMBER_OF_FRAMES-eng\":\"30735\",\"NUMBER_OF_BYTES\":\"383675408\",\"NUMBER_OF_BYTES-eng\":\"383675408\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:23:39\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:23:39\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.408000000\",\"DURATION-eng\":\"00:20:29.408000000\",\"NUMBER_OF_FRAMES\":\"38419\",\"NUMBER_OF_FRAMES-eng\":\"38419\",\"NUMBER_OF_BYTES\":\"29505792\",\"NUMBER_OF_BYTES-eng\":\"29505792\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:23:39\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:23:39\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2691,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(781,5,NULL,'FR| Avengers Rassemblement - S02 E24 - La force d’une équipe','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E24.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1195648,\"releasedate\":\"2015-08-02\",\"plot\":\"\",\"duration_secs\":1228,\"duration\":\"00:20:28\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2146081\",\"BPS-eng\":\"2146081\",\"DURATION\":\"00:20:28.320000000\",\"DURATION-eng\":\"00:20:28.320000000\",\"NUMBER_OF_FRAMES\":\"30708\",\"NUMBER_OF_FRAMES-eng\":\"30708\",\"NUMBER_OF_BYTES\":\"329509297\",\"NUMBER_OF_BYTES-eng\":\"329509297\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:25:17\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:25:17\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.320000000\",\"DURATION-eng\":\"00:20:28.320000000\",\"NUMBER_OF_FRAMES\":\"38385\",\"NUMBER_OF_FRAMES-eng\":\"38385\",\"NUMBER_OF_BYTES\":\"29479680\",\"NUMBER_OF_BYTES-eng\":\"29479680\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:25:17\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:25:17\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2341,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(782,5,NULL,'FR| Avengers Rassemblement - S02 E25 - De nouveaux horizons','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E25.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1195649,\"releasedate\":\"2015-09-13\",\"plot\":\"\",\"duration_secs\":1228,\"duration\":\"00:20:28\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2397854\",\"BPS-eng\":\"2397854\",\"DURATION\":\"00:20:28.680000000\",\"DURATION-eng\":\"00:20:28.680000000\",\"NUMBER_OF_FRAMES\":\"30717\",\"NUMBER_OF_FRAMES-eng\":\"30717\",\"NUMBER_OF_BYTES\":\"368274421\",\"NUMBER_OF_BYTES-eng\":\"368274421\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:27:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:27:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.704000000\",\"DURATION-eng\":\"00:20:28.704000000\",\"NUMBER_OF_FRAMES\":\"38397\",\"NUMBER_OF_FRAMES-eng\":\"38397\",\"NUMBER_OF_BYTES\":\"29488896\",\"NUMBER_OF_BYTES-eng\":\"29488896\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:27:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:27:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2593,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(783,5,NULL,'FR| Avengers Rassemblement - S02 E26 - Un monde d\'Avengers ','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E26.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1108957,\"releasedate\":\"2015-09-20\",\"plot\":\"\",\"duration_secs\":1228,\"duration\":\"00:20:28\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2364985\",\"BPS-eng\":\"2364985\",\"DURATION\":\"00:20:28.800000000\",\"DURATION-eng\":\"00:20:28.800000000\",\"NUMBER_OF_FRAMES\":\"30720\",\"NUMBER_OF_FRAMES-eng\":\"30720\",\"NUMBER_OF_BYTES\":\"363261779\",\"NUMBER_OF_BYTES-eng\":\"363261779\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:30:39\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:30:39\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.800000000\",\"DURATION-eng\":\"00:20:28.800000000\",\"NUMBER_OF_FRAMES\":\"38400\",\"NUMBER_OF_FRAMES-eng\":\"38400\",\"NUMBER_OF_BYTES\":\"29491200\",\"NUMBER_OF_BYTES-eng\":\"29491200\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:30:39\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:30:39\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2560,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(784,5,NULL,'FR| Avengers Rassemblement - S03 E01 - L\'Adaptoïde Suprême','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E01.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1174773,\"releasedate\":\"2016-03-13\",\"plot\":\"M.O.D.O.K. se sert de la Gemme de l\'Esprit pour prendre le contr\\u00f4le du S.H.I.E.L.D et obliger les Avengers \\u00e0 \\u00e9changer leurs corps...\",\"duration_secs\":1240,\"duration\":\"00:20:40\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/gOb7rwEenAqixeo9KGVPnbrSilv.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2353621\",\"BPS-eng\":\"2353621\",\"DURATION\":\"00:20:40.200000000\",\"DURATION-eng\":\"00:20:40.200000000\",\"NUMBER_OF_FRAMES\":\"31005\",\"NUMBER_OF_FRAMES-eng\":\"31005\",\"NUMBER_OF_BYTES\":\"364870173\",\"NUMBER_OF_BYTES-eng\":\"364870173\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 12:56:43\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 12:56:43\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:40.224000000\",\"DURATION-eng\":\"00:20:40.224000000\",\"NUMBER_OF_FRAMES\":\"38757\",\"NUMBER_OF_FRAMES-eng\":\"38757\",\"NUMBER_OF_BYTES\":\"29765376\",\"NUMBER_OF_BYTES-eng\":\"29765376\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 12:56:43\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 12:56:43\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2548,\"rating\":8,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(785,5,NULL,'FR| Avengers Rassemblement - S03 E02 - Les Ultimates','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E02.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1174774,\"releasedate\":\"2016-03-20\",\"plot\":\"Ultron d\\u00e9cide de dupliquer les Ultimates et l\'ensemble de l\'humanit\\u00e9 pour les transformer en robots \\u00e0 ses ordres...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/9vbQRiXQbSF8J2t8ZQgUXnSH2HD.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2424541\",\"BPS-eng\":\"2424541\",\"DURATION\":\"00:20:30.120000000\",\"DURATION-eng\":\"00:20:30.120000000\",\"NUMBER_OF_FRAMES\":\"30753\",\"NUMBER_OF_FRAMES-eng\":\"30753\",\"NUMBER_OF_BYTES\":\"372809682\",\"NUMBER_OF_BYTES-eng\":\"372809682\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 13:04:24\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 13:04:24\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.144000000\",\"DURATION-eng\":\"00:20:30.144000000\",\"NUMBER_OF_FRAMES\":\"38442\",\"NUMBER_OF_FRAMES-eng\":\"38442\",\"NUMBER_OF_BYTES\":\"29523456\",\"NUMBER_OF_BYTES-eng\":\"29523456\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 13:04:24\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 13:04:24\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2619,\"rating\":8,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(786,5,NULL,'FR| Avengers Rassemblement - S03 E03 - Il faut sauver Captain Rogers','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E03.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1174775,\"releasedate\":\"2016-03-27\",\"plot\":\"Gr\\u00e2ce \\u00e0 une ancienne technique d\'hypnose, le Baron Zemo s\'est empar\\u00e9 de l\'esprit de Captain America. Iron Man et Black Widow vont tout faire pour tenter de le sauver...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/iFHdB1R3TsQC2QK1zBi3MhBqcCF.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1924447\",\"BPS-eng\":\"1924447\",\"DURATION\":\"00:20:30.120000000\",\"DURATION-eng\":\"00:20:30.120000000\",\"NUMBER_OF_FRAMES\":\"30753\",\"NUMBER_OF_FRAMES-eng\":\"30753\",\"NUMBER_OF_BYTES\":\"295912640\",\"NUMBER_OF_BYTES-eng\":\"295912640\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 13:06:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 13:06:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.144000000\",\"DURATION-eng\":\"00:20:30.144000000\",\"NUMBER_OF_FRAMES\":\"38442\",\"NUMBER_OF_FRAMES-eng\":\"38442\",\"NUMBER_OF_BYTES\":\"29523456\",\"NUMBER_OF_BYTES-eng\":\"29523456\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 13:06:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 13:06:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2118,\"rating\":8,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(787,5,NULL,'FR| Avengers Rassemblement - S03 E04 - La vengeance de Zemo','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E04.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1183798,\"releasedate\":\"2016-04-03\",\"plot\":\"Les Ma\\u00eetres du Mal s\'emparent de la Tour des Avengers sous la direction du baron Zemo, alors qu\'Hawkeye s\'y trouve seul et sans d\\u00e9fense...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/sJyQKYBJBJgtVapGpQzEB6ierB8.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2230299\",\"BPS-eng\":\"2230299\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"342930788\",\"NUMBER_OF_BYTES-eng\":\"342930788\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 13:35:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 13:35:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 13:35:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 13:35:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2424,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(788,5,NULL,'FR| Avengers Rassemblement - S03 E05 - Les Thunderbolts','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E05.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1187024,\"releasedate\":\"2016-04-10\",\"plot\":\"De nouveaux h\\u00e9ros, appel\\u00e9s les Thunderbolts, commencent \\u00e0 acqu\\u00e9rir une certaine notori\\u00e9t\\u00e9 dans leur combat contre le crime. Les Avengers d\\u00e9cident d\'enqu\\u00eater sur eux afin de savoir s\'ils sont vraiment dignes de confiance...\",\"duration_secs\":1228,\"duration\":\"00:20:28\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/kF3b8mK32rC5GCysqg1ISwgh57Z.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2154239\",\"BPS-eng\":\"2154239\",\"DURATION\":\"00:20:28.960000000\",\"DURATION-eng\":\"00:20:28.960000000\",\"NUMBER_OF_FRAMES\":\"30724\",\"NUMBER_OF_FRAMES-eng\":\"30724\",\"NUMBER_OF_BYTES\":\"330934235\",\"NUMBER_OF_BYTES-eng\":\"330934235\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 14:25:43\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 14:25:43\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":24,\"start_time\":\"0.024000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:27.936000000\",\"DURATION-eng\":\"00:20:27.936000000\",\"NUMBER_OF_FRAMES\":\"38373\",\"NUMBER_OF_FRAMES-eng\":\"38373\",\"NUMBER_OF_BYTES\":\"29470464\",\"NUMBER_OF_BYTES-eng\":\"29470464\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 14:25:43\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 14:25:43\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2350,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(789,5,NULL,'FR| Avengers Rassemblement - S03 E06 - Les Thunderbolts démasqués','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E06.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1187025,\"releasedate\":\"2016-04-17\",\"plot\":\"Quand les Avengers d\\u00e9couvrent que les Thunderbolts sont en fait les Ma\\u00eetres du Mal, ils doivent d\\u00e9cider s\'ils peuvent ou non se fier \\u00e0 eux pour combattre leur chef, le Baron Zemo...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/qAsFb4V8fDUMdxA60Qw0J6mZjz.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2517193\",\"BPS-eng\":\"2517193\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"387043613\",\"NUMBER_OF_BYTES-eng\":\"387043613\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 21:57:48\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 21:57:48\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 21:57:48\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 21:57:48\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2711,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(790,5,NULL,'FR| Avengers Rassemblement - S03 E07 - La dimension noire','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E07.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1187026,\"releasedate\":\"2016-04-24\",\"plot\":\"Par une sympathique soir\\u00e9e d\'Halloween, le Docteur Strange, \\u00e0 bout de force, vient demander de l\'aide aux Avengers. Le terrible Dormammu projette de s\'emparer de l\'univers tout entier. S\'il r\\u00e9ussit \\u00e0 mettre la main sur l\'oeil d\'Agamotto il sera plus puissant que jamais. Seul nos h\\u00e9ros peuvent tenter de l\'en emp\\u00eacher...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/m7GgEczGmqGBNKEToQAExTTrFD0.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2268921\",\"BPS-eng\":\"2268921\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"348869349\",\"NUMBER_OF_BYTES-eng\":\"348869349\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 21:59:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 21:59:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 21:59:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 21:59:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2463,\"rating\":9,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(791,5,NULL,'FR| Avengers Rassemblement - S03 E08 - Dé-Hulké','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E08.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1187027,\"releasedate\":\"2016-05-01\",\"plot\":\"Hulk est priv\\u00e9 de ses radiations gamma et se retrouve coinc\\u00e9 dans la peau de Bruce Banner...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/tLiHS6a57LE4mnkbBjeET01buSs.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2037066\",\"BPS-eng\":\"2037066\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"313219337\",\"NUMBER_OF_BYTES-eng\":\"313219337\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:49:38\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:49:38\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:49:38\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:49:38\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2231,\"rating\":6,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(792,5,NULL,'FR| Avengers Rassemblement - S03 E09 - Les Inhumains sont parmi nous','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E09.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1226463,\"releasedate\":\"2016-07-24\",\"plot\":\"Dans la petite ville de Maple Falls, de curieux \\u00e9v\\u00e9nements se produisent. D\'inqui\\u00e9tantes cr\\u00e9atures errent sur les routes tandis qu\'une \\u00e9trange brume verte s\'\\u00e9tend sur le paysage. L\'arriv\\u00e9e inopin\\u00e9e d\'un groupe de h\\u00e9ros, les \\u00abInhumains\\u00bb ne semble pas \\u00e9trang\\u00e8re \\u00e0 ces curieux incidents...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/y1e6iGLHavbc2MgRMmvrTbMpb6E.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2169170\",\"BPS-eng\":\"2169170\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"333531705\",\"NUMBER_OF_BYTES-eng\":\"333531705\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:51:59\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:51:59\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:51:59\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:51:59\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2363,\"rating\":6,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(793,5,NULL,'FR| Avengers Rassemblement - S03 E10 - La condition Inhumaine','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E10.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1210613,\"releasedate\":\"2016-07-31\",\"plot\":\"Les Avengers doivent faire \\u00e9quipe avec les Inhumains pour arr\\u00eater leur vieil ennemi, Ultron, qui veut d\\u00e9truire la Terre avec une arme mal\\u00e9fique...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/7nIrJAc8G6qsSdsKhrcr7XOZidr.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2229128\",\"BPS-eng\":\"2229128\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"342750817\",\"NUMBER_OF_BYTES-eng\":\"342750817\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:53:29\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:53:29\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:53:29\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:53:29\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2423,\"rating\":9,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(794,5,NULL,'FR| Avengers Rassemblement - S03 E11 - La fougue de la jeunesse','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E11.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1212322,\"releasedate\":\"2016-08-07\",\"plot\":\"Captain America et Iron Man font \\u00e9quipe avec de nouveaux et jeunes Inhumains, Inferno et Miss Marvel, dans le but de vaincre un autre Inhumain, Le Fant\\u00f4me, qui projette de s\'emparer de F.R.I.D.A.Y....\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/yo00vVpz6D4GTtNJmTYgsR6kusA.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2124113\",\"BPS-eng\":\"2124113\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"326603716\",\"NUMBER_OF_BYTES-eng\":\"326603716\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:55:09\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:55:09\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:55:09\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:55:09\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2318,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(795,5,NULL,'FR| Avengers Rassemblement - S03 E12 - Départ pour le futur','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E12.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1214264,\"releasedate\":\"2016-08-14\",\"plot\":\"Les Avengers essaient d\'emp\\u00eacher l\'A.I.M. de voler une technologie de pointe du futur, ce qui attire l\'attention de Kang le Conqu\\u00e9rant, Seigneur de la Guerre du 30e si\\u00e8cle...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/y7bsecQB6Rt4zIyVJ7Hk8rco6L4.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1928767\",\"BPS-eng\":\"1928767\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"296567326\",\"NUMBER_OF_BYTES-eng\":\"296567326\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:57:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:57:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:57:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:57:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2123,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(796,5,NULL,'FR| Avengers Rassemblement - S03 E13 - Un futur sans avenir','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E13.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1216242,\"releasedate\":\"2016-08-21\",\"plot\":\"Pi\\u00e9g\\u00e9s au 30e si\\u00e8cle, les Avengers doivent battre le d\\u00e9moniaque Kang le Conqu\\u00e9rant pour esp\\u00e9rer retourner \\u00e0 leur \\u00e9poque...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/dKkWoLCcM7O3rGtt2MZDcsCFOih.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2059474\",\"BPS-eng\":\"2059474\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"316664825\",\"NUMBER_OF_BYTES-eng\":\"316664825\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:58:58\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:58:58\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:58:58\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:58:58\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2253,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(797,5,NULL,'FR| Avengers Rassemblement - S03 E14 - Le choix de Hulk','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E14.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1217632,\"releasedate\":\"2016-08-28\",\"plot\":\"Black Widow se retrouve face \\u00e0 face avec Yelena Belova, autre Black Widow qui, dans son d\\u00e9sir de cr\\u00e9er l\'arme ultime, transforme Hulk en Hulk de l\'Hiver...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/qx9afvZmN91oAL0C6RG1rUgg3sT.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1813497\",\"BPS-eng\":\"1813497\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"278843361\",\"NUMBER_OF_BYTES-eng\":\"278843361\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 11:00:22\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 11:00:22\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 11:00:22\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 11:00:22\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2007,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(798,5,NULL,'FR| Avengers Rassemblement - S03 E15 - Les lois de l\'amitié','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E15.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1222603,\"releasedate\":\"2016-09-10\",\"plot\":\"Thor enseigne \\u00e0 Vision les valeurs de l\'amiti\\u00e9 en l\'emmenant \\u00e0 Asgard o\\u00f9, ensemble, ils vont combattre Ultron qui s\'est empar\\u00e9 de la puissante armure du Destructeur...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/aNWxKLrSPvFG36l42kJiGckt990.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2032028\",\"BPS-eng\":\"2032028\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"312444736\",\"NUMBER_OF_BYTES-eng\":\"312444736\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 11:02:10\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 11:02:10\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 11:02:10\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 11:02:10\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2226,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(799,5,NULL,'FR| Avengers Rassemblement - S03 E16 - Captain Marvel','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E16.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1223756,\"releasedate\":\"2016-09-18\",\"plot\":\"Les Avengers s\'unissent \\u00e0 Captain Marvel pour combattre un vaisseau Kree qui menace de d\\u00e9truire la Terre...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2002329\",\"BPS-eng\":\"2002329\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"307878158\",\"NUMBER_OF_BYTES-eng\":\"307878158\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 11:03:34\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 11:03:34\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 11:03:34\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 11:03:34\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2196,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(800,5,NULL,'FR| Avengers Rassemblement - S03 E17 - Le vol de vibranium','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E17.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1226407,\"releasedate\":\"2016-09-25\",\"plot\":\"Mettant de c\\u00f4t\\u00e9 leurs diff\\u00e9rends, les Avengers font \\u00e9quipe avec T\'Challa, le souverain du Wakanda aussi appel\\u00e9 \\u00abBlack Panther\\u00bb, pour lutter contre le vol de vibranium...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/xtdqkUEJ8fBHGKs4uFXOFnXdJKX.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2117433\",\"BPS-eng\":\"2117433\",\"DURATION\":\"00:20:30.160000000\",\"DURATION-eng\":\"00:20:30.160000000\",\"NUMBER_OF_FRAMES\":\"30754\",\"NUMBER_OF_FRAMES-eng\":\"30754\",\"NUMBER_OF_BYTES\":\"325597742\",\"NUMBER_OF_BYTES-eng\":\"325597742\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:07:01\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:07:01\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.176000000\",\"DURATION-eng\":\"00:20:30.176000000\",\"NUMBER_OF_FRAMES\":\"38443\",\"NUMBER_OF_FRAMES-eng\":\"38443\",\"NUMBER_OF_BYTES\":\"29524224\",\"NUMBER_OF_BYTES-eng\":\"29524224\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:07:01\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:07:01\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2312,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(801,5,NULL,'FR| Avengers Rassemblement - S03 E18 - Les Avengers à Hollywood','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E18.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1228453,\"releasedate\":\"2016-10-02\",\"plot\":\"Quand l\'accessoiriste du film d\'Ant-Man cherche \\u00e0 se venger de son renvoi, Ant-Man doit faire \\u00e9quipe avec Thor, Black Widow et Hawkeye pour l\'emp\\u00eacher de nuire...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"BPS\":\"1800474\",\"BPS-eng\":\"1800474\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"276840911\",\"NUMBER_OF_BYTES-eng\":\"276840911\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:08:56\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:08:56\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:08:56\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:08:56\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":1994,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(802,5,NULL,'FR| Avengers Rassemblement - S03 E19 - L\'Héritage','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E19.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1229932,\"releasedate\":\"2016-10-09\",\"plot\":\"Le baron Zemo s\'attaque aux Avengers. Il est accompagn\\u00e9 de son p\\u00e8re qui voyage dans le temps, en provenance directe des ann\\u00e9es 40. Pendant ce temps, Hawkeye, Le Faucon et Black Widow se retrouvent bloqu\\u00e9s dans ces fameuses ann\\u00e9es 40. Ils doivent trouver le moyen de revenir dans le pr\\u00e9sent...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/n5KiMIA6oDD7pAS7YQkKeNq8hN5.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1801685\",\"BPS-eng\":\"1801685\",\"DURATION\":\"00:20:30.120000000\",\"DURATION-eng\":\"00:20:30.120000000\",\"NUMBER_OF_FRAMES\":\"30753\",\"NUMBER_OF_FRAMES-eng\":\"30753\",\"NUMBER_OF_BYTES\":\"277036179\",\"NUMBER_OF_BYTES-eng\":\"277036179\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:12:27\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:12:27\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.144000000\",\"DURATION-eng\":\"00:20:30.144000000\",\"NUMBER_OF_FRAMES\":\"38442\",\"NUMBER_OF_FRAMES-eng\":\"38442\",\"NUMBER_OF_BYTES\":\"29523456\",\"NUMBER_OF_BYTES-eng\":\"29523456\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:12:27\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:12:27\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":1996,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(803,5,NULL,'FR| Avengers Rassemblement - S03 E20 - Les U-Foes','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E20.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1239425,\"releasedate\":\"2016-11-06\",\"plot\":\"Les Avengers doivent combattre de nouveaux super m\\u00e9chants, les U-Foes, mais l\'arriv\\u00e9e d\'un nouveau patron menace le r\\u00f4le de Hulk dans l\'\\u00e9quipe...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1811394\",\"BPS-eng\":\"1811394\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"278520093\",\"NUMBER_OF_BYTES-eng\":\"278520093\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:13:43\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:13:43\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:13:43\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:13:43\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2005,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(804,5,NULL,'FR| Avengers Rassemblement - S03 E21 - L\'Arme ultime','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E21.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1239426,\"releasedate\":\"2016-11-13\",\"plot\":\"Les Avengers, accompagn\\u00e9s de leur nouvelle recrue, le Hulk Rouge, tentent de stopper le Leader qui veut fabriquer et utiliser une terrible arme secr\\u00e8te...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2058865\",\"BPS-eng\":\"2058865\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"316571186\",\"NUMBER_OF_BYTES-eng\":\"316571186\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:15:10\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:15:10\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:15:10\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:15:10\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2253,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(805,5,NULL,'FR| Avengers Rassemblement - S03 E22 - Le Vert contre le Rouge','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E22.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1241371,\"releasedate\":\"2016-11-20\",\"plot\":\"Le Leader charge Hulk Rouge de d\\u00e9truire les Avengers, mais c\'est sans compter sur leur Hulk Vert qui reprend confiance en lui et qui d\\u00e9cide de s\'occuper lui-m\\u00eame de leur ennemi...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2052265\",\"BPS-eng\":\"2052265\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"315556419\",\"NUMBER_OF_BYTES-eng\":\"315556419\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:18:51\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:18:51\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:18:51\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:18:51\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2246,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(806,5,NULL,'FR| Avengers Rassemblement - S04 E01 - Sauvons Iron Man, 1ère partie','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E01.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1329549,\"releasedate\":\"2017-06-17\",\"plot\":\"Alors que se pr\\u00e9pare la grande \\u00abExpo Tony Stark\\u00bb, le principal int\\u00e9ress\\u00e9 est absent. Iron Man est bloqu\\u00e9 dans un univers alternatif. Les autres Avengers vont tout faire pour essayer de le ramener parmi eux. Ils auront fort \\u00e0 faire car le \\u00abLeader\\u00bb a des vues sur la technologie Stark et a tout int\\u00e9r\\u00eat \\u00e0 ce que Tony ne puisse jamais revenir...\",\"duration_secs\":1236,\"duration\":\"00:20:36\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/h4S8vzhDnVb9CFybgzr6lmKC7ve.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2431911\",\"BPS-eng\":\"2431911\",\"DURATION\":\"00:20:34.384000000\",\"DURATION-eng\":\"00:20:34.384000000\",\"NUMBER_OF_FRAMES\":\"30858\",\"NUMBER_OF_FRAMES-eng\":\"30858\",\"NUMBER_OF_BYTES\":\"375239066\",\"NUMBER_OF_BYTES-eng\":\"375239066\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-21 18:41:23\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-21 18:41:23\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:36.768000000\",\"DURATION-eng\":\"00:20:36.768000000\",\"NUMBER_OF_FRAMES\":\"38649\",\"NUMBER_OF_FRAMES-eng\":\"38649\",\"NUMBER_OF_BYTES\":\"29682432\",\"NUMBER_OF_BYTES-eng\":\"29682432\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-21 18:41:23\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-21 18:41:23\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2623,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(807,5,NULL,'FR| Avengers Rassemblement - S04 E02 - Sauvons Iron Man, 2ème partie','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E02.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1329561,\"releasedate\":\"2017-06-17\",\"plot\":\"Alors que se pr\\u00e9pare la grande \\u00abExpo Tony Stark\\u00bb, le principal int\\u00e9ress\\u00e9 est absent. Iron Man est bloqu\\u00e9 dans un univers alternatif. Les autres Avengers vont tout faire pour essayer de le ramener parmi eux. Ils auront fort \\u00e0 faire car le \\u00abLeader\\u00bb a des vues sur la technologie Stark et a tout int\\u00e9r\\u00eat \\u00e0 ce que Tony ne puisse jamais revenir...\",\"duration_secs\":1238,\"duration\":\"00:20:38\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/jIbWMOWqsujqekLL2ynkTIB9tAi.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2256193\",\"BPS-eng\":\"2256193\",\"DURATION\":\"00:20:38.600000000\",\"DURATION-eng\":\"00:20:38.600000000\",\"NUMBER_OF_FRAMES\":\"30965\",\"NUMBER_OF_FRAMES-eng\":\"30965\",\"NUMBER_OF_BYTES\":\"349315221\",\"NUMBER_OF_BYTES-eng\":\"349315221\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-19 17:38:26\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-19 17:38:26\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:38.624000000\",\"DURATION-eng\":\"00:20:38.624000000\",\"NUMBER_OF_FRAMES\":\"38707\",\"NUMBER_OF_FRAMES-eng\":\"38707\",\"NUMBER_OF_BYTES\":\"29726976\",\"NUMBER_OF_BYTES-eng\":\"29726976\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-19 17:38:26\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-19 17:38:26\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2451,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(808,5,NULL,'FR| Avengers Rassemblement - S04 E03 - Le reveil des robots','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E03.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1331139,\"releasedate\":\"2017-06-24\",\"plot\":\"Cr\\u00e2ne-Rouge a perdu le contr\\u00f4le de ses robots et de son ordinateur central. Il faudra tout le savoir-faire des Avengers pour r\\u00e9ussir \\u00e0 contenir la formidable puissance de cette arm\\u00e9e de guerriers endormis. Mais les Avengers peuvent compter sur l\'aide d\'un alli\\u00e9 inattendu...\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/1VSCM2u4RnNUUw6r05TNeP4wYFV.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2457000\",\"BPS-eng\":\"2457000\",\"DURATION\":\"00:20:29.160000000\",\"DURATION-eng\":\"00:20:29.160000000\",\"NUMBER_OF_FRAMES\":\"30729\",\"NUMBER_OF_FRAMES-eng\":\"30729\",\"NUMBER_OF_BYTES\":\"377505804\",\"NUMBER_OF_BYTES-eng\":\"377505804\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-20 13:06:25\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-20 13:06:25\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.184000000\",\"DURATION-eng\":\"00:20:29.184000000\",\"NUMBER_OF_FRAMES\":\"38412\",\"NUMBER_OF_FRAMES-eng\":\"38412\",\"NUMBER_OF_BYTES\":\"29500416\",\"NUMBER_OF_BYTES-eng\":\"29500416\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-20 13:06:25\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-20 13:06:25\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2651,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(809,5,NULL,'FR| Avengers Rassemblement - S04 E04 - La chambre forte','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E04.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1389990,\"releasedate\":\"2017-08-26\",\"plot\":\"Captain Marvel et La Gu\\u00eape doivent emp\\u00eacher Crimson Widow, Typho\\u00efd Mary et Zarda de s\'\\u00e9chapper de la chambre forte...\",\"duration_secs\":1227,\"duration\":\"00:20:27\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/cqjGxytC0k0t56vFl9SfLorl07Q.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2207266\",\"BPS-eng\":\"2207266\",\"DURATION\":\"00:20:27.880000000\",\"DURATION-eng\":\"00:20:27.880000000\",\"NUMBER_OF_FRAMES\":\"30697\",\"NUMBER_OF_FRAMES-eng\":\"30697\",\"NUMBER_OF_BYTES\":\"338782330\",\"NUMBER_OF_BYTES-eng\":\"338782330\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-27 10:13:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-27 10:13:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":10,\"start_time\":\"0.010000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:27.744000000\",\"DURATION-eng\":\"00:20:27.744000000\",\"NUMBER_OF_FRAMES\":\"38367\",\"NUMBER_OF_FRAMES-eng\":\"38367\",\"NUMBER_OF_BYTES\":\"29465856\",\"NUMBER_OF_BYTES-eng\":\"29465856\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-27 10:13:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-27 10:13:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2403,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(810,5,NULL,'FR| Avengers Rassemblement - S04 E05 - L\'incroyable Hercule','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E05.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1389991,\"releasedate\":\"2017-08-26\",\"plot\":\"Alors que les Avengers se chamaillent pour savoir qui doit \\u00eatre le chef, un alli\\u00e9 inattendu, le puissant Hercule, d\\u00e9barque de l\'Olympe. Peut-il remplacer la force de frappe de Hulk ? Pourquoi des monstres mythologiques sont-ils \\u00e0 ses trousses et peut-il se joindre officiellement aux Avengers ?...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/hSzwTPQxu2u8k2MyXDSiWdAAtMx.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1971020\",\"BPS-eng\":\"1971020\",\"DURATION\":\"00:20:30.304000000\",\"DURATION-eng\":\"00:20:30.304000000\",\"NUMBER_OF_FRAMES\":\"30757\",\"NUMBER_OF_FRAMES-eng\":\"30757\",\"NUMBER_OF_BYTES\":\"303119359\",\"NUMBER_OF_BYTES-eng\":\"303119359\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-03 19:02:20\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-03 19:02:20\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"191997\",\"BPS-eng\":\"191997\",\"DURATION\":\"00:20:30.608000000\",\"DURATION-eng\":\"00:20:30.608000000\",\"NUMBER_OF_FRAMES\":\"38456\",\"NUMBER_OF_FRAMES-eng\":\"38456\",\"NUMBER_OF_BYTES\":\"29534208\",\"NUMBER_OF_BYTES-eng\":\"29534208\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-03 19:02:20\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-03 19:02:20\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2165,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(811,5,NULL,'FR| Avengers Rassemblement - S04 E06 - Une étrange équipe','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E06.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1389993,\"releasedate\":\"2017-09-08\",\"plot\":\"Miss Marvel et Vision font \\u00e9quipe avec Taskmaster pour emp\\u00eacher Mordok d\'an\\u00e9antir la terre...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/2m0Wg2gtLhBxH0rxCTjhaAZjX9Q.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2528960\",\"BPS-eng\":\"2528960\",\"DURATION\":\"00:20:30.328000000\",\"DURATION-eng\":\"00:20:30.328000000\",\"NUMBER_OF_FRAMES\":\"30758\",\"NUMBER_OF_FRAMES-eng\":\"30758\",\"NUMBER_OF_BYTES\":\"388931390\",\"NUMBER_OF_BYTES-eng\":\"388931390\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-09 16:44:12\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-09 16:44:12\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.336000000\",\"DURATION-eng\":\"00:20:30.336000000\",\"NUMBER_OF_FRAMES\":\"38448\",\"NUMBER_OF_FRAMES-eng\":\"38448\",\"NUMBER_OF_BYTES\":\"29528064\",\"NUMBER_OF_BYTES-eng\":\"29528064\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-09 16:44:12\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-09 16:44:12\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2724,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(812,5,NULL,'FR| Avengers Rassemblement - S04 E07 - L\'amulette du Wakanda','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E07.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1389994,\"releasedate\":\"2017-09-26\",\"plot\":\"Ant-Man et Black Panther ont fort \\u00e0 faire pour emp\\u00eacher le Baron Zemo de s\'emparer d\'une myst\\u00e9rieuse amulette en provenance du Wakanda...\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/fyxpPgnILOtUPQzvRPTZ7IvI5aR.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2532260\",\"BPS-eng\":\"2532260\",\"DURATION\":\"00:20:30.384000000\",\"DURATION-eng\":\"00:20:30.384000000\",\"NUMBER_OF_FRAMES\":\"30759\",\"NUMBER_OF_FRAMES-eng\":\"30759\",\"NUMBER_OF_BYTES\":\"389456574\",\"NUMBER_OF_BYTES-eng\":\"389456574\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-24 16:56:51\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-24 16:56:51\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"191998\",\"BPS-eng\":\"191998\",\"DURATION\":\"00:20:30.280000000\",\"DURATION-eng\":\"00:20:30.280000000\",\"NUMBER_OF_FRAMES\":\"38446\",\"NUMBER_OF_FRAMES-eng\":\"38446\",\"NUMBER_OF_BYTES\":\"29526528\",\"NUMBER_OF_BYTES-eng\":\"29526528\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-24 16:56:51\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-24 16:56:51\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2727,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(813,5,NULL,'FR| Avengers Rassemblement - S04 E08 - Pourquoi je déteste Halloween','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E08.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1389995,\"releasedate\":\"2017-10-08\",\"plot\":\"Les Avengers doivent prot\\u00e9ger un scientifique d\'Hydra des griffes de Dracula et de ses vampires.\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2512733\",\"BPS-eng\":\"2512733\",\"DURATION\":\"00:20:30.280000000\",\"DURATION-eng\":\"00:20:30.280000000\",\"NUMBER_OF_FRAMES\":\"30757\",\"NUMBER_OF_FRAMES-eng\":\"30757\",\"NUMBER_OF_BYTES\":\"386420646\",\"NUMBER_OF_BYTES-eng\":\"386420646\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-28 08:24:03\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-28 08:24:03\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.304000000\",\"DURATION-eng\":\"00:20:30.304000000\",\"NUMBER_OF_FRAMES\":\"38447\",\"NUMBER_OF_FRAMES-eng\":\"38447\",\"NUMBER_OF_BYTES\":\"29527296\",\"NUMBER_OF_BYTES-eng\":\"29527296\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-28 08:24:03\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-28 08:24:03\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2707,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(814,5,NULL,'FR| Avengers Rassemblement - S04 E09 - A la recherche des Avengers','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E09.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1389997,\"releasedate\":\"2017-10-15\",\"plot\":\"Une fois que Jane Foster a d\\u00e9couvert o\\u00f9 se trouve chacun des Avengers, elle a fourni les bracelets d\'attache sp\\u00e9ciaux New Avengers afin de sauver les Avengers de l\'endroit o\\u00f9 la Cabale supervise. Vision et Wasp se tournent vers l\'avenir pour sauver Falcon qui s\'est associ\\u00e9 \\u00e0 Kang le Conqu\\u00e9rant. Ils doivent travailler avec les rebelles dirig\\u00e9s par une future version de Red Hulk afin de lib\\u00e9rer Falcon du contr\\u00f4le de Kang le Conqu\\u00e9rant\",\"duration_secs\":1281,\"duration\":\"00:21:21\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/gj6KA7oGSiJRtM9d3J7Cnewxtia.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2184495\",\"DURATION-eng\":\"00:21:21.280000000\",\"NUMBER_OF_FRAMES-eng\":\"32032\",\"NUMBER_OF_BYTES-eng\":\"349868739\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-10-29 15:58:51\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.280000000\",\"NUMBER_OF_FRAMES-eng\":\"40040\",\"NUMBER_OF_BYTES-eng\":\"30750720\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-10-29 15:58:51\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2379,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(815,5,NULL,'FR| Avengers Rassemblement - S04 E10 - Les libérateurs','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E10.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1390001,\"releasedate\":\"2017-10-22\",\"plot\":\"Ant-Man se rend dans une autre dimension, appel\\u00e9e Dimension Z, pour sauver Black Widow, Captain America et Hawkeye d\'Arnim Zola, d\'agents ayant subi un lavage de cerveau et d\'un groupe de Doughboys .\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/6gMq0JOb7Lm3gXAeNEfciZsBxFT.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2647842\",\"BPS-eng\":\"2647842\",\"DURATION\":\"00:20:30.160000000\",\"DURATION-eng\":\"00:20:30.160000000\",\"NUMBER_OF_FRAMES\":\"30754\",\"NUMBER_OF_FRAMES-eng\":\"30754\",\"NUMBER_OF_BYTES\":\"407158670\",\"NUMBER_OF_BYTES-eng\":\"407158670\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-01-28 11:40:57\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-01-28 11:40:57\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.176000000\",\"DURATION-eng\":\"00:20:30.176000000\",\"NUMBER_OF_FRAMES\":\"38443\",\"NUMBER_OF_FRAMES-eng\":\"38443\",\"NUMBER_OF_BYTES\":\"29524224\",\"NUMBER_OF_BYTES-eng\":\"29524224\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-01-28 11:40:57\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-01-28 11:40:57\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2842,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(816,5,NULL,'FR| Avengers Rassemblement - S04 E11 - La chasse','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E11.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1390005,\"releasedate\":\"2017-10-22\",\"plot\":\"Dans la nature sauvage Asgardienne, Black Panther et Hulk se retrouvent encha\\u00een\\u00e9s et en fuite de Executioner qui utilise un cristal sp\\u00e9cial sur sa hache pour contr\\u00f4ler les transformations de Hulk. En se rendant \\u00e0 Asgard pour acc\\u00e9der au pont Bifrost, ils doivent \\u00e9viter Executioner, Ulik , un camarade Rock Troll et un groupe de gobelins asgardiens .\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/r0FaKEYs6RQMpWl4DVRYA7Dcjq8.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2630876\",\"BPS-eng\":\"2630876\",\"DURATION\":\"00:20:30.320000000\",\"DURATION-eng\":\"00:20:30.320000000\",\"NUMBER_OF_FRAMES\":\"30758\",\"NUMBER_OF_FRAMES-eng\":\"30758\",\"NUMBER_OF_BYTES\":\"404602470\",\"NUMBER_OF_BYTES-eng\":\"404602470\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-01-28 21:18:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-01-28 21:18:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.336000000\",\"DURATION-eng\":\"00:20:30.336000000\",\"NUMBER_OF_FRAMES\":\"38448\",\"NUMBER_OF_FRAMES-eng\":\"38448\",\"NUMBER_OF_BYTES\":\"29528064\",\"NUMBER_OF_BYTES-eng\":\"29528064\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-01-28 21:18:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-01-28 21:18:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2825,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(817,5,NULL,'FR| Avengers Rassemblement - S04 E12 - Sous l\'emprise de l\'Enchanteresse','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E12.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1390007,\"releasedate\":\"2017-10-29\",\"plot\":\"Le capitaine Marvel et Mme Marvel se rendent sur un ast\\u00e9ro\\u00efde glac\\u00e9 pour d\\u00e9livrer Thor de l\'Enchanteresse. Ils combattent Enchanteresse qui a lav\\u00e9 le cerveau de Thor et lui sert de garde du corps, ainsi que de guerriers soumis au lavage de cerveau et de monstres bonhommes de neige.\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/lxbiXTIJpu2XAfIJPtWdHpFkq54.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2723693\",\"BPS-eng\":\"2723693\",\"DURATION\":\"00:20:30.408000000\",\"DURATION-eng\":\"00:20:30.408000000\",\"NUMBER_OF_FRAMES\":\"30760\",\"NUMBER_OF_FRAMES-eng\":\"30760\",\"NUMBER_OF_BYTES\":\"418906734\",\"NUMBER_OF_BYTES-eng\":\"418906734\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-04 16:12:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-04 16:12:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"191998\",\"BPS-eng\":\"191998\",\"DURATION\":\"00:20:30.282000000\",\"DURATION-eng\":\"00:20:30.282000000\",\"NUMBER_OF_FRAMES\":\"38446\",\"NUMBER_OF_FRAMES-eng\":\"38446\",\"NUMBER_OF_BYTES\":\"29526528\",\"NUMBER_OF_BYTES-eng\":\"29526528\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-04 16:12:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-04 16:12:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2918,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(818,5,NULL,'FR| Avengers Rassemblement - S04 E13 - Les vaisseaux de pierre','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E13.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1390008,\"releasedate\":\"2017-11-07\",\"plot\":\"Apr\\u00e8s leur retour sur Terre, les Avengers et les New Avengers d\\u00e9couvrent que la Terre a \\u00e9t\\u00e9 reprise par Loki, qui a utilis\\u00e9 le Coffret of Ancient Winters et s\\u2019est r\\u00e9v\\u00e9l\\u00e9 \\u00eatre le v\\u00e9ritable chef de la Cabale. Les Avengers et les New Avengers doivent combattre Loki et son arm\\u00e9e de Trolls de Givre tout en emp\\u00eachant les navires World Breaker au-dessus de Manhattan de d\\u00e9truire la Terre.\",\"duration_secs\":1229,\"duration\":\"00:20:29\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/mXoNaB0eQ8hXWjCQo5z9BrrmVs6.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2670657\",\"BPS-eng\":\"2670657\",\"DURATION\":\"00:20:29.960000000\",\"DURATION-eng\":\"00:20:29.960000000\",\"NUMBER_OF_FRAMES\":\"30749\",\"NUMBER_OF_FRAMES-eng\":\"30749\",\"NUMBER_OF_BYTES\":\"410600306\",\"NUMBER_OF_BYTES-eng\":\"410600306\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-11 18:23:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-11 18:23:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.984000000\",\"DURATION-eng\":\"00:20:29.984000000\",\"NUMBER_OF_FRAMES\":\"38437\",\"NUMBER_OF_FRAMES-eng\":\"38437\",\"NUMBER_OF_BYTES\":\"29519616\",\"NUMBER_OF_BYTES-eng\":\"29519616\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-11 18:23:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-11 18:23:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2867,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(819,5,NULL,'FR| Avengers Rassemblement - S04 E14 - Nouvel An, vielles querelles','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E14.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1401520,\"releasedate\":\"2017-12-03\",\"plot\":\"Le pass\\u00e9 et le pr\\u00e9sent se heurtent \\u00e0 la veille du Nouvel An alors que Howard Stark et Peggy Carter sont soudainement amen\\u00e9s au pr\\u00e9sent \\u00e0 partir de 1949. Ils s\'associent \\u00e0 Iron Man et Captain America pour sauver le fil du temps de Kang the Conqueror qui cherche \\u00e0 \\u00e9liminer Howard Stark ou Tony Stark. pour s\'assurer que son ennemi Iron Man 2020 n\'existe pas. Au m\\u00eame moment, il a \\u00e9t\\u00e9 d\\u00e9couvert que le docteur Faustus avait \\u00e9t\\u00e9 amen\\u00e9 pour la promenade alors que Howard et Peggy l\'avaient enferm\\u00e9 dans leur malle apr\\u00e8s l\'avoir appr\\u00e9hend\\u00e9.\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2896448\",\"BPS-eng\":\"2896448\",\"DURATION\":\"00:20:30.160000000\",\"DURATION-eng\":\"00:20:30.160000000\",\"NUMBER_OF_FRAMES\":\"30754\",\"NUMBER_OF_FRAMES-eng\":\"30754\",\"NUMBER_OF_BYTES\":\"445386935\",\"NUMBER_OF_BYTES-eng\":\"445386935\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-18 15:29:27\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-18 15:29:27\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":20,\"start_time\":\"0.020000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.856000000\",\"DURATION-eng\":\"00:20:29.856000000\",\"NUMBER_OF_FRAMES\":\"38433\",\"NUMBER_OF_FRAMES-eng\":\"38433\",\"NUMBER_OF_BYTES\":\"29516544\",\"NUMBER_OF_BYTES-eng\":\"29516544\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-18 15:29:27\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-18 15:29:27\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":3091,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(820,5,NULL,'FR| Avengers Rassemblement - S04 E15 - L\'oeil d\'Agamotto (1-2)','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E15.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1417227,\"releasedate\":\"2018-01-07\",\"plot\":\"Les Avengers et les New Avengers combattent Hydra quand ils p\\u00e9n\\u00e8trent dans un entrep\\u00f4t SHIELD rempli d\'objets magiques et s\'en vont avec un talisman sp\\u00e9cifique. Pour trouver o\\u00f9 le talisman est pris, les Vengeurs et les Nouveaux Vengeurs se divisent en deux groupes. Captain America et Black Panther se rendent \\u00e0 Hong Kong o\\u00f9 ils trouvent le baron Mordo travaillant sur le talisman de Kaluu . Pendant ce temps, la soeur de Black Panther, Shuri, rattrape Black Panther et Captain America qui souhaitent en faire plus pour Wakanda.\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2504534\",\"BPS-eng\":\"2504534\",\"DURATION\":\"00:20:30.200000000\",\"DURATION-eng\":\"00:20:30.200000000\",\"NUMBER_OF_FRAMES\":\"30755\",\"NUMBER_OF_FRAMES-eng\":\"30755\",\"NUMBER_OF_BYTES\":\"385134723\",\"NUMBER_OF_BYTES-eng\":\"385134723\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-04-09 17:20:17\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-04-09 17:20:17\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.208000000\",\"DURATION-eng\":\"00:20:30.208000000\",\"NUMBER_OF_FRAMES\":\"38444\",\"NUMBER_OF_FRAMES-eng\":\"38444\",\"NUMBER_OF_BYTES\":\"29524992\",\"NUMBER_OF_BYTES-eng\":\"29524992\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-04-09 17:20:17\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-04-09 17:20:17\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2699,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(821,5,NULL,'FR| Avengers Rassemblement - S04 E16 - L\'oeil d\'Agamotto (2-2)','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E16.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1417228,\"releasedate\":\"2018-01-07\",\"plot\":\"Apr\\u00e8s la d\\u00e9faite du baron Mordo, la personne myst\\u00e9rieuse qui l\'a pi\\u00e9g\\u00e9 dans une autre dimension a besoin d\'aide pour retrouver le Docteur Strange alors que Captain America et Black Panther le ram\\u00e8nent \\u00e0 la base des Avengers o\\u00f9 le Docteur Strange les attaque soudainement. Il identifie la personne myst\\u00e9rieuse comme \\u00e9tant Agamotto qui envisage de reprendre l\'oeil d\'Agamotto et de nettoyer toute la Terre de son chaos. Il commence par utiliser un sortil\\u00e8ge d\'ombre pour prendre le contr\\u00f4le de Captain America et de Black Panther. Maintenant, le docteur Strange et les Avengers restants doivent trouver un moyen de vaincre Agamotto.\",\"duration_secs\":1281,\"duration\":\"00:21:21\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2387623\",\"DURATION-eng\":\"00:21:21.400000000\",\"NUMBER_OF_FRAMES-eng\":\"32035\",\"NUMBER_OF_BYTES-eng\":\"382437526\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-08-14 15:54:07\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":10,\"start_time\":\"0.010000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.248000000\",\"NUMBER_OF_FRAMES-eng\":\"40039\",\"NUMBER_OF_BYTES-eng\":\"30749952\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-08-14 15:54:07\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2582,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(822,5,NULL,'FR| Avengers Rassemblement - S04 E17 - Puzzle stellaire','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E17.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1418636,\"releasedate\":\"2018-01-14\",\"plot\":\"Apr\\u00e8s que les Avengers aient \\u00e9t\\u00e9 transport\\u00e9s dans un nouveau monde \\u00e9trange appel\\u00e9 Battleworld et retrouv\\u00e9 la Tour des Vengeurs reconstruite dans le domaine de l\'\\u00c9gypte, ils rencontrent le Beyonder qui d\\u00e9clare \\u00eatre ici pour son \\\"exp\\u00e9rience\\\". Alors qu\\u2019ils explorent l\\u2019\\u00c9gypte, Captain America et Black Widow d\\u00e9couvrent Iron Man en raison de la dimension qu\\u2019il occupait dans le domaine de No-Tech Land. Dans une pyramide en \\u00c9gypte, Captain America, Black Widow et Iron Man combattent le myst\\u00e9rieux Chevalier de la Lune , ainsi qu\\u2019une arm\\u00e9e de momies aux capacit\\u00e9s bas\\u00e9es sur le sable.\",\"duration_secs\":1280,\"duration\":\"00:21:20\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2292891\",\"DURATION-eng\":\"00:21:20.720000000\",\"NUMBER_OF_FRAMES-eng\":\"32018\",\"NUMBER_OF_BYTES-eng\":\"367069040\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-08-14 18:42:39\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":30,\"start_time\":\"0.030000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:20.256000000\",\"NUMBER_OF_FRAMES-eng\":\"40008\",\"NUMBER_OF_BYTES-eng\":\"30726144\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-08-14 18:42:39\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2488,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(823,5,NULL,'FR| Avengers Rassemblement - S04 E18 - Le monde souterrain','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E18.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1418637,\"releasedate\":\"2018-01-14\",\"plot\":\"Loki appara\\u00eet \\u00e0 Avengers Tower o\\u00f9 il veut les aider \\u00e0 revenir sur Terre alors que Beyonder emporte des parties d\'Asgard avec lui. Alors qu\\u2019ils recherchent le pont Bifrost lorsqu\\u2019ils explorent le domaine souterrain des mondes Battleworld de NYC Underworld, Iron Man, Thor, Hulk et Loki doivent combattre l\\u2019Enchanteresse, ainsi que les trolls \\u00e0 la peau rocailleuse de Nidavellir et des cr\\u00e9atures glissantes sans nom qui op\\u00e8rent principalement brume \\u00e9trange.\",\"duration_secs\":1281,\"duration\":\"00:21:21\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2381029\",\"DURATION-eng\":\"00:21:21.360000000\",\"NUMBER_OF_FRAMES-eng\":\"32034\",\"NUMBER_OF_BYTES-eng\":\"381369423\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-08-21 15:37:55\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":10,\"start_time\":\"0.010000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.216000000\",\"NUMBER_OF_FRAMES-eng\":\"40038\",\"NUMBER_OF_BYTES-eng\":\"30749184\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-08-21 15:37:55\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2576,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(824,5,NULL,'FR| Avengers Rassemblement - S04 E19 - L\'épée de Heindall','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E19.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1419108,\"releasedate\":\"2018-01-14\",\"plot\":\"Iron Man et Loki commencent \\u00e0 reconstruire le pont Bifrost. Tout en essayant de r\\u00e9cup\\u00e9rer l\'\\u00e9p\\u00e9e de Heimdall \\u00e0 K\'un-Lun, Black Panther et Falcon s\'associent \\u00e0 Iron Fist pour vaincre Dracula (poss\\u00e9d\\u00e9 par le Veni Symbiote suffisamment pour le rendre \\u00e0 l\'abri du soleil) et ses vampires. En outre, Dracula pr\\u00e9voit de se rendre dans un domaine lointain de Battleworld, qui contient plus de Symbiotes pour renforcer son arm\\u00e9e de vampires.\",\"duration_secs\":1281,\"duration\":\"00:21:21\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2193214\",\"DURATION-eng\":\"00:21:21.160000000\",\"NUMBER_OF_FRAMES-eng\":\"32029\",\"NUMBER_OF_BYTES-eng\":\"351232323\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-02 13:40:22\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.184000000\",\"NUMBER_OF_FRAMES-eng\":\"40037\",\"NUMBER_OF_BYTES-eng\":\"30748416\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-02 13:40:22\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2387,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(825,5,NULL,'FR| Avengers Rassemblement - S04 E20 - La côte du vibranium','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E20.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1419110,\"releasedate\":\"2018-01-14\",\"plot\":\"Alors que Iron Man et Loki poursuivent la reconstruction du pont Bifrost, Ant-Man et Mme Marvel sont envoy\\u00e9s dans la mer du cr\\u00e2ne rouge quelque part au large de la c\\u00f4te de Vibranium pour trouver de la Vibranium. Alors qu\\u2019ils se trouvaient \\u00e0 Red Skull Sea, Ant-Man et Ms. Marvel s\\u2019associent \\u00e0 contrecoeur avec une version pirate de Mary Typhoid pour combattre le m\\u00e9chant pirate Dread Skull (une version pirate de Red Skull), son second Skullbots.\",\"duration_secs\":1281,\"duration\":\"00:21:21\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2464534\",\"DURATION-eng\":\"00:21:21.480000000\",\"NUMBER_OF_FRAMES-eng\":\"32037\",\"NUMBER_OF_BYTES-eng\":\"394781454\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-13 18:45:49\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":30,\"start_time\":\"0.030000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.024000000\",\"NUMBER_OF_FRAMES-eng\":\"40032\",\"NUMBER_OF_BYTES-eng\":\"30744576\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-13 18:45:49\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2659,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(826,5,NULL,'FR| Avengers Rassemblement - S04 E21 - La séparation','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E21.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1692468,\"releasedate\":\"2018-03-04\",\"plot\":\"Dans le domaine de Weirdworld dans Battleworld , Black Widow et Captain Marvel d\\u00e9couvrent que Bruce Banner est \\u00e0 la recherche de Hulk. Tous deux doivent emp\\u00eacher Bruce Banner et Hulk, maintenant s\\u00e9par\\u00e9s, de se blesser mutuellement. En outre, ils doivent \\u00e9galement lutter contre le mal\\u00e9fique Morgan Le Fay qui a dup\\u00e9 Bruce Banner pour capturer Hulk afin qu\\u2019elle puisse exploiter ses pouvoirs et les utiliser pour conqu\\u00e9rir le reste de Battleworld.\",\"duration_secs\":1281,\"duration\":\"00:21:21\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2363607\",\"DURATION-eng\":\"00:21:21.080000000\",\"NUMBER_OF_FRAMES-eng\":\"32027\",\"NUMBER_OF_BYTES-eng\":\"378496251\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-18 16:07:12\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.088000000\",\"NUMBER_OF_FRAMES-eng\":\"40034\",\"NUMBER_OF_BYTES-eng\":\"30746112\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-18 16:07:12\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2558,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(827,5,NULL,'FR| Avengers Rassemblement - S04 E22 - Retour dans le temps','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E22.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1692469,\"releasedate\":\"2018-03-04\",\"plot\":\"Hawkeye, Vision, Loki et Wasp se dirigent vers Westland, un ancien domaine de l\' ouest qui contient \\u00e9galement des dinosaures pour trouver Doctor Strange. Ils le trouvent en train de travailler comme m\\u00e9decin au milieu d\'une attaque lanc\\u00e9e par une ruche Kree Conquest o\\u00f9 Hawkeye est temporairement aveugl\\u00e9. Apr\\u00e8s avoir rencontr\\u00e9 Rocket Raccoon et Groot apr\\u00e8s l\\u2019\\u00e9crasement de leur navire, Vision d\\u00e9couvre Jane Foster, qui joue le r\\u00f4le de sh\\u00e9rif de Westland sous le pseudonyme de \\\" Calamity Jane Foster\\\".\",\"duration_secs\":1281,\"duration\":\"00:21:21\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2406484\",\"DURATION-eng\":\"00:21:21.200000000\",\"NUMBER_OF_FRAMES-eng\":\"32030\",\"NUMBER_OF_BYTES-eng\":\"385398489\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-20 16:37:18\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.216000000\",\"NUMBER_OF_FRAMES-eng\":\"40038\",\"NUMBER_OF_BYTES-eng\":\"30749184\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-20 16:37:18\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2601,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(828,5,NULL,'FR| Avengers Rassemblement - S04 E23 - L\'orbe de l\'immortalité','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E23.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1692470,\"releasedate\":\"2018-03-11\",\"plot\":\"Captain America et Iron Man sont captur\\u00e9s par le Beyonder et par l\'\\u00e9quipe de m\\u00e9chants qu\'il a assembl\\u00e9s parmi Absorbing Man, Ares, Crimson Widow et MODOK. Alors que Captain America travaille pour \\u00e9chapper aux m\\u00e9chants dans le repaire de Beyonder, Beyond montre \\u00e0 Iron Man la v\\u00e9rit\\u00e9 de son exp\\u00e9rience.\",\"duration_secs\":1281,\"duration\":\"00:21:21\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2533809\",\"DURATION-eng\":\"00:21:21.280000000\",\"NUMBER_OF_FRAMES-eng\":\"32032\",\"NUMBER_OF_BYTES-eng\":\"405814938\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-30 15:34:00\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.280000000\",\"NUMBER_OF_FRAMES-eng\":\"40040\",\"NUMBER_OF_BYTES-eng\":\"30750720\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-30 15:34:00\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2728,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(829,5,NULL,'FR| Avengers Rassemblement - S04 E24 - L\'armée d\'Arès','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E24.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1692471,\"releasedate\":\"2018-03-11\",\"plot\":\"Avant de pouvoir utiliser le Bifrost pour annuler Battleworld, les Vengeurs doivent vaincre Ares et une arm\\u00e9e de Ghost Riders . Alors que le Docteur Strange et Loki travaillent sur le Bifrost, Thor envoie Mjolnir \\u00e0 Jane Foster lorsqu\'elle est coinc\\u00e9e dans l\'attaque de sables mouvants de Beyonder la transformant en une Thor.\",\"duration_secs\":1281,\"duration\":\"00:21:21\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"2518375\",\"DURATION-eng\":\"00:21:21.360000000\",\"NUMBER_OF_FRAMES-eng\":\"32034\",\"NUMBER_OF_BYTES-eng\":\"403368204\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-10-12 21:35:59\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.376000000\",\"NUMBER_OF_FRAMES-eng\":\"40043\",\"NUMBER_OF_BYTES-eng\":\"30753024\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-10-12 21:35:59\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2713,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(830,5,NULL,'FR| Avengers Rassemblement - S04 E25 - Trahison','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E25.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1692474,\"releasedate\":\"2018-03-11\",\"plot\":\"Apr\\u00e8s que Loki soit devenu le Sorcier Supr\\u00eame apr\\u00e8s la d\\u00e9faite de Beyonder, les Vengeurs sont la seule force qui l\\u2019oppose \\u00e0 la domination de l\\u2019univers, m\\u00eame apr\\u00e8s sa victoire sur Odin. Tandis que les Avengers et les New Avengers combattent contre une arm\\u00e9e de Mindless Ones, les docteurs Strange et Jane Foster, Thor, portent secours \\u00e0 Thor m\\u00eame lorsque Loki d\\u00e9cha\\u00eene All Dark.\",\"duration_secs\":1280,\"duration\":\"00:21:20\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2456207\",\"DURATION-eng\":\"00:21:20.880000000\",\"NUMBER_OF_FRAMES-eng\":\"32022\",\"NUMBER_OF_BYTES-eng\":\"393263449\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-10-17 14:21:38\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:20.896000000\",\"NUMBER_OF_FRAMES-eng\":\"40028\",\"NUMBER_OF_BYTES-eng\":\"30741504\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-10-17 14:21:38\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2652,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(831,5,NULL,'FR| Avengers Rassemblement - S04 E26 - ','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E26.mkv\"]','',NULL,NULL,0,'[]','','{\"duration_secs\":1281,\"duration\":\"00:21:21\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2159286\",\"DURATION-eng\":\"00:21:21.360000000\",\"NUMBER_OF_FRAMES-eng\":\"32034\",\"NUMBER_OF_BYTES-eng\":\"345852915\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-11-06 20:08:58\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.376000000\",\"NUMBER_OF_FRAMES-eng\":\"40043\",\"NUMBER_OF_BYTES-eng\":\"30753024\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-11-06 20:08:58\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2354}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(832,5,NULL,'FR| Avengers Rassemblement - S05 E01 - Le fantôme d\'Atlantis (1-2)','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E01.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1577136,\"releasedate\":\"2018-09-23\",\"plot\":\"Black Panther organise une soir\\u00e9e pour pr\\u00e9senter officiellement les Shuri aux Vengeurs et \\u00e0 leurs invit\\u00e9s jusqu\'\\u00e0 l\'attaque des soldats atlantes dirig\\u00e9s par le g\\u00e9n\\u00e9ral d\'Attuma, Tiger Shark . Lorsque Tiger Shark souffle dans la corne de Neptune, il appelle un monstre marin. Thor, le capitaine Marvel et Mme Marvel s\'emploient \\u00e0 l\'emp\\u00eacher de d\\u00e9truire le pont.\",\"duration_secs\":1269,\"duration\":\"00:21:09\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/9HmrpzpRi0JHbIwar14WpkBX8sq.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"Avengers Assemble S05E01\",\"BPS-eng\":\"1451205\",\"DURATION-eng\":\"00:21:09.040000000\",\"NUMBER_OF_FRAMES-eng\":\"31726\",\"NUMBER_OF_BYTES-eng\":\"230204725\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v30.1.0 (\'Forever And More\') 32-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-01-12 23:38:56\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"HE-AAC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"Fran\\u00e7ais HE-AAC 2.0\",\"BPS-eng\":\"62687\",\"DURATION-eng\":\"00:21:09.078000000\",\"NUMBER_OF_FRAMES-eng\":\"29744\",\"NUMBER_OF_BYTES-eng\":\"9944429\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v30.1.0 (\'Forever And More\') 32-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-01-12 23:38:56\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":1516,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(833,5,NULL,'FR| Avengers Rassemblement - S05 E02 - Le fantôme d\'Atlantis (1-2)','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E02.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1577137,\"releasedate\":\"2018-09-23\",\"plot\":\"Tandis que les Vengeurs combattent les soldats atlantiques en bataille, Tiger Shark a envahi l\'ambassade de Wakandan avec ses soldats d\'\\u00e9lite alors que la Panth\\u00e8re noire sauve Shuri de lui. Apr\\u00e8s que les Vengeurs aient \\u00e9limin\\u00e9 certains de ses partisans, Tiger Shark se rend \\u00e0 la galerie d\'art culturel de l\'ambassade pour voler un bocal \\u00e0 son myst\\u00e9rieux bienfaiteur.\",\"duration_secs\":1269,\"duration\":\"00:21:09\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/aG0laM3u73pMG89NFyAAYdn1FpY.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"Avengers Assemble S05E02\",\"BPS-eng\":\"1290174\",\"DURATION-eng\":\"00:21:09.040000000\",\"NUMBER_OF_FRAMES-eng\":\"31726\",\"NUMBER_OF_BYTES-eng\":\"204660436\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v30.1.0 (\'Forever And More\') 32-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-01-13 13:35:15\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"HE-AAC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"Fran\\u00e7ais HE-AAC 2.0\",\"BPS-eng\":\"62687\",\"DURATION-eng\":\"00:21:09.035000000\",\"NUMBER_OF_FRAMES-eng\":\"29743\",\"NUMBER_OF_BYTES-eng\":\"9944158\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v30.1.0 (\'Forever And More\') 32-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-01-13 13:35:15\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":1355,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(834,5,NULL,'FR| Avengers Rassemblement - S05 E03 - Dans les profondeurs','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E03.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1583954,\"releasedate\":\"2018-09-30\",\"plot\":\"M\\u00e9fiant envers Attuma apr\\u00e8s la d\\u00e9faite de Tiger Shark, Black Panther et Shuri partent en mission dangereuse en Atlantide. Alors que la panth\\u00e8re noire s\'infiltre dans le palais afin d\'obtenir des r\\u00e9ponses d\'un requin tigre emprisonn\\u00e9 sur les raisons pour lesquelles il cherchait un embl\\u00e8me wakandais, Shuri se m\\u00eale aux diplomates o\\u00f9 elle se heurte \\u00e0 l\'ambassadeur de Wakanda, N\'Jadaka, qui a un programme secret: Black Panther et Attuma sais pas pour.\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/lwOqk9Qc7MWihesaNp7pCJM8tgG.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2484317\",\"DURATION-eng\":\"00:20:30.480000000\",\"NUMBER_OF_FRAMES-eng\":\"30762\",\"NUMBER_OF_BYTES-eng\":\"382112845\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 17:37:34\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.496000000\",\"NUMBER_OF_FRAMES-eng\":\"38453\",\"NUMBER_OF_BYTES-eng\":\"29531904\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 17:37:34\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2679,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(835,5,NULL,'FR| Avengers Rassemblement - S05 E04 - La panthère et le loup','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E04.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1594812,\"releasedate\":\"2018-10-07\",\"plot\":\"La panth\\u00e8re noire et Shuri retournent \\u00e0 Wakanda \\u00e0 la recherche d\'autres ennemis, \\u00e0 la lumi\\u00e8re du fait que N\'Jadaka et Tiger Shark sont associ\\u00e9s au Conseil des ombres . Ils se heurtent au fr\\u00e8re adoptif de White Panther, White Wolf, qui aurait une liste suppos\\u00e9e de membres connus du Conseil des ombres. Alors que Black Panther le poursuit, ils sont attaqu\\u00e9s par M\'Baku et ses mercenaires qui se sont alli\\u00e9s au Conseil des ombres.\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/zGlrKgv3pqfW40TXisa3sYWKIVX.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2191926\",\"DURATION-eng\":\"00:20:30.480000000\",\"NUMBER_OF_FRAMES-eng\":\"30762\",\"NUMBER_OF_BYTES-eng\":\"337140169\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 17:47:13\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.496000000\",\"NUMBER_OF_FRAMES-eng\":\"38453\",\"NUMBER_OF_BYTES-eng\":\"29531904\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 17:47:13\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2387,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(836,5,NULL,'FR| Avengers Rassemblement - S05 E05 - La sanction Zemo','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E05.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1594813,\"releasedate\":\"2018-10-14\",\"plot\":\"Apr\\u00e8s avoir appr\\u00e9hend\\u00e9 le Wakandan N\'Basa qui est du c\\u00f4t\\u00e9 du Conseil des ombres, Black Panther informe Captain America dans une transmission que la liste que lui a donn\\u00e9e White Wolf a mentionn\\u00e9 le baron Zemo \\u00e0 plusieurs reprises, mentionnant qu\'Heinrich Zemo avait dirig\\u00e9 le Conseil des ombres dans le dos. Ann\\u00e9es 1940 Black Panther d\\u00e9couvre que le baron Zemo envisage de d\\u00e9truire les dossiers de son p\\u00e8re avant qu\'ils ne tombent entre de mauvaises mains. Les deux doivent travailler ensemble lorsque Tiger Shark cible les dossiers du Conseil des ombres.\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/h4EtJ6BoHQCU2XYoVFPhkWov5Fj.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2410762\",\"DURATION-eng\":\"00:20:30.480000000\",\"NUMBER_OF_FRAMES-eng\":\"30762\",\"NUMBER_OF_BYTES-eng\":\"370799393\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 17:53:28\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.496000000\",\"NUMBER_OF_FRAMES-eng\":\"38453\",\"NUMBER_OF_BYTES-eng\":\"29531904\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 17:53:28\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2606,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(837,5,NULL,'FR| Avengers Rassemblement - S05 E06 - Brumes d\'Attilan','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E06.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1600641,\"releasedate\":\"2018-10-21\",\"plot\":\"Apr\\u00e8s que lui et Dora Milaje aient contrecarr\\u00e9 le projet de Crossbones de mener Hydra \\u00e0 envahir Wakanda, Black Panther emm\\u00e8ne Mme Marvel en mission \\u00e0 Attilan. En raison de la promesse du grand-p\\u00e8re de T\'Challa, T\'Chanda, Black Bolt et Medusa h\\u00e9sitent \\u00e0 donner la cl\\u00e9 d\'une pi\\u00e8ce de griffe. Cela am\\u00e8ne Black Panther et Ms. Marvel \\u00e0 l\'obtenir pendant que Black Bolt et Medusa se disputent, car ils traitent \\u00e9galement avec la princesse Zanda of Narobia, qui est membre du Conseil des ombres.\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/yRsshMxCeHbpUhX1mUGLiZGLL4p.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2153798\",\"DURATION-eng\":\"00:20:30.480000000\",\"NUMBER_OF_FRAMES-eng\":\"30762\",\"NUMBER_OF_BYTES-eng\":\"331275718\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 18:05:44\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.496000000\",\"NUMBER_OF_FRAMES-eng\":\"38453\",\"NUMBER_OF_BYTES-eng\":\"29531904\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 18:05:44\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2349,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(838,5,NULL,'FR| Avengers Rassemblement - S05 E07 - T\'Challa Royale','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E07.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1606195,\"releasedate\":\"2018-10-28\",\"plot\":\"Tandis que le baron Zemo continue de d\\u00e9crypter les fichiers de son p\\u00e8re, T\'Challa d\\u00e9couvre que les ordinateurs de Wakanda ont \\u00e9t\\u00e9 pirat\\u00e9s et la rep\\u00e8re vers Pel\\u00e9 Pel\\u00e9, ce que T\'Chaka et N\'Jadaka n\'ont pas pu d\\u00e9velopper en raison d\'activit\\u00e9s volcaniques. \\u00c0 son arriv\\u00e9e, Kraven the Hunter le traque dans le cadre du dernier \\u00e9pisode de \\\"Amazing Hunt\\\" de Kraven sur N\'Jadaka, lui permettant ainsi qu\'\\u00e0 son \\u00e9quipe de production de Pel\\u00e9 Pel\\u00e9. M\\u00eame lorsqu\'il bat Kraven, il devra toujours faire face \\u00e0 N\'Jadaka dans son pseudonyme de Killmonger. Pendant ce temps, Shuri et Zemo travaillent \\u00e0 \\u00e9liminer le virus du Conseil des ombres des syst\\u00e8mes informatiques de Wakanda.\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/37z8ODxXvEyqkttT6p4oP8DULen.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2448767\",\"DURATION-eng\":\"00:20:30.280000000\",\"NUMBER_OF_FRAMES-eng\":\"30757\",\"NUMBER_OF_BYTES-eng\":\"376583659\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-22 19:11:07\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.304000000\",\"NUMBER_OF_FRAMES-eng\":\"38447\",\"NUMBER_OF_BYTES-eng\":\"29527296\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-22 19:11:07\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2643,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(839,5,NULL,'FR| Avengers Rassemblement - S05 E08 - La nuit a des ailes','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E08.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1612467,\"releasedate\":\"2018-11-04\",\"plot\":\"Apr\\u00e8s avoir assist\\u00e9 \\u00e0 un \\u00e9v\\u00e9nement organis\\u00e9 par Tony Stark apr\\u00e8s l\'avoir emp\\u00each\\u00e9 de braquer le vol de banque de Crossbones, Black Panther a r\\u00e9pondu \\u00e0 un signal de d\\u00e9tresse dans un village de Wakandan attaqu\\u00e9 par un groupe de monstres de la vieille histoire de Wakandan appel\\u00e9e le Kawulo. Black Panther d\\u00e9couvre qu\'Ulysses Klaue est derri\\u00e8re les attaques avec l\'aide de mercenaires et de chauves-souris mutantes \\u00e9mettant des sons qui nichent dans des grottes de Vibranium pendant des si\\u00e8cles. Ulysses a arm\\u00e9 ces b\\u00e2tons et les a \\u00e9quip\\u00e9s de colliers sp\\u00e9ciaux afin de les armer.\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/bQWU0LyY437FLWanYrmDi9HQDIe.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2326174\",\"DURATION-eng\":\"00:20:30.280000000\",\"NUMBER_OF_FRAMES-eng\":\"30757\",\"NUMBER_OF_BYTES-eng\":\"357730690\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-23 12:08:11\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.304000000\",\"NUMBER_OF_FRAMES-eng\":\"38447\",\"NUMBER_OF_BYTES-eng\":\"29527296\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-23 12:08:11\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2521,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(840,5,NULL,'FR| Avengers Rassemblement - S05 E09 - Masque de la panthère','[\"s:21:\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E09.mkv\"]','',NULL,NULL,0,'[]','','{\"tmdb_id\":1615854,\"releasedate\":\"2018-11-11\",\"plot\":\"Black Panther se rend en Antarctique avec Captain America, o\\u00f9 ils rencontrent Hawkeye et un probatoire, Whitney Frost, \\u00e0 la base de z\\u00e8bres du SHIELD, o\\u00f9 ils trouvent un sous-marin wakandais appel\\u00e9 Yemandi\'s Cutter dans la glace, soup\\u00e7onnant le le dernier fragment de cl\\u00e9 est \\u00e0 bord.\",\"duration_secs\":1230,\"duration\":\"00:20:30\",\"movie_image\":\"https:\\/\\/image.tmdb.org\\/t\\/p\\/w600_and_h900_bestv2\\/qRemdfdyLclVm4kqKmYkYmWCF9N.jpg\",\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2324580\",\"DURATION-eng\":\"00:20:30.280000000\",\"NUMBER_OF_FRAMES-eng\":\"30757\",\"NUMBER_OF_BYTES-eng\":\"357485661\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-23 12:20:49\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.304000000\",\"NUMBER_OF_FRAMES-eng\":\"38447\",\"NUMBER_OF_BYTES-eng\":\"29527296\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-23 12:20:49\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"bitrate\":2519,\"rating\":0,\"season\":null}','[]',0,'[\"mkv\"]',0,0,'',NULL,NULL,NULL,0,'[]',0,'','',1,1638301522,0,0,0,0,0,1,1,0,0,0,128000,'','[]',0),(841,3,9,'24/7 FR| Avengers Rassemblement','[\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E01.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E02.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E03.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E04.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E05.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E06.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E07.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E08.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E09.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E10.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E11.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E12.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E13.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E14.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E15.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E16.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E17.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E18.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E19.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E20.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E21.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E22.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E23.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E24.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E25.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E26.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E01.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E02.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E03.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E04.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E05.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E06.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E07.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E08.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E09.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E10.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E11.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E12.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E13.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E14.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E15.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E16.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E17.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E18.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E19.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E20.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E21.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E22.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E23.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E24.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E25.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E26.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E01.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E02.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E03.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E04.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E05.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E06.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E07.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E08.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E09.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E10.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E11.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E12.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E13.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E14.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E15.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E16.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E17.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E18.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E19.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E20.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E21.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E22.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E01.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E02.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E03.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E04.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E05.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E06.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E07.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E08.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E09.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E10.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E11.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E12.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E13.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E14.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E15.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E16.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E17.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E18.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E19.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E20.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E21.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E22.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E23.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E24.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E25.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E26.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E01.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E02.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E03.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E04.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E05.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E06.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E07.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E08.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E09.mkv\"]','','',21,0,'[]','','{\"type\":0}','',1,NULL,1,0,'',NULL,NULL,NULL,240,'[]',1,'[]','[\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E01.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E02.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E03.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E04.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E05.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E06.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E07.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E08.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E09.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E10.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E11.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E12.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E13.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E14.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E15.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E16.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E17.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E18.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E19.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E20.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E21.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E22.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E23.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E24.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E25.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S01 E26.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E01.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E02.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E03.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E04.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E05.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E06.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E07.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E08.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E09.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E10.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E11.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E12.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E13.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E14.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E15.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E16.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E17.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E18.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E19.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E20.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E21.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E22.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E23.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E24.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E25.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S02 E26.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E01.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E02.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E03.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E04.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E05.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E06.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E07.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E08.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E09.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E10.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E11.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E12.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E13.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E14.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E15.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E16.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E17.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E18.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E19.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E20.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E21.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S03 E22.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E01.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E02.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E03.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E04.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E05.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E06.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E07.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E08.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E09.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E10.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E11.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E12.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E13.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E14.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E15.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E16.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E17.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E18.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E19.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E20.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E21.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E22.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E23.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E24.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E25.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S04 E26.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E01.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E02.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E03.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E04.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E05.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E06.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E07.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E08.mkv\",\"\\/home\\/VOD\\/SERIE\\/FR | Avengers Rassemblement\\/FR  Avengers Rassemblement S05 E09.mkv\"]',1,1638381894,14,0,0,0,0,0,0,0,0,0,128000,'','',0);
/*!40000 ALTER TABLE `streams` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `streams_arguments`
--

DROP TABLE IF EXISTS `streams_arguments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `streams_arguments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `argument_cat` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `argument_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `argument_description` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `argument_wprotocol` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `argument_key` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `argument_cmd` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `argument_type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `argument_default_value` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `streams_arguments`
--

LOCK TABLES `streams_arguments` WRITE;
/*!40000 ALTER TABLE `streams_arguments` DISABLE KEYS */;
INSERT INTO `streams_arguments` (`id`, `argument_cat`, `argument_name`, `argument_description`, `argument_wprotocol`, `argument_key`, `argument_cmd`, `argument_type`, `argument_default_value`) VALUES (1,'fetch','User Agent','Set a Custom User Agent','http','user_agent','-user-agent \"%s\"','text','Xtream-Codes IPTV Panel Pro'),(2,'fetch','HTTP Proxy','Set an HTTP Proxy in this format: ip:port','http','proxy','-http_proxy \"%s\"','text',NULL),(3,'transcode','Average Video Bit Rate','With this you can change the bitrate of the target video. It is very useful in case you want your video to be playable on slow internet connections',NULL,'bitrate','-b:v %dk','text',NULL),(4,'transcode','Average Audio Bitrate','Change Audio Bitrate',NULL,'audio_bitrate','-b:a %dk','text',NULL),(5,'transcode','Minimum Bitrate Tolerance','-minrate FFmpeg argument. Specify the minimum bitrate tolerance here. Specify in kbps. Enter INT number.',NULL,'minimum_bitrate','-minrate %dk','text',NULL),(6,'transcode','Maximum Bitrate Tolerance','-maxrate FFmpeg argument. Specify the maximum bitrate tolerance here.Specify in kbps. Enter INT number. ',NULL,'maximum_bitrate','-maxrate %dk','text',NULL),(7,'transcode','Buffer Size','-bufsize is the rate control buffer. Basically it is assumed that the receiver/end player will buffer that much data so its ok to fluctuate within that much. Specify in kbps. Enter INT number.',NULL,'bufsize','-bufsize %dk','text',NULL),(8,'transcode','CRF Value','The range of the quantizer scale is 0-51: where 0 is lossless, 23 is default, and 51 is worst possible. A lower value is a higher quality and a subjectively sane range is 18-28. Consider 18 to be visually lossless or nearly so: it should look the same or ',NULL,'crf','-crf %d','text',NULL),(9,'transcode','Scaling','Change the Width & Height of the target Video. (Eg. 320:240 ) .  If we\'d like to keep the aspect ratio, we need to specify only one component, either width or height, and set the other component to -1. (eg 320:-1)',NULL,'scaling','-filter_complex \"scale=%s\"','text',NULL),(10,'transcode','Aspect','Change the target Video Aspect. (eg 16:9)',NULL,'aspect','-aspect %s','text',NULL),(11,'transcode','Target Video FrameRate','Set the frame rate',NULL,'video_frame_rate','-r %d','text',NULL),(12,'transcode','Audio Sample Rate','Set the Audio Sample rate in Hz',NULL,'audio_sample_rate','-ar %d','text',NULL),(13,'transcode','Audio Channels','Specify Audio Channels',NULL,'audio_channels','-ac %d','text',NULL),(14,'transcode','Remove Sensitive Parts (delogo filter)','With this filter you can remove sensitive parts in your video. You will just specifiy the x & y pixels where there is a sensitive area and the width and height that will be removed. Example Use: x=0:y=0:w=100:h=77:band=10 ',NULL,'delogo','-filter_complex \"delogo=%s\"','text',NULL),(15,'transcode','Threads','Specify the number of threads you want to use for the transcoding process. Entering 0 as value will make FFmpeg to choose the most optimal settings',NULL,'threads','-threads %d','text',NULL),(16,'transcode','Logo Path','Add your Own Logo to the stream. The logo will be placed in the upper left. Please be sure that you have selected H.264 as codec otherwise this option won\'t work. Note that adding your own logo will consume A LOT of cpu power',NULL,'logo','-i \"%s\" -filter_complex \"overlay\"','text',NULL),(17,'fetch','Cookie','Set an HTTP Cookie that might be useful to fetch your INPUT Source.','http','cookie','-cookies \'%s\'','text',NULL),(18,'transcode','DeInterlacing Filter','It check pixels of previous, current and next frames to re-create the missed field by some local adaptive method (edge-directed interpolation) and uses spatial check to prevent most artifacts. ',NULL,'','-filter_complex \"yadif\"','radio','0'),(19,'fetch','Headers','Set Custom Headers','http','headers','-headers \"%s\"','text',NULL);
/*!40000 ALTER TABLE `streams_arguments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `streams_options`
--

DROP TABLE IF EXISTS `streams_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `streams_options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `stream_id` int(11) NOT NULL,
  `argument_id` int(11) NOT NULL,
  `value` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `stream_id` (`stream_id`),
  KEY `argument_id` (`argument_id`)
) ENGINE=InnoDB AUTO_INCREMENT=178 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `streams_options`
--

LOCK TABLES `streams_options` WRITE;
/*!40000 ALTER TABLE `streams_options` DISABLE KEYS */;
INSERT INTO `streams_options` (`id`, `stream_id`, `argument_id`, `value`) VALUES (15,2,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:92.0) Gecko/20100101 Firefox/92.0'),(30,8,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:94.0) Gecko/20100101 Firefox/94.0'),(31,1,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:94.0) Gecko/20100101 Firefox/94.0'),(32,3,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:94.0) Gecko/20100101 Firefox/94.0'),(33,4,1,'Xtream-Codes IPTV Panel Pro'),(34,5,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:94.0) Gecko/20100101 Firefox/94.0'),(35,6,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:94.0) Gecko/20100101 Firefox/94.0'),(36,7,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:94.0) Gecko/20100101 Firefox/94.0'),(41,14,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:94.0) Gecko/20100101 Firefox/94.0'),(45,13,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:94.0) Gecko/20100101 Firefox/94.0'),(47,15,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:94.0) Gecko/20100101 Firefox/94.0'),(48,16,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:94.0) Gecko/20100101 Firefox/94.0'),(49,17,1,'Xtream-Codes IPTV Panel Pro'),(50,18,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:94.0) Gecko/20100101 Firefox/94.0'),(51,19,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:94.0) Gecko/20100101 Firefox/94.0'),(52,74,1,'Xtream-Codes IPTV Panel Pro'),(53,75,1,'Xtream-Codes IPTV Panel Pro'),(54,76,1,'Xtream-Codes IPTV Panel Pro'),(55,77,1,'Xtream-Codes IPTV Panel Pro'),(56,78,1,'Xtream-Codes IPTV Panel Pro'),(57,79,1,'Xtream-Codes IPTV Panel Pro'),(58,80,1,'Xtream-Codes IPTV Panel Pro'),(59,81,1,'Xtream-Codes IPTV Panel Pro'),(60,82,1,'Xtream-Codes IPTV Panel Pro'),(62,84,1,'Xtream-Codes IPTV Panel Pro'),(63,85,1,'Xtream-Codes IPTV Panel Pro'),(64,86,1,'Xtream-Codes IPTV Panel Pro'),(65,87,1,'Xtream-Codes IPTV Panel Pro'),(66,88,1,'Xtream-Codes IPTV Panel Pro'),(68,90,1,'Xtream-Codes IPTV Panel Pro'),(69,91,1,'Xtream-Codes IPTV Panel Pro'),(70,92,1,'Xtream-Codes IPTV Panel Pro'),(71,93,1,'Xtream-Codes IPTV Panel Pro'),(72,94,1,'Xtream-Codes IPTV Panel Pro'),(73,95,1,'Xtream-Codes IPTV Panel Pro'),(74,96,1,'Xtream-Codes IPTV Panel Pro'),(75,97,1,'Xtream-Codes IPTV Panel Pro'),(76,98,1,'Xtream-Codes IPTV Panel Pro'),(77,99,1,'Xtream-Codes IPTV Panel Pro'),(78,100,1,'Xtream-Codes IPTV Panel Pro'),(79,101,1,'Xtream-Codes IPTV Panel Pro'),(80,102,1,'Xtream-Codes IPTV Panel Pro'),(81,103,1,'Xtream-Codes IPTV Panel Pro'),(82,104,1,'Xtream-Codes IPTV Panel Pro'),(83,105,1,'Xtream-Codes IPTV Panel Pro'),(84,106,1,'Xtream-Codes IPTV Panel Pro'),(85,107,1,'Xtream-Codes IPTV Panel Pro'),(86,108,1,'Xtream-Codes IPTV Panel Pro'),(87,109,1,'Xtream-Codes IPTV Panel Pro'),(88,110,1,'Xtream-Codes IPTV Panel Pro'),(89,111,1,'Xtream-Codes IPTV Panel Pro'),(90,112,1,'Xtream-Codes IPTV Panel Pro'),(91,113,1,'Xtream-Codes IPTV Panel Pro'),(92,114,1,'Xtream-Codes IPTV Panel Pro'),(93,115,1,'Xtream-Codes IPTV Panel Pro'),(94,116,1,'Xtream-Codes IPTV Panel Pro'),(95,117,1,'Xtream-Codes IPTV Panel Pro'),(96,118,1,'Xtream-Codes IPTV Panel Pro'),(97,119,1,'Xtream-Codes IPTV Panel Pro'),(98,120,1,'Xtream-Codes IPTV Panel Pro'),(99,121,1,'Xtream-Codes IPTV Panel Pro'),(100,122,1,'Xtream-Codes IPTV Panel Pro'),(101,123,1,'Xtream-Codes IPTV Panel Pro'),(102,124,1,'Xtream-Codes IPTV Panel Pro'),(103,125,1,'Xtream-Codes IPTV Panel Pro'),(104,126,1,'Xtream-Codes IPTV Panel Pro'),(105,127,1,'Xtream-Codes IPTV Panel Pro'),(106,128,1,'Xtream-Codes IPTV Panel Pro'),(107,129,1,'Xtream-Codes IPTV Panel Pro'),(108,130,1,'Xtream-Codes IPTV Panel Pro'),(109,131,1,'Xtream-Codes IPTV Panel Pro'),(110,132,1,'Xtream-Codes IPTV Panel Pro'),(111,133,1,'Xtream-Codes IPTV Panel Pro'),(112,134,1,'Xtream-Codes IPTV Panel Pro'),(113,135,1,'Xtream-Codes IPTV Panel Pro'),(114,136,1,'Xtream-Codes IPTV Panel Pro'),(115,137,1,'Xtream-Codes IPTV Panel Pro'),(116,138,1,'Xtream-Codes IPTV Panel Pro'),(117,139,1,'Xtream-Codes IPTV Panel Pro'),(118,140,1,'Xtream-Codes IPTV Panel Pro'),(119,141,1,'Xtream-Codes IPTV Panel Pro'),(120,142,1,'Xtream-Codes IPTV Panel Pro'),(121,143,1,'Xtream-Codes IPTV Panel Pro'),(122,144,1,'Xtream-Codes IPTV Panel Pro'),(123,145,1,'Xtream-Codes IPTV Panel Pro'),(124,146,1,'Xtream-Codes IPTV Panel Pro'),(125,147,1,'Xtream-Codes IPTV Panel Pro'),(126,148,1,'Xtream-Codes IPTV Panel Pro'),(127,149,1,'Xtream-Codes IPTV Panel Pro'),(128,150,1,'Xtream-Codes IPTV Panel Pro'),(129,151,1,'Xtream-Codes IPTV Panel Pro'),(130,152,1,'Xtream-Codes IPTV Panel Pro'),(131,153,1,'Xtream-Codes IPTV Panel Pro'),(132,154,1,'Xtream-Codes IPTV Panel Pro'),(133,155,1,'Xtream-Codes IPTV Panel Pro'),(134,156,1,'Xtream-Codes IPTV Panel Pro'),(135,157,1,'Xtream-Codes IPTV Panel Pro'),(136,158,1,'Xtream-Codes IPTV Panel Pro'),(137,159,1,'Xtream-Codes IPTV Panel Pro'),(138,160,1,'Xtream-Codes IPTV Panel Pro'),(139,161,1,'Xtream-Codes IPTV Panel Pro'),(140,162,1,'Xtream-Codes IPTV Panel Pro'),(141,163,1,'Xtream-Codes IPTV Panel Pro'),(142,164,1,'Xtream-Codes IPTV Panel Pro'),(143,165,1,'Xtream-Codes IPTV Panel Pro'),(144,166,1,'Xtream-Codes IPTV Panel Pro'),(145,167,1,'Xtream-Codes IPTV Panel Pro'),(146,168,1,'Xtream-Codes IPTV Panel Pro'),(147,169,1,'Xtream-Codes IPTV Panel Pro'),(148,170,1,'Xtream-Codes IPTV Panel Pro'),(149,171,1,'Xtream-Codes IPTV Panel Pro'),(150,172,1,'Xtream-Codes IPTV Panel Pro'),(151,173,1,'Xtream-Codes IPTV Panel Pro'),(152,174,1,'Xtream-Codes IPTV Panel Pro'),(153,175,1,'Xtream-Codes IPTV Panel Pro'),(154,176,1,'Xtream-Codes IPTV Panel Pro'),(155,177,1,'Xtream-Codes IPTV Panel Pro'),(156,178,1,'Xtream-Codes IPTV Panel Pro'),(157,179,1,'Xtream-Codes IPTV Panel Pro'),(158,180,1,'Xtream-Codes IPTV Panel Pro'),(159,181,1,'Xtream-Codes IPTV Panel Pro'),(160,182,1,'Xtream-Codes IPTV Panel Pro'),(161,183,1,'Xtream-Codes IPTV Panel Pro'),(162,184,1,'Xtream-Codes IPTV Panel Pro'),(163,185,1,'Xtream-Codes IPTV Panel Pro'),(164,83,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:92.0) Gecko/20100101 Firefox/92.0'),(165,89,1,'Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:92.0) Gecko/20100101 Firefox/92.0'),(166,186,1,'Xtream-Codes IPTV Panel Pro'),(167,299,1,'Xtream-Codes IPTV Panel Pro'),(168,314,1,'Xtream-Codes IPTV Panel Pro'),(169,322,1,'Xtream-Codes IPTV Panel Pro'),(177,323,1,'Xtream-Codes IPTV Panel Pro');
/*!40000 ALTER TABLE `streams_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `streams_seasons`
--

DROP TABLE IF EXISTS `streams_seasons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `streams_seasons` (
  `season_id` int(11) NOT NULL AUTO_INCREMENT,
  `season_name` varchar(255) NOT NULL,
  `stream_id` int(11) NOT NULL,
  PRIMARY KEY (`season_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `streams_seasons`
--

LOCK TABLES `streams_seasons` WRITE;
/*!40000 ALTER TABLE `streams_seasons` DISABLE KEYS */;
/*!40000 ALTER TABLE `streams_seasons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `streams_sys`
--

DROP TABLE IF EXISTS `streams_sys`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `streams_sys` (
  `server_stream_id` int(11) NOT NULL AUTO_INCREMENT,
  `stream_id` int(11) NOT NULL,
  `server_id` int(11) NOT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `pid` int(11) DEFAULT NULL,
  `to_analyze` tinyint(4) NOT NULL DEFAULT '0',
  `stream_status` int(11) NOT NULL DEFAULT '0',
  `stream_started` int(11) DEFAULT NULL,
  `stream_info` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `monitor_pid` int(11) DEFAULT NULL,
  `current_source` mediumtext COLLATE utf8_unicode_ci,
  `bitrate` int(11) DEFAULT NULL,
  `progress_info` text COLLATE utf8_unicode_ci NOT NULL,
  `on_demand` tinyint(4) NOT NULL DEFAULT '0',
  `delay_pid` int(11) DEFAULT NULL,
  `delay_available_at` int(11) DEFAULT NULL,
  PRIMARY KEY (`server_stream_id`),
  UNIQUE KEY `stream_id_2` (`stream_id`,`server_id`),
  KEY `stream_id` (`stream_id`),
  KEY `pid` (`pid`),
  KEY `server_id` (`server_id`),
  KEY `stream_status` (`stream_status`),
  KEY `stream_started` (`stream_started`),
  KEY `parent_id` (`parent_id`),
  KEY `to_analyze` (`to_analyze`)
) ENGINE=InnoDB AUTO_INCREMENT=841 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `streams_sys`
--

LOCK TABLES `streams_sys` WRITE;
/*!40000 ALTER TABLE `streams_sys` DISABLE KEYS */;
INSERT INTO `streams_sys` (`server_stream_id`, `stream_id`, `server_id`, `parent_id`, `pid`, `to_analyze`, `stream_status`, `stream_started`, `stream_info`, `monitor_pid`, `current_source`, `bitrate`, `progress_info`, `on_demand`, `delay_pid`, `delay_available_at`) VALUES (2,2,21,NULL,7426,0,0,1638566871,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1001\\/60000\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"id\":\"0x100\",\"r_frame_rate\":\"30000\\/1001\",\"avg_frame_rate\":\"30000\\/1001\",\"time_base\":\"1\\/90000\",\"start_pts\":6006,\"start_time\":\"0.066733\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"id\":\"0x101\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":6006,\"start_time\":\"0.066733\",\"bit_rate\":\"126098\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"und\"}}},\"container\":\"mpegts\",\"filename\":\"http:\\/\\/2022tv.co:80\\/ful-local\\/1974077551\\/52051\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',26482,'http://2022tv.co:80/ful-local/1974077551/52051',2252,'{\"frame\":\"46916\",\"fps\":\"30.06\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"1565330444\",\"out_time_ms\":\"1565330444\",\"out_time\":\"00:26:05.330444\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(3,3,21,NULL,17141,0,0,1638489517,'{\"codecs\":{\"video\":\"\",\"audio\":{\"index\":0,\"codec_name\":\"mp3\",\"codec_long_name\":\"MP3 (MPEG audio layer 3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/14112000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"128000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}}},\"container\":\"mp3\",\"filename\":\"http:\\/\\/rtstream.tanitweb.com\\/nationale\",\"bitrate\":\"128000\",\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',13971,'http://rtstream.tanitweb.com/nationale',148,'{\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"78972813067\",\"out_time_ms\":\"78972813067\",\"out_time\":\"21:56:12.813067\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(4,1,21,NULL,8234,0,0,1638279658,'{\"codecs\":{\"video\":\"\",\"audio\":{\"index\":0,\"codec_name\":\"mp3\",\"codec_long_name\":\"MP3 (MPEG audio layer 3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/14112000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"128000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}}},\"container\":\"mp3\",\"filename\":\"http:\\/\\/streaming2.toutech.net:8000\\/jawharafm\",\"bitrate\":\"128000\",\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',30295,'http://streaming2.toutech.net:8000/jawharafm',148,'{\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"288820688978\",\"out_time_ms\":\"288820688978\",\"out_time\":\"80:13:40.688978\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(5,4,21,NULL,27615,0,0,1638350019,'{\"codecs\":{\"video\":\"\",\"audio\":{\"index\":0,\"codec_name\":\"mp3\",\"codec_long_name\":\"MP3 (MPEG audio layer 3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/14112000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"128000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}}},\"container\":\"mp3\",\"filename\":\"https:\\/\\/radio.mosaiquefm.net\\/mosatounsi\",\"bitrate\":\"128000\",\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',23702,'https://radio.mosaiquefm.net/mosatounsi',139,'{\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"218469250611\",\"out_time_ms\":\"218469250611\",\"out_time\":\"60:41:09.250611\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(6,5,21,NULL,27746,0,0,1638350026,'{\"codecs\":{\"video\":\"\",\"audio\":{\"index\":0,\"codec_name\":\"mp3\",\"codec_long_name\":\"MP3 (MPEG audio layer 3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/14112000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"128000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}}},\"container\":\"mp3\",\"filename\":\"https:\\/\\/radio.mosaiquefm.net\\/mosadj\",\"bitrate\":\"128000\",\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',2236,'https://radio.mosaiquefm.net/mosadj',139,'{\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"218466246533\",\"out_time_ms\":\"218466246533\",\"out_time\":\"60:41:06.246533\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(7,6,21,NULL,27748,0,0,1638350026,'{\"codecs\":{\"video\":\"\",\"audio\":{\"index\":0,\"codec_name\":\"mp3\",\"codec_long_name\":\"MP3 (MPEG audio layer 3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/14112000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"128000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}}},\"container\":\"mp3\",\"filename\":\"https:\\/\\/radio.mosaiquefm.net\\/mosagold\",\"bitrate\":\"128000\",\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',4864,'https://radio.mosaiquefm.net/mosagold',139,'{\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"218436545311\",\"out_time_ms\":\"218436545311\",\"out_time\":\"60:40:36.545311\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(8,7,21,NULL,28559,0,0,1638350061,'{\"codecs\":{\"video\":\"\",\"audio\":{\"index\":0,\"codec_name\":\"mp3\",\"codec_long_name\":\"MP3 (MPEG audio layer 3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/14112000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"128000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}}},\"container\":\"mp3\",\"filename\":\"https:\\/\\/radio.mosaiquefm.net\\/mosatarab\",\"bitrate\":\"128000\",\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',5992,'https://radio.mosaiquefm.net/mosatarab',139,'{\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"218380225311\",\"out_time_ms\":\"218380225311\",\"out_time\":\"60:39:40.225311\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(9,8,21,NULL,14425,0,0,1638498703,'{\"codecs\":{\"video\":\"\",\"audio\":{\"index\":0,\"codec_name\":\"mp3\",\"codec_long_name\":\"MP3 (MPEG audio layer 3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/14112000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"64000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}}},\"container\":\"mp3\",\"filename\":\"https:\\/\\/radio.shemsfm.net\\/shems\",\"bitrate\":\"64000\",\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',8888,'https://radio.shemsfm.net/shems',74,'{\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"69788943678\",\"out_time_ms\":\"69788943678\",\"out_time\":\"19:23:08.943678\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(10,9,21,1,11799,0,0,1637265174,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"mpeg4\",\"codec_long_name\":\"MPEG-4 part 2\",\"profile\":\"Advanced Simple Profile\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/25\",\"codec_tag_string\":\"XVID\",\"codec_tag\":\"0x44495658\",\"width\":720,\"height\":528,\"coded_width\":720,\"coded_height\":528,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"15:11\",\"pix_fmt\":\"yuv420p\",\"level\":5,\"chroma_location\":\"left\",\"refs\":1,\"quarter_sample\":\"false\",\"divx_packed\":\"false\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"duration_ts\":5396928,\"duration\":\"5396.928000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"title\":\"Video Track\"}},\"audio\":{\"index\":1,\"codec_name\":\"mp3\",\"codec_long_name\":\"MP3 (MPEG audio layer 3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"128000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"title\":\"Audio Track\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/9.mkv\",\"bitrate\":\"1224419\",\"of_duration\":\"5396.928000\",\"duration\":\"01:29:56\"}',NULL,NULL,1225,'',0,NULL,NULL),(11,10,21,1,11769,0,0,1637265170,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1001\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"24000\\/1001\",\"avg_frame_rate\":\"24000\\/1001\",\"time_base\":\"1\\/1000\",\"start_pts\":5,\"start_time\":\"0.005000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"BPS-eng\":\"3459823\",\"DURATION-eng\":\"01:32:13.487000000\",\"NUMBER_OF_FRAMES-eng\":\"132671\",\"NUMBER_OF_BYTES-eng\":\"2393111104\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v38.0.0 (\'The Silent Type\') 32-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-11-13 17:16:03\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":2,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"English Stereo\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"01:32:13.568000000\",\"NUMBER_OF_FRAMES-eng\":\"172924\",\"NUMBER_OF_BYTES-eng\":\"132805632\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v38.0.0 (\'The Silent Type\') 32-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-11-13 17:16:03\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/10.mkv\",\"bitrate\":\"4293911\",\"of_duration\":\"5533.568000\",\"duration\":\"01:32:13\"}',NULL,NULL,4294,'',0,NULL,NULL),(14,13,21,NULL,-1,0,1,1637335793,'{\"codecs\":{\"video\":{\"index\":1,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"0\\/2\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"30\\/1\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":7026632575,\"start_time\":\"78073.695278\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":0,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":7026634019,\"start_time\":\"78073.711322\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/manifest.googlevideo.com\\/api\\/manifest\\/hls_playlist\\/expire\\/1637357194\\/ei\\/KsKXYaS4CdCvxN8Pqu-e4AI\\/ip\\/196.203.25.97\\/id\\/eJ6ZMd4sVrI.2\\/itag\\/96\\/source\\/yt_live_broadcast\\/requiressl\\/yes\\/ratebypass\\/yes\\/live\\/1\\/sgoap\\/gir%3Dyes%3Bitag%3D140\\/sgovp\\/gir%3Dyes%3Bitag%3D137\\/hls_chunk_host\\/rr1---sn-bavc5aoxuuo-u0oe.googlevideo.com\\/playlist_duration\\/30\\/manifest_duration\\/30\\/vprv\\/1\\/playlist_type\\/DVR\\/initcwndbps\\/1730\\/mh\\/9_\\/mm\\/44\\/mn\\/sn-bavc5aoxuuo-u0oe\\/ms\\/lva\\/mv\\/m\\/mvi\\/1\\/pl\\/21\\/dover\\/11\\/keepalive\\/yes\\/fexp\\/24001373,24007246\\/mt\\/1637335235\\/sparams\\/expire,ei,ip,id,itag,source,requiressl,ratebypass,live,sgoap,sgovp,playlist_duration,manifest_duration,vprv,playlist_type\\/sig\\/AOq0QJ8wRQIgV--WiMGE1TItc90beNe5hQ0jyO_wznctgmdC2V-wHbsCIQCgc9Nf-TlW6ZY8U6JGEj6gS4Iy6yLjKckyVkGAh4lZQw%3D%3D\\/lsparams\\/hls_chunk_host,initcwndbps,mh,mm,mn,ms,mv,mvi,pl\\/lsig\\/AG3C_xAwRQIgY1ZNU9NjnuSdC6WoKqFWGY8PWyjPZjziAblwKMvJojUCIQCJKbsJ9q2FQPBTKnRRGrjkge_bv0iWSoT8_S4OHvDVcA%3D%3D\\/playlist\\/index.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',32493,'https://manifest.googlevideo.com/api/manifest/hls_playlist/expire/1637357194/ei/KsKXYaS4CdCvxN8Pqu-e4AI/ip/196.203.25.97/id/eJ6ZMd4sVrI.2/itag/96/source/yt_live_broadcast/requiressl/yes/ratebypass/yes/live/1/sgoap/gir%3Dyes%3Bitag%3D140/sgovp/gir%3Dyes%3Bitag%3D137/hls_chunk_host/rr1---sn-bavc5aoxuuo-u0oe.googlevideo.com/playlist_duration/30/manifest_duration/30/vprv/1/playlist_type/DVR/initcwndbps/1730/mh/9_/mm/44/mn/sn-bavc5aoxuuo-u0oe/ms/lva/mv/m/mvi/1/pl/21/dover/11/keepalive/yes/fexp/24001373,24007246/mt/1637335235/sparams/expire,ei,ip,id,itag,source,requiressl,ratebypass,live,sgoap,sgovp,playlist_duration,manifest_duration,vprv,playlist_type/sig/AOq0QJ8wRQIgV--WiMGE1TItc90beNe5hQ0jyO_wznctgmdC2V-wHbsCIQCgc9Nf-TlW6ZY8U6JGEj6gS4Iy6yLjKckyVkGAh4lZQw%3D%3D/lsparams/hls_chunk_host,initcwndbps,mh,mm,mn,ms,mv,mvi,pl/lsig/AG3C_xAwRQIgY1ZNU9NjnuSdC6WoKqFWGY8PWyjPZjziAblwKMvJojUCIQCJKbsJ9q2FQPBTKnRRGrjkge_bv0iWSoT8_S4OHvDVcA%3D%3D/playlist/index.m3u8',1933,'',0,NULL,0),(15,14,21,NULL,-1,0,1,1637336957,'{\"codecs\":{\"video\":{\"index\":1,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"0\\/2\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"30\\/1\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":3350436030,\"start_time\":\"37227.067000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":0,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":3350436048,\"start_time\":\"37227.067200\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/manifest.googlevideo.com\\/api\\/manifest\\/hls_playlist\\/expire\\/1637358435\\/ei\\/A8eXYYS4CoWGWdmBhrAH\\/ip\\/196.203.25.97\\/id\\/QMqUm5Ynou4.2\\/itag\\/95\\/source\\/yt_live_broadcast\\/requiressl\\/yes\\/ratebypass\\/yes\\/live\\/1\\/sgoap\\/gir%3Dyes%3Bitag%3D140\\/sgovp\\/gir%3Dyes%3Bitag%3D136\\/hls_chunk_host\\/rr1---sn-bavc5aoxuuo-u0oe.googlevideo.com\\/playlist_duration\\/30\\/manifest_duration\\/30\\/vprv\\/1\\/playlist_type\\/DVR\\/initcwndbps\\/2590\\/mh\\/-M\\/mm\\/44\\/mn\\/sn-bavc5aoxuuo-u0oe\\/ms\\/lva\\/mv\\/m\\/mvi\\/1\\/pl\\/21\\/dover\\/11\\/keepalive\\/yes\\/fexp\\/24001373,24007246\\/mt\\/1637336441\\/sparams\\/expire,ei,ip,id,itag,source,requiressl,ratebypass,live,sgoap,sgovp,playlist_duration,manifest_duration,vprv,playlist_type\\/sig\\/AOq0QJ8wRQIhAI-NRYBBDVEOiHuhzAC0Mfg2v_99Kz0o7Ud28tA51_JwAiBjouT6f9OrRr0ZPM05Kko8tkQUj3G7rCLjYcV5UAAcTA%3D%3D\\/lsparams\\/hls_chunk_host,initcwndbps,mh,mm,mn,ms,mv,mvi,pl\\/lsig\\/AG3C_xAwRQIhANgTdVxXH5dckzSWUVh11M_BfkCM_wKcUAk6HJ-yJ-E6AiAbad176f-l7tnACBRDGMs3u5W2B4hwVgFVwfoTSbohYQ%3D%3D\\/playlist\\/index.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',12102,'https://manifest.googlevideo.com/api/manifest/hls_playlist/expire/1637358435/ei/A8eXYYS4CoWGWdmBhrAH/ip/196.203.25.97/id/QMqUm5Ynou4.2/itag/95/source/yt_live_broadcast/requiressl/yes/ratebypass/yes/live/1/sgoap/gir%3Dyes%3Bitag%3D140/sgovp/gir%3Dyes%3Bitag%3D136/hls_chunk_host/rr1---sn-bavc5aoxuuo-u0oe.googlevideo.com/playlist_duration/30/manifest_duration/30/vprv/1/playlist_type/DVR/initcwndbps/2590/mh/-M/mm/44/mn/sn-bavc5aoxuuo-u0oe/ms/lva/mv/m/mvi/1/pl/21/dover/11/keepalive/yes/fexp/24001373,24007246/mt/1637336441/sparams/expire,ei,ip,id,itag,source,requiressl,ratebypass,live,sgoap,sgovp,playlist_duration,manifest_duration,vprv,playlist_type/sig/AOq0QJ8wRQIhAI-NRYBBDVEOiHuhzAC0Mfg2v_99Kz0o7Ud28tA51_JwAiBjouT6f9OrRr0ZPM05Kko8tkQUj3G7rCLjYcV5UAAcTA%3D%3D/lsparams/hls_chunk_host,initcwndbps,mh,mm,mn,ms,mv,mvi,pl/lsig/AG3C_xAwRQIhANgTdVxXH5dckzSWUVh11M_BfkCM_wKcUAk6HJ-yJ-E6AiAbad176f-l7tnACBRDGMs3u5W2B4hwVgFVwfoTSbohYQ%3D%3D/playlist/index.m3u8',1619,'',0,NULL,0),(16,15,21,NULL,-1,0,1,NULL,'',22581,NULL,NULL,'',0,NULL,NULL),(17,16,21,NULL,-1,0,1,NULL,'',18488,NULL,NULL,'',0,NULL,NULL),(18,17,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(19,18,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(20,19,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(21,20,21,NULL,29682,0,0,1637348169,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"mpeg4\",\"codec_long_name\":\"MPEG-4 part 2\",\"profile\":\"Advanced Simple Profile\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/25\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":720,\"height\":528,\"coded_width\":720,\"coded_height\":528,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"15:11\",\"pix_fmt\":\"yuv420p\",\"level\":5,\"chroma_location\":\"left\",\"refs\":1,\"quarter_sample\":\"false\",\"divx_packed\":\"false\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":40,\"start_time\":\"0.040000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"title\":\"Video Track\",\"DURATION\":\"01:29:56.920000000\"}},\"audio\":{\"index\":1,\"codec_name\":\"mp3\",\"codec_long_name\":\"MP3 (MPEG audio layer 3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"128000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"title\":\"Audio Track\",\"DURATION\":\"01:29:56.928000000\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/20.mkv\",\"bitrate\":\"1226439\",\"of_duration\":\"5396.928000\",\"duration\":\"01:29:56\"}',NULL,NULL,1227,'',0,NULL,NULL),(22,21,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(23,22,21,NULL,16883,0,0,1637527804,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"mpeg4\",\"codec_long_name\":\"MPEG-4 part 2\",\"profile\":\"Advanced Simple Profile\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/25\",\"codec_tag_string\":\"XVID\",\"codec_tag\":\"0x44495658\",\"width\":720,\"height\":528,\"coded_width\":720,\"coded_height\":528,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"15:11\",\"pix_fmt\":\"yuv420p\",\"level\":5,\"chroma_location\":\"left\",\"refs\":1,\"quarter_sample\":\"false\",\"divx_packed\":\"false\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"duration_ts\":5396928,\"duration\":\"5396.928000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"title\":\"Video Track\"}},\"audio\":{\"index\":1,\"codec_name\":\"mp3\",\"codec_long_name\":\"MP3 (MPEG audio layer 3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"128000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"title\":\"Audio Track\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/22.mkv\",\"bitrate\":\"1224419\",\"of_duration\":\"5396.928000\",\"duration\":\"01:29:56\"}',NULL,NULL,1225,'',0,NULL,NULL),(24,23,21,NULL,16911,0,0,1637527807,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1001\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"24000\\/1001\",\"avg_frame_rate\":\"24000\\/1001\",\"time_base\":\"1\\/1000\",\"start_pts\":5,\"start_time\":\"0.005000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"BPS-eng\":\"3459823\",\"DURATION-eng\":\"01:32:13.487000000\",\"NUMBER_OF_FRAMES-eng\":\"132671\",\"NUMBER_OF_BYTES-eng\":\"2393111104\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v38.0.0 (\'The Silent Type\') 32-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-11-13 17:16:03\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":2,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"English Stereo\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"01:32:13.568000000\",\"NUMBER_OF_FRAMES-eng\":\"172924\",\"NUMBER_OF_BYTES-eng\":\"132805632\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v38.0.0 (\'The Silent Type\') 32-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-11-13 17:16:03\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/23.mkv\",\"bitrate\":\"4293911\",\"of_duration\":\"5533.568000\",\"duration\":\"01:32:13\"}',NULL,NULL,4294,'',0,NULL,NULL),(27,33,21,NULL,28479,0,0,1637520064,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1001\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1920,\"height\":1040,\"coded_width\":1920,\"coded_height\":1040,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"24:13\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"24000\\/1001\",\"avg_frame_rate\":\"24000\\/1001\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"BPS\":\"10018782\",\"BPS-eng\":\"10018782\",\"DURATION\":\"00:04:55.712000000\",\"DURATION-eng\":\"00:04:55.712000000\",\"NUMBER_OF_FRAMES\":\"7090\",\"NUMBER_OF_FRAMES-eng\":\"7090\",\"NUMBER_OF_BYTES\":\"370334289\",\"NUMBER_OF_BYTES-eng\":\"370334289\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v15.0.0 (\'Duel with the Devil\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v15.0.0 (\'Duel with the Devil\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-26 15:05:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-26 15:05:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":6,\"channel_layout\":\"5.1(side)\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"640000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"English AC3 640 kbps\",\"BPS\":\"640000\",\"BPS-eng\":\"640000\",\"DURATION\":\"00:04:55.744000000\",\"DURATION-eng\":\"00:04:55.744000000\",\"NUMBER_OF_FRAMES\":\"9242\",\"NUMBER_OF_FRAMES-eng\":\"9242\",\"NUMBER_OF_BYTES\":\"23659520\",\"NUMBER_OF_BYTES-eng\":\"23659520\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v15.0.0 (\'Duel with the Devil\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v15.0.0 (\'Duel with the Devil\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-26 15:05:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-26 15:05:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/33.mkv\",\"bitrate\":\"10660002\",\"of_duration\":\"295.744000\",\"duration\":\"00:04:55\"}',NULL,NULL,10687,'',0,NULL,NULL),(28,26,21,NULL,16907,0,0,1637527806,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"mpeg4\",\"codec_long_name\":\"MPEG-4 part 2\",\"profile\":\"Advanced Simple Profile\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/25\",\"codec_tag_string\":\"XVID\",\"codec_tag\":\"0x44495658\",\"width\":720,\"height\":528,\"coded_width\":720,\"coded_height\":528,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"15:11\",\"pix_fmt\":\"yuv420p\",\"level\":5,\"chroma_location\":\"left\",\"refs\":1,\"quarter_sample\":\"false\",\"divx_packed\":\"false\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"duration_ts\":5396928,\"duration\":\"5396.928000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"title\":\"Video Track\"}},\"audio\":{\"index\":1,\"codec_name\":\"mp3\",\"codec_long_name\":\"MP3 (MPEG audio layer 3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"128000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"title\":\"Audio Track\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/26.mkv\",\"bitrate\":\"1224419\",\"of_duration\":\"5396.928000\",\"duration\":\"01:29:56\"}',NULL,NULL,1225,'',0,NULL,NULL),(33,30,21,NULL,2189,0,0,1637752432,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"La Reine des Neiges: Magie des Aurores Boreales\",\"BPS\":\"2198426\",\"BPS-eng\":\"2198426\",\"DURATION\":\"00:21:08.640000000\",\"DURATION-eng\":\"00:21:08.640000000\",\"NUMBER_OF_FRAMES\":\"31716\",\"NUMBER_OF_FRAMES-eng\":\"31716\",\"NUMBER_OF_BYTES\":\"348626535\",\"NUMBER_OF_BYTES-eng\":\"348626535\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v9.8.0 (\'Kuglblids\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v9.8.0 (\'Kuglblids\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-02-15 17:09:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-02-15 17:09:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"Fran\\u00e7ais AC3 2.0\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:21:08.608000000\",\"DURATION-eng\":\"00:21:08.608000000\",\"NUMBER_OF_FRAMES\":\"39644\",\"NUMBER_OF_FRAMES-eng\":\"39644\",\"NUMBER_OF_BYTES\":\"30446592\",\"NUMBER_OF_BYTES-eng\":\"30446592\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v9.8.0 (\'Kuglblids\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v9.8.0 (\'Kuglblids\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-02-15 17:09:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-02-15 17:09:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/30.mkv\",\"bitrate\":\"2392262\",\"of_duration\":\"1268.640000\",\"duration\":\"00:21:08\"}',NULL,NULL,2393,'',0,NULL,NULL),(34,29,21,NULL,18143,0,0,1637705603,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/60\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"30\\/1\",\"avg_frame_rate\":\"30\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/29.mkv\",\"bitrate\":\"2684862\",\"of_duration\":\"1390.100000\",\"duration\":\"00:23:10\"}',NULL,NULL,2685,'',0,NULL,NULL),(35,28,21,NULL,7319,0,0,1637698508,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/48\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"24\\/1\",\"avg_frame_rate\":\"24\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"jpn\",\"title\":\"Goldorak contre Great Mazinger 1976 VFF WEB_Rip 1080p AVC-NoBodyPerfect\",\"BPS-eng\":\"3025333\",\"DURATION-eng\":\"00:23:09.375000000\",\"NUMBER_OF_FRAMES-eng\":\"33345\",\"NUMBER_OF_BYTES-eng\":\"525415266\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v21.0.0 (\'Tardigrades Will Inherit The Earth\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-09-15 19:50:16\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":1,\"channel_layout\":\"mono\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"VFF AAC_Mono@128 Kbps\",\"BPS-eng\":\"125375\",\"DURATION-eng\":\"00:23:09.738000000\",\"NUMBER_OF_FRAMES-eng\":\"65144\",\"NUMBER_OF_BYTES-eng\":\"21779811\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v21.0.0 (\'Tardigrades Will Inherit The Earth\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-09-15 19:50:16\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/28.mkv\",\"bitrate\":\"3152511\",\"of_duration\":\"1389.738000\",\"duration\":\"00:23:09\"}',NULL,NULL,3154,'',0,NULL,NULL),(36,27,21,NULL,7315,0,0,1637698508,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1001\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"24000\\/1001\",\"avg_frame_rate\":\"24000\\/1001\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}},\"audio\":{\"index\":2,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":6,\"channel_layout\":\"5.1(side)\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"640000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"English\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/27.mkv\",\"bitrate\":\"5205543\",\"of_duration\":\"2687.712000\",\"duration\":\"00:44:47\"}',NULL,NULL,5207,'',0,NULL,NULL),(37,35,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(41,39,21,NULL,6668,0,0,1637786137,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1001\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1920,\"height\":1040,\"coded_width\":1920,\"coded_height\":1040,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"24:13\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"24000\\/1001\",\"avg_frame_rate\":\"24000\\/1001\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"BPS\":\"10018782\",\"BPS-eng\":\"10018782\",\"DURATION\":\"00:04:55.712000000\",\"DURATION-eng\":\"00:04:55.712000000\",\"NUMBER_OF_FRAMES\":\"7090\",\"NUMBER_OF_FRAMES-eng\":\"7090\",\"NUMBER_OF_BYTES\":\"370334289\",\"NUMBER_OF_BYTES-eng\":\"370334289\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v15.0.0 (\'Duel with the Devil\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v15.0.0 (\'Duel with the Devil\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-26 15:05:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-26 15:05:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":6,\"channel_layout\":\"5.1(side)\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"640000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"English AC3 640 kbps\",\"BPS\":\"640000\",\"BPS-eng\":\"640000\",\"DURATION\":\"00:04:55.744000000\",\"DURATION-eng\":\"00:04:55.744000000\",\"NUMBER_OF_FRAMES\":\"9242\",\"NUMBER_OF_FRAMES-eng\":\"9242\",\"NUMBER_OF_BYTES\":\"23659520\",\"NUMBER_OF_BYTES-eng\":\"23659520\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v15.0.0 (\'Duel with the Devil\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v15.0.0 (\'Duel with the Devil\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-26 15:05:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-26 15:05:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/39.mkv\",\"bitrate\":\"10660002\",\"of_duration\":\"295.744000\",\"duration\":\"00:04:55\"}',NULL,NULL,10687,'',0,NULL,NULL),(42,40,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(43,41,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(44,42,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(45,43,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(46,44,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(47,45,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(48,46,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(69,67,21,NULL,27932,0,0,1637927546,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1001\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"24000\\/1001\",\"avg_frame_rate\":\"24000\\/1001\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}},\"audio\":{\"index\":2,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":6,\"channel_layout\":\"5.1(side)\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"640000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"English\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/67.mkv\",\"bitrate\":\"5205543\",\"of_duration\":\"2687.712000\",\"duration\":\"00:44:47\"}',NULL,NULL,5207,'',0,NULL,NULL),(70,68,21,NULL,28546,0,0,1637927576,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/48\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"24\\/1\",\"avg_frame_rate\":\"24\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"jpn\",\"title\":\"Goldorak contre Great Mazinger 1976 VFF WEB_Rip 1080p AVC-NoBodyPerfect\",\"BPS-eng\":\"3025333\",\"DURATION-eng\":\"00:23:09.375000000\",\"NUMBER_OF_FRAMES-eng\":\"33345\",\"NUMBER_OF_BYTES-eng\":\"525415266\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v21.0.0 (\'Tardigrades Will Inherit The Earth\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-09-15 19:50:16\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":1,\"channel_layout\":\"mono\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"VFF AAC_Mono@128 Kbps\",\"BPS-eng\":\"125375\",\"DURATION-eng\":\"00:23:09.738000000\",\"NUMBER_OF_FRAMES-eng\":\"65144\",\"NUMBER_OF_BYTES-eng\":\"21779811\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v21.0.0 (\'Tardigrades Will Inherit The Earth\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-09-15 19:50:16\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/68.mkv\",\"bitrate\":\"3152511\",\"of_duration\":\"1389.738000\",\"duration\":\"00:23:09\"}',NULL,NULL,3154,'',0,NULL,NULL),(71,69,21,NULL,28541,0,0,1637927576,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/60\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"30\\/1\",\"avg_frame_rate\":\"30\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/69.mkv\",\"bitrate\":\"2684862\",\"of_duration\":\"1390.100000\",\"duration\":\"00:23:10\"}',NULL,NULL,2685,'',0,NULL,NULL),(72,70,21,NULL,28535,0,0,1637927576,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"La Reine des Neiges: Magie des Aurores Boreales\",\"BPS\":\"2198426\",\"BPS-eng\":\"2198426\",\"DURATION\":\"00:21:08.640000000\",\"DURATION-eng\":\"00:21:08.640000000\",\"NUMBER_OF_FRAMES\":\"31716\",\"NUMBER_OF_FRAMES-eng\":\"31716\",\"NUMBER_OF_BYTES\":\"348626535\",\"NUMBER_OF_BYTES-eng\":\"348626535\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v9.8.0 (\'Kuglblids\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v9.8.0 (\'Kuglblids\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-02-15 17:09:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-02-15 17:09:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"Fran\\u00e7ais AC3 2.0\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:21:08.608000000\",\"DURATION-eng\":\"00:21:08.608000000\",\"NUMBER_OF_FRAMES\":\"39644\",\"NUMBER_OF_FRAMES-eng\":\"39644\",\"NUMBER_OF_BYTES\":\"30446592\",\"NUMBER_OF_BYTES-eng\":\"30446592\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v9.8.0 (\'Kuglblids\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v9.8.0 (\'Kuglblids\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-02-15 17:09:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-02-15 17:09:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/70.mkv\",\"bitrate\":\"2392262\",\"of_duration\":\"1268.640000\",\"duration\":\"00:21:08\"}',NULL,NULL,2393,'',0,NULL,NULL),(73,71,21,NULL,28531,0,0,1637927576,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1001\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1480,\"height\":1080,\"coded_width\":1488,\"coded_height\":1088,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"37:27\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"24000\\/1001\",\"avg_frame_rate\":\"24000\\/1001\",\"time_base\":\"1\\/1000\",\"start_pts\":5,\"start_time\":\"0.005000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"title\":\"Le.Monde.Anime.De.Grimault.2019.VFF.1080p.BluRay.Light.AC3.x264-TireXo\",\"BPS\":\"3984655\",\"DURATION\":\"01:23:53.529000000\",\"NUMBER_OF_FRAMES\":\"120684\",\"NUMBER_OF_BYTES\":\"2507109860\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v61.0.0 (\'So\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2021-11-20 08:13:20\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"448000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":1,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"VFF AC3 2.0 @448kbps\",\"BPS\":\"448000\",\"DURATION\":\"01:23:53.536000000\",\"NUMBER_OF_FRAMES\":\"157298\",\"NUMBER_OF_BYTES\":\"281878016\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v61.0.0 (\'So\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2021-11-20 08:13:20\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/71.mkv\",\"bitrate\":\"4437265\",\"of_duration\":\"5033.536000\",\"duration\":\"01:23:53\"}',NULL,NULL,4438,'',0,NULL,NULL),(74,72,21,NULL,28527,0,0,1637927576,'{\"codecs\":{\"video\":{\"index\":5,\"codec_name\":\"gif\",\"codec_long_name\":\"GIF (Graphics Interchange Format)\",\"codec_type\":\"video\",\"codec_time_base\":\"0\\/1\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":2956,\"height\":2997,\"coded_width\":2956,\"coded_height\":2997,\"has_b_frames\":0,\"pix_fmt\":\"bgra\",\"level\":-99,\"refs\":1,\"r_frame_rate\":\"90000\\/1\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"duration_ts\":438100200,\"duration\":\"4867.780000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":1,\"timed_thumbnails\":0},\"tags\":{\"filename\":\"H4S5S.gif\",\"mimetype\":\"image\\/gif\"}},\"audio\":{\"index\":2,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":6,\"channel_layout\":\"5.1(side)\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"320000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"VO @ AC3 5.1\",\"BPS-eng\":\"320000\",\"DURATION-eng\":\"01:21:07.744000000\",\"NUMBER_OF_FRAMES-eng\":\"152117\",\"NUMBER_OF_BYTES-eng\":\"194709760\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v21.0.0 (\'Tardigrades Will Inherit The Earth\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-03-05 17:26:22\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/72.mkv\",\"bitrate\":\"2385222\",\"of_duration\":\"4867.780000\",\"duration\":\"01:21:07\"}',NULL,NULL,2386,'',0,NULL,NULL),(75,73,21,NULL,24130,0,0,1637880564,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1001\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1920,\"height\":1040,\"coded_width\":1920,\"coded_height\":1040,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"24:13\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"24000\\/1001\",\"avg_frame_rate\":\"24000\\/1001\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"BPS\":\"10018782\",\"BPS-eng\":\"10018782\",\"DURATION\":\"00:04:55.712000000\",\"DURATION-eng\":\"00:04:55.712000000\",\"NUMBER_OF_FRAMES\":\"7090\",\"NUMBER_OF_FRAMES-eng\":\"7090\",\"NUMBER_OF_BYTES\":\"370334289\",\"NUMBER_OF_BYTES-eng\":\"370334289\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v15.0.0 (\'Duel with the Devil\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v15.0.0 (\'Duel with the Devil\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-26 15:05:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-26 15:05:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":6,\"channel_layout\":\"5.1(side)\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"640000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"English AC3 640 kbps\",\"BPS\":\"640000\",\"BPS-eng\":\"640000\",\"DURATION\":\"00:04:55.744000000\",\"DURATION-eng\":\"00:04:55.744000000\",\"NUMBER_OF_FRAMES\":\"9242\",\"NUMBER_OF_FRAMES-eng\":\"9242\",\"NUMBER_OF_BYTES\":\"23659520\",\"NUMBER_OF_BYTES-eng\":\"23659520\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v15.0.0 (\'Duel with the Devil\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v15.0.0 (\'Duel with the Devil\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-26 15:05:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-26 15:05:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/73.mkv\",\"bitrate\":\"10660002\",\"of_duration\":\"295.744000\",\"duration\":\"00:04:55\"}',NULL,NULL,10687,'',0,NULL,NULL),(76,74,21,NULL,1245,0,0,1638549463,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":4565280952,\"start_time\":\"50725.343911\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":4565281312,\"start_time\":\"50725.347911\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-m6-int-prod-dub.shahid.net\\/out\\/v1\\/a315ab77ee7343a7a17dbe7e32eee3ba\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',30356,'https://shls-m6-int-prod-dub.shahid.net/out/v1/a315ab77ee7343a7a17dbe7e32eee3ba/index_1.m3u8',4990,'{\"frame\":\"475508\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"19020240011\",\"out_time_ms\":\"19020240011\",\"out_time\":\"05:17:00.240011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(77,75,21,NULL,4594,0,0,1638493578,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":8176375768,\"start_time\":\"90848.619644\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":8176377568,\"start_time\":\"90848.639644\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-tiji-tv-prod-dub.shahid.net\\/out\\/v1\\/98f46736bd8c4404b67e4b7a38cc8976\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',30484,'https://shls-tiji-tv-prod-dub.shahid.net/out/v1/98f46736bd8c4404b67e4b7a38cc8976/index_2.m3u8',1958,'{\"frame\":\"1872755\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"74910120011\",\"out_time_ms\":\"74910120011\",\"out_time\":\"20:48:30.120011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(78,76,21,NULL,25586,0,0,1638535045,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":3297708504,\"start_time\":\"36641.205600\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":3297710304,\"start_time\":\"36641.225600\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-gulli-bil-arabi-prod-dub.shahid.net\\/out\\/v1\\/5454d215afba410c90b233f400730958\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',30398,'https://shls-gulli-bil-arabi-prod-dub.shahid.net/out/v1/5454d215afba410c90b233f400730958/index_2.m3u8',1249,'{\"frame\":\"836269\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"33450690678\",\"out_time_ms\":\"33450690678\",\"out_time\":\"09:17:30.690678\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(79,77,21,NULL,1340,0,0,1638549469,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1024,\"height\":576,\"coded_width\":1024,\"coded_height\":576,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":560362808,\"start_time\":\"6226.253422\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":560363648,\"start_time\":\"6226.262756\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-expotv-prod-dub.shahid.net\\/out\\/v1\\/d01b0b3888284878b8898017895a5922\\/index_3.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',30413,'https://shls-expotv-prod-dub.shahid.net/out/v1/d01b0b3888284878b8898017895a5922/index_3.m3u8',1403,'{\"frame\":\"475512\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"19020400011\",\"out_time_ms\":\"19020400011\",\"out_time\":\"05:17:00.400011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(80,78,21,NULL,1564,0,0,1638549479,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":3452167064,\"start_time\":\"38357.411822\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":3452167424,\"start_time\":\"38357.415822\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-asharq-prod-dub.shahid.net\\/out\\/v1\\/3b6b4902cf8747a28619411239584002\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',30604,'https://shls-asharq-prod-dub.shahid.net/out/v1/3b6b4902cf8747a28619411239584002/index_2.m3u8',759,'{\"frame\":\"475523\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"19020800011\",\"out_time_ms\":\"19020800011\",\"out_time\":\"05:17:00.800011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(81,79,21,NULL,24411,0,0,1638510069,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":5183941720,\"start_time\":\"57599.352444\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":5183942080,\"start_time\":\"57599.356444\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanakids-prod-dub.shahid.net\\/out\\/v1\\/df6e0eb3cdc4410b98209aafc8677cef\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',30651,'https://shls-rotanakids-prod-dub.shahid.net/out/v1/df6e0eb3cdc4410b98209aafc8677cef/index_2.m3u8',1972,'{\"frame\":\"1460253\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"58410040011\",\"out_time_ms\":\"58410040011\",\"out_time\":\"16:13:30.040011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(82,80,21,NULL,1804,0,0,1638549487,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":348471512,\"start_time\":\"3871.905689\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":348472832,\"start_time\":\"3871.920356\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbc1na-prod-dub.shahid.net\\/out\\/v1\\/84ab37e99d6e4b16b33c6600f94f6ccb\\/index_8.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',30693,'https://shls-mbc1na-prod-dub.shahid.net/out/v1/84ab37e99d6e4b16b33c6600f94f6ccb/index_8.m3u8',5549,'{\"frame\":\"474762\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"18990400011\",\"out_time_ms\":\"18990400011\",\"out_time\":\"05:16:30.400011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(83,81,21,NULL,2097,0,0,1638549501,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":349551512,\"start_time\":\"3883.905689\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":349551872,\"start_time\":\"3883.909689\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbc1na-prod-dub.shahid.net\\/out\\/v1\\/84ab37e99d6e4b16b33c6600f94f6ccb\\/index_7.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',30829,'https://shls-mbc1na-prod-dub.shahid.net/out/v1/84ab37e99d6e4b16b33c6600f94f6ccb/index_7.m3u8',3595,'{\"frame\":\"474769\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"18990680011\",\"out_time_ms\":\"18990680011\",\"out_time\":\"05:16:30.680011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(84,82,21,NULL,2127,0,0,1638549503,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":512,\"height\":288,\"coded_width\":512,\"coded_height\":288,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":21,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":350091512,\"start_time\":\"3889.905689\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":350093312,\"start_time\":\"3889.925689\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbc1na-prod-dub.shahid.net\\/out\\/v1\\/84ab37e99d6e4b16b33c6600f94f6ccb\\/index_5.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',30851,'https://shls-mbc1na-prod-dub.shahid.net/out/v1/84ab37e99d6e4b16b33c6600f94f6ccb/index_5.m3u8',690,'{\"frame\":\"474769\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"18990680011\",\"out_time_ms\":\"18990680011\",\"out_time\":\"05:16:30.680011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(85,83,21,NULL,-1,0,1,NULL,'',879,NULL,NULL,'',0,NULL,NULL),(86,84,21,NULL,-1,0,1,NULL,'',30713,NULL,NULL,'',0,NULL,NULL),(87,85,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(88,86,21,NULL,2235,0,0,1638549508,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":3382270360,\"start_time\":\"37580.781778\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":3382272160,\"start_time\":\"37580.801778\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbc3-prod-dub.shahid.net\\/out\\/v1\\/d5bbe570e1514d3d9a142657d33d85e6\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',30904,'https://shls-mbc3-prod-dub.shahid.net/out/v1/d5bbe570e1514d3d9a142657d33d85e6/index_1.m3u8',3039,'{\"frame\":\"474761\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"18990360011\",\"out_time_ms\":\"18990360011\",\"out_time\":\"05:16:30.360011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(89,87,21,NULL,29494,0,0,1638494788,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":7047404952,\"start_time\":\"78304.499467\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":7047406752,\"start_time\":\"78304.519467\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbc3-prod-dub.shahid.net\\/out\\/v1\\/d5bbe570e1514d3d9a142657d33d85e6\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',30924,'https://shls-mbc3-prod-dub.shahid.net/out/v1/d5bbe570e1514d3d9a142657d33d85e6/index_2.m3u8',1052,'{\"frame\":\"1842766\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"73710560011\",\"out_time_ms\":\"73710560011\",\"out_time\":\"20:28:30.560011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(90,88,21,NULL,2246,0,0,1638549509,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":512,\"height\":288,\"coded_width\":512,\"coded_height\":288,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":21,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":3382270360,\"start_time\":\"37580.781778\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":3382272160,\"start_time\":\"37580.801778\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbc3-prod-dub.shahid.net\\/out\\/v1\\/d5bbe570e1514d3d9a142657d33d85e6\\/index_6.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',30964,'https://shls-mbc3-prod-dub.shahid.net/out/v1/d5bbe570e1514d3d9a142657d33d85e6/index_6.m3u8',269,'{\"frame\":\"474764\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"18990480011\",\"out_time_ms\":\"18990480011\",\"out_time\":\"05:16:30.480011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(91,89,21,NULL,-1,0,1,NULL,'',30979,NULL,NULL,'',0,NULL,NULL),(92,90,21,NULL,-1,0,1,NULL,'',17614,NULL,NULL,'',0,NULL,NULL),(93,91,21,NULL,-1,0,1,NULL,'',17566,NULL,NULL,'',0,NULL,NULL),(94,92,21,NULL,1430,0,0,1638473177,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1037859512,\"start_time\":\"11531.772356\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1037860832,\"start_time\":\"11531.787022\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbc5-prod-dub.shahid.net\\/out\\/v1\\/2720564b6a4641658fdfb6884b160da2\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',17556,'https://shls-mbc5-prod-dub.shahid.net/out/v1/2720564b6a4641658fdfb6884b160da2/index_1.m3u8',4970,'{\"frame\":\"2382777\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"95311000011\",\"out_time_ms\":\"95311000011\",\"out_time\":\"26:28:31.000011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(95,93,21,NULL,17105,0,0,1638556463,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1038399512,\"start_time\":\"11537.772356\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1038400352,\"start_time\":\"11537.781689\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbc5-prod-dub.shahid.net\\/out\\/v1\\/2720564b6a4641658fdfb6884b160da2\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',17541,'https://shls-mbc5-prod-dub.shahid.net/out/v1/2720564b6a4641658fdfb6884b160da2/index_2.m3u8',1847,'{\"frame\":\"300772\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"12030800011\",\"out_time_ms\":\"12030800011\",\"out_time\":\"03:20:30.800011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(96,94,21,NULL,25619,0,0,1638544397,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":512,\"height\":288,\"coded_width\":512,\"coded_height\":288,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":21,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":8542394104,\"start_time\":\"94915.490044\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":8542394464,\"start_time\":\"94915.494044\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbc5-prod-dub.shahid.net\\/out\\/v1\\/2720564b6a4641658fdfb6884b160da2\\/index_6.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',17526,'https://shls-mbc5-prod-dub.shahid.net/out/v1/2720564b6a4641658fdfb6884b160da2/index_6.m3u8',413,'{\"frame\":\"602271\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"24090760011\",\"out_time_ms\":\"24090760011\",\"out_time\":\"06:41:30.760011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(97,95,21,NULL,16998,0,0,1638556457,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":7896838840,\"start_time\":\"87742.653778\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":7896839200,\"start_time\":\"87742.657778\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanadrama-prod-dub.shahid.net\\/out\\/v1\\/20c617b40dc743589ecc9d08d9d3345d\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',17486,'https://shls-rotanadrama-prod-dub.shahid.net/out/v1/20c617b40dc743589ecc9d08d9d3345d/index_1.m3u8',4619,'{\"frame\":\"300756\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"12030160011\",\"out_time_ms\":\"12030160011\",\"out_time\":\"03:20:30.160011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(98,96,21,NULL,17130,0,0,1638556464,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":7919518840,\"start_time\":\"87994.653778\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":7919520160,\"start_time\":\"87994.668444\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanadrama-prod-dub.shahid.net\\/out\\/v1\\/20c617b40dc743589ecc9d08d9d3345d\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',17471,'https://shls-rotanadrama-prod-dub.shahid.net/out/v1/20c617b40dc743589ecc9d08d9d3345d/index_2.m3u8',1573,'{\"frame\":\"300767\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"12030600011\",\"out_time_ms\":\"12030600011\",\"out_time\":\"03:20:30.600011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(99,97,21,NULL,22460,0,0,1638556715,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":7919518840,\"start_time\":\"87994.653778\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":7919520160,\"start_time\":\"87994.668444\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanadrama-prod-dub.shahid.net\\/out\\/v1\\/20c617b40dc743589ecc9d08d9d3345d\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',23068,'https://shls-rotanadrama-prod-dub.shahid.net/out/v1/20c617b40dc743589ecc9d08d9d3345d/index_2.m3u8',1550,'{\"frame\":\"294017\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11760600011\",\"out_time_ms\":\"11760600011\",\"out_time\":\"03:16:00.600011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(100,98,21,NULL,-1,0,1,NULL,'',23007,NULL,NULL,'',0,NULL,NULL),(101,99,21,NULL,-1,0,1,NULL,'',22964,NULL,NULL,'',0,NULL,NULL),(102,100,21,NULL,-1,0,1,NULL,'',22948,NULL,NULL,'',0,NULL,NULL),(103,101,21,NULL,22202,0,0,1638556702,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":335609528,\"start_time\":\"3728.994756\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":335611328,\"start_time\":\"3729.014756\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanaclassic-prod-dub.shahid.net\\/out\\/v1\\/4eebed211c8441228321b4f67a46c5a5\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22933,'https://shls-rotanaclassic-prod-dub.shahid.net/out/v1/4eebed211c8441228321b4f67a46c5a5/index_1.m3u8',5416,'{\"frame\":\"294773\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11790840011\",\"out_time_ms\":\"11790840011\",\"out_time\":\"03:16:30.840011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(104,102,21,NULL,22210,0,0,1638556702,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":335609528,\"start_time\":\"3728.994756\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":335611328,\"start_time\":\"3729.014756\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanaclassic-prod-dub.shahid.net\\/out\\/v1\\/4eebed211c8441228321b4f67a46c5a5\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22862,'https://shls-rotanaclassic-prod-dub.shahid.net/out/v1/4eebed211c8441228321b4f67a46c5a5/index_2.m3u8',1885,'{\"frame\":\"294758\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11790240011\",\"out_time_ms\":\"11790240011\",\"out_time\":\"03:16:30.240011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(105,103,21,NULL,23343,0,0,1638556755,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":512,\"height\":288,\"coded_width\":512,\"coded_height\":288,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":21,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":340469528,\"start_time\":\"3782.994756\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":340470848,\"start_time\":\"3783.009422\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanaclassic-prod-dub.shahid.net\\/out\\/v1\\/4eebed211c8441228321b4f67a46c5a5\\/index_6.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',24072,'https://shls-rotanaclassic-prod-dub.shahid.net/out/v1/4eebed211c8441228321b4f67a46c5a5/index_6.m3u8',381,'{\"frame\":\"293261\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11730360011\",\"out_time_ms\":\"11730360011\",\"out_time\":\"03:15:30.360011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(106,104,21,NULL,22126,0,0,1638556698,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":3905477208,\"start_time\":\"43394.191200\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":3905478048,\"start_time\":\"43394.200533\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-cartoon-net-prod-dub.shahid.net\\/out\\/v1\\/dc4aa87372374325a66be458f29eab0f\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22790,'https://shls-cartoon-net-prod-dub.shahid.net/out/v1/dc4aa87372374325a66be458f29eab0f/index_1.m3u8',4548,'{\"frame\":\"294772\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11790800011\",\"out_time_ms\":\"11790800011\",\"out_time\":\"03:16:30.800011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(107,105,21,NULL,22081,0,0,1638556698,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":3904937208,\"start_time\":\"43388.191200\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":3904938528,\"start_time\":\"43388.205867\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-cartoon-net-prod-dub.shahid.net\\/out\\/v1\\/dc4aa87372374325a66be458f29eab0f\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22747,'https://shls-cartoon-net-prod-dub.shahid.net/out/v1/dc4aa87372374325a66be458f29eab0f/index_2.m3u8',1638,'{\"frame\":\"294764\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11790480011\",\"out_time_ms\":\"11790480011\",\"out_time\":\"03:16:30.480011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(108,106,21,NULL,23268,0,0,1638556752,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":640,\"height\":360,\"coded_width\":640,\"coded_height\":368,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":30,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":3909797208,\"start_time\":\"43442.191200\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":3909798048,\"start_time\":\"43442.200533\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-cartoon-net-prod-dub.shahid.net\\/out\\/v1\\/dc4aa87372374325a66be458f29eab0f\\/index_5.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',24002,'https://shls-cartoon-net-prod-dub.shahid.net/out/v1/dc4aa87372374325a66be458f29eab0f/index_5.m3u8',396,'{\"frame\":\"293273\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11730840011\",\"out_time_ms\":\"11730840011\",\"out_time\":\"03:15:30.840011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(109,107,21,NULL,22071,0,0,1638556697,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":5133266328,\"start_time\":\"57036.292533\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":5133266688,\"start_time\":\"57036.296533\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-spacetoon-prod-dub.shahid.net\\/out\\/v1\\/6240b773a3f34cca95d119f9e76aec02\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22705,'https://shls-spacetoon-prod-dub.shahid.net/out/v1/6240b773a3f34cca95d119f9e76aec02/index_1.m3u8',4823,'{\"frame\":\"294760\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11790320011\",\"out_time_ms\":\"11790320011\",\"out_time\":\"03:16:30.320011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(110,108,21,NULL,22214,0,0,1638556702,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":5133266328,\"start_time\":\"57036.292533\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":5133266688,\"start_time\":\"57036.296533\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-spacetoon-prod-dub.shahid.net\\/out\\/v1\\/6240b773a3f34cca95d119f9e76aec02\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22664,'https://shls-spacetoon-prod-dub.shahid.net/out/v1/6240b773a3f34cca95d119f9e76aec02/index_2.m3u8',1689,'{\"frame\":\"294017\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11760600011\",\"out_time_ms\":\"11760600011\",\"out_time\":\"03:16:00.600011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(111,109,21,NULL,21975,0,0,1638556691,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":512,\"height\":288,\"coded_width\":512,\"coded_height\":288,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":21,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":5132726328,\"start_time\":\"57030.292533\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":5132727168,\"start_time\":\"57030.301867\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-spacetoon-prod-dub.shahid.net\\/out\\/v1\\/6240b773a3f34cca95d119f9e76aec02\\/index_6.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22649,'https://shls-spacetoon-prod-dub.shahid.net/out/v1/6240b773a3f34cca95d119f9e76aec02/index_6.m3u8',361,'{\"frame\":\"294756\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11790160011\",\"out_time_ms\":\"11790160011\",\"out_time\":\"03:16:30.160011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(112,110,21,NULL,24987,0,0,1638510099,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":4373422872,\"start_time\":\"48593.587467\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":4373424672,\"start_time\":\"48593.607467\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanaplus-prod-dub.shahid.net\\/out\\/v1\\/1fc6103458be480b96e6a574b00fe1c0\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22634,'https://shls-rotanaplus-prod-dub.shahid.net/out/v1/1fc6103458be480b96e6a574b00fe1c0/index_1.m3u8',5487,'{\"frame\":\"1459510\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"58380320011\",\"out_time_ms\":\"58380320011\",\"out_time\":\"16:13:00.320011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(113,111,21,NULL,25259,0,0,1638510113,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":4370336984,\"start_time\":\"48559.299822\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":4370337824,\"start_time\":\"48559.309156\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanaplus-prod-dub.shahid.net\\/out\\/v1\\/1fc6103458be480b96e6a574b00fe1c0\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22551,'https://shls-rotanaplus-prod-dub.shahid.net/out/v1/1fc6103458be480b96e6a574b00fe1c0/index_2.m3u8',3042,'{\"frame\":\"1459519\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"58380680011\",\"out_time_ms\":\"58380680011\",\"out_time\":\"16:13:00.680011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(114,112,21,NULL,24843,0,0,1638510093,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":512,\"height\":288,\"coded_width\":512,\"coded_height\":288,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":21,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":4369256984,\"start_time\":\"48547.299822\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":4369258784,\"start_time\":\"48547.319822\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanaplus-prod-dub.shahid.net\\/out\\/v1\\/1fc6103458be480b96e6a574b00fe1c0\\/index_6.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22501,'https://shls-rotanaplus-prod-dub.shahid.net/out/v1/1fc6103458be480b96e6a574b00fe1c0/index_6.m3u8',542,'{\"frame\":\"1459506\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"58380160011\",\"out_time_ms\":\"58380160011\",\"out_time\":\"16:13:00.160011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(115,113,21,NULL,21840,0,0,1638556685,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1069906712,\"start_time\":\"11887.852356\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1069907552,\"start_time\":\"11887.861689\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-masr-prod-dub.shahid.net\\/out\\/v1\\/b7093401da27496797a8949de23f4578\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22476,'https://shls-masr-prod-dub.shahid.net/out/v1/b7093401da27496797a8949de23f4578/index_1.m3u8',5525,'{\"frame\":\"294762\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11790400011\",\"out_time_ms\":\"11790400011\",\"out_time\":\"03:16:30.400011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(116,114,21,NULL,10577,0,0,1638553022,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1069366712,\"start_time\":\"11881.852356\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1069368032,\"start_time\":\"11881.867022\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-masr-prod-dub.shahid.net\\/out\\/v1\\/b7093401da27496797a8949de23f4578\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22456,'https://shls-masr-prod-dub.shahid.net/out/v1/b7093401da27496797a8949de23f4578/index_2.m3u8',3794,'{\"frame\":\"386264\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"15450480011\",\"out_time_ms\":\"15450480011\",\"out_time\":\"04:17:30.480011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(117,115,21,NULL,21662,0,0,1638556681,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":512,\"height\":288,\"coded_width\":512,\"coded_height\":288,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":21,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1069366712,\"start_time\":\"11881.852356\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1069368032,\"start_time\":\"11881.867022\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-masr-prod-dub.shahid.net\\/out\\/v1\\/b7093401da27496797a8949de23f4578\\/index_6.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22442,'https://shls-masr-prod-dub.shahid.net/out/v1/b7093401da27496797a8949de23f4578/index_6.m3u8',907,'{\"frame\":\"295505\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11820120011\",\"out_time_ms\":\"11820120011\",\"out_time\":\"03:17:00.120011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(118,116,21,NULL,10720,0,0,1638490758,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":2864196792,\"start_time\":\"31824.408800\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":2864198112,\"start_time\":\"31824.423467\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanacinema-ksa-prod-dub.shahid.net\\/out\\/v1\\/6cee1c57ea7841e697eb15cefc98e0a6\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',22403,'https://shls-rotanacinema-ksa-prod-dub.shahid.net/out/v1/6cee1c57ea7841e697eb15cefc98e0a6/index_1.m3u8',4562,'{\"frame\":\"1943206\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"77730160011\",\"out_time_ms\":\"77730160011\",\"out_time\":\"21:35:30.160011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(119,117,21,NULL,23672,0,0,1638489831,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":2864196792,\"start_time\":\"31824.408800\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":2864198112,\"start_time\":\"31824.423467\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanacinema-ksa-prod-dub.shahid.net\\/out\\/v1\\/6cee1c57ea7841e697eb15cefc98e0a6\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',21190,'https://shls-rotanacinema-ksa-prod-dub.shahid.net/out/v1/6cee1c57ea7841e697eb15cefc98e0a6/index_1.m3u8',4657,'{\"frame\":\"1962700\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"78509998667\",\"out_time_ms\":\"78509998667\",\"out_time\":\"21:48:29.998667\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(120,118,21,NULL,10700,0,0,1638490757,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":2864196792,\"start_time\":\"31824.408800\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":2864198112,\"start_time\":\"31824.423467\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanacinema-ksa-prod-dub.shahid.net\\/out\\/v1\\/6cee1c57ea7841e697eb15cefc98e0a6\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',21097,'https://shls-rotanacinema-ksa-prod-dub.shahid.net/out/v1/6cee1c57ea7841e697eb15cefc98e0a6/index_1.m3u8',4562,'{\"frame\":\"1943214\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"77730480011\",\"out_time_ms\":\"77730480011\",\"out_time\":\"21:35:30.480011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(121,119,21,NULL,20538,0,0,1638556624,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1095112952,\"start_time\":\"12167.921689\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1095114752,\"start_time\":\"12167.941689\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcplusdrama-prod-dub.shahid.net\\/out\\/v1\\/97ca0ce6fc6142f4b14c0a694af59eab\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',21086,'https://shls-mbcplusdrama-prod-dub.shahid.net/out/v1/97ca0ce6fc6142f4b14c0a694af59eab/index_1.m3u8',5518,'{\"frame\":\"296262\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11850400011\",\"out_time_ms\":\"11850400011\",\"out_time\":\"03:17:30.400011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(122,120,21,NULL,20352,0,0,1638556618,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1095112952,\"start_time\":\"12167.921689\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1095114752,\"start_time\":\"12167.941689\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcplusdrama-prod-dub.shahid.net\\/out\\/v1\\/97ca0ce6fc6142f4b14c0a694af59eab\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',21023,'https://shls-mbcplusdrama-prod-dub.shahid.net/out/v1/97ca0ce6fc6142f4b14c0a694af59eab/index_1.m3u8',5485,'{\"frame\":\"297016\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11880560011\",\"out_time_ms\":\"11880560011\",\"out_time\":\"03:18:00.560011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(123,121,21,NULL,20377,0,0,1638556620,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1095112952,\"start_time\":\"12167.921689\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1095114752,\"start_time\":\"12167.941689\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcplusdrama-prod-dub.shahid.net\\/out\\/v1\\/97ca0ce6fc6142f4b14c0a694af59eab\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',20993,'https://shls-mbcplusdrama-prod-dub.shahid.net/out/v1/97ca0ce6fc6142f4b14c0a694af59eab/index_1.m3u8',5496,'{\"frame\":\"297013\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11880440011\",\"out_time_ms\":\"11880440011\",\"out_time\":\"03:18:00.440011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(124,122,21,NULL,19003,0,0,1638562765,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":6827688984,\"start_time\":\"75863.210933\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":6827690304,\"start_time\":\"75863.225600\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcmax-prod-dub.shahid.net\\/out\\/v1\\/13815a7cda864c249a88c38e66a2e653\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',20985,'https://shls-mbcmax-prod-dub.shahid.net/out/v1/13815a7cda864c249a88c38e66a2e653/index_1.m3u8',5524,'{\"frame\":\"143254\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"5730080011\",\"out_time_ms\":\"5730080011\",\"out_time\":\"01:35:30.080011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(125,123,21,NULL,7081,0,0,1638498349,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":6827688984,\"start_time\":\"75863.210933\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":6827690304,\"start_time\":\"75863.225600\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcmax-prod-dub.shahid.net\\/out\\/v1\\/13815a7cda864c249a88c38e66a2e653\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',20977,'https://shls-mbcmax-prod-dub.shahid.net/out/v1/13815a7cda864c249a88c38e66a2e653/index_1.m3u8',5519,'{\"frame\":\"1753511\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"70140360011\",\"out_time_ms\":\"70140360011\",\"out_time\":\"19:29:00.360011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(126,124,21,NULL,18937,0,0,1638562762,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":6827688984,\"start_time\":\"75863.210933\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":6827690304,\"start_time\":\"75863.225600\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcmax-prod-dub.shahid.net\\/out\\/v1\\/13815a7cda864c249a88c38e66a2e653\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',20901,'https://shls-mbcmax-prod-dub.shahid.net/out/v1/13815a7cda864c249a88c38e66a2e653/index_1.m3u8',5524,'{\"frame\":\"143276\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"5730960011\",\"out_time_ms\":\"5730960011\",\"out_time\":\"01:35:30.960011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(127,125,21,NULL,3937,0,0,1638519982,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":5183941720,\"start_time\":\"57599.352444\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":5183942080,\"start_time\":\"57599.356444\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanakids-prod-dub.shahid.net\\/out\\/v1\\/df6e0eb3cdc4410b98209aafc8677cef\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',20877,'https://shls-rotanakids-prod-dub.shahid.net/out/v1/df6e0eb3cdc4410b98209aafc8677cef/index_1.m3u8',5480,'{\"frame\":\"1212762\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"48510400011\",\"out_time_ms\":\"48510400011\",\"out_time\":\"13:28:30.400011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(128,126,21,NULL,2866,0,0,1638519945,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":5183941720,\"start_time\":\"57599.352444\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":5183942080,\"start_time\":\"57599.356444\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanakids-prod-dub.shahid.net\\/out\\/v1\\/df6e0eb3cdc4410b98209aafc8677cef\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',20869,'https://shls-rotanakids-prod-dub.shahid.net/out/v1/df6e0eb3cdc4410b98209aafc8677cef/index_1.m3u8',5454,'{\"frame\":\"1213512\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"48540400011\",\"out_time_ms\":\"48540400011\",\"out_time\":\"13:29:00.400011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(129,127,21,NULL,2788,0,0,1638519942,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":5183941720,\"start_time\":\"57599.352444\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":5183942080,\"start_time\":\"57599.356444\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-rotanakids-prod-dub.shahid.net\\/out\\/v1\\/df6e0eb3cdc4410b98209aafc8677cef\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',20819,'https://shls-rotanakids-prod-dub.shahid.net/out/v1/df6e0eb3cdc4410b98209aafc8677cef/index_1.m3u8',5454,'{\"frame\":\"1213521\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"48540760011\",\"out_time_ms\":\"48540760011\",\"out_time\":\"13:29:00.760011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(130,128,21,NULL,-1,0,1,NULL,'',20811,NULL,NULL,'',0,NULL,NULL),(131,129,21,NULL,-1,0,1,NULL,'',20794,NULL,NULL,'',0,NULL,NULL),(132,130,21,NULL,-1,0,1,NULL,'',20510,NULL,NULL,'',0,NULL,NULL),(133,131,21,NULL,25871,0,0,1638535058,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":44418168,\"start_time\":\"493.535200\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":44418528,\"start_time\":\"493.539200\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-lbci-prod-dub.shahid.net\\/out\\/v1\\/d8cce30036e743318a7f338539689968\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',20458,'https://shls-lbci-prod-dub.shahid.net/out/v1/d8cce30036e743318a7f338539689968/index_1.m3u8',5571,'{\"frame\":\"835527\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"33421000011\",\"out_time_ms\":\"33421000011\",\"out_time\":\"09:17:01.000011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(134,132,21,NULL,21224,0,0,1638556658,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1988418168,\"start_time\":\"22093.535200\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1988418528,\"start_time\":\"22093.539200\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-lbci-prod-dub.shahid.net\\/out\\/v1\\/d8cce30036e743318a7f338539689968\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',21852,'https://shls-lbci-prod-dub.shahid.net/out/v1/d8cce30036e743318a7f338539689968/index_2.m3u8',2165,'{\"frame\":\"295522\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11820800011\",\"out_time_ms\":\"11820800011\",\"out_time\":\"03:17:00.800011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(135,133,21,NULL,21117,0,0,1638556654,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":512,\"height\":288,\"coded_width\":512,\"coded_height\":288,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":21,\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1987878168,\"start_time\":\"22087.535200\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1987879008,\"start_time\":\"22087.544533\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-lbci-prod-dub.shahid.net\\/out\\/v1\\/d8cce30036e743318a7f338539689968\\/index_6.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',21854,'https://shls-lbci-prod-dub.shahid.net/out/v1/d8cce30036e743318a7f338539689968/index_6.m3u8',473,'{\"frame\":\"295527\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11821000011\",\"out_time_ms\":\"11821000011\",\"out_time\":\"03:17:01.000011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(136,134,21,NULL,-1,0,1,NULL,'',20243,NULL,NULL,'',0,NULL,NULL),(137,135,21,NULL,2621,0,0,1638519934,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":4223808280,\"start_time\":\"46931.203111\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":4223808640,\"start_time\":\"46931.207111\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcpersia-prod-dub.shahid.net\\/out\\/v1\\/bdc7cd0d990e4c54808632a52c396946\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',20226,'https://shls-mbcpersia-prod-dub.shahid.net/out/v1/bdc7cd0d990e4c54808632a52c396946/index_1.m3u8',5380,'{\"frame\":\"1213504\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"48540080011\",\"out_time_ms\":\"48540080011\",\"out_time\":\"13:29:00.080011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(138,136,21,NULL,19965,0,0,1638556599,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":4224348280,\"start_time\":\"46937.203111\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":4224350080,\"start_time\":\"46937.223111\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcpersia-prod-dub.shahid.net\\/out\\/v1\\/bdc7cd0d990e4c54808632a52c396946\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',20210,'https://shls-mbcpersia-prod-dub.shahid.net/out/v1/bdc7cd0d990e4c54808632a52c396946/index_2.m3u8',1826,'{\"frame\":\"297023\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11880840011\",\"out_time_ms\":\"11880840011\",\"out_time\":\"03:18:00.840011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(139,137,21,NULL,19703,0,0,1638556586,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":512,\"height\":288,\"coded_width\":512,\"coded_height\":288,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":21,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":4223268280,\"start_time\":\"46925.203111\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":4223269120,\"start_time\":\"46925.212444\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcpersia-prod-dub.shahid.net\\/out\\/v1\\/bdc7cd0d990e4c54808632a52c396946\\/index_6.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',20006,'https://shls-mbcpersia-prod-dub.shahid.net/out/v1/bdc7cd0d990e4c54808632a52c396946/index_6.m3u8',340,'{\"frame\":\"297764\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11910480011\",\"out_time_ms\":\"11910480011\",\"out_time\":\"03:18:30.480011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(140,138,21,NULL,19828,0,0,1638556591,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1020417752,\"start_time\":\"11337.975022\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1020419072,\"start_time\":\"11337.989689\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcdramaksa-prod-dub.shahid.net\\/out\\/v1\\/ce0f0762d89e4394a856c5fd13e43645\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',20158,'https://shls-mbcdramaksa-prod-dub.shahid.net/out/v1/ce0f0762d89e4394a856c5fd13e43645/index_1.m3u8',5477,'{\"frame\":\"297006\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11880160011\",\"out_time_ms\":\"11880160011\",\"out_time\":\"03:18:00.160011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(141,139,21,NULL,19741,0,0,1638556587,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1019877752,\"start_time\":\"11331.975022\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1019879552,\"start_time\":\"11331.995022\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcdramaksa-prod-dub.shahid.net\\/out\\/v1\\/ce0f0762d89e4394a856c5fd13e43645\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',19986,'https://shls-mbcdramaksa-prod-dub.shahid.net/out/v1/ce0f0762d89e4394a856c5fd13e43645/index_2.m3u8',1937,'{\"frame\":\"297762\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11910400011\",\"out_time_ms\":\"11910400011\",\"out_time\":\"03:18:30.400011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(142,140,21,NULL,19614,0,0,1638556581,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":512,\"height\":288,\"coded_width\":512,\"coded_height\":288,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":21,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1019337752,\"start_time\":\"11325.975022\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1019338112,\"start_time\":\"11325.979022\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcdramaksa-prod-dub.shahid.net\\/out\\/v1\\/ce0f0762d89e4394a856c5fd13e43645\\/index_6.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',19959,'https://shls-mbcdramaksa-prod-dub.shahid.net/out/v1/ce0f0762d89e4394a856c5fd13e43645/index_6.m3u8',387,'{\"frame\":\"297776\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11910960011\",\"out_time_ms\":\"11910960011\",\"out_time\":\"03:18:30.960011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(143,141,21,NULL,25710,0,0,1638535051,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":4194770200,\"start_time\":\"46608.557778\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":4194771520,\"start_time\":\"46608.572444\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcbollywood-prod-dub.shahid.net\\/out\\/v1\\/a79c9d7ef2a64a54a64d5c4567b3462a\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',19914,'https://shls-mbcbollywood-prod-dub.shahid.net/out/v1/a79c9d7ef2a64a54a64d5c4567b3462a/index_1.m3u8',5524,'{\"frame\":\"836263\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"33450440011\",\"out_time_ms\":\"33450440011\",\"out_time\":\"09:17:30.440011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(144,142,21,NULL,19480,0,0,1638556576,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":4194770200,\"start_time\":\"46608.557778\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":4194771520,\"start_time\":\"46608.572444\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcbollywood-prod-dub.shahid.net\\/out\\/v1\\/a79c9d7ef2a64a54a64d5c4567b3462a\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',19891,'https://shls-mbcbollywood-prod-dub.shahid.net/out/v1/a79c9d7ef2a64a54a64d5c4567b3462a/index_1.m3u8',5525,'{\"frame\":\"297762\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11910400011\",\"out_time_ms\":\"11910400011\",\"out_time\":\"03:18:30.400011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(145,143,21,NULL,19245,0,0,1638556563,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":4194770200,\"start_time\":\"46608.557778\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":4194771520,\"start_time\":\"46608.572444\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-mbcbollywood-prod-dub.shahid.net\\/out\\/v1\\/a79c9d7ef2a64a54a64d5c4567b3462a\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',19674,'https://shls-mbcbollywood-prod-dub.shahid.net/out/v1/a79c9d7ef2a64a54a64d5c4567b3462a/index_1.m3u8',5518,'{\"frame\":\"297765\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11910520011\",\"out_time_ms\":\"11910520011\",\"out_time\":\"03:18:30.520011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(146,144,21,NULL,-1,0,1,NULL,'',19661,NULL,NULL,'',0,NULL,NULL),(147,145,21,NULL,-1,0,1,NULL,'',19643,NULL,NULL,'',0,NULL,NULL),(148,146,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(149,147,21,NULL,19199,0,0,1638556562,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":986920952,\"start_time\":\"10965.788356\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":986922752,\"start_time\":\"10965.808356\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-masr2-prod-dub.shahid.net\\/out\\/v1\\/f683685242b549f48ea8a5171e3e993a\\/index_1.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',19626,'https://shls-masr2-prod-dub.shahid.net/out/v1/f683685242b549f48ea8a5171e3e993a/index_1.m3u8',5561,'{\"frame\":\"297771\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11910760011\",\"out_time_ms\":\"11910760011\",\"out_time\":\"03:18:30.760011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(150,148,21,NULL,19296,0,0,1638556566,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":986920952,\"start_time\":\"10965.788356\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":986922752,\"start_time\":\"10965.808356\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-masr2-prod-dub.shahid.net\\/out\\/v1\\/f683685242b549f48ea8a5171e3e993a\\/index_2.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',19583,'https://shls-masr2-prod-dub.shahid.net/out/v1/f683685242b549f48ea8a5171e3e993a/index_2.m3u8',3829,'{\"frame\":\"297772\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11910800011\",\"out_time_ms\":\"11910800011\",\"out_time\":\"03:18:30.800011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(151,149,21,NULL,19047,0,0,1638556559,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":512,\"height\":288,\"coded_width\":512,\"coded_height\":288,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":21,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":986380952,\"start_time\":\"10959.788356\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":986381312,\"start_time\":\"10959.792356\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-masr2-prod-dub.shahid.net\\/out\\/v1\\/f683685242b549f48ea8a5171e3e993a\\/index_6.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',19563,'https://shls-masr2-prod-dub.shahid.net/out/v1/f683685242b549f48ea8a5171e3e993a/index_6.m3u8',906,'{\"frame\":\"298512\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11940400011\",\"out_time_ms\":\"11940400011\",\"out_time\":\"03:19:00.400011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(152,150,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(153,151,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(154,152,21,NULL,19103,0,0,1638556561,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":512,\"height\":288,\"coded_width\":512,\"coded_height\":288,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":21,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":3608769848,\"start_time\":\"40097.442756\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/0\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"0\",\"channels\":0,\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-wanasah-prod-dub.shahid.net\\/out\\/v1\\/c84ef3128e564b74a6a796e8b6287de6\\/index_6.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',19508,'https://shls-wanasah-prod-dub.shahid.net/out/v1/c84ef3128e564b74a6a796e8b6287de6/index_6.m3u8',907,'{\"frame\":\"298507\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11940200011\",\"out_time_ms\":\"11940200011\",\"out_time\":\"03:19:00.200011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(155,153,21,NULL,18887,0,0,1638556552,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":640,\"height\":360,\"coded_width\":640,\"coded_height\":368,\"has_b_frames\":1,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":30,\"color_range\":\"tv\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":905250392,\"start_time\":\"10058.337689\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":905251712,\"start_time\":\"10058.352356\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/shls-panoramafm-prod-dub.shahid.net\\/out\\/v1\\/66262e420d824475aaae794dc2d69f14\\/index_5.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',19333,'https://shls-panoramafm-prod-dub.shahid.net/out/v1/66262e420d824475aaae794dc2d69f14/index_5.m3u8',408,'{\"frame\":\"298511\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"11940360011\",\"out_time_ms\":\"11940360011\",\"out_time\":\"03:19:00.360011\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(156,154,21,NULL,-1,0,1,NULL,'',19315,NULL,NULL,'',0,NULL,NULL),(157,155,21,NULL,-1,0,1,NULL,'',19307,NULL,NULL,'',0,NULL,NULL),(158,156,21,NULL,-1,0,1,NULL,'',19259,NULL,NULL,'',0,NULL,NULL),(159,157,21,NULL,-1,0,1,NULL,'',19239,NULL,NULL,'',0,NULL,NULL),(160,158,21,NULL,NULL,0,0,NULL,'',19095,NULL,NULL,'',0,NULL,NULL),(161,159,21,NULL,-1,0,1,NULL,'',20405,NULL,NULL,'',0,NULL,NULL),(162,160,21,NULL,-1,0,1,NULL,'',18964,NULL,NULL,'',0,NULL,NULL),(163,161,21,NULL,-1,0,1,NULL,'',18946,NULL,NULL,'',0,NULL,NULL),(164,162,21,NULL,-1,0,1,NULL,'',18918,NULL,NULL,'',0,NULL,NULL),(165,163,21,NULL,-1,0,1,NULL,'',18480,NULL,NULL,'',0,NULL,NULL),(166,164,21,NULL,-1,0,1,NULL,'',18437,NULL,NULL,'',0,NULL,NULL),(167,165,21,NULL,-1,0,1,NULL,'',18424,NULL,NULL,'',0,NULL,NULL),(168,166,21,NULL,-1,0,1,NULL,'',18333,NULL,NULL,'',0,NULL,NULL),(169,167,21,NULL,-1,0,1,NULL,'',18381,NULL,NULL,'',0,NULL,NULL),(170,168,21,NULL,7364,0,0,1638520147,'{\"codecs\":{\"video\":{\"index\":1,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":2208756870,\"start_time\":\"24541.743000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":2,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":2201903340,\"start_time\":\"24465.592667\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/admdn1ta.cdn.mangomolo.com\\/adsports1\\/smil:adsports1.stream.smil\\/chunklist_b4000000_t64MTA4MHA=.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',18296,'https://admdn1ta.cdn.mangomolo.com/adsports1/smil:adsports1.stream.smil/chunklist_b4000000_t64MTA4MHA=.m3u8',4588,'{\"frame\":\"1208269\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"48330858667\",\"out_time_ms\":\"48330858667\",\"out_time\":\"13:25:30.858667\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(171,169,21,NULL,7381,0,0,1638520147,'{\"codecs\":{\"video\":{\"index\":1,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":2208756870,\"start_time\":\"24541.743000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":2,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":2201903340,\"start_time\":\"24465.592667\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/admdn1ta.cdn.mangomolo.com\\/adsports1\\/smil:adsports1.stream.smil\\/chunklist_b1800000_t64NzIwcA==.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',18256,'https://admdn1ta.cdn.mangomolo.com/adsports1/smil:adsports1.stream.smil/chunklist_b1800000_t64NzIwcA==.m3u8',2167,'{\"frame\":\"1208270\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"48330858667\",\"out_time_ms\":\"48330858667\",\"out_time\":\"13:25:30.858667\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(172,170,21,NULL,7369,0,0,1638520147,'{\"codecs\":{\"video\":{\"index\":1,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":854,\"height\":480,\"coded_width\":864,\"coded_height\":480,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"427:240\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":2211456870,\"start_time\":\"24571.743000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":2,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":2211453030,\"start_time\":\"24571.700333\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/admdn1ta.cdn.mangomolo.com\\/adsports1\\/smil:adsports1.stream.smil\\/chunklist_b800000_t64NDgwcA==.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',18233,'https://admdn1ta.cdn.mangomolo.com/adsports1/smil:adsports1.stream.smil/chunklist_b800000_t64NDgwcA==.m3u8',995,'{\"frame\":\"1208271\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"48330901333\",\"out_time_ms\":\"48330901333\",\"out_time\":\"13:25:30.901333\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(173,171,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(174,172,21,NULL,7283,0,0,1638520143,'{\"codecs\":{\"video\":{\"index\":1,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":2210870070,\"start_time\":\"24565.223000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":2,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":2210871810,\"start_time\":\"24565.242333\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/admdn5ta.cdn.mangomolo.com\\/adsports2\\/smil:adsports2.stream.smil\\/chunklist_b1800000_t64NzIwcA==.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',18216,'https://admdn5ta.cdn.mangomolo.com/adsports2/smil:adsports2.stream.smil/chunklist_b1800000_t64NzIwcA==.m3u8',2106,'{\"frame\":\"1126869\",\"fps\":\"23.32\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"48330789667\",\"out_time_ms\":\"48330789667\",\"out_time\":\"13:25:30.789667\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(175,173,21,NULL,7429,0,0,1638520151,'{\"codecs\":{\"video\":{\"index\":1,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":854,\"height\":480,\"coded_width\":864,\"coded_height\":480,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"427:240\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":2208710070,\"start_time\":\"24541.223000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":2,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":2201889570,\"start_time\":\"24465.439667\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/admdn5ta.cdn.mangomolo.com\\/adsports2\\/smil:adsports2.stream.smil\\/chunklist_b800000_t64NDgwcA==.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',18178,'https://admdn5ta.cdn.mangomolo.com/adsports2/smil:adsports2.stream.smil/chunklist_b800000_t64NDgwcA==.m3u8',1021,'{\"frame\":\"1126873\",\"fps\":\"23.32\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"48330939000\",\"out_time_ms\":\"48330939000\",\"out_time\":\"13:25:30.939000\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(176,174,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'',0,NULL,NULL),(177,175,21,NULL,670,0,0,1638566556,'{\"codecs\":{\"video\":{\"index\":1,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1104120,\"start_time\":\"12.268000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":2,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/24000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"24000\",\"channels\":1,\"channel_layout\":\"mono\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":1106850,\"start_time\":\"12.298333\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/admdn3ta.cdn.mangomolo.com\\/adsports3\\/smil:adsports3.stream.smil\\/chunklist_b1800000_t64NzIwcA==.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',18163,'https://admdn3ta.cdn.mangomolo.com/adsports3/smil:adsports3.stream.smil/chunklist_b1800000_t64NzIwcA==.m3u8',2111,'{\"frame\":\"48020\",\"fps\":\"25.00\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"1920892333\",\"out_time_ms\":\"1920892333\",\"out_time\":\"00:32:00.892333\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(178,176,21,NULL,553,0,0,1638566552,'{\"codecs\":{\"video\":{\"index\":1,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":854,\"height\":480,\"coded_width\":864,\"coded_height\":480,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"427:240\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":4159982728,\"start_time\":\"46222.030311\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":2,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/24000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"24000\",\"channels\":1,\"channel_layout\":\"mono\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":4159984798,\"start_time\":\"46222.053311\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/admdn3ta.cdn.mangomolo.com\\/adsports3\\/smil:adsports3.stream.smil\\/chunklist_b800000_t64NDgwcA==.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',17875,'https://admdn3ta.cdn.mangomolo.com/adsports3/smil:adsports3.stream.smil/chunklist_b800000_t64NDgwcA==.m3u8',1031,'{\"frame\":\"43502\",\"fps\":\"24.99\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"1740865667\",\"out_time_ms\":\"1740865667\",\"out_time\":\"00:29:00.865667\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(179,177,21,NULL,-1,0,1,NULL,'',17850,NULL,NULL,'',0,NULL,NULL),(180,178,21,NULL,-1,0,1,NULL,'',17835,NULL,NULL,'',0,NULL,NULL),(181,179,21,NULL,-1,0,1,NULL,'',17812,NULL,NULL,'',0,NULL,NULL),(182,180,21,NULL,7333,0,0,1638520146,'{\"codecs\":{\"video\":{\"index\":1,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1920,\"height\":1080,\"coded_width\":1920,\"coded_height\":1088,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":2137549050,\"start_time\":\"23750.545000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":2,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":2137547100,\"start_time\":\"23750.523333\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/admdn1ta.cdn.mangomolo.com\\/yastv\\/smil:yastv.stream.smil\\/chunklist_b4000000_t64MTA4MHA=.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',17804,'https://admdn1ta.cdn.mangomolo.com/yastv/smil:yastv.stream.smil/chunklist_b4000000_t64MTA4MHA=.m3u8',4620,'{\"frame\":\"1207613\",\"fps\":\"24.99\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"48330989000\",\"out_time_ms\":\"48330989000\",\"out_time\":\"13:25:30.989000\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(183,181,21,NULL,7270,0,0,1638520143,'{\"codecs\":{\"video\":{\"index\":1,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":40,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"color_transfer\":\"bt709\",\"color_primaries\":\"bt709\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":2137549050,\"start_time\":\"23750.545000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":2,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":2137547100,\"start_time\":\"23750.523333\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/admdn1ta.cdn.mangomolo.com\\/yastv\\/smil:yastv.stream.smil\\/chunklist_b1800000_t64NzIwcA==.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',17796,'https://admdn1ta.cdn.mangomolo.com/yastv/smil:yastv.stream.smil/chunklist_b1800000_t64NzIwcA==.m3u8',2205,'{\"frame\":\"1207591\",\"fps\":\"24.99\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"48330597000\",\"out_time_ms\":\"48330597000\",\"out_time\":\"13:25:30.597000\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(184,182,21,NULL,7476,0,0,1638520152,'{\"codecs\":{\"video\":{\"index\":1,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"Main\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":640,\"height\":360,\"coded_width\":640,\"coded_height\":368,\"has_b_frames\":0,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":30,\"color_range\":\"tv\",\"color_space\":\"bt470bg\",\"color_transfer\":\"bt470bg\",\"color_primaries\":\"bt470bg\",\"chroma_location\":\"left\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":2135119050,\"start_time\":\"23723.545000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}},\"audio\":{\"index\":2,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":2128244550,\"start_time\":\"23647.161667\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"variant_bitrate\":\"0\"}}},\"container\":\"hls,applehttp\",\"filename\":\"https:\\/\\/admdn1ta.cdn.mangomolo.com\\/yastv\\/smil:yastv.stream.smil\\/chunklist_b450000_t64MzYwcA==.m3u8\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',17751,'https://admdn1ta.cdn.mangomolo.com/yastv/smil:yastv.stream.smil/chunklist_b450000_t64MzYwcA==.m3u8',663,'{\"frame\":\"1207662\",\"fps\":\"24.99\",\"stream_0_0_q\":\"-1.0\",\"bitrate\":\"N\\/A\",\"total_size\":\"N\\/A\",\"out_time_us\":\"48330074667\",\"out_time_ms\":\"48330074667\",\"out_time\":\"13:25:30.074667\",\"dup_frames\":\"0\",\"drop_frames\":\"0\",\"speed\":\"1x\",\"progress\":\"continue\"}',0,NULL,0),(185,183,21,NULL,-1,0,1,NULL,'',17743,NULL,NULL,'',0,NULL,NULL),(186,184,21,NULL,-1,0,1,NULL,'',17725,NULL,NULL,'',0,NULL,NULL),(187,185,21,NULL,-1,0,1,NULL,'',17712,NULL,NULL,'',0,NULL,NULL),(188,186,21,NULL,NULL,0,0,NULL,'',NULL,NULL,NULL,'[]',1,NULL,0),(731,732,21,NULL,2121,0,0,1638302365,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2835733\",\"BPS-eng\":\"2835733\",\"DURATION-eng\":\"00:20:28.960000000\",\"NUMBER_OF_FRAMES\":\"30724\",\"NUMBER_OF_FRAMES-eng\":\"30724\",\"NUMBER_OF_BYTES\":\"435625394\",\"NUMBER_OF_BYTES-eng\":\"435625394\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 22:50:15\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 22:50:15\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"DURATION\":\"00:20:28.960000000\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:28.960000000\",\"NUMBER_OF_FRAMES\":\"38405\",\"NUMBER_OF_FRAMES-eng\":\"38405\",\"NUMBER_OF_BYTES\":\"29495040\",\"NUMBER_OF_BYTES-eng\":\"29495040\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 22:50:15\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 22:50:15\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"DURATION\":\"00:20:28.960000000\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/732.mkv\",\"bitrate\":\"3031080\",\"of_duration\":\"1228.960000\",\"duration\":\"00:20:28\"}',NULL,NULL,3033,'',0,NULL,NULL),(732,733,21,NULL,16020,0,0,1638301528,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"3250546\",\"BPS-eng\":\"3250546\",\"DURATION\":\"00:20:29.400000000\",\"DURATION-eng\":\"00:20:29.400000000\",\"NUMBER_OF_FRAMES\":\"30735\",\"NUMBER_OF_FRAMES-eng\":\"30735\",\"NUMBER_OF_BYTES\":\"499527752\",\"NUMBER_OF_BYTES-eng\":\"499527752\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:03:21\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:03:21\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.408000000\",\"DURATION-eng\":\"00:20:29.408000000\",\"NUMBER_OF_FRAMES\":\"38419\",\"NUMBER_OF_FRAMES-eng\":\"38419\",\"NUMBER_OF_BYTES\":\"29505792\",\"NUMBER_OF_BYTES-eng\":\"29505792\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:03:21\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:03:21\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/733.mkv\",\"bitrate\":\"3444391\",\"of_duration\":\"1229.408000\",\"duration\":\"00:20:29\"}',NULL,NULL,3446,'',0,NULL,NULL),(733,734,21,NULL,16024,0,0,1638301528,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2233262\",\"BPS-eng\":\"2233262\",\"DURATION\":\"00:20:29.360000000\",\"DURATION-eng\":\"00:20:29.360000000\",\"NUMBER_OF_FRAMES\":\"30734\",\"NUMBER_OF_FRAMES-eng\":\"30734\",\"NUMBER_OF_BYTES\":\"343185401\",\"NUMBER_OF_BYTES-eng\":\"343185401\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:09:06\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:09:06\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/44100\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"44100\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.392000000\",\"DURATION-eng\":\"00:20:29.392000000\",\"NUMBER_OF_FRAMES\":\"35297\",\"NUMBER_OF_FRAMES-eng\":\"35297\",\"NUMBER_OF_BYTES\":\"29505410\",\"NUMBER_OF_BYTES-eng\":\"29505410\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:09:06\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:09:06\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/734.mkv\",\"bitrate\":\"2427099\",\"of_duration\":\"1229.392000\",\"duration\":\"00:20:29\"}',NULL,NULL,2428,'',0,NULL,NULL),(734,735,21,NULL,16030,0,0,1638301529,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2530065\",\"BPS-eng\":\"2530065\",\"DURATION\":\"00:20:29.280000000\",\"DURATION-eng\":\"00:20:29.280000000\",\"NUMBER_OF_FRAMES\":\"30732\",\"NUMBER_OF_FRAMES-eng\":\"30732\",\"NUMBER_OF_BYTES\":\"388769809\",\"NUMBER_OF_BYTES-eng\":\"388769809\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:13:48\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:13:48\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.280000000\",\"DURATION-eng\":\"00:20:29.280000000\",\"NUMBER_OF_FRAMES\":\"38415\",\"NUMBER_OF_FRAMES-eng\":\"38415\",\"NUMBER_OF_BYTES\":\"29502720\",\"NUMBER_OF_BYTES-eng\":\"29502720\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:13:48\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:13:48\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/735.mkv\",\"bitrate\":\"2723910\",\"of_duration\":\"1229.280000\",\"duration\":\"00:20:29\"}',NULL,NULL,2725,'',0,NULL,NULL),(735,736,21,NULL,16037,0,0,1638301529,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1746773\",\"BPS-eng\":\"1746773\",\"DURATION\":\"00:20:28.720000000\",\"DURATION-eng\":\"00:20:28.720000000\",\"NUMBER_OF_FRAMES\":\"30718\",\"NUMBER_OF_FRAMES-eng\":\"30718\",\"NUMBER_OF_BYTES\":\"268286984\",\"NUMBER_OF_BYTES-eng\":\"268286984\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:21:20\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:21:20\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.736000000\",\"DURATION-eng\":\"00:20:28.736000000\",\"NUMBER_OF_FRAMES\":\"38398\",\"NUMBER_OF_FRAMES-eng\":\"38398\",\"NUMBER_OF_BYTES\":\"29489664\",\"NUMBER_OF_BYTES-eng\":\"29489664\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-22 23:21:20\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-22 23:21:20\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/736.mkv\",\"bitrate\":\"1940575\",\"of_duration\":\"1228.736000\",\"duration\":\"00:20:28\"}',NULL,NULL,1942,'',0,NULL,NULL),(736,737,21,NULL,16041,0,0,1638301529,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2647240\",\"BPS-eng\":\"2647240\",\"DURATION\":\"00:20:28.600000000\",\"DURATION-eng\":\"00:20:28.600000000\",\"NUMBER_OF_FRAMES\":\"30715\",\"NUMBER_OF_FRAMES-eng\":\"30715\",\"NUMBER_OF_BYTES\":\"406549975\",\"NUMBER_OF_BYTES-eng\":\"406549975\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 09:43:13\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 09:43:13\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.608000000\",\"DURATION-eng\":\"00:20:28.608000000\",\"NUMBER_OF_FRAMES\":\"38394\",\"NUMBER_OF_FRAMES-eng\":\"38394\",\"NUMBER_OF_BYTES\":\"29486592\",\"NUMBER_OF_BYTES-eng\":\"29486592\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 09:43:13\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 09:43:13\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/737.mkv\",\"bitrate\":\"2841074\",\"of_duration\":\"1228.608000\",\"duration\":\"00:20:28\"}',NULL,NULL,2842,'',0,NULL,NULL),(737,738,21,NULL,16045,0,0,1638301529,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2173766\",\"BPS-eng\":\"2173766\",\"DURATION\":\"00:20:29.280000000\",\"DURATION-eng\":\"00:20:29.280000000\",\"NUMBER_OF_FRAMES\":\"30732\",\"NUMBER_OF_FRAMES-eng\":\"30732\",\"NUMBER_OF_BYTES\":\"334021033\",\"NUMBER_OF_BYTES-eng\":\"334021033\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 09:58:59\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 09:58:59\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.280000000\",\"DURATION-eng\":\"00:20:29.280000000\",\"NUMBER_OF_FRAMES\":\"38415\",\"NUMBER_OF_FRAMES-eng\":\"38415\",\"NUMBER_OF_BYTES\":\"29502720\",\"NUMBER_OF_BYTES-eng\":\"29502720\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 09:58:59\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 09:58:59\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/738.mkv\",\"bitrate\":\"2367601\",\"of_duration\":\"1229.280000\",\"duration\":\"00:20:29\"}',NULL,NULL,2368,'',0,NULL,NULL),(738,739,21,NULL,16049,0,0,1638301529,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"3240728\",\"BPS-eng\":\"3240728\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"497937871\",\"NUMBER_OF_BYTES-eng\":\"497937871\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:03:55\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:03:55\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:03:55\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:03:55\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/739.mkv\",\"bitrate\":\"3434555\",\"of_duration\":\"1229.216000\",\"duration\":\"00:20:29\"}',NULL,NULL,3435,'',0,NULL,NULL),(739,740,21,NULL,16078,0,0,1638301529,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2845776\",\"BPS-eng\":\"2845776\",\"DURATION\":\"00:20:29.320000000\",\"DURATION-eng\":\"00:20:29.320000000\",\"NUMBER_OF_FRAMES\":\"30733\",\"NUMBER_OF_FRAMES-eng\":\"30733\",\"NUMBER_OF_BYTES\":\"437296312\",\"NUMBER_OF_BYTES-eng\":\"437296312\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:09:49\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:09:49\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.344000000\",\"DURATION-eng\":\"00:20:29.344000000\",\"NUMBER_OF_FRAMES\":\"38417\",\"NUMBER_OF_FRAMES-eng\":\"38417\",\"NUMBER_OF_BYTES\":\"29504256\",\"NUMBER_OF_BYTES-eng\":\"29504256\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:09:49\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:09:49\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/740.mkv\",\"bitrate\":\"3039583\",\"of_duration\":\"1229.344000\",\"duration\":\"00:20:29\"}',NULL,NULL,3040,'',0,NULL,NULL),(740,741,21,NULL,16087,0,0,1638301529,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2230750\",\"BPS-eng\":\"2230750\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"342754806\",\"NUMBER_OF_BYTES-eng\":\"342754806\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:14:33\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:14:33\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:14:33\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:14:33\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/741.mkv\",\"bitrate\":\"2424554\",\"of_duration\":\"1229.216000\",\"duration\":\"00:20:29\"}',NULL,NULL,2425,'',0,NULL,NULL),(741,742,21,NULL,16091,0,0,1638301530,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2054156\",\"BPS-eng\":\"2054156\",\"DURATION\":\"00:20:28.360000000\",\"DURATION-eng\":\"00:20:28.360000000\",\"NUMBER_OF_FRAMES\":\"30709\",\"NUMBER_OF_FRAMES-eng\":\"30709\",\"NUMBER_OF_BYTES\":\"315405448\",\"NUMBER_OF_BYTES-eng\":\"315405448\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:29:57\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:29:57\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.384000000\",\"DURATION-eng\":\"00:20:28.384000000\",\"NUMBER_OF_FRAMES\":\"38387\",\"NUMBER_OF_FRAMES-eng\":\"38387\",\"NUMBER_OF_BYTES\":\"29481216\",\"NUMBER_OF_BYTES-eng\":\"29481216\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:29:57\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:29:57\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/742.mkv\",\"bitrate\":\"2247954\",\"of_duration\":\"1228.384000\",\"duration\":\"00:20:28\"}',NULL,NULL,2249,'',0,NULL,NULL),(742,743,21,NULL,16095,0,0,1638301530,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2271189\",\"BPS-eng\":\"2271189\",\"DURATION\":\"00:20:14.360000000\",\"DURATION-eng\":\"00:20:14.360000000\",\"NUMBER_OF_FRAMES\":\"30359\",\"NUMBER_OF_FRAMES-eng\":\"30359\",\"NUMBER_OF_BYTES\":\"344755168\",\"NUMBER_OF_BYTES-eng\":\"344755168\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:39:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:39:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:14.368000000\",\"DURATION-eng\":\"00:20:14.368000000\",\"NUMBER_OF_FRAMES\":\"37949\",\"NUMBER_OF_FRAMES-eng\":\"37949\",\"NUMBER_OF_BYTES\":\"29144832\",\"NUMBER_OF_BYTES-eng\":\"29144832\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-24 10:39:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-24 10:39:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/743.mkv\",\"bitrate\":\"2465014\",\"of_duration\":\"1214.368000\",\"duration\":\"00:20:14\"}',NULL,NULL,2466,'',0,NULL,NULL),(743,744,21,NULL,16099,0,0,1638301530,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1868134\",\"BPS-eng\":\"1868134\",\"DURATION\":\"00:20:29.160000000\",\"DURATION-eng\":\"00:20:29.160000000\",\"NUMBER_OF_FRAMES\":\"30729\",\"NUMBER_OF_FRAMES-eng\":\"30729\",\"NUMBER_OF_BYTES\":\"287029467\",\"NUMBER_OF_BYTES-eng\":\"287029467\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:10:12\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:10:12\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.184000000\",\"DURATION-eng\":\"00:20:29.184000000\",\"NUMBER_OF_FRAMES\":\"38412\",\"NUMBER_OF_FRAMES-eng\":\"38412\",\"NUMBER_OF_BYTES\":\"29500416\",\"NUMBER_OF_BYTES-eng\":\"29500416\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:10:12\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:10:12\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/744.mkv\",\"bitrate\":\"2061921\",\"of_duration\":\"1229.184000\",\"duration\":\"00:20:29\"}',NULL,NULL,2062,'',0,NULL,NULL),(744,745,21,NULL,16108,0,0,1638301530,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1941547\",\"BPS-eng\":\"1941547\",\"DURATION\":\"00:20:29.080000000\",\"DURATION-eng\":\"00:20:29.080000000\",\"NUMBER_OF_FRAMES\":\"30727\",\"NUMBER_OF_FRAMES-eng\":\"30727\",\"NUMBER_OF_BYTES\":\"298289675\",\"NUMBER_OF_BYTES-eng\":\"298289675\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:16:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:16:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.088000000\",\"DURATION-eng\":\"00:20:29.088000000\",\"NUMBER_OF_FRAMES\":\"38409\",\"NUMBER_OF_FRAMES-eng\":\"38409\",\"NUMBER_OF_BYTES\":\"29498112\",\"NUMBER_OF_BYTES-eng\":\"29498112\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:16:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:16:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/745.mkv\",\"bitrate\":\"2135355\",\"of_duration\":\"1229.088000\",\"duration\":\"00:20:29\"}',NULL,NULL,2136,'',0,NULL,NULL),(745,746,21,NULL,16117,0,0,1638301530,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1741851\",\"BPS-eng\":\"1741851\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"267635476\",\"NUMBER_OF_BYTES-eng\":\"267635476\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:22:25\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:22:25\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:22:25\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:22:25\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/746.mkv\",\"bitrate\":\"1935651\",\"of_duration\":\"1229.216000\",\"duration\":\"00:20:29\"}',NULL,NULL,1936,'',0,NULL,NULL),(746,747,21,NULL,16121,0,0,1638301530,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2025080\",\"BPS-eng\":\"2025080\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"311153645\",\"NUMBER_OF_BYTES-eng\":\"311153645\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:27:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:27:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:27:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:27:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/747.mkv\",\"bitrate\":\"2218880\",\"of_duration\":\"1229.216000\",\"duration\":\"00:20:29\"}',NULL,NULL,2219,'',0,NULL,NULL),(747,748,21,NULL,16130,0,0,1638301530,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1599301\",\"BPS-eng\":\"1599301\",\"DURATION\":\"00:20:28.720000000\",\"DURATION-eng\":\"00:20:28.720000000\",\"NUMBER_OF_FRAMES\":\"30718\",\"NUMBER_OF_FRAMES-eng\":\"30718\",\"NUMBER_OF_BYTES\":\"245636657\",\"NUMBER_OF_BYTES-eng\":\"245636657\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:35:03\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:35:03\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.736000000\",\"DURATION-eng\":\"00:20:28.736000000\",\"NUMBER_OF_FRAMES\":\"38398\",\"NUMBER_OF_FRAMES-eng\":\"38398\",\"NUMBER_OF_BYTES\":\"29489664\",\"NUMBER_OF_BYTES-eng\":\"29489664\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:35:03\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:35:03\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/748.mkv\",\"bitrate\":\"1793092\",\"of_duration\":\"1228.736000\",\"duration\":\"00:20:28\"}',NULL,NULL,1794,'',0,NULL,NULL),(748,749,21,NULL,16134,0,0,1638301531,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2020259\",\"BPS-eng\":\"2020259\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"310412826\",\"NUMBER_OF_BYTES-eng\":\"310412826\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:45:31\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:45:31\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:45:31\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:45:31\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/749.mkv\",\"bitrate\":\"2214067\",\"of_duration\":\"1229.216000\",\"duration\":\"00:20:29\"}',NULL,NULL,2214,'',0,NULL,NULL),(749,750,21,NULL,16138,0,0,1638301531,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1943670\",\"BPS-eng\":\"1943670\",\"DURATION\":\"00:20:28.800000000\",\"DURATION-eng\":\"00:20:28.800000000\",\"NUMBER_OF_FRAMES\":\"30720\",\"NUMBER_OF_FRAMES-eng\":\"30720\",\"NUMBER_OF_BYTES\":\"298547738\",\"NUMBER_OF_BYTES-eng\":\"298547738\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:53:51\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:53:51\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.800000000\",\"DURATION-eng\":\"00:20:28.800000000\",\"NUMBER_OF_FRAMES\":\"38400\",\"NUMBER_OF_FRAMES-eng\":\"38400\",\"NUMBER_OF_BYTES\":\"29491200\",\"NUMBER_OF_BYTES-eng\":\"29491200\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-27 12:53:51\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-27 12:53:51\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/750.mkv\",\"bitrate\":\"2137501\",\"of_duration\":\"1228.800000\",\"duration\":\"00:20:28\"}',NULL,NULL,2139,'',0,NULL,NULL),(750,751,21,NULL,16142,0,0,1638301531,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2554056\",\"BPS-eng\":\"2554056\",\"DURATION\":\"00:20:28.560000000\",\"DURATION-eng\":\"00:20:28.560000000\",\"NUMBER_OF_FRAMES\":\"30714\",\"NUMBER_OF_FRAMES-eng\":\"30714\",\"NUMBER_OF_BYTES\":\"392226521\",\"NUMBER_OF_BYTES-eng\":\"392226521\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:06:58\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:06:58\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.576000000\",\"DURATION-eng\":\"00:20:28.576000000\",\"NUMBER_OF_FRAMES\":\"38393\",\"NUMBER_OF_FRAMES-eng\":\"38393\",\"NUMBER_OF_BYTES\":\"29485824\",\"NUMBER_OF_BYTES-eng\":\"29485824\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:06:58\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:06:58\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/751.mkv\",\"bitrate\":\"2747871\",\"of_duration\":\"1228.576000\",\"duration\":\"00:20:28\"}',NULL,NULL,2749,'',0,NULL,NULL),(751,752,21,NULL,16146,0,0,1638301531,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2412184\",\"BPS-eng\":\"2412184\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"370632214\",\"NUMBER_OF_BYTES-eng\":\"370632214\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:13:13\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:13:13\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:13:13\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:13:13\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/752.mkv\",\"bitrate\":\"2605996\",\"of_duration\":\"1229.216000\",\"duration\":\"00:20:29\"}',NULL,NULL,2606,'',0,NULL,NULL),(752,753,21,NULL,16150,0,0,1638301531,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2297171\",\"BPS-eng\":\"2297171\",\"DURATION\":\"00:20:28.280000000\",\"DURATION-eng\":\"00:20:28.280000000\",\"NUMBER_OF_FRAMES\":\"30707\",\"NUMBER_OF_FRAMES-eng\":\"30707\",\"NUMBER_OF_BYTES\":\"352696187\",\"NUMBER_OF_BYTES-eng\":\"352696187\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:18:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:18:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.288000000\",\"DURATION-eng\":\"00:20:28.288000000\",\"NUMBER_OF_FRAMES\":\"38384\",\"NUMBER_OF_FRAMES-eng\":\"38384\",\"NUMBER_OF_BYTES\":\"29478912\",\"NUMBER_OF_BYTES-eng\":\"29478912\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:18:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:18:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/753.mkv\",\"bitrate\":\"2490997\",\"of_duration\":\"1228.288000\",\"duration\":\"00:20:28\"}',NULL,NULL,2492,'',0,NULL,NULL),(753,754,21,NULL,16154,0,0,1638301531,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1762122\",\"BPS-eng\":\"1762122\",\"DURATION\":\"00:20:29.080000000\",\"DURATION-eng\":\"00:20:29.080000000\",\"NUMBER_OF_FRAMES\":\"30727\",\"NUMBER_OF_FRAMES-eng\":\"30727\",\"NUMBER_OF_BYTES\":\"270723632\",\"NUMBER_OF_BYTES-eng\":\"270723632\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:24:24\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:24:24\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.088000000\",\"DURATION-eng\":\"00:20:29.088000000\",\"NUMBER_OF_FRAMES\":\"38409\",\"NUMBER_OF_FRAMES-eng\":\"38409\",\"NUMBER_OF_BYTES\":\"29498112\",\"NUMBER_OF_BYTES-eng\":\"29498112\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:24:24\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:24:24\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/754.mkv\",\"bitrate\":\"1955938\",\"of_duration\":\"1229.088000\",\"duration\":\"00:20:29\"}',NULL,NULL,1956,'',0,NULL,NULL),(754,755,21,NULL,16158,0,0,1638301531,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2165663\",\"BPS-eng\":\"2165663\",\"DURATION\":\"00:20:29.120000000\",\"DURATION-eng\":\"00:20:29.120000000\",\"NUMBER_OF_FRAMES\":\"30728\",\"NUMBER_OF_FRAMES-eng\":\"30728\",\"NUMBER_OF_BYTES\":\"332732472\",\"NUMBER_OF_BYTES-eng\":\"332732472\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:32:24\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:32:24\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.120000000\",\"DURATION-eng\":\"00:20:29.120000000\",\"NUMBER_OF_FRAMES\":\"38410\",\"NUMBER_OF_FRAMES-eng\":\"38410\",\"NUMBER_OF_BYTES\":\"29498880\",\"NUMBER_OF_BYTES-eng\":\"29498880\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:32:24\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:32:24\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/755.mkv\",\"bitrate\":\"2359503\",\"of_duration\":\"1229.120000\",\"duration\":\"00:20:29\"}',NULL,NULL,2360,'',0,NULL,NULL),(755,756,21,NULL,16162,0,0,1638301531,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2181123\",\"BPS-eng\":\"2181123\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"335129571\",\"NUMBER_OF_BYTES-eng\":\"335129571\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:37:44\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:37:44\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:37:44\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:37:44\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/756.mkv\",\"bitrate\":\"2374934\",\"of_duration\":\"1229.216000\",\"duration\":\"00:20:29\"}',NULL,NULL,2375,'',0,NULL,NULL),(756,757,21,NULL,16166,0,0,1638301532,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2456444\",\"BPS-eng\":\"2456444\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"377432636\",\"NUMBER_OF_BYTES-eng\":\"377432636\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:42:23\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:42:23\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-09-28 08:42:23\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-09-28 08:42:23\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/757.mkv\",\"bitrate\":\"2650256\",\"of_duration\":\"1229.216000\",\"duration\":\"00:20:29\"}',NULL,NULL,2651,'',0,NULL,NULL),(757,758,21,NULL,16170,0,0,1638301532,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2572843\",\"BPS-eng\":\"2572843\",\"DURATION\":\"00:20:29.680000000\",\"DURATION-eng\":\"00:20:29.680000000\",\"NUMBER_OF_FRAMES\":\"30742\",\"NUMBER_OF_FRAMES-eng\":\"30742\",\"NUMBER_OF_BYTES\":\"395471770\",\"NUMBER_OF_BYTES-eng\":\"395471770\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:05:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:05:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.696000000\",\"DURATION-eng\":\"00:20:29.696000000\",\"NUMBER_OF_FRAMES\":\"38428\",\"NUMBER_OF_FRAMES-eng\":\"38428\",\"NUMBER_OF_BYTES\":\"29512704\",\"NUMBER_OF_BYTES-eng\":\"29512704\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:05:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:05:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/758.mkv\",\"bitrate\":\"2766659\",\"of_duration\":\"1229.696000\",\"duration\":\"00:20:29\"}',NULL,NULL,2768,'',0,NULL,NULL),(758,759,21,NULL,16174,0,0,1638301532,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2299505\",\"BPS-eng\":\"2299505\",\"DURATION\":\"00:20:29.680000000\",\"DURATION-eng\":\"00:20:29.680000000\",\"NUMBER_OF_FRAMES\":\"30742\",\"NUMBER_OF_FRAMES-eng\":\"30742\",\"NUMBER_OF_BYTES\":\"353456934\",\"NUMBER_OF_BYTES-eng\":\"353456934\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:07:38\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:07:38\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.696000000\",\"DURATION-eng\":\"00:20:29.696000000\",\"NUMBER_OF_FRAMES\":\"38428\",\"NUMBER_OF_FRAMES-eng\":\"38428\",\"NUMBER_OF_BYTES\":\"29512704\",\"NUMBER_OF_BYTES-eng\":\"29512704\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:07:38\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:07:38\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/759.mkv\",\"bitrate\":\"2493311\",\"of_duration\":\"1229.696000\",\"duration\":\"00:20:29\"}',NULL,NULL,2495,'',0,NULL,NULL),(759,760,21,NULL,16178,0,0,1638301532,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2296269\",\"BPS-eng\":\"2296269\",\"DURATION\":\"00:20:29.680000000\",\"DURATION-eng\":\"00:20:29.680000000\",\"NUMBER_OF_FRAMES\":\"30742\",\"NUMBER_OF_FRAMES-eng\":\"30742\",\"NUMBER_OF_BYTES\":\"352959661\",\"NUMBER_OF_BYTES-eng\":\"352959661\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:10:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:10:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.696000000\",\"DURATION-eng\":\"00:20:29.696000000\",\"NUMBER_OF_FRAMES\":\"38428\",\"NUMBER_OF_FRAMES-eng\":\"38428\",\"NUMBER_OF_BYTES\":\"29512704\",\"NUMBER_OF_BYTES-eng\":\"29512704\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:10:07\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:10:07\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/760.mkv\",\"bitrate\":\"2490080\",\"of_duration\":\"1229.696000\",\"duration\":\"00:20:29\"}',NULL,NULL,2491,'',0,NULL,NULL),(760,761,21,NULL,16187,0,0,1638301532,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2189953\",\"BPS-eng\":\"2189953\",\"DURATION\":\"00:20:29.680000000\",\"DURATION-eng\":\"00:20:29.680000000\",\"NUMBER_OF_FRAMES\":\"30742\",\"NUMBER_OF_FRAMES-eng\":\"30742\",\"NUMBER_OF_BYTES\":\"336617819\",\"NUMBER_OF_BYTES-eng\":\"336617819\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:18:49\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:18:49\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.696000000\",\"DURATION-eng\":\"00:20:29.696000000\",\"NUMBER_OF_FRAMES\":\"38428\",\"NUMBER_OF_FRAMES-eng\":\"38428\",\"NUMBER_OF_BYTES\":\"29512704\",\"NUMBER_OF_BYTES-eng\":\"29512704\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:18:49\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:18:49\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/761.mkv\",\"bitrate\":\"2383754\",\"of_duration\":\"1229.696000\",\"duration\":\"00:20:29\"}',NULL,NULL,2385,'',0,NULL,NULL),(761,762,21,NULL,16192,0,0,1638301532,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2258054\",\"BPS-eng\":\"2258054\",\"DURATION\":\"00:20:29.680000000\",\"DURATION-eng\":\"00:20:29.680000000\",\"NUMBER_OF_FRAMES\":\"30742\",\"NUMBER_OF_FRAMES-eng\":\"30742\",\"NUMBER_OF_BYTES\":\"347085624\",\"NUMBER_OF_BYTES-eng\":\"347085624\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:12:13\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:12:13\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.696000000\",\"DURATION-eng\":\"00:20:29.696000000\",\"NUMBER_OF_FRAMES\":\"38428\",\"NUMBER_OF_FRAMES-eng\":\"38428\",\"NUMBER_OF_BYTES\":\"29512704\",\"NUMBER_OF_BYTES-eng\":\"29512704\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:12:13\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:12:13\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/762.mkv\",\"bitrate\":\"2451866\",\"of_duration\":\"1229.696000\",\"duration\":\"00:20:29\"}',NULL,NULL,2453,'',0,NULL,NULL),(762,763,21,NULL,16225,0,0,1638301532,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1847166\",\"BPS-eng\":\"1847166\",\"DURATION\":\"00:20:29.680000000\",\"DURATION-eng\":\"00:20:29.680000000\",\"NUMBER_OF_FRAMES\":\"30742\",\"NUMBER_OF_FRAMES-eng\":\"30742\",\"NUMBER_OF_BYTES\":\"283927914\",\"NUMBER_OF_BYTES-eng\":\"283927914\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:14:10\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:14:10\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.696000000\",\"DURATION-eng\":\"00:20:29.696000000\",\"NUMBER_OF_FRAMES\":\"38428\",\"NUMBER_OF_FRAMES-eng\":\"38428\",\"NUMBER_OF_BYTES\":\"29512704\",\"NUMBER_OF_BYTES-eng\":\"29512704\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:14:10\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:14:10\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/763.mkv\",\"bitrate\":\"2040965\",\"of_duration\":\"1229.696000\",\"duration\":\"00:20:29\"}',NULL,NULL,2042,'',0,NULL,NULL),(763,764,21,NULL,16229,0,0,1638301533,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2062392\",\"BPS-eng\":\"2062392\",\"DURATION\":\"00:20:28.960000000\",\"DURATION-eng\":\"00:20:28.960000000\",\"NUMBER_OF_FRAMES\":\"30724\",\"NUMBER_OF_FRAMES-eng\":\"30724\",\"NUMBER_OF_BYTES\":\"316824678\",\"NUMBER_OF_BYTES-eng\":\"316824678\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:15:59\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:15:59\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.960000000\",\"DURATION-eng\":\"00:20:28.960000000\",\"NUMBER_OF_FRAMES\":\"38405\",\"NUMBER_OF_FRAMES-eng\":\"38405\",\"NUMBER_OF_BYTES\":\"29495040\",\"NUMBER_OF_BYTES-eng\":\"29495040\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:15:59\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:15:59\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/764.mkv\",\"bitrate\":\"2256230\",\"of_duration\":\"1228.960000\",\"duration\":\"00:20:28\"}',NULL,NULL,2258,'',0,NULL,NULL),(764,765,21,NULL,16233,0,0,1638301533,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2282212\",\"BPS-eng\":\"2282212\",\"DURATION\":\"00:20:30.120000000\",\"DURATION-eng\":\"00:20:30.120000000\",\"NUMBER_OF_FRAMES\":\"30753\",\"NUMBER_OF_FRAMES-eng\":\"30753\",\"NUMBER_OF_BYTES\":\"350924478\",\"NUMBER_OF_BYTES-eng\":\"350924478\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:24:47\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:24:47\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.144000000\",\"DURATION-eng\":\"00:20:30.144000000\",\"NUMBER_OF_FRAMES\":\"38442\",\"NUMBER_OF_FRAMES-eng\":\"38442\",\"NUMBER_OF_BYTES\":\"29523456\",\"NUMBER_OF_BYTES-eng\":\"29523456\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:24:47\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:24:47\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/765.mkv\",\"bitrate\":\"2476014\",\"of_duration\":\"1230.144000\",\"duration\":\"00:20:30\"}',NULL,NULL,2476,'',0,NULL,NULL),(765,766,21,NULL,16237,0,0,1638301533,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2204886\",\"BPS-eng\":\"2204886\",\"DURATION\":\"00:20:30.160000000\",\"DURATION-eng\":\"00:20:30.160000000\",\"NUMBER_OF_FRAMES\":\"30754\",\"NUMBER_OF_FRAMES-eng\":\"30754\",\"NUMBER_OF_BYTES\":\"339045342\",\"NUMBER_OF_BYTES-eng\":\"339045342\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:33:32\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:33:32\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.176000000\",\"DURATION-eng\":\"00:20:30.176000000\",\"NUMBER_OF_FRAMES\":\"38443\",\"NUMBER_OF_FRAMES-eng\":\"38443\",\"NUMBER_OF_BYTES\":\"29524224\",\"NUMBER_OF_BYTES-eng\":\"29524224\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-04 18:33:32\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-04 18:33:32\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/766.mkv\",\"bitrate\":\"2398703\",\"of_duration\":\"1230.176000\",\"duration\":\"00:20:30\"}',NULL,NULL,2399,'',0,NULL,NULL),(766,767,21,NULL,16241,0,0,1638301533,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2384997\",\"BPS-eng\":\"2384997\",\"DURATION\":\"00:20:30.200000000\",\"DURATION-eng\":\"00:20:30.200000000\",\"NUMBER_OF_FRAMES\":\"30755\",\"NUMBER_OF_FRAMES-eng\":\"30755\",\"NUMBER_OF_BYTES\":\"366752948\",\"NUMBER_OF_BYTES-eng\":\"366752948\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:11:26\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:11:26\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.208000000\",\"DURATION-eng\":\"00:20:30.208000000\",\"NUMBER_OF_FRAMES\":\"38444\",\"NUMBER_OF_FRAMES-eng\":\"38444\",\"NUMBER_OF_BYTES\":\"29524992\",\"NUMBER_OF_BYTES-eng\":\"29524992\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:11:26\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:11:26\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/767.mkv\",\"bitrate\":\"2578817\",\"of_duration\":\"1230.208000\",\"duration\":\"00:20:30\"}',NULL,NULL,2579,'',0,NULL,NULL),(767,768,21,NULL,16247,0,0,1638301533,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2268662\",\"BPS-eng\":\"2268662\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"348829513\",\"NUMBER_OF_BYTES-eng\":\"348829513\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:13:22\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:13:22\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:13:22\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:13:22\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/768.mkv\",\"bitrate\":\"2462509\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2463,'',0,NULL,NULL),(768,769,21,NULL,16259,0,0,1638301533,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2337432\",\"BPS-eng\":\"2337432\",\"DURATION\":\"00:20:29.400000000\",\"DURATION-eng\":\"00:20:29.400000000\",\"NUMBER_OF_FRAMES\":\"30735\",\"NUMBER_OF_FRAMES-eng\":\"30735\",\"NUMBER_OF_BYTES\":\"359205005\",\"NUMBER_OF_BYTES-eng\":\"359205005\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:15:46\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:15:46\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.408000000\",\"DURATION-eng\":\"00:20:29.408000000\",\"NUMBER_OF_FRAMES\":\"38419\",\"NUMBER_OF_FRAMES-eng\":\"38419\",\"NUMBER_OF_BYTES\":\"29505792\",\"NUMBER_OF_BYTES-eng\":\"29505792\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:15:46\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:15:46\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/769.mkv\",\"bitrate\":\"2531259\",\"of_duration\":\"1229.408000\",\"duration\":\"00:20:29\"}',NULL,NULL,2532,'',0,NULL,NULL),(769,770,21,NULL,16268,0,0,1638301533,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2428101\",\"BPS-eng\":\"2428101\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"373344936\",\"NUMBER_OF_BYTES-eng\":\"373344936\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:23:36\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:23:36\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":14,\"start_time\":\"0.014000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.176000000\",\"DURATION-eng\":\"00:20:30.176000000\",\"NUMBER_OF_FRAMES\":\"38443\",\"NUMBER_OF_FRAMES-eng\":\"38443\",\"NUMBER_OF_BYTES\":\"29524224\",\"NUMBER_OF_BYTES-eng\":\"29524224\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:23:36\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:23:36\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/770.mkv\",\"bitrate\":\"2621736\",\"of_duration\":\"1230.190000\",\"duration\":\"00:20:30\"}',NULL,NULL,2622,'',0,NULL,NULL),(770,771,21,NULL,16272,0,0,1638301534,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2269713\",\"BPS-eng\":\"2269713\",\"DURATION\":\"00:20:29.640000000\",\"DURATION-eng\":\"00:20:29.640000000\",\"NUMBER_OF_FRAMES\":\"30741\",\"NUMBER_OF_FRAMES-eng\":\"30741\",\"NUMBER_OF_BYTES\":\"348866379\",\"NUMBER_OF_BYTES-eng\":\"348866379\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:25:11\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:25:11\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.664000000\",\"DURATION-eng\":\"00:20:29.664000000\",\"NUMBER_OF_FRAMES\":\"38427\",\"NUMBER_OF_FRAMES-eng\":\"38427\",\"NUMBER_OF_BYTES\":\"29511936\",\"NUMBER_OF_BYTES-eng\":\"29511936\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:25:11\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:25:11\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/771.mkv\",\"bitrate\":\"2463510\",\"of_duration\":\"1229.664000\",\"duration\":\"00:20:29\"}',NULL,NULL,2465,'',0,NULL,NULL),(771,772,21,NULL,16276,0,0,1638301534,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2232281\",\"BPS-eng\":\"2232281\",\"DURATION\":\"00:20:29.400000000\",\"DURATION-eng\":\"00:20:29.400000000\",\"NUMBER_OF_FRAMES\":\"30735\",\"NUMBER_OF_FRAMES-eng\":\"30735\",\"NUMBER_OF_BYTES\":\"343045900\",\"NUMBER_OF_BYTES-eng\":\"343045900\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:28:11\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:28:11\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.408000000\",\"DURATION-eng\":\"00:20:29.408000000\",\"NUMBER_OF_FRAMES\":\"38419\",\"NUMBER_OF_FRAMES-eng\":\"38419\",\"NUMBER_OF_BYTES\":\"29505792\",\"NUMBER_OF_BYTES-eng\":\"29505792\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:28:11\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:28:11\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/772.mkv\",\"bitrate\":\"2426106\",\"of_duration\":\"1229.408000\",\"duration\":\"00:20:29\"}',NULL,NULL,2427,'',0,NULL,NULL),(772,773,21,NULL,16280,0,0,1638301534,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2152253\",\"BPS-eng\":\"2152253\",\"DURATION\":\"00:20:29.600000000\",\"DURATION-eng\":\"00:20:29.600000000\",\"NUMBER_OF_FRAMES\":\"30740\",\"NUMBER_OF_FRAMES-eng\":\"30740\",\"NUMBER_OF_BYTES\":\"330801366\",\"NUMBER_OF_BYTES-eng\":\"330801366\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:30:37\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:30:37\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.600000000\",\"DURATION-eng\":\"00:20:29.600000000\",\"NUMBER_OF_FRAMES\":\"38425\",\"NUMBER_OF_FRAMES-eng\":\"38425\",\"NUMBER_OF_BYTES\":\"29510400\",\"NUMBER_OF_BYTES-eng\":\"29510400\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:30:37\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:30:37\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/773.mkv\",\"bitrate\":\"2346087\",\"of_duration\":\"1229.600000\",\"duration\":\"00:20:29\"}',NULL,NULL,2347,'',0,NULL,NULL),(773,774,21,NULL,16289,0,0,1638301534,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2424087\",\"BPS-eng\":\"2424087\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"372461047\",\"NUMBER_OF_BYTES-eng\":\"372461047\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:32:22\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:32:22\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:32:22\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:32:22\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/774.mkv\",\"bitrate\":\"2617912\",\"of_duration\":\"1229.216000\",\"duration\":\"00:20:29\"}',NULL,NULL,2618,'',0,NULL,NULL),(774,775,21,NULL,16293,0,0,1638301534,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2433775\",\"BPS-eng\":\"2433775\",\"DURATION\":\"00:20:29.360000000\",\"DURATION-eng\":\"00:20:29.360000000\",\"NUMBER_OF_FRAMES\":\"30734\",\"NUMBER_OF_FRAMES-eng\":\"30734\",\"NUMBER_OF_BYTES\":\"373998338\",\"NUMBER_OF_BYTES-eng\":\"373998338\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:34:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:34:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.376000000\",\"DURATION-eng\":\"00:20:29.376000000\",\"NUMBER_OF_FRAMES\":\"38418\",\"NUMBER_OF_FRAMES-eng\":\"38418\",\"NUMBER_OF_BYTES\":\"29505024\",\"NUMBER_OF_BYTES-eng\":\"29505024\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:34:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:34:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/775.mkv\",\"bitrate\":\"2627586\",\"of_duration\":\"1229.376000\",\"duration\":\"00:20:29\"}',NULL,NULL,2628,'',0,NULL,NULL),(775,776,21,NULL,16302,0,0,1638301534,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2724270\",\"BPS-eng\":\"2724270\",\"DURATION\":\"00:20:29.480000000\",\"DURATION-eng\":\"00:20:29.480000000\",\"NUMBER_OF_FRAMES\":\"30737\",\"NUMBER_OF_FRAMES-eng\":\"30737\",\"NUMBER_OF_BYTES\":\"418679517\",\"NUMBER_OF_BYTES-eng\":\"418679517\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:38:27\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:38:27\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.504000000\",\"DURATION-eng\":\"00:20:29.504000000\",\"NUMBER_OF_FRAMES\":\"38422\",\"NUMBER_OF_FRAMES-eng\":\"38422\",\"NUMBER_OF_BYTES\":\"29508096\",\"NUMBER_OF_BYTES-eng\":\"29508096\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:38:27\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:38:27\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/776.mkv\",\"bitrate\":\"2918068\",\"of_duration\":\"1229.504000\",\"duration\":\"00:20:29\"}',NULL,NULL,2919,'',0,NULL,NULL),(776,777,21,NULL,16306,0,0,1638301534,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2406503\",\"BPS-eng\":\"2406503\",\"DURATION\":\"00:20:29.200000000\",\"DURATION-eng\":\"00:20:29.200000000\",\"NUMBER_OF_FRAMES\":\"30730\",\"NUMBER_OF_FRAMES-eng\":\"30730\",\"NUMBER_OF_BYTES\":\"369759253\",\"NUMBER_OF_BYTES-eng\":\"369759253\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:41:55\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:41:55\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.216000000\",\"DURATION-eng\":\"00:20:29.216000000\",\"NUMBER_OF_FRAMES\":\"38413\",\"NUMBER_OF_FRAMES-eng\":\"38413\",\"NUMBER_OF_BYTES\":\"29501184\",\"NUMBER_OF_BYTES-eng\":\"29501184\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-05 13:41:55\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-05 13:41:55\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/777.mkv\",\"bitrate\":\"2600312\",\"of_duration\":\"1229.216000\",\"duration\":\"00:20:29\"}',NULL,NULL,2601,'',0,NULL,NULL),(777,778,21,NULL,16310,0,0,1638301534,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2655847\",\"BPS-eng\":\"2655847\",\"DURATION\":\"00:20:29.560000000\",\"DURATION-eng\":\"00:20:29.560000000\",\"NUMBER_OF_FRAMES\":\"30739\",\"NUMBER_OF_FRAMES-eng\":\"30739\",\"NUMBER_OF_BYTES\":\"408190438\",\"NUMBER_OF_BYTES-eng\":\"408190438\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:16:01\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:16:01\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.568000000\",\"DURATION-eng\":\"00:20:29.568000000\",\"NUMBER_OF_FRAMES\":\"38424\",\"NUMBER_OF_FRAMES-eng\":\"38424\",\"NUMBER_OF_BYTES\":\"29509632\",\"NUMBER_OF_BYTES-eng\":\"29509632\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:16:01\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:16:01\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/778.mkv\",\"bitrate\":\"2849691\",\"of_duration\":\"1229.568000\",\"duration\":\"00:20:29\"}',NULL,NULL,2851,'',0,NULL,NULL),(778,779,21,NULL,16314,0,0,1638301535,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2444892\",\"BPS-eng\":\"2444892\",\"DURATION\":\"00:20:29.600000000\",\"DURATION-eng\":\"00:20:29.600000000\",\"NUMBER_OF_FRAMES\":\"30740\",\"NUMBER_OF_FRAMES-eng\":\"30740\",\"NUMBER_OF_BYTES\":\"375780022\",\"NUMBER_OF_BYTES-eng\":\"375780022\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:20:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:20:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.600000000\",\"DURATION-eng\":\"00:20:29.600000000\",\"NUMBER_OF_FRAMES\":\"38425\",\"NUMBER_OF_FRAMES-eng\":\"38425\",\"NUMBER_OF_BYTES\":\"29510400\",\"NUMBER_OF_BYTES-eng\":\"29510400\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:20:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:20:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/779.mkv\",\"bitrate\":\"2638734\",\"of_duration\":\"1229.600000\",\"duration\":\"00:20:29\"}',NULL,NULL,2640,'',0,NULL,NULL),(779,780,21,NULL,16318,0,0,1638301535,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2496667\",\"BPS-eng\":\"2496667\",\"DURATION\":\"00:20:29.400000000\",\"DURATION-eng\":\"00:20:29.400000000\",\"NUMBER_OF_FRAMES\":\"30735\",\"NUMBER_OF_FRAMES-eng\":\"30735\",\"NUMBER_OF_BYTES\":\"383675408\",\"NUMBER_OF_BYTES-eng\":\"383675408\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:23:39\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:23:39\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.408000000\",\"DURATION-eng\":\"00:20:29.408000000\",\"NUMBER_OF_FRAMES\":\"38419\",\"NUMBER_OF_FRAMES-eng\":\"38419\",\"NUMBER_OF_BYTES\":\"29505792\",\"NUMBER_OF_BYTES-eng\":\"29505792\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:23:39\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:23:39\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/780.mkv\",\"bitrate\":\"2690503\",\"of_duration\":\"1229.408000\",\"duration\":\"00:20:29\"}',NULL,NULL,2691,'',0,NULL,NULL),(780,781,21,NULL,16322,0,0,1638301535,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2146081\",\"BPS-eng\":\"2146081\",\"DURATION\":\"00:20:28.320000000\",\"DURATION-eng\":\"00:20:28.320000000\",\"NUMBER_OF_FRAMES\":\"30708\",\"NUMBER_OF_FRAMES-eng\":\"30708\",\"NUMBER_OF_BYTES\":\"329509297\",\"NUMBER_OF_BYTES-eng\":\"329509297\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:25:17\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:25:17\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.320000000\",\"DURATION-eng\":\"00:20:28.320000000\",\"NUMBER_OF_FRAMES\":\"38385\",\"NUMBER_OF_FRAMES-eng\":\"38385\",\"NUMBER_OF_BYTES\":\"29479680\",\"NUMBER_OF_BYTES-eng\":\"29479680\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:25:17\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:25:17\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/781.mkv\",\"bitrate\":\"2339910\",\"of_duration\":\"1228.320000\",\"duration\":\"00:20:28\"}',NULL,NULL,2341,'',0,NULL,NULL),(781,782,21,NULL,16327,0,0,1638301535,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2397854\",\"BPS-eng\":\"2397854\",\"DURATION\":\"00:20:28.680000000\",\"DURATION-eng\":\"00:20:28.680000000\",\"NUMBER_OF_FRAMES\":\"30717\",\"NUMBER_OF_FRAMES-eng\":\"30717\",\"NUMBER_OF_BYTES\":\"368274421\",\"NUMBER_OF_BYTES-eng\":\"368274421\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:27:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:27:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.704000000\",\"DURATION-eng\":\"00:20:28.704000000\",\"NUMBER_OF_FRAMES\":\"38397\",\"NUMBER_OF_FRAMES-eng\":\"38397\",\"NUMBER_OF_BYTES\":\"29488896\",\"NUMBER_OF_BYTES-eng\":\"29488896\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:27:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:27:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/782.mkv\",\"bitrate\":\"2591650\",\"of_duration\":\"1228.704000\",\"duration\":\"00:20:28\"}',NULL,NULL,2593,'',0,NULL,NULL),(782,783,21,NULL,16333,0,0,1638301535,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2364985\",\"BPS-eng\":\"2364985\",\"DURATION\":\"00:20:28.800000000\",\"DURATION-eng\":\"00:20:28.800000000\",\"NUMBER_OF_FRAMES\":\"30720\",\"NUMBER_OF_FRAMES-eng\":\"30720\",\"NUMBER_OF_BYTES\":\"363261779\",\"NUMBER_OF_BYTES-eng\":\"363261779\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:30:39\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:30:39\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:28.800000000\",\"DURATION-eng\":\"00:20:28.800000000\",\"NUMBER_OF_FRAMES\":\"38400\",\"NUMBER_OF_FRAMES-eng\":\"38400\",\"NUMBER_OF_BYTES\":\"29491200\",\"NUMBER_OF_BYTES-eng\":\"29491200\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-06 11:30:39\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-06 11:30:39\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/783.mkv\",\"bitrate\":\"2558824\",\"of_duration\":\"1228.800000\",\"duration\":\"00:20:28\"}',NULL,NULL,2560,'',0,NULL,NULL),(783,784,21,NULL,16339,0,0,1638301535,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2353621\",\"BPS-eng\":\"2353621\",\"DURATION\":\"00:20:40.200000000\",\"DURATION-eng\":\"00:20:40.200000000\",\"NUMBER_OF_FRAMES\":\"31005\",\"NUMBER_OF_FRAMES-eng\":\"31005\",\"NUMBER_OF_BYTES\":\"364870173\",\"NUMBER_OF_BYTES-eng\":\"364870173\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 12:56:43\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 12:56:43\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:40.224000000\",\"DURATION-eng\":\"00:20:40.224000000\",\"NUMBER_OF_FRAMES\":\"38757\",\"NUMBER_OF_FRAMES-eng\":\"38757\",\"NUMBER_OF_BYTES\":\"29765376\",\"NUMBER_OF_BYTES-eng\":\"29765376\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 12:56:43\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 12:56:43\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/784.mkv\",\"bitrate\":\"2547412\",\"of_duration\":\"1240.224000\",\"duration\":\"00:20:40\"}',NULL,NULL,2548,'',0,NULL,NULL),(784,785,21,NULL,16346,0,0,1638301535,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2424541\",\"BPS-eng\":\"2424541\",\"DURATION\":\"00:20:30.120000000\",\"DURATION-eng\":\"00:20:30.120000000\",\"NUMBER_OF_FRAMES\":\"30753\",\"NUMBER_OF_FRAMES-eng\":\"30753\",\"NUMBER_OF_BYTES\":\"372809682\",\"NUMBER_OF_BYTES-eng\":\"372809682\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 13:04:24\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 13:04:24\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.144000000\",\"DURATION-eng\":\"00:20:30.144000000\",\"NUMBER_OF_FRAMES\":\"38442\",\"NUMBER_OF_FRAMES-eng\":\"38442\",\"NUMBER_OF_BYTES\":\"29523456\",\"NUMBER_OF_BYTES-eng\":\"29523456\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 13:04:24\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 13:04:24\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/785.mkv\",\"bitrate\":\"2618350\",\"of_duration\":\"1230.144000\",\"duration\":\"00:20:30\"}',NULL,NULL,2619,'',0,NULL,NULL),(785,786,21,NULL,16377,0,0,1638301536,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1924447\",\"BPS-eng\":\"1924447\",\"DURATION\":\"00:20:30.120000000\",\"DURATION-eng\":\"00:20:30.120000000\",\"NUMBER_OF_FRAMES\":\"30753\",\"NUMBER_OF_FRAMES-eng\":\"30753\",\"NUMBER_OF_BYTES\":\"295912640\",\"NUMBER_OF_BYTES-eng\":\"295912640\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 13:06:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 13:06:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.144000000\",\"DURATION-eng\":\"00:20:30.144000000\",\"NUMBER_OF_FRAMES\":\"38442\",\"NUMBER_OF_FRAMES-eng\":\"38442\",\"NUMBER_OF_BYTES\":\"29523456\",\"NUMBER_OF_BYTES-eng\":\"29523456\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 13:06:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 13:06:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/786.mkv\",\"bitrate\":\"2118240\",\"of_duration\":\"1230.144000\",\"duration\":\"00:20:30\"}',NULL,NULL,2118,'',0,NULL,NULL),(786,787,21,NULL,16381,0,0,1638301536,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2230299\",\"BPS-eng\":\"2230299\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"342930788\",\"NUMBER_OF_BYTES-eng\":\"342930788\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 13:35:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 13:35:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 13:35:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 13:35:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/787.mkv\",\"bitrate\":\"2424144\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2424,'',0,NULL,NULL),(787,788,21,NULL,16385,0,0,1638301536,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2154239\",\"BPS-eng\":\"2154239\",\"DURATION\":\"00:20:28.960000000\",\"DURATION-eng\":\"00:20:28.960000000\",\"NUMBER_OF_FRAMES\":\"30724\",\"NUMBER_OF_FRAMES-eng\":\"30724\",\"NUMBER_OF_BYTES\":\"330934235\",\"NUMBER_OF_BYTES-eng\":\"330934235\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 14:25:43\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 14:25:43\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":24,\"start_time\":\"0.024000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:27.936000000\",\"DURATION-eng\":\"00:20:27.936000000\",\"NUMBER_OF_FRAMES\":\"38373\",\"NUMBER_OF_FRAMES-eng\":\"38373\",\"NUMBER_OF_BYTES\":\"29470464\",\"NUMBER_OF_BYTES-eng\":\"29470464\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 14:25:43\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 14:25:43\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/788.mkv\",\"bitrate\":\"2347913\",\"of_duration\":\"1228.960000\",\"duration\":\"00:20:28\"}',NULL,NULL,2350,'',0,NULL,NULL),(788,789,21,NULL,16389,0,0,1638301536,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2517193\",\"BPS-eng\":\"2517193\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"387043613\",\"NUMBER_OF_BYTES-eng\":\"387043613\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 21:57:48\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 21:57:48\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 21:57:48\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 21:57:48\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/789.mkv\",\"bitrate\":\"2711044\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2711,'',0,NULL,NULL),(789,790,21,NULL,16398,0,0,1638301536,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2268921\",\"BPS-eng\":\"2268921\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"348869349\",\"NUMBER_OF_BYTES-eng\":\"348869349\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 21:59:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 21:59:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-23 21:59:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-23 21:59:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/790.mkv\",\"bitrate\":\"2462755\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2463,'',0,NULL,NULL),(790,791,21,NULL,16414,0,0,1638301536,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2037066\",\"BPS-eng\":\"2037066\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"313219337\",\"NUMBER_OF_BYTES-eng\":\"313219337\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:49:38\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:49:38\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:49:38\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:49:38\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/791.mkv\",\"bitrate\":\"2230893\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2231,'',0,NULL,NULL),(791,792,21,NULL,16426,0,0,1638301536,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2169170\",\"BPS-eng\":\"2169170\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"333531705\",\"NUMBER_OF_BYTES-eng\":\"333531705\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:51:59\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:51:59\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:51:59\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:51:59\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/792.mkv\",\"bitrate\":\"2363000\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2363,'',0,NULL,NULL),(792,793,21,NULL,16430,0,0,1638301537,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2229128\",\"BPS-eng\":\"2229128\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"342750817\",\"NUMBER_OF_BYTES-eng\":\"342750817\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:53:29\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:53:29\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:53:29\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:53:29\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/793.mkv\",\"bitrate\":\"2422964\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2423,'',0,NULL,NULL),(793,794,21,NULL,16434,0,0,1638301537,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2124113\",\"BPS-eng\":\"2124113\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"326603716\",\"NUMBER_OF_BYTES-eng\":\"326603716\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:55:09\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:55:09\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:55:09\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:55:09\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/794.mkv\",\"bitrate\":\"2317946\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2318,'',0,NULL,NULL),(794,795,21,NULL,16440,0,0,1638301537,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1928767\",\"BPS-eng\":\"1928767\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"296567326\",\"NUMBER_OF_BYTES-eng\":\"296567326\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:57:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:57:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:57:04\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:57:04\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/795.mkv\",\"bitrate\":\"2122591\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2123,'',0,NULL,NULL),(795,796,21,NULL,16447,0,0,1638301537,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2059474\",\"BPS-eng\":\"2059474\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"316664825\",\"NUMBER_OF_BYTES-eng\":\"316664825\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:58:58\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:58:58\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 10:58:58\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 10:58:58\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/796.mkv\",\"bitrate\":\"2253303\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2253,'',0,NULL,NULL),(796,797,21,NULL,16451,0,0,1638301537,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1813497\",\"BPS-eng\":\"1813497\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"278843361\",\"NUMBER_OF_BYTES-eng\":\"278843361\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 11:00:22\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 11:00:22\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 11:00:22\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 11:00:22\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/797.mkv\",\"bitrate\":\"2007320\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2007,'',0,NULL,NULL),(797,798,21,NULL,16455,0,0,1638301537,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2032028\",\"BPS-eng\":\"2032028\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"312444736\",\"NUMBER_OF_BYTES-eng\":\"312444736\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 11:02:10\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 11:02:10\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 11:02:10\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 11:02:10\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/798.mkv\",\"bitrate\":\"2225853\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2226,'',0,NULL,NULL),(798,799,21,NULL,16459,0,0,1638301537,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2002329\",\"BPS-eng\":\"2002329\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"307878158\",\"NUMBER_OF_BYTES-eng\":\"307878158\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 11:03:34\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 11:03:34\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-24 11:03:34\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-24 11:03:34\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/799.mkv\",\"bitrate\":\"2196153\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2196,'',0,NULL,NULL),(799,800,21,NULL,16465,0,0,1638301537,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2117433\",\"BPS-eng\":\"2117433\",\"DURATION\":\"00:20:30.160000000\",\"DURATION-eng\":\"00:20:30.160000000\",\"NUMBER_OF_FRAMES\":\"30754\",\"NUMBER_OF_FRAMES-eng\":\"30754\",\"NUMBER_OF_BYTES\":\"325597742\",\"NUMBER_OF_BYTES-eng\":\"325597742\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:07:01\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:07:01\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.176000000\",\"DURATION-eng\":\"00:20:30.176000000\",\"NUMBER_OF_FRAMES\":\"38443\",\"NUMBER_OF_FRAMES-eng\":\"38443\",\"NUMBER_OF_BYTES\":\"29524224\",\"NUMBER_OF_BYTES-eng\":\"29524224\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:07:01\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:07:01\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/800.mkv\",\"bitrate\":\"2311233\",\"of_duration\":\"1230.176000\",\"duration\":\"00:20:30\"}',NULL,NULL,2312,'',0,NULL,NULL),(800,801,21,NULL,16474,0,0,1638301538,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"BPS\":\"1800474\",\"BPS-eng\":\"1800474\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"276840911\",\"NUMBER_OF_BYTES-eng\":\"276840911\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:08:56\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:08:56\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:08:56\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:08:56\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/801.mkv\",\"bitrate\":\"1994293\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,1994,'',0,NULL,NULL),(801,802,21,NULL,16481,0,0,1638301538,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1801685\",\"BPS-eng\":\"1801685\",\"DURATION\":\"00:20:30.120000000\",\"DURATION-eng\":\"00:20:30.120000000\",\"NUMBER_OF_FRAMES\":\"30753\",\"NUMBER_OF_FRAMES-eng\":\"30753\",\"NUMBER_OF_BYTES\":\"277036179\",\"NUMBER_OF_BYTES-eng\":\"277036179\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:12:27\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:12:27\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.144000000\",\"DURATION-eng\":\"00:20:30.144000000\",\"NUMBER_OF_FRAMES\":\"38442\",\"NUMBER_OF_FRAMES-eng\":\"38442\",\"NUMBER_OF_BYTES\":\"29523456\",\"NUMBER_OF_BYTES-eng\":\"29523456\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:12:27\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:12:27\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/802.mkv\",\"bitrate\":\"1995472\",\"of_duration\":\"1230.144000\",\"duration\":\"00:20:30\"}',NULL,NULL,1996,'',0,NULL,NULL),(802,803,21,NULL,16485,0,0,1638301538,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1811394\",\"BPS-eng\":\"1811394\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"278520093\",\"NUMBER_OF_BYTES-eng\":\"278520093\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:13:43\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:13:43\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:13:43\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:13:43\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/803.mkv\",\"bitrate\":\"2005207\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2005,'',0,NULL,NULL),(803,804,21,NULL,16489,0,0,1638301538,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2058865\",\"BPS-eng\":\"2058865\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"316571186\",\"NUMBER_OF_BYTES-eng\":\"316571186\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:15:10\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:15:10\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:15:10\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:15:10\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/804.mkv\",\"bitrate\":\"2252693\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2253,'',0,NULL,NULL),(804,805,21,NULL,9171,0,0,1638471985,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2052265\",\"BPS-eng\":\"2052265\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"30752\",\"NUMBER_OF_FRAMES-eng\":\"30752\",\"NUMBER_OF_BYTES\":\"315556419\",\"NUMBER_OF_BYTES-eng\":\"315556419\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:18:51\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:18:51\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.080000000\",\"DURATION-eng\":\"00:20:30.080000000\",\"NUMBER_OF_FRAMES\":\"38440\",\"NUMBER_OF_FRAMES-eng\":\"38440\",\"NUMBER_OF_BYTES\":\"29521920\",\"NUMBER_OF_BYTES-eng\":\"29521920\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v12.0.0 (\'Trust \\/ Lust\') 64bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-10-26 12:18:51\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-10-26 12:18:51\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/805.mkv\",\"bitrate\":\"2246091\",\"of_duration\":\"1230.080000\",\"duration\":\"00:20:30\"}',NULL,NULL,2246,'',0,NULL,NULL),(805,806,21,NULL,16497,0,0,1638301538,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2431911\",\"BPS-eng\":\"2431911\",\"DURATION\":\"00:20:34.384000000\",\"DURATION-eng\":\"00:20:34.384000000\",\"NUMBER_OF_FRAMES\":\"30858\",\"NUMBER_OF_FRAMES-eng\":\"30858\",\"NUMBER_OF_BYTES\":\"375239066\",\"NUMBER_OF_BYTES-eng\":\"375239066\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-21 18:41:23\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-21 18:41:23\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:36.768000000\",\"DURATION-eng\":\"00:20:36.768000000\",\"NUMBER_OF_FRAMES\":\"38649\",\"NUMBER_OF_FRAMES-eng\":\"38649\",\"NUMBER_OF_BYTES\":\"29682432\",\"NUMBER_OF_BYTES-eng\":\"29682432\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-21 18:41:23\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-21 18:41:23\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/806.mkv\",\"bitrate\":\"2621047\",\"of_duration\":\"1236.768000\",\"duration\":\"00:20:36\"}',NULL,NULL,2623,'',0,NULL,NULL),(806,807,21,NULL,16501,0,0,1638301538,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2256193\",\"BPS-eng\":\"2256193\",\"DURATION\":\"00:20:38.600000000\",\"DURATION-eng\":\"00:20:38.600000000\",\"NUMBER_OF_FRAMES\":\"30965\",\"NUMBER_OF_FRAMES-eng\":\"30965\",\"NUMBER_OF_BYTES\":\"349315221\",\"NUMBER_OF_BYTES-eng\":\"349315221\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-19 17:38:26\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-19 17:38:26\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:38.624000000\",\"DURATION-eng\":\"00:20:38.624000000\",\"NUMBER_OF_FRAMES\":\"38707\",\"NUMBER_OF_FRAMES-eng\":\"38707\",\"NUMBER_OF_BYTES\":\"29726976\",\"NUMBER_OF_BYTES-eng\":\"29726976\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-19 17:38:26\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-19 17:38:26\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/807.mkv\",\"bitrate\":\"2449979\",\"of_duration\":\"1238.624000\",\"duration\":\"00:20:38\"}',NULL,NULL,2451,'',0,NULL,NULL),(807,808,21,NULL,16521,0,0,1638301539,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2457000\",\"BPS-eng\":\"2457000\",\"DURATION\":\"00:20:29.160000000\",\"DURATION-eng\":\"00:20:29.160000000\",\"NUMBER_OF_FRAMES\":\"30729\",\"NUMBER_OF_FRAMES-eng\":\"30729\",\"NUMBER_OF_BYTES\":\"377505804\",\"NUMBER_OF_BYTES-eng\":\"377505804\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-20 13:06:25\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-20 13:06:25\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.184000000\",\"DURATION-eng\":\"00:20:29.184000000\",\"NUMBER_OF_FRAMES\":\"38412\",\"NUMBER_OF_FRAMES-eng\":\"38412\",\"NUMBER_OF_BYTES\":\"29500416\",\"NUMBER_OF_BYTES-eng\":\"29500416\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-20 13:06:25\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-20 13:06:25\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/808.mkv\",\"bitrate\":\"2650792\",\"of_duration\":\"1229.184000\",\"duration\":\"00:20:29\"}',NULL,NULL,2651,'',0,NULL,NULL),(808,809,21,NULL,16534,0,0,1638301539,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2207266\",\"BPS-eng\":\"2207266\",\"DURATION\":\"00:20:27.880000000\",\"DURATION-eng\":\"00:20:27.880000000\",\"NUMBER_OF_FRAMES\":\"30697\",\"NUMBER_OF_FRAMES-eng\":\"30697\",\"NUMBER_OF_BYTES\":\"338782330\",\"NUMBER_OF_BYTES-eng\":\"338782330\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-27 10:13:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-27 10:13:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":10,\"start_time\":\"0.010000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:27.744000000\",\"DURATION-eng\":\"00:20:27.744000000\",\"NUMBER_OF_FRAMES\":\"38367\",\"NUMBER_OF_FRAMES-eng\":\"38367\",\"NUMBER_OF_BYTES\":\"29465856\",\"NUMBER_OF_BYTES-eng\":\"29465856\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-11-27 10:13:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-11-27 10:13:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/809.mkv\",\"bitrate\":\"2401071\",\"of_duration\":\"1227.880000\",\"duration\":\"00:20:27\"}',NULL,NULL,2403,'',0,NULL,NULL),(809,810,21,NULL,16538,0,0,1638301539,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"1971020\",\"BPS-eng\":\"1971020\",\"DURATION\":\"00:20:30.304000000\",\"DURATION-eng\":\"00:20:30.304000000\",\"NUMBER_OF_FRAMES\":\"30757\",\"NUMBER_OF_FRAMES-eng\":\"30757\",\"NUMBER_OF_BYTES\":\"303119359\",\"NUMBER_OF_BYTES-eng\":\"303119359\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-03 19:02:20\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-03 19:02:20\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"191997\",\"BPS-eng\":\"191997\",\"DURATION\":\"00:20:30.608000000\",\"DURATION-eng\":\"00:20:30.608000000\",\"NUMBER_OF_FRAMES\":\"38456\",\"NUMBER_OF_FRAMES-eng\":\"38456\",\"NUMBER_OF_BYTES\":\"29534208\",\"NUMBER_OF_BYTES-eng\":\"29534208\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-03 19:02:20\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-03 19:02:20\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/810.mkv\",\"bitrate\":\"2164358\",\"of_duration\":\"1230.608000\",\"duration\":\"00:20:30\"}',NULL,NULL,2165,'',0,NULL,NULL),(810,811,21,NULL,16542,0,0,1638301539,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"FTMV Te@m Since 2oo8 !!!\",\"BPS\":\"2528960\",\"BPS-eng\":\"2528960\",\"DURATION\":\"00:20:30.328000000\",\"DURATION-eng\":\"00:20:30.328000000\",\"NUMBER_OF_FRAMES\":\"30758\",\"NUMBER_OF_FRAMES-eng\":\"30758\",\"NUMBER_OF_BYTES\":\"388931390\",\"NUMBER_OF_BYTES-eng\":\"388931390\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-09 16:44:12\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-09 16:44:12\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.336000000\",\"DURATION-eng\":\"00:20:30.336000000\",\"NUMBER_OF_FRAMES\":\"38448\",\"NUMBER_OF_FRAMES-eng\":\"38448\",\"NUMBER_OF_BYTES\":\"29528064\",\"NUMBER_OF_BYTES-eng\":\"29528064\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-09 16:44:12\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-09 16:44:12\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/811.mkv\",\"bitrate\":\"2722780\",\"of_duration\":\"1230.336000\",\"duration\":\"00:20:30\"}',NULL,NULL,2724,'',0,NULL,NULL),(811,812,21,NULL,16546,0,0,1638301539,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2532260\",\"BPS-eng\":\"2532260\",\"DURATION\":\"00:20:30.384000000\",\"DURATION-eng\":\"00:20:30.384000000\",\"NUMBER_OF_FRAMES\":\"30759\",\"NUMBER_OF_FRAMES-eng\":\"30759\",\"NUMBER_OF_BYTES\":\"389456574\",\"NUMBER_OF_BYTES-eng\":\"389456574\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-24 16:56:51\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-24 16:56:51\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"191998\",\"BPS-eng\":\"191998\",\"DURATION\":\"00:20:30.280000000\",\"DURATION-eng\":\"00:20:30.280000000\",\"NUMBER_OF_FRAMES\":\"38446\",\"NUMBER_OF_FRAMES-eng\":\"38446\",\"NUMBER_OF_BYTES\":\"29526528\",\"NUMBER_OF_BYTES-eng\":\"29526528\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-24 16:56:51\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-24 16:56:51\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/812.mkv\",\"bitrate\":\"2726084\",\"of_duration\":\"1230.384000\",\"duration\":\"00:20:30\"}',NULL,NULL,2727,'',0,NULL,NULL),(812,813,21,NULL,16550,0,0,1638301539,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2512733\",\"BPS-eng\":\"2512733\",\"DURATION\":\"00:20:30.280000000\",\"DURATION-eng\":\"00:20:30.280000000\",\"NUMBER_OF_FRAMES\":\"30757\",\"NUMBER_OF_FRAMES-eng\":\"30757\",\"NUMBER_OF_BYTES\":\"386420646\",\"NUMBER_OF_BYTES-eng\":\"386420646\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-28 08:24:03\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-28 08:24:03\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.304000000\",\"DURATION-eng\":\"00:20:30.304000000\",\"NUMBER_OF_FRAMES\":\"38447\",\"NUMBER_OF_FRAMES-eng\":\"38447\",\"NUMBER_OF_BYTES\":\"29527296\",\"NUMBER_OF_BYTES-eng\":\"29527296\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2017-12-28 08:24:03\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2017-12-28 08:24:03\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/813.mkv\",\"bitrate\":\"2706516\",\"of_duration\":\"1230.304000\",\"duration\":\"00:20:30\"}',NULL,NULL,2707,'',0,NULL,NULL),(813,814,21,NULL,16559,0,0,1638301539,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2184495\",\"DURATION-eng\":\"00:21:21.280000000\",\"NUMBER_OF_FRAMES-eng\":\"32032\",\"NUMBER_OF_BYTES-eng\":\"349868739\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-10-29 15:58:51\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.280000000\",\"NUMBER_OF_FRAMES-eng\":\"40040\",\"NUMBER_OF_BYTES-eng\":\"30750720\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-10-29 15:58:51\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/814.mkv\",\"bitrate\":\"2378322\",\"of_duration\":\"1281.280000\",\"duration\":\"00:21:21\"}',NULL,NULL,2379,'',0,NULL,NULL),(814,815,21,NULL,16568,0,0,1638301540,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2647842\",\"BPS-eng\":\"2647842\",\"DURATION\":\"00:20:30.160000000\",\"DURATION-eng\":\"00:20:30.160000000\",\"NUMBER_OF_FRAMES\":\"30754\",\"NUMBER_OF_FRAMES-eng\":\"30754\",\"NUMBER_OF_BYTES\":\"407158670\",\"NUMBER_OF_BYTES-eng\":\"407158670\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-01-28 11:40:57\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-01-28 11:40:57\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.176000000\",\"DURATION-eng\":\"00:20:30.176000000\",\"NUMBER_OF_FRAMES\":\"38443\",\"NUMBER_OF_FRAMES-eng\":\"38443\",\"NUMBER_OF_BYTES\":\"29524224\",\"NUMBER_OF_BYTES-eng\":\"29524224\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-01-28 11:40:57\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-01-28 11:40:57\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/815.mkv\",\"bitrate\":\"2841649\",\"of_duration\":\"1230.176000\",\"duration\":\"00:20:30\"}',NULL,NULL,2842,'',0,NULL,NULL),(815,816,21,NULL,16572,0,0,1638301540,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2630876\",\"BPS-eng\":\"2630876\",\"DURATION\":\"00:20:30.320000000\",\"DURATION-eng\":\"00:20:30.320000000\",\"NUMBER_OF_FRAMES\":\"30758\",\"NUMBER_OF_FRAMES-eng\":\"30758\",\"NUMBER_OF_BYTES\":\"404602470\",\"NUMBER_OF_BYTES-eng\":\"404602470\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-01-28 21:18:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-01-28 21:18:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.336000000\",\"DURATION-eng\":\"00:20:30.336000000\",\"NUMBER_OF_FRAMES\":\"38448\",\"NUMBER_OF_FRAMES-eng\":\"38448\",\"NUMBER_OF_BYTES\":\"29528064\",\"NUMBER_OF_BYTES-eng\":\"29528064\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-01-28 21:18:53\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-01-28 21:18:53\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/816.mkv\",\"bitrate\":\"2824683\",\"of_duration\":\"1230.336000\",\"duration\":\"00:20:30\"}',NULL,NULL,2825,'',0,NULL,NULL),(816,817,21,NULL,16576,0,0,1638301540,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2723693\",\"BPS-eng\":\"2723693\",\"DURATION\":\"00:20:30.408000000\",\"DURATION-eng\":\"00:20:30.408000000\",\"NUMBER_OF_FRAMES\":\"30760\",\"NUMBER_OF_FRAMES-eng\":\"30760\",\"NUMBER_OF_BYTES\":\"418906734\",\"NUMBER_OF_BYTES-eng\":\"418906734\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-04 16:12:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-04 16:12:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"191998\",\"BPS-eng\":\"191998\",\"DURATION\":\"00:20:30.282000000\",\"DURATION-eng\":\"00:20:30.282000000\",\"NUMBER_OF_FRAMES\":\"38446\",\"NUMBER_OF_FRAMES-eng\":\"38446\",\"NUMBER_OF_BYTES\":\"29526528\",\"NUMBER_OF_BYTES-eng\":\"29526528\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-04 16:12:45\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-04 16:12:45\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/817.mkv\",\"bitrate\":\"2917514\",\"of_duration\":\"1230.408000\",\"duration\":\"00:20:30\"}',NULL,NULL,2918,'',0,NULL,NULL),(817,818,21,NULL,16585,0,0,1638301540,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2670657\",\"BPS-eng\":\"2670657\",\"DURATION\":\"00:20:29.960000000\",\"DURATION-eng\":\"00:20:29.960000000\",\"NUMBER_OF_FRAMES\":\"30749\",\"NUMBER_OF_FRAMES-eng\":\"30749\",\"NUMBER_OF_BYTES\":\"410600306\",\"NUMBER_OF_BYTES-eng\":\"410600306\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-11 18:23:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-11 18:23:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.984000000\",\"DURATION-eng\":\"00:20:29.984000000\",\"NUMBER_OF_FRAMES\":\"38437\",\"NUMBER_OF_FRAMES-eng\":\"38437\",\"NUMBER_OF_BYTES\":\"29519616\",\"NUMBER_OF_BYTES-eng\":\"29519616\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-11 18:23:08\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-11 18:23:08\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/818.mkv\",\"bitrate\":\"2864441\",\"of_duration\":\"1229.984000\",\"duration\":\"00:20:29\"}',NULL,NULL,2867,'',0,NULL,NULL),(818,819,21,NULL,16589,0,0,1638301540,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2896448\",\"BPS-eng\":\"2896448\",\"DURATION\":\"00:20:30.160000000\",\"DURATION-eng\":\"00:20:30.160000000\",\"NUMBER_OF_FRAMES\":\"30754\",\"NUMBER_OF_FRAMES-eng\":\"30754\",\"NUMBER_OF_BYTES\":\"445386935\",\"NUMBER_OF_BYTES-eng\":\"445386935\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-18 15:29:27\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-18 15:29:27\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":20,\"start_time\":\"0.020000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:29.856000000\",\"DURATION-eng\":\"00:20:29.856000000\",\"NUMBER_OF_FRAMES\":\"38433\",\"NUMBER_OF_FRAMES-eng\":\"38433\",\"NUMBER_OF_BYTES\":\"29516544\",\"NUMBER_OF_BYTES-eng\":\"29516544\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-02-18 15:29:27\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-02-18 15:29:27\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/819.mkv\",\"bitrate\":\"3090261\",\"of_duration\":\"1230.160000\",\"duration\":\"00:20:30\"}',NULL,NULL,3091,'',0,NULL,NULL),(819,820,21,NULL,16593,0,0,1638301540,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS\":\"2504534\",\"BPS-eng\":\"2504534\",\"DURATION\":\"00:20:30.200000000\",\"DURATION-eng\":\"00:20:30.200000000\",\"NUMBER_OF_FRAMES\":\"30755\",\"NUMBER_OF_FRAMES-eng\":\"30755\",\"NUMBER_OF_BYTES\":\"385134723\",\"NUMBER_OF_BYTES-eng\":\"385134723\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-04-09 17:20:17\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-04-09 17:20:17\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS\":\"192000\",\"BPS-eng\":\"192000\",\"DURATION\":\"00:20:30.208000000\",\"DURATION-eng\":\"00:20:30.208000000\",\"NUMBER_OF_FRAMES\":\"38444\",\"NUMBER_OF_FRAMES-eng\":\"38444\",\"NUMBER_OF_BYTES\":\"29524992\",\"NUMBER_OF_BYTES-eng\":\"29524992\",\"_STATISTICS_WRITING_APP\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v18.0.0 (\'Apricity\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC\":\"2018-04-09 17:20:17\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-04-09 17:20:17\",\"_STATISTICS_TAGS\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/820.mkv\",\"bitrate\":\"2698358\",\"of_duration\":\"1230.208000\",\"duration\":\"00:20:30\"}',NULL,NULL,2699,'',0,NULL,NULL),(820,821,21,NULL,16597,0,0,1638301540,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2387623\",\"DURATION-eng\":\"00:21:21.400000000\",\"NUMBER_OF_FRAMES-eng\":\"32035\",\"NUMBER_OF_BYTES-eng\":\"382437526\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-08-14 15:54:07\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":10,\"start_time\":\"0.010000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.248000000\",\"NUMBER_OF_FRAMES-eng\":\"40039\",\"NUMBER_OF_BYTES-eng\":\"30749952\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-08-14 15:54:07\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/821.mkv\",\"bitrate\":\"2581429\",\"of_duration\":\"1281.400000\",\"duration\":\"00:21:21\"}',NULL,NULL,2582,'',0,NULL,NULL),(821,822,21,NULL,16601,0,0,1638301540,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2292891\",\"DURATION-eng\":\"00:21:20.720000000\",\"NUMBER_OF_FRAMES-eng\":\"32018\",\"NUMBER_OF_BYTES-eng\":\"367069040\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-08-14 18:42:39\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":30,\"start_time\":\"0.030000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:20.256000000\",\"NUMBER_OF_FRAMES-eng\":\"40008\",\"NUMBER_OF_BYTES-eng\":\"30726144\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-08-14 18:42:39\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/822.mkv\",\"bitrate\":\"2486647\",\"of_duration\":\"1280.720000\",\"duration\":\"00:21:20\"}',NULL,NULL,2488,'',0,NULL,NULL),(822,823,21,NULL,16605,0,0,1638301541,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2381029\",\"DURATION-eng\":\"00:21:21.360000000\",\"NUMBER_OF_FRAMES-eng\":\"32034\",\"NUMBER_OF_BYTES-eng\":\"381369423\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-08-21 15:37:55\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":10,\"start_time\":\"0.010000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.216000000\",\"NUMBER_OF_FRAMES-eng\":\"40038\",\"NUMBER_OF_BYTES-eng\":\"30749184\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-08-21 15:37:55\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/823.mkv\",\"bitrate\":\"2574837\",\"of_duration\":\"1281.360000\",\"duration\":\"00:21:21\"}',NULL,NULL,2576,'',0,NULL,NULL),(823,824,21,NULL,16609,0,0,1638301541,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2193214\",\"DURATION-eng\":\"00:21:21.160000000\",\"NUMBER_OF_FRAMES-eng\":\"32029\",\"NUMBER_OF_BYTES-eng\":\"351232323\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-02 13:40:22\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.184000000\",\"NUMBER_OF_FRAMES-eng\":\"40037\",\"NUMBER_OF_BYTES-eng\":\"30748416\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-02 13:40:22\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/824.mkv\",\"bitrate\":\"2386996\",\"of_duration\":\"1281.184000\",\"duration\":\"00:21:21\"}',NULL,NULL,2387,'',0,NULL,NULL),(824,825,21,NULL,16613,0,0,1638301541,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2464534\",\"DURATION-eng\":\"00:21:21.480000000\",\"NUMBER_OF_FRAMES-eng\":\"32037\",\"NUMBER_OF_BYTES-eng\":\"394781454\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-13 18:45:49\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":30,\"start_time\":\"0.030000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.024000000\",\"NUMBER_OF_FRAMES-eng\":\"40032\",\"NUMBER_OF_BYTES-eng\":\"30744576\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-13 18:45:49\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/825.mkv\",\"bitrate\":\"2658296\",\"of_duration\":\"1281.480000\",\"duration\":\"00:21:21\"}',NULL,NULL,2659,'',0,NULL,NULL),(825,826,21,NULL,16617,0,0,1638301541,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2363607\",\"DURATION-eng\":\"00:21:21.080000000\",\"NUMBER_OF_FRAMES-eng\":\"32027\",\"NUMBER_OF_BYTES-eng\":\"378496251\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-18 16:07:12\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.088000000\",\"NUMBER_OF_FRAMES-eng\":\"40034\",\"NUMBER_OF_BYTES-eng\":\"30746112\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-18 16:07:12\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/826.mkv\",\"bitrate\":\"2557416\",\"of_duration\":\"1281.088000\",\"duration\":\"00:21:21\"}',NULL,NULL,2558,'',0,NULL,NULL),(826,827,21,NULL,16626,0,0,1638301541,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2406484\",\"DURATION-eng\":\"00:21:21.200000000\",\"NUMBER_OF_FRAMES-eng\":\"32030\",\"NUMBER_OF_BYTES-eng\":\"385398489\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-20 16:37:18\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.216000000\",\"NUMBER_OF_FRAMES-eng\":\"40038\",\"NUMBER_OF_BYTES-eng\":\"30749184\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-20 16:37:18\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/827.mkv\",\"bitrate\":\"2600283\",\"of_duration\":\"1281.216000\",\"duration\":\"00:21:21\"}',NULL,NULL,2601,'',0,NULL,NULL),(827,828,21,NULL,16634,0,0,1638301541,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2533809\",\"DURATION-eng\":\"00:21:21.280000000\",\"NUMBER_OF_FRAMES-eng\":\"32032\",\"NUMBER_OF_BYTES-eng\":\"405814938\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-30 15:34:00\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.280000000\",\"NUMBER_OF_FRAMES-eng\":\"40040\",\"NUMBER_OF_BYTES-eng\":\"30750720\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-09-30 15:34:00\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/828.mkv\",\"bitrate\":\"2727636\",\"of_duration\":\"1281.280000\",\"duration\":\"00:21:21\"}',NULL,NULL,2728,'',0,NULL,NULL),(828,829,21,NULL,16638,0,0,1638301541,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"2518375\",\"DURATION-eng\":\"00:21:21.360000000\",\"NUMBER_OF_FRAMES-eng\":\"32034\",\"NUMBER_OF_BYTES-eng\":\"403368204\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-10-12 21:35:59\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.376000000\",\"NUMBER_OF_FRAMES-eng\":\"40043\",\"NUMBER_OF_BYTES-eng\":\"30753024\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-10-12 21:35:59\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/829.mkv\",\"bitrate\":\"2712175\",\"of_duration\":\"1281.376000\",\"duration\":\"00:21:21\"}',NULL,NULL,2713,'',0,NULL,NULL),(829,830,21,NULL,16647,0,0,1638301542,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2456207\",\"DURATION-eng\":\"00:21:20.880000000\",\"NUMBER_OF_FRAMES-eng\":\"32022\",\"NUMBER_OF_BYTES-eng\":\"393263449\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-10-17 14:21:38\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:20.896000000\",\"NUMBER_OF_FRAMES-eng\":\"40028\",\"NUMBER_OF_BYTES-eng\":\"30741504\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-10-17 14:21:38\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/830.mkv\",\"bitrate\":\"2650016\",\"of_duration\":\"1280.896000\",\"duration\":\"00:21:20\"}',NULL,NULL,2652,'',0,NULL,NULL),(830,831,21,NULL,16676,0,0,1638301542,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2159286\",\"DURATION-eng\":\"00:21:21.360000000\",\"NUMBER_OF_FRAMES-eng\":\"32034\",\"NUMBER_OF_BYTES-eng\":\"345852915\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-11-06 20:08:58\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (TM)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:21:21.376000000\",\"NUMBER_OF_FRAMES-eng\":\"40043\",\"NUMBER_OF_BYTES-eng\":\"30753024\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v24.0.0 (\'Beyond The Pale\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2018-11-06 20:08:58\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/831.mkv\",\"bitrate\":\"2353087\",\"of_duration\":\"1281.376000\",\"duration\":\"00:21:21\"}',NULL,NULL,2354,'',0,NULL,NULL),(831,832,21,NULL,16680,0,0,1638301542,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"Avengers Assemble S05E01\",\"BPS-eng\":\"1451205\",\"DURATION-eng\":\"00:21:09.040000000\",\"NUMBER_OF_FRAMES-eng\":\"31726\",\"NUMBER_OF_BYTES-eng\":\"230204725\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v30.1.0 (\'Forever And More\') 32-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-01-12 23:38:56\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"HE-AAC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"Fran\\u00e7ais HE-AAC 2.0\",\"BPS-eng\":\"62687\",\"DURATION-eng\":\"00:21:09.078000000\",\"NUMBER_OF_FRAMES-eng\":\"29744\",\"NUMBER_OF_BYTES-eng\":\"9944429\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v30.1.0 (\'Forever And More\') 32-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-01-12 23:38:56\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/832.mkv\",\"bitrate\":\"1515768\",\"of_duration\":\"1269.078000\",\"duration\":\"00:21:09\"}',NULL,NULL,1516,'',0,NULL,NULL),(832,833,21,NULL,16684,0,0,1638301542,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":41,\"color_range\":\"tv\",\"color_space\":\"bt709\",\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"Avengers Assemble S05E02\",\"BPS-eng\":\"1290174\",\"DURATION-eng\":\"00:21:09.040000000\",\"NUMBER_OF_FRAMES-eng\":\"31726\",\"NUMBER_OF_BYTES-eng\":\"204660436\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v30.1.0 (\'Forever And More\') 32-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-01-13 13:35:15\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"HE-AAC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"Fran\\u00e7ais HE-AAC 2.0\",\"BPS-eng\":\"62687\",\"DURATION-eng\":\"00:21:09.035000000\",\"NUMBER_OF_FRAMES-eng\":\"29743\",\"NUMBER_OF_BYTES-eng\":\"9944158\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v30.1.0 (\'Forever And More\') 32-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-01-13 13:35:15\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/833.mkv\",\"bitrate\":\"1354784\",\"of_duration\":\"1269.040000\",\"duration\":\"00:21:09\"}',NULL,NULL,1355,'',0,NULL,NULL),(833,834,21,NULL,16688,0,0,1638301542,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2484317\",\"DURATION-eng\":\"00:20:30.480000000\",\"NUMBER_OF_FRAMES-eng\":\"30762\",\"NUMBER_OF_BYTES-eng\":\"382112845\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 17:37:34\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.496000000\",\"NUMBER_OF_FRAMES-eng\":\"38453\",\"NUMBER_OF_BYTES-eng\":\"29531904\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 17:37:34\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/834.mkv\",\"bitrate\":\"2678115\",\"of_duration\":\"1230.496000\",\"duration\":\"00:20:30\"}',NULL,NULL,2679,'',0,NULL,NULL),(834,835,21,NULL,16692,0,0,1638301542,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2191926\",\"DURATION-eng\":\"00:20:30.480000000\",\"NUMBER_OF_FRAMES-eng\":\"30762\",\"NUMBER_OF_BYTES-eng\":\"337140169\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 17:47:13\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.496000000\",\"NUMBER_OF_FRAMES-eng\":\"38453\",\"NUMBER_OF_BYTES-eng\":\"29531904\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 17:47:13\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/835.mkv\",\"bitrate\":\"2385716\",\"of_duration\":\"1230.496000\",\"duration\":\"00:20:30\"}',NULL,NULL,2387,'',0,NULL,NULL),(835,836,21,NULL,16696,0,0,1638301542,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2410762\",\"DURATION-eng\":\"00:20:30.480000000\",\"NUMBER_OF_FRAMES-eng\":\"30762\",\"NUMBER_OF_BYTES-eng\":\"370799393\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 17:53:28\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.496000000\",\"NUMBER_OF_FRAMES-eng\":\"38453\",\"NUMBER_OF_BYTES-eng\":\"29531904\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 17:53:28\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/836.mkv\",\"bitrate\":\"2604561\",\"of_duration\":\"1230.496000\",\"duration\":\"00:20:30\"}',NULL,NULL,2606,'',0,NULL,NULL),(836,837,21,NULL,16700,0,0,1638301543,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2153798\",\"DURATION-eng\":\"00:20:30.480000000\",\"NUMBER_OF_FRAMES-eng\":\"30762\",\"NUMBER_OF_BYTES-eng\":\"331275718\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 18:05:44\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.496000000\",\"NUMBER_OF_FRAMES-eng\":\"38453\",\"NUMBER_OF_BYTES-eng\":\"29531904\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-18 18:05:44\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/837.mkv\",\"bitrate\":\"2347592\",\"of_duration\":\"1230.496000\",\"duration\":\"00:20:30\"}',NULL,NULL,2349,'',0,NULL,NULL),(837,838,21,NULL,16704,0,0,1638301543,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2448767\",\"DURATION-eng\":\"00:20:30.280000000\",\"NUMBER_OF_FRAMES-eng\":\"30757\",\"NUMBER_OF_BYTES-eng\":\"376583659\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-22 19:11:07\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.304000000\",\"NUMBER_OF_FRAMES-eng\":\"38447\",\"NUMBER_OF_BYTES-eng\":\"29527296\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-22 19:11:07\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/838.mkv\",\"bitrate\":\"2642552\",\"of_duration\":\"1230.304000\",\"duration\":\"00:20:30\"}',NULL,NULL,2643,'',0,NULL,NULL),(838,839,21,NULL,16708,0,0,1638301543,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2326174\",\"DURATION-eng\":\"00:20:30.280000000\",\"NUMBER_OF_FRAMES-eng\":\"30757\",\"NUMBER_OF_BYTES-eng\":\"357730690\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-23 12:08:11\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.304000000\",\"NUMBER_OF_FRAMES-eng\":\"38447\",\"NUMBER_OF_BYTES-eng\":\"29527296\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-23 12:08:11\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/839.mkv\",\"bitrate\":\"2519956\",\"of_duration\":\"1230.304000\",\"duration\":\"00:20:30\"}',NULL,NULL,2521,'',0,NULL,NULL),(839,840,21,NULL,16712,0,0,1638301543,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"true\",\"nal_length_size\":\"4\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"eng\",\"title\":\"1080p WEB-DL US (YFN)\",\"BPS-eng\":\"2324580\",\"DURATION-eng\":\"00:20:30.280000000\",\"NUMBER_OF_FRAMES-eng\":\"30757\",\"NUMBER_OF_BYTES-eng\":\"357485661\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-23 12:20:49\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}},\"audio\":{\"index\":1,\"codec_name\":\"ac3\",\"codec_long_name\":\"ATSC A\\/52A (AC-3)\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[0][0][0][0]\",\"codec_tag\":\"0x0000\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"dmix_mode\":\"-1\",\"ltrt_cmixlev\":\"-1.000000\",\"ltrt_surmixlev\":\"-1.000000\",\"loro_cmixlev\":\"-1.000000\",\"loro_surmixlev\":\"-1.000000\",\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/1000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"192000\",\"disposition\":{\"default\":1,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\",\"title\":\"AC3 2.0 Disney XD FR (FTMVHD)\",\"BPS-eng\":\"192000\",\"DURATION-eng\":\"00:20:30.304000000\",\"NUMBER_OF_FRAMES-eng\":\"38447\",\"NUMBER_OF_BYTES-eng\":\"29527296\",\"_STATISTICS_WRITING_APP-eng\":\"mkvmerge v28.2.0 (\'The Awakening\') 64-bit\",\"_STATISTICS_WRITING_DATE_UTC-eng\":\"2019-02-23 12:20:49\",\"_STATISTICS_TAGS-eng\":\"BPS DURATION NUMBER_OF_FRAMES NUMBER_OF_BYTES\"}}},\"container\":\"matroska,webm\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/movies\\/840.mkv\",\"bitrate\":\"2518363\",\"of_duration\":\"1230.304000\",\"duration\":\"00:20:30\"}',NULL,NULL,2519,'',0,NULL,NULL),(840,841,21,NULL,8981,0,0,1638568504,'{\"codecs\":{\"video\":{\"index\":0,\"codec_name\":\"h264\",\"codec_long_name\":\"H.264 \\/ AVC \\/ MPEG-4 AVC \\/ MPEG-4 part 10\",\"profile\":\"High\",\"codec_type\":\"video\",\"codec_time_base\":\"1\\/50\",\"codec_tag_string\":\"[27][0][0][0]\",\"codec_tag\":\"0x001b\",\"width\":1280,\"height\":720,\"coded_width\":1280,\"coded_height\":720,\"has_b_frames\":2,\"sample_aspect_ratio\":\"1:1\",\"display_aspect_ratio\":\"16:9\",\"pix_fmt\":\"yuv420p\",\"level\":31,\"chroma_location\":\"left\",\"field_order\":\"progressive\",\"refs\":1,\"is_avc\":\"false\",\"nal_length_size\":\"0\",\"r_frame_rate\":\"25\\/1\",\"avg_frame_rate\":\"25\\/1\",\"time_base\":\"1\\/90000\",\"start_pts\":1920,\"start_time\":\"0.021333\",\"bits_per_raw_sample\":\"8\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0}},\"audio\":{\"index\":1,\"codec_name\":\"aac\",\"codec_long_name\":\"AAC (Advanced Audio Coding)\",\"profile\":\"LC\",\"codec_type\":\"audio\",\"codec_time_base\":\"1\\/48000\",\"codec_tag_string\":\"[15][0][0][0]\",\"codec_tag\":\"0x000f\",\"sample_fmt\":\"fltp\",\"sample_rate\":\"48000\",\"channels\":2,\"channel_layout\":\"stereo\",\"bits_per_sample\":0,\"r_frame_rate\":\"0\\/0\",\"avg_frame_rate\":\"0\\/0\",\"time_base\":\"1\\/90000\",\"start_pts\":0,\"start_time\":\"0.000000\",\"bit_rate\":\"135750\",\"disposition\":{\"default\":0,\"dub\":0,\"original\":0,\"comment\":0,\"lyrics\":0,\"karaoke\":0,\"forced\":0,\"hearing_impaired\":0,\"visual_impaired\":0,\"clean_effects\":0,\"attached_pic\":0,\"timed_thumbnails\":0},\"tags\":{\"language\":\"fre\"}}},\"container\":\"concat\",\"filename\":\"\\/home\\/xtreamcodes\\/iptv_xtream_codes\\/created_channels\\/841_.list\",\"bitrate\":null,\"of_duration\":\"N\\/A\",\"duration\":\"N\\/A\"}',28022,'/home/xtreamcodes/iptv_xtream_codes/created_channels/841_.list',1596,'[]',0,NULL,0);
/*!40000 ALTER TABLE `streams_sys` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `streams_types`
--

DROP TABLE IF EXISTS `streams_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `streams_types` (
  `type_id` int(11) NOT NULL AUTO_INCREMENT,
  `type_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `type_key` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `type_output` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `live` tinyint(4) NOT NULL,
  PRIMARY KEY (`type_id`),
  KEY `type_key` (`type_key`),
  KEY `type_output` (`type_output`),
  KEY `live` (`live`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `streams_types`
--

LOCK TABLES `streams_types` WRITE;
/*!40000 ALTER TABLE `streams_types` DISABLE KEYS */;
INSERT INTO `streams_types` (`type_id`, `type_name`, `type_key`, `type_output`, `live`) VALUES (1,'Live Streams','live','live',1),(2,'Movies','movie','movie',0),(3,'Created Live Channels','created_live','live',1),(4,'Radio','radio_streams','live',1),(5,'TV Series','series','series',0);
/*!40000 ALTER TABLE `streams_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `subreseller_setup`
--

DROP TABLE IF EXISTS `subreseller_setup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subreseller_setup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reseller` int(8) NOT NULL DEFAULT '0',
  `subreseller` int(8) NOT NULL DEFAULT '0',
  `status` int(1) NOT NULL DEFAULT '1',
  `dateadded` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `subreseller_setup`
--

LOCK TABLES `subreseller_setup` WRITE;
/*!40000 ALTER TABLE `subreseller_setup` DISABLE KEYS */;
/*!40000 ALTER TABLE `subreseller_setup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `suspicious_logs`
--

DROP TABLE IF EXISTS `suspicious_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `suspicious_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `data` mediumtext NOT NULL,
  `last_updated` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `suspicious_logs`
--

LOCK TABLES `suspicious_logs` WRITE;
/*!40000 ALTER TABLE `suspicious_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `suspicious_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tickets`
--

DROP TABLE IF EXISTS `tickets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tickets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_id` int(11) NOT NULL,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `status` int(11) NOT NULL DEFAULT '1',
  `admin_read` tinyint(4) NOT NULL,
  `user_read` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `member_id` (`member_id`),
  KEY `status` (`status`),
  KEY `admin_read` (`admin_read`),
  KEY `user_read` (`user_read`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tickets`
--

LOCK TABLES `tickets` WRITE;
/*!40000 ALTER TABLE `tickets` DISABLE KEYS */;
/*!40000 ALTER TABLE `tickets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tickets_replies`
--

DROP TABLE IF EXISTS `tickets_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tickets_replies` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ticket_id` int(11) NOT NULL,
  `admin_reply` tinyint(4) NOT NULL,
  `message` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `date` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ticket_id` (`ticket_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tickets_replies`
--

LOCK TABLES `tickets_replies` WRITE;
/*!40000 ALTER TABLE `tickets_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `tickets_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tmdb_async`
--

DROP TABLE IF EXISTS `tmdb_async`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tmdb_async` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` int(1) NOT NULL DEFAULT '0',
  `stream_id` int(16) NOT NULL DEFAULT '0',
  `status` int(8) NOT NULL DEFAULT '0',
  `dateadded` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tmdb_async`
--

LOCK TABLES `tmdb_async` WRITE;
/*!40000 ALTER TABLE `tmdb_async` DISABLE KEYS */;
INSERT INTO `tmdb_async` (`id`, `type`, `stream_id`, `status`, `dateadded`) VALUES (1,1,9,-1,'2021-11-18 19:50:59'),(2,1,10,-1,'2021-11-18 19:50:59'),(3,1,11,-1,'2021-11-18 19:50:59'),(4,1,12,-1,'2021-11-18 19:50:59'),(5,1,22,-1,'2021-11-19 19:49:18'),(6,1,23,-1,'2021-11-19 19:49:18'),(7,2,1,-1,'2021-11-19 22:55:32'),(8,1,27,-1,'2021-11-20 14:53:38'),(9,1,28,-1,'2021-11-20 14:53:38'),(10,1,29,-1,'2021-11-20 14:53:38'),(11,1,30,-1,'2021-11-20 14:53:39'),(12,1,31,-1,'2021-11-20 14:53:39'),(13,1,32,-1,'2021-11-20 14:53:39'),(14,1,33,-1,'2021-11-20 14:53:39'),(15,1,35,1,'2021-11-22 19:40:24'),(16,1,36,1,'2021-11-22 19:45:04'),(17,1,37,-1,'2021-11-24 18:55:55'),(18,1,38,-1,'2021-11-24 18:55:56'),(19,1,39,1,'2021-11-24 18:55:56'),(20,1,40,-1,'2021-11-24 22:02:51'),(21,1,41,-1,'2021-11-24 22:02:51'),(22,1,42,-1,'2021-11-24 22:02:51'),(23,1,43,-1,'2021-11-24 22:02:51'),(24,1,44,-1,'2021-11-24 22:02:51'),(25,1,45,-1,'2021-11-24 22:02:51'),(26,1,46,-1,'2021-11-24 22:02:51'),(27,1,67,-1,'2021-11-25 22:30:45'),(28,1,68,1,'2021-11-25 22:30:45'),(29,1,69,1,'2021-11-25 22:30:45'),(30,1,70,1,'2021-11-25 22:30:45'),(31,1,71,1,'2021-11-25 22:30:45'),(32,1,72,1,'2021-11-25 22:30:45'),(33,1,73,1,'2021-11-25 22:30:45'),(34,3,732,1,'2021-11-30 19:58:48'),(35,3,732,1,'2021-11-30 19:59:05'),(36,3,732,1,'2021-11-30 19:59:25');
/*!40000 ALTER TABLE `tmdb_async` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `transcoding_profiles`
--

DROP TABLE IF EXISTS `transcoding_profiles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `transcoding_profiles` (
  `profile_id` int(11) NOT NULL AUTO_INCREMENT,
  `profile_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `profile_options` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`profile_id`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `transcoding_profiles`
--

LOCK TABLES `transcoding_profiles` WRITE;
/*!40000 ALTER TABLE `transcoding_profiles` DISABLE KEYS */;
INSERT INTO `transcoding_profiles` (`profile_id`, `profile_name`, `profile_options`) VALUES (1,'Standard H264 AAC','{\"-vcodec\":\"h264\",\"-acodec\":\"aac\"}');
/*!40000 ALTER TABLE `transcoding_profiles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_activity_now`
--

DROP TABLE IF EXISTS `user_activity_now`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_activity_now` (
  `activity_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `stream_id` int(11) NOT NULL,
  `server_id` int(11) NOT NULL,
  `user_agent` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `user_ip` varchar(39) COLLATE utf8_unicode_ci NOT NULL,
  `container` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `pid` int(11) DEFAULT NULL,
  `date_start` int(11) NOT NULL,
  `date_end` int(11) DEFAULT NULL,
  `geoip_country_code` varchar(22) COLLATE utf8_unicode_ci NOT NULL,
  `isp` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `external_device` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `divergence` int(11) DEFAULT NULL,
  `hls_last_read` int(11) DEFAULT NULL,
  `hls_end` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`activity_id`),
  KEY `user_agent` (`user_agent`),
  KEY `user_ip` (`user_ip`),
  KEY `container` (`container`),
  KEY `pid` (`pid`),
  KEY `geoip_country_code` (`geoip_country_code`),
  KEY `user_id` (`user_id`),
  KEY `stream_id` (`stream_id`),
  KEY `server_id` (`server_id`),
  KEY `date_start` (`date_start`),
  KEY `date_end` (`date_end`),
  KEY `hls_end` (`hls_end`)
) ENGINE=InnoDB AUTO_INCREMENT=276 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_activity_now`
--

LOCK TABLES `user_activity_now` WRITE;
/*!40000 ALTER TABLE `user_activity_now` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_activity_now` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_output`
--

DROP TABLE IF EXISTS `user_output`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_output` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `access_output_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `access_output_id` (`access_output_id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_output`
--

LOCK TABLES `user_output` WRITE;
/*!40000 ALTER TABLE `user_output` DISABLE KEYS */;
INSERT INTO `user_output` (`id`, `user_id`, `access_output_id`) VALUES (10,1,1),(11,1,2),(12,1,3),(13,7,1),(14,7,2),(15,7,3),(16,8,1),(17,8,2),(18,8,3);
/*!40000 ALTER TABLE `user_output` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_id` int(11) DEFAULT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `exp_date` int(11) DEFAULT NULL,
  `admin_enabled` int(11) NOT NULL DEFAULT '1',
  `enabled` int(11) NOT NULL DEFAULT '1',
  `admin_notes` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `reseller_notes` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `bouquet` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `max_connections` int(11) NOT NULL DEFAULT '1',
  `is_restreamer` tinyint(4) NOT NULL DEFAULT '0',
  `allowed_ips` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `allowed_ua` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `is_trial` tinyint(4) NOT NULL DEFAULT '0',
  `created_at` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `pair_id` int(11) DEFAULT NULL,
  `is_mag` tinyint(4) NOT NULL DEFAULT '0',
  `is_e2` tinyint(4) NOT NULL DEFAULT '0',
  `force_server_id` int(11) NOT NULL DEFAULT '0',
  `is_isplock` tinyint(4) NOT NULL DEFAULT '0',
  `as_number` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `isp_desc` mediumtext COLLATE utf8_unicode_ci,
  `forced_country` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  `is_stalker` tinyint(4) NOT NULL DEFAULT '0',
  `bypass_ua` tinyint(4) NOT NULL DEFAULT '0',
  `play_token` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `member_id` (`member_id`),
  KEY `exp_date` (`exp_date`),
  KEY `is_restreamer` (`is_restreamer`),
  KEY `admin_enabled` (`admin_enabled`),
  KEY `enabled` (`enabled`),
  KEY `is_trial` (`is_trial`),
  KEY `created_at` (`created_at`),
  KEY `created_by` (`created_by`),
  KEY `pair_id` (`pair_id`),
  KEY `is_mag` (`is_mag`),
  KEY `username` (`username`),
  KEY `password` (`password`),
  KEY `is_e2` (`is_e2`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` (`id`, `member_id`, `username`, `password`, `exp_date`, `admin_enabled`, `enabled`, `admin_notes`, `reseller_notes`, `bouquet`, `max_connections`, `is_restreamer`, `allowed_ips`, `allowed_ua`, `is_trial`, `created_at`, `created_by`, `pair_id`, `is_mag`, `is_e2`, `force_server_id`, `is_isplock`, `as_number`, `isp_desc`, `forced_country`, `is_stalker`, `bypass_ua`, `play_token`) VALUES (1,1,'wawa-test','123456',1669766400,1,1,'','','[3,6,4,5]',1,0,'[]','[]',0,1636751845,1,NULL,0,0,0,0,NULL,'','',0,0,''),(2,1,'Uo1MAQVb7w69Tc0X','nDkDetM5vrHn9grP',1637277080,1,1,'','','[3,4,5,6]',1,0,'','',1,1637277080,1,NULL,0,0,0,0,NULL,NULL,'',0,0,''),(3,1,'BStxnY6Aj4ktk5zz','tAKd8gBvWhJGQVpc',1638449393,1,1,'','','[3,4,5]',1,0,'','',1,1638449393,1,NULL,0,0,0,0,NULL,NULL,'',0,0,''),(4,1,'FgEJj0UKjjnAG2nX','YRrmF4Q89qdPfXKW',1638468027,1,1,'','','[3,4,5]',1,0,'','',1,1638468027,1,NULL,1,0,0,0,NULL,NULL,'',0,0,''),(7,1,'nFJUBvAcDK5e060h','yB6R2n6Xk95p6MVK',1641151101,1,1,'','test','[3,4,5]',1,0,'','',0,1638469036,1,NULL,0,0,0,0,NULL,NULL,'',0,0,''),(8,1,'rH1ufbWp8DeqeGSh','qd4EP9HsxXWU7Ue1',1638471044,1,1,'','','[3,4,5,3,4,5]',1,0,'','',1,1638471044,1,NULL,0,0,0,0,NULL,NULL,'',0,0,'');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `watch_categories`
--

DROP TABLE IF EXISTS `watch_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watch_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` int(1) NOT NULL DEFAULT '0',
  `genre_id` int(8) NOT NULL DEFAULT '0',
  `genre` varchar(64) NOT NULL DEFAULT '',
  `category_id` int(8) NOT NULL DEFAULT '0',
  `bouquets` varchar(4096) NOT NULL DEFAULT '[]',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=63 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watch_categories`
--

LOCK TABLES `watch_categories` WRITE;
/*!40000 ALTER TABLE `watch_categories` DISABLE KEYS */;
INSERT INTO `watch_categories` (`id`, `type`, `genre_id`, `genre`, `category_id`, `bouquets`) VALUES (1,1,28,'Action',0,''),(2,1,12,'Adventure',0,''),(3,1,16,'Animation',0,''),(4,1,35,'Comedy',0,''),(5,1,80,'Crime',0,''),(6,1,99,'Documentary',0,''),(7,1,18,'Drama',0,''),(8,1,10751,'Family',0,''),(9,1,14,'Fantasy',0,''),(10,1,36,'History',0,''),(11,1,27,'Horror',0,''),(12,1,10402,'Music',0,''),(13,1,9648,'Mystery',0,''),(14,1,10749,'Romance',0,''),(15,1,878,'Science Fiction',0,''),(16,1,10770,'TV Movie',0,''),(17,1,53,'Thriller',0,''),(18,1,10752,'War',0,''),(19,1,37,'Western',0,''),(20,2,28,'Action',0,''),(21,2,12,'Aventure',0,''),(22,2,16,'Animation',0,''),(23,2,35,'Comédie',0,''),(24,2,80,'Crime',0,''),(25,2,99,'Documentaire',0,''),(26,2,18,'Drame',0,''),(27,2,10751,'Familial',0,''),(28,2,14,'Fantastique',0,''),(29,2,36,'Histoire',0,''),(30,2,27,'Horreur',0,''),(31,2,10402,'Musique',0,''),(32,2,9648,'Mystère',0,''),(33,2,10749,'Romance',0,''),(34,2,878,'Science-Fiction',0,''),(35,2,10770,'Téléfilm',0,''),(36,2,53,'Thriller',0,''),(37,2,10752,'Guerre',0,''),(38,2,37,'Western',0,''),(39,1,10759,'Action & Adventure',0,''),(40,2,10759,'Action & Adventure',0,''),(47,1,10762,'Kids',0,''),(48,2,10762,'Kids',0,''),(50,1,10763,'News',0,''),(51,2,10763,'News',0,''),(52,1,10764,'Reality',0,''),(53,2,10764,'Reality',0,''),(54,1,10765,'Science-Fiction & Fantastique',0,''),(55,2,10765,'Science-Fiction & Fantastique',0,''),(56,1,10766,'Soap',0,''),(57,2,10766,'Soap',0,''),(58,1,10767,'Talk',0,''),(59,2,10767,'Talk',0,''),(60,1,10768,'War & Politics',0,''),(61,2,10768,'War & Politics',0,'');
/*!40000 ALTER TABLE `watch_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `watch_folders`
--

DROP TABLE IF EXISTS `watch_folders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watch_folders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(32) NOT NULL DEFAULT '',
  `directory` varchar(2048) NOT NULL DEFAULT '',
  `server_id` int(8) NOT NULL DEFAULT '0',
  `category_id` int(8) NOT NULL DEFAULT '0',
  `bouquets` varchar(4096) NOT NULL DEFAULT '[]',
  `last_run` int(32) NOT NULL DEFAULT '0',
  `active` int(1) NOT NULL DEFAULT '1',
  `disable_tmdb` int(1) NOT NULL DEFAULT '0',
  `ignore_no_match` int(1) NOT NULL DEFAULT '0',
  `auto_subtitles` int(1) NOT NULL DEFAULT '0',
  `fb_bouquets` varchar(4096) NOT NULL DEFAULT '[]',
  `fb_category_id` int(8) NOT NULL DEFAULT '0',
  `allowed_extensions` varchar(4096) NOT NULL DEFAULT '[]',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watch_folders`
--

LOCK TABLES `watch_folders` WRITE;
/*!40000 ALTER TABLE `watch_folders` DISABLE KEYS */;
INSERT INTO `watch_folders` (`id`, `type`, `directory`, `server_id`, `category_id`, `bouquets`, `last_run`, `active`, `disable_tmdb`, `ignore_no_match`, `auto_subtitles`, `fb_bouquets`, `fb_category_id`, `allowed_extensions`) VALUES (1,'movie','/home/VOD/',21,0,'[]',1638568502,1,0,0,0,'[]',0,'[]'),(2,'series','/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/',21,0,'[\"5\"]',1638568503,1,0,0,0,'[\"5\"]',133,'[\"mp4\",\"mkv\",\"avi\",\"flv\"]');
/*!40000 ALTER TABLE `watch_folders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `watch_output`
--

DROP TABLE IF EXISTS `watch_output`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watch_output` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` int(1) NOT NULL DEFAULT '0',
  `server_id` int(8) NOT NULL DEFAULT '0',
  `filename` varchar(4096) NOT NULL DEFAULT '',
  `status` int(1) NOT NULL DEFAULT '0',
  `stream_id` int(8) NOT NULL DEFAULT '0',
  `dateadded` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=345002 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watch_output`
--

LOCK TABLES `watch_output` WRITE;
/*!40000 ALTER TABLE `watch_output` DISABLE KEYS */;
INSERT INTO `watch_output` (`id`, `type`, `server_id`, `filename`, `status`, `stream_id`, `dateadded`) VALUES (15,1,21,'/home/VOD/FR| Puppy 2017 VOST FHD.mkv',4,0,'2021-11-22 19:37:03'),(2336,1,21,'/home/VOD/Puppy.mkv',3,0,'2021-11-24 18:54:04'),(4093,1,21,'/home/VOD/1/FR| Game Of Thrones Conquest And Rebellion 2017 FHD.mkv',4,0,'2021-11-25 22:27:03'),(4094,1,21,'/home/VOD/1/FR| Goldorak contre Great Mazinger 1976 FHD.mkv',4,0,'2021-11-25 22:27:03'),(4095,1,21,'/home/VOD/1/FR| Great Mazinger et Getter Robot G – Le Sacrifice Ultime 1975 HD.mkv',4,0,'2021-11-25 22:27:03'),(4096,1,21,'/home/VOD/1/FR| LEGO La Reine des Neiges Magie des Aurores Boreales 2017 HD.mkv',4,0,'2021-11-25 22:27:03'),(4097,1,21,'/home/VOD/1/FR| Le Monde Anime De Grimault 2019 FHD.mkv',4,0,'2021-11-25 22:27:03'),(4098,1,21,'/home/VOD/1/FR| Pocahontas 1995 FHD.mkv',4,0,'2021-11-25 22:27:03'),(4111,1,21,'/home/VOD/1/Game Of Thrones Conquest And Rebellion.mkv',4,0,'2021-11-25 22:30:03'),(4112,1,21,'/home/VOD/1/Goldorak contre Great Mazinger.mkv',3,0,'2021-11-25 22:30:05'),(4113,1,21,'/home/VOD/1/Great Mazinger et Getter Robot G – Le Sacrifice Ultime.mkv',3,0,'2021-11-25 22:30:06'),(4114,1,21,'/home/VOD/1/LEGO La Reine des Neiges Magie des Aurores Boreales.mkv',3,0,'2021-11-25 22:30:07'),(4115,1,21,'/home/VOD/1/Le Monde Anime De Grimault.mkv',3,0,'2021-11-25 22:30:08'),(4116,1,21,'/home/VOD/1/Pocahontas.mkv',3,0,'2021-11-25 22:30:09'),(4117,1,21,'/home/VOD/1/Puppy.mkv',3,0,'2021-11-25 22:30:10'),(7068,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E01.mkv',4,0,'2021-11-26 12:43:03'),(7069,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E02.mkv',4,0,'2021-11-26 12:43:03'),(7070,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E03.mkv',4,0,'2021-11-26 12:43:03'),(7071,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E04.mkv',4,0,'2021-11-26 12:43:04'),(7072,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E05.mkv',4,0,'2021-11-26 12:43:04'),(7073,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E06.mkv',4,0,'2021-11-26 12:43:04'),(7074,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E07.mkv',4,0,'2021-11-26 12:43:04'),(7075,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E08.mkv',4,0,'2021-11-26 12:43:04'),(7076,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E09.mkv',4,0,'2021-11-26 12:43:04'),(7077,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E10.mkv',4,0,'2021-11-26 12:43:04'),(7078,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E11.mkv',4,0,'2021-11-26 12:43:04'),(7079,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E12.mkv',4,0,'2021-11-26 12:43:04'),(7080,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E13.mkv',4,0,'2021-11-26 12:43:04'),(7081,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E01.mp4',4,0,'2021-11-26 12:43:04'),(7082,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E02.mp4',4,0,'2021-11-26 12:43:04'),(7083,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E04.mp4',4,0,'2021-11-26 12:43:04'),(7084,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E05.mp4',4,0,'2021-11-26 12:43:04'),(7085,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E06.mp4',4,0,'2021-11-26 12:43:04'),(7086,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E07.mp4',4,0,'2021-11-26 12:43:04'),(7087,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E08.mp4',4,0,'2021-11-26 12:43:05'),(7088,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E09.mp4',4,0,'2021-11-26 12:43:05'),(7089,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E10.mp4',4,0,'2021-11-26 12:43:05'),(7090,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E11.mp4',4,0,'2021-11-26 12:43:05'),(7091,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E12.mp4',4,0,'2021-11-26 12:43:05'),(7092,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E13.mp4',4,0,'2021-11-26 12:43:05'),(7093,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E14.mp4',4,0,'2021-11-26 12:43:05'),(7094,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E15.mp4',4,0,'2021-11-26 12:43:05'),(7095,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E16.mp4',4,0,'2021-11-26 12:43:05'),(7096,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E01.mkv',4,0,'2021-11-26 12:43:05'),(7097,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E02.mkv',4,0,'2021-11-26 12:43:05'),(7098,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E03.mkv',4,0,'2021-11-26 12:43:05'),(7099,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E04.mkv',4,0,'2021-11-26 12:43:05'),(7100,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E05.mkv',4,0,'2021-11-26 12:43:05'),(7101,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E06.mkv',4,0,'2021-11-26 12:43:05'),(7102,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E07.mkv',4,0,'2021-11-26 12:43:05'),(7103,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E08.mkv',4,0,'2021-11-26 12:43:06'),(7104,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E09.mkv',4,0,'2021-11-26 12:43:06'),(7105,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E10.mkv',4,0,'2021-11-26 12:43:06'),(7106,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E11.mkv',4,0,'2021-11-26 12:43:06'),(7107,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E12.mkv',4,0,'2021-11-26 12:43:06'),(7108,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E13.mkv',4,0,'2021-11-26 12:43:06'),(7109,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E01.mkv',4,0,'2021-11-26 12:43:06'),(7110,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E02.mkv',4,0,'2021-11-26 12:43:06'),(7111,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E03.mkv',4,0,'2021-11-26 12:43:06'),(7112,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E04.mkv',4,0,'2021-11-26 12:43:06'),(7113,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E05.mkv',4,0,'2021-11-26 12:43:06'),(7114,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E06.mkv',4,0,'2021-11-26 12:43:06'),(7115,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E07.mkv',4,0,'2021-11-26 12:43:06'),(7116,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E08.mkv',4,0,'2021-11-26 12:43:06'),(7117,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E09.mkv',4,0,'2021-11-26 12:43:06'),(7118,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E10.mkv',4,0,'2021-11-26 12:43:06'),(7119,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S06 E01.mkv',4,0,'2021-11-26 12:43:07'),(7120,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S06 E02.mkv',4,0,'2021-11-26 12:43:07'),(7121,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S06 E03.mkv',4,0,'2021-11-26 12:43:07'),(7122,1,21,'/home/VOD/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S06 E04.mkv',4,0,'2021-11-26 12:43:07'),(212217,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E01.mkv',4,0,'2021-11-30 19:45:04'),(212218,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E02.mkv',4,0,'2021-11-30 19:45:04'),(212219,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E03.mkv',4,0,'2021-11-30 19:45:04'),(212220,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E04.mkv',4,0,'2021-11-30 19:45:04'),(212221,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E05.mkv',4,0,'2021-11-30 19:45:04'),(212222,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E06.mkv',4,0,'2021-11-30 19:45:04'),(212223,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E07.mkv',4,0,'2021-11-30 19:45:04'),(212224,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E08.mkv',4,0,'2021-11-30 19:45:04'),(212225,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E09.mkv',4,0,'2021-11-30 19:45:04'),(212226,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E10.mkv',4,0,'2021-11-30 19:45:04'),(212227,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E11.mkv',4,0,'2021-11-30 19:45:04'),(212228,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E12.mkv',4,0,'2021-11-30 19:45:05'),(212229,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E13.mkv',4,0,'2021-11-30 19:45:05'),(212230,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E14.mkv',4,0,'2021-11-30 19:45:05'),(212231,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E15.mkv',4,0,'2021-11-30 19:45:05'),(212232,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E16.mkv',4,0,'2021-11-30 19:45:05'),(212233,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E17.mkv',4,0,'2021-11-30 19:45:05'),(212234,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E18.mkv',4,0,'2021-11-30 19:45:05'),(212235,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E19.mkv',4,0,'2021-11-30 19:45:05'),(212236,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E20.mkv',4,0,'2021-11-30 19:45:05'),(212237,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E21.mkv',4,0,'2021-11-30 19:45:05'),(212238,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E22.mkv',4,0,'2021-11-30 19:45:05'),(212239,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E23.mkv',4,0,'2021-11-30 19:45:05'),(212240,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E24.mkv',4,0,'2021-11-30 19:45:05'),(212241,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E25.mkv',4,0,'2021-11-30 19:45:05'),(212242,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S01 E26.mkv',4,0,'2021-11-30 19:45:05'),(212243,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E01.mkv',4,0,'2021-11-30 19:45:06'),(212244,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E02.mkv',4,0,'2021-11-30 19:45:06'),(212245,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E03.mkv',4,0,'2021-11-30 19:45:06'),(212246,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E04.mkv',4,0,'2021-11-30 19:45:06'),(212247,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E05.mkv',4,0,'2021-11-30 19:45:06'),(212248,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E06.mkv',4,0,'2021-11-30 19:45:06'),(212249,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E07.mkv',4,0,'2021-11-30 19:45:06'),(212250,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E08.mkv',4,0,'2021-11-30 19:45:06'),(212251,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E09.mkv',4,0,'2021-11-30 19:45:06'),(212252,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E10.mkv',4,0,'2021-11-30 19:45:06'),(212253,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E11.mkv',4,0,'2021-11-30 19:45:06'),(212254,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E12.mkv',4,0,'2021-11-30 19:45:06'),(212255,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E13.mkv',4,0,'2021-11-30 19:45:06'),(212256,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E14.mkv',4,0,'2021-11-30 19:45:06'),(212257,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E15.mkv',4,0,'2021-11-30 19:45:06'),(212258,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E16.mkv',4,0,'2021-11-30 19:45:07'),(212259,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E17.mkv',4,0,'2021-11-30 19:45:07'),(212260,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E18.mkv',4,0,'2021-11-30 19:45:07'),(212261,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E19.mkv',4,0,'2021-11-30 19:45:07'),(212262,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E20.mkv',4,0,'2021-11-30 19:45:07'),(212263,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E21.mkv',4,0,'2021-11-30 19:45:07'),(212264,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E22.mkv',4,0,'2021-11-30 19:45:07'),(212265,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E23.mkv',4,0,'2021-11-30 19:45:07'),(212266,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E24.mkv',4,0,'2021-11-30 19:45:07'),(212267,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E25.mkv',4,0,'2021-11-30 19:45:07'),(212268,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S02 E26.mkv',4,0,'2021-11-30 19:45:07'),(212269,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E01.mkv',4,0,'2021-11-30 19:45:07'),(212270,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E02.mkv',4,0,'2021-11-30 19:45:07'),(212271,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E03.mkv',4,0,'2021-11-30 19:45:07'),(212272,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E04.mkv',4,0,'2021-11-30 19:45:07'),(212273,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E05.mkv',4,0,'2021-11-30 19:45:08'),(212274,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E06.mkv',4,0,'2021-11-30 19:45:08'),(212275,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E07.mkv',4,0,'2021-11-30 19:45:08'),(212276,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E08.mkv',4,0,'2021-11-30 19:45:08'),(212277,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E09.mkv',4,0,'2021-11-30 19:45:08'),(212278,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E10.mkv',4,0,'2021-11-30 19:45:08'),(212279,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E11.mkv',4,0,'2021-11-30 19:45:08'),(212280,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E12.mkv',4,0,'2021-11-30 19:45:08'),(212281,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E13.mkv',4,0,'2021-11-30 19:45:08'),(212282,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E14.mkv',4,0,'2021-11-30 19:45:08'),(212283,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E15.mkv',4,0,'2021-11-30 19:45:08'),(212284,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E16.mkv',4,0,'2021-11-30 19:45:08'),(212285,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E17.mkv',4,0,'2021-11-30 19:45:08'),(212286,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E18.mkv',4,0,'2021-11-30 19:45:08'),(212287,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E19.mkv',4,0,'2021-11-30 19:45:08'),(212288,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E20.mkv',4,0,'2021-11-30 19:45:08'),(212289,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E21.mkv',4,0,'2021-11-30 19:45:09'),(212290,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S03 E22.mkv',4,0,'2021-11-30 19:45:09'),(212291,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E01.mkv',4,0,'2021-11-30 19:45:09'),(212292,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E02.mkv',4,0,'2021-11-30 19:45:09'),(212293,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E03.mkv',4,0,'2021-11-30 19:45:09'),(212294,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E04.mkv',4,0,'2021-11-30 19:45:09'),(212295,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E05.mkv',4,0,'2021-11-30 19:45:09'),(212296,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E06.mkv',4,0,'2021-11-30 19:45:09'),(212297,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E07.mkv',4,0,'2021-11-30 19:45:09'),(212298,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E08.mkv',4,0,'2021-11-30 19:45:09'),(212299,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E09.mkv',4,0,'2021-11-30 19:45:09'),(212300,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E10.mkv',4,0,'2021-11-30 19:45:09'),(212301,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E11.mkv',4,0,'2021-11-30 19:45:09'),(212302,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E12.mkv',4,0,'2021-11-30 19:45:09'),(212303,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E13.mkv',4,0,'2021-11-30 19:45:09'),(212304,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E14.mkv',4,0,'2021-11-30 19:45:10'),(212305,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E15.mkv',4,0,'2021-11-30 19:45:10'),(212306,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E16.mkv',4,0,'2021-11-30 19:45:10'),(212307,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E17.mkv',4,0,'2021-11-30 19:45:10'),(212308,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E18.mkv',4,0,'2021-11-30 19:45:10'),(212309,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E19.mkv',4,0,'2021-11-30 19:45:10'),(212310,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E20.mkv',4,0,'2021-11-30 19:45:10'),(212311,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E21.mkv',4,0,'2021-11-30 19:45:10'),(212312,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E22.mkv',4,0,'2021-11-30 19:45:10'),(212313,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E23.mkv',4,0,'2021-11-30 19:45:10'),(212314,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E24.mkv',4,0,'2021-11-30 19:45:10'),(212315,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E25.mkv',4,0,'2021-11-30 19:45:10'),(212316,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S04 E26.mkv',4,0,'2021-11-30 19:45:10'),(212317,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S05 E01.mkv',4,0,'2021-11-30 19:45:10'),(212318,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S05 E02.mkv',4,0,'2021-11-30 19:45:11'),(212319,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S05 E03.mkv',4,0,'2021-11-30 19:45:11'),(212320,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S05 E04.mkv',4,0,'2021-11-30 19:45:11'),(212321,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S05 E05.mkv',4,0,'2021-11-30 19:45:11'),(212322,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S05 E06.mkv',4,0,'2021-11-30 19:45:11'),(212323,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S05 E07.mkv',4,0,'2021-11-30 19:45:11'),(212324,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S05 E08.mkv',4,0,'2021-11-30 19:45:11'),(212325,1,21,'/home/VOD/SERIE/FR | Avengers Rassemblement/FR  Avengers Rassemblement S05 E09.mkv',4,0,'2021-11-30 19:45:11'),(344945,1,21,'/home/VOD/FR| Le Monde Anime De Grimault 2019 FHD.mkv',4,0,'2021-12-03 21:55:03'),(344946,1,21,'/home/VOD/FR| Pocahontas 1995 FHD.mkv',4,0,'2021-12-03 21:55:03'),(344947,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E01.mkv',4,0,'2021-12-03 21:55:03'),(344948,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E02.mkv',4,0,'2021-12-03 21:55:03'),(344949,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E03.mkv',4,0,'2021-12-03 21:55:03'),(344950,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E04.mkv',4,0,'2021-12-03 21:55:03'),(344951,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E05.mkv',4,0,'2021-12-03 21:55:03'),(344952,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E06.mkv',4,0,'2021-12-03 21:55:04'),(344953,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E07.mkv',4,0,'2021-12-03 21:55:04'),(344954,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E08.mkv',4,0,'2021-12-03 21:55:04'),(344955,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E09.mkv',4,0,'2021-12-03 21:55:04'),(344956,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E10.mkv',4,0,'2021-12-03 21:55:04'),(344957,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E11.mkv',4,0,'2021-12-03 21:55:04'),(344958,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E12.mkv',4,0,'2021-12-03 21:55:04'),(344959,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S01 E13.mkv',4,0,'2021-12-03 21:55:04'),(344960,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E01.mp4',4,0,'2021-12-03 21:55:04'),(344961,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E02.mp4',4,0,'2021-12-03 21:55:04'),(344962,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E04.mp4',4,0,'2021-12-03 21:55:04'),(344963,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E05.mp4',4,0,'2021-12-03 21:55:04'),(344964,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E06.mp4',4,0,'2021-12-03 21:55:04'),(344965,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E07.mp4',4,0,'2021-12-03 21:55:04'),(344966,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E08.mp4',4,0,'2021-12-03 21:55:04'),(344967,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E09.mp4',4,0,'2021-12-03 21:55:05'),(344968,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E10.mp4',4,0,'2021-12-03 21:55:05'),(344969,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E11.mp4',4,0,'2021-12-03 21:55:05'),(344970,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E12.mp4',4,0,'2021-12-03 21:55:05'),(344971,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E13.mp4',4,0,'2021-12-03 21:55:05'),(344972,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E14.mp4',4,0,'2021-12-03 21:55:05'),(344973,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E15.mp4',4,0,'2021-12-03 21:55:05'),(344974,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S02 E16.mp4',4,0,'2021-12-03 21:55:05'),(344975,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E01.mkv',4,0,'2021-12-03 21:55:05'),(344976,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E02.mkv',4,0,'2021-12-03 21:55:05'),(344977,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E03.mkv',4,0,'2021-12-03 21:55:05'),(344978,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E04.mkv',4,0,'2021-12-03 21:55:05'),(344979,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E05.mkv',4,0,'2021-12-03 21:55:05'),(344980,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E06.mkv',4,0,'2021-12-03 21:55:05'),(344981,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E07.mkv',4,0,'2021-12-03 21:55:05'),(344982,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E08.mkv',4,0,'2021-12-03 21:55:06'),(344983,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E09.mkv',4,0,'2021-12-03 21:55:06'),(344984,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E10.mkv',4,0,'2021-12-03 21:55:06'),(344985,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E11.mkv',4,0,'2021-12-03 21:55:06'),(344986,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E12.mkv',4,0,'2021-12-03 21:55:06'),(344987,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S04 E13.mkv',4,0,'2021-12-03 21:55:06'),(344988,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E01.mkv',4,0,'2021-12-03 21:55:06'),(344989,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E02.mkv',4,0,'2021-12-03 21:55:06'),(344990,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E03.mkv',4,0,'2021-12-03 21:55:06'),(344991,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E04.mkv',4,0,'2021-12-03 21:55:06'),(344992,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E05.mkv',4,0,'2021-12-03 21:55:06'),(344993,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E06.mkv',4,0,'2021-12-03 21:55:06'),(344994,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E07.mkv',4,0,'2021-12-03 21:55:06'),(344995,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E08.mkv',4,0,'2021-12-03 21:55:06'),(344996,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E09.mkv',4,0,'2021-12-03 21:55:06'),(344997,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S05 E10.mkv',4,0,'2021-12-03 21:55:07'),(344998,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S06 E01.mkv',4,0,'2021-12-03 21:55:07'),(344999,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S06 E02.mkv',4,0,'2021-12-03 21:55:07'),(345000,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S06 E03.mkv',4,0,'2021-12-03 21:55:07'),(345001,2,21,'/home/TEST/SERIES/111/VOSTFR| Queen Sugar HD/Queen Sugar HD S06 E04.mkv',4,0,'2021-12-03 21:55:07');
/*!40000 ALTER TABLE `watch_output` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `watch_settings`
--

DROP TABLE IF EXISTS `watch_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watch_settings` (
  `read_native` int(1) NOT NULL DEFAULT '1',
  `movie_symlink` int(1) NOT NULL DEFAULT '1',
  `auto_encode` int(1) NOT NULL DEFAULT '0',
  `transcode_profile_id` int(8) NOT NULL DEFAULT '0',
  `scan_seconds` int(8) NOT NULL DEFAULT '3600',
  `percentage_match` int(3) NOT NULL DEFAULT '80',
  `ffprobe_input` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watch_settings`
--

LOCK TABLES `watch_settings` WRITE;
/*!40000 ALTER TABLE `watch_settings` DISABLE KEYS */;
INSERT INTO `watch_settings` (`read_native`, `movie_symlink`, `auto_encode`, `transcode_profile_id`, `scan_seconds`, `percentage_match`, `ffprobe_input`) VALUES (0,1,1,0,60,80,0);
/*!40000 ALTER TABLE `watch_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `xtream_main`
--

DROP TABLE IF EXISTS `xtream_main`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xtream_main` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `update_available` int(11) NOT NULL DEFAULT '0',
  `root_ip` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `xtream_main`
--

LOCK TABLES `xtream_main` WRITE;
/*!40000 ALTER TABLE `xtream_main` DISABLE KEYS */;
/*!40000 ALTER TABLE `xtream_main` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-12-03 22:55:52
